<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: admin.php 2012-01-28 23:28:32 (Iman92) $
 */

define('ADMIN_FILE', true);

if(isset($aid)) {
	if(!empty($aid) AND (!isset($admin) OR empty($admin) OR !isset($_COOKIE['admin']) OR empty($_COOKIE['admin'])) AND $op!='login') {
		unset($aid);
		unset($admin);
		die("Access Denied");
	}
}

require_once("mainfile.php");
Header("Content-type: text/html; charset=utf-8");
set_meta("robots", "noindex, nofollow");

//Uncomment the following lines after setting the site url in the Administration
//global $pars;
//if (!stripos_clone($_SERVER['HTTP_HOST'], $pars->settings['siteurl'])) {
//  die("Access denied");
//}

$checkurl = $_SERVER['REQUEST_URI'];
if((stripos_clone($checkurl,'AddAuthor')) OR (stripos_clone($checkurl,'VXBkYXRlQXV0aG9y')) OR (stripos_clone($checkurl,'QWRkQXV0aG9y')) OR (stripos_clone($checkurl,'UpdateAuthor')) OR (stripos_clone($checkurl, "?admin")) OR (stripos_clone($checkurl, "&admin"))) {
	die("Illegal Operation");
}

if (file_exists("admin/language/lang-".$language.".php")) {
      include_once("admin/language/lang-".$language.".php");
}

global $admin_file, $cache;
$the_first = $db->numRows($db->query("SELECT * FROM #__authors"));
if ($the_first == 0) {
	die("هيچ مديري براي سايت پيدا نشد!!!!");
}

$aid = null;
if (isset($pars->input['aid']) && (ereg("[^a-zA-Z0-9_-]",trim($pars->input['aid'])))) {
	die("Begone");
}

if (isset($pars->input['aid']) && isset($pars->input['pwd']) && isset($op) && $op=="login") {
    $aid = substr($pars->input['aid'], 0,25);
    $pwd = substr($pars->input['pwd'], 0,40);
    if(!validate_captcha('admin_login', pn_getParam('admin_captcha', $pars->input)))
    pn_redirect( adminLink("login") );
	if(!empty($aid) AND !empty($pwd)) {
	    global $sitekey;
		$aid = pn_safe($aid, "en-num");
		$pwd = $db->escapeString(pn_safe($pwd, '_nohtml'));
		$pwd = md5($pwd);
		$result = $db->query("SELECT pwd, admlanguage FROM #__authors WHERE aid='$aid' LIMIT 1");
		list($rpwd, $admlanguage) = $db->fetchArray($result);
		$admlanguage = $db->escapeString($admlanguage);
	    $PN_SERVER_NAME = str_replace('www.', '', $_SERVER['SERVER_NAME']);
		if($rpwd == $pwd) {
		    $pwd = md5($pwd);
			$akey = md5($_SERVER['HTTP_USER_AGENT'].$sitekey.$PN_SERVER_NAME);
			$db->query("UPDATE `#__authors` SET `key`='".$akey."' WHERE `aid`='$aid' LIMIT 1");
			$admin = base64_encode("$aid:$pwd:$admlanguage");
			pn_setcookie("admin",$admin,time()+2592000);
			pn_setcookie("adminKey",sha1($akey),time()+2592000);
			unset($op);
            pn_redirect( adminLink("adminMain") );
		};
        $db->freeResult($result);
	};
};

$admintest = 0;

if(isset($_COOKIE['admin']) && !empty($_COOKIE['admin']) && isset($_COOKIE['adminKey']) && !empty($_COOKIE['adminKey'])) {
	$admin = base64_decode($db->escapeString($_COOKIE['admin']));
	$admin = explode(":", $admin);
	$aid = pn_safe($admin[0], "en-num");
	$pwd = pn_safe($admin[1], "_nohtml");
	$admlanguage = pn_safe($admin[2], "en-num");
	if (empty($aid) OR empty($pwd)) {
		$admintest = 0;
		$alert = "<html>\n";
		$alert .= "<title>INTRUDER ALERT!!!</title>\n";
		$alert .= "<body bgcolor=\"#FFFFFF\" text=\"#000000\">\n<br><br><br>\n";
		$alert .= "<center><img src=\"images/eyes.gif\" border=\"0\"><br><br>\n";
		$alert .= "<font face=\"Verdana\" size=\"+4\"><b>Get Out!</b></font></center>\n";
		$alert .= "</body>\n";
		$alert .= "</html>\n";
		die($alert);
	}

    if (!is_admin()) {
		$admintest = 0;
		pn_unsetcookie("admin");
		pn_unsetcookie("adminKey");
		die("Selection from database failed!");
    } else {
		$adminData = is_admin("data");
		$aid = pn_safe($adminData['aid'], "_nohtml");
		$rname = pn_safe($adminData['name'], "en-num");
		$admintest = 1;
    }
}else {
	$admintest = 0;
	pn_unsetcookie("admin");
	pn_unsetcookie("adminKey");
}

if(!isset($op) || empty($op)) {
	  $op = "adminMain";
} elseif(($op=="mod_authors" OR $op=="modifyadmin" OR $op=="UpdateAuthor" OR $op=="AddAuthor" OR $op=="deladmin2" OR $op=="deladmin" OR $op=="assignstories" OR $op=="deladminconf") AND ($rname != "God")) {
	  die("Illegal Operation");
}
set_title(_ADMINMENU);

/*********************************************************/
/* Login Function                                        */
/*********************************************************/

function login() {
	 global $pars, $admin_file;
     run_hooks("login.start");
	 get_header();

	 OpenTable();
	 echo "<center><font class=\"title\"><b>"._ADMINLOGIN."</b></font></center>";
	 CloseTable();

	 OpenTable();
	 echo "<form action=\"".$admin_file.".php\" method=\"post\">"
	 ."<table border=\"0\">"
	 ."<tr><td style=\"width:100px\">"._ADMINID."<font color=red>*</font></td>"
	 ."<td><input type=\"text\" NAME=\"aid\" SIZE=\"30\" MAXLENGTH=\"25\" style=\"direction: ltr\" required=\"required\"></td></tr>"
	 ."<tr><td>"._PASSWORD."<font color=red>*</font></td>"
	 ."<td><input type=\"password\" NAME=\"pwd\" SIZE=\"30\" MAXLENGTH=\"40\" style=\"direction: ltr\" required=\"required\"></td></tr>";
	 if ($captcha = create_captcha('admin_login')) {
         echo "  <tr>\n";
         echo "    <td>"._SECURITYCODE."<font color=red>*</font></td>\n";
         echo "    <td>".$captcha."<input name=\"admin_captcha\" type=\"number\" value=\"\" required=\"required\" size=\"5\" style=\"direction: ltr\"></td>\n";
         echo "  </tr>\n";
         echo "  <tr>\n";
	 }
	 echo "<tr><td>"
	 ."<input type=\"hidden\" NAME=\"op\" value=\"login\">"
	 ."<input type=\"submit\" VALUE=\""._LOGIN."\">"
	 ."</td></tr></table>"
	 ."</form>";
	 CloseTable();
     run_hooks("login.start");
	 get_footer();
}

/*********************************************************/
/* Administration Menu Function                          */
/*********************************************************/

function adminLink($option, $title=null, $style=null) {
	 global $admin_file;
	 if($title)
	 return "<a href=\"{$admin_file}.php?op={$option}\"{$style}>{$title}</a>";
	 return "{$admin_file}.php?op={$option}";
}

function checkAdminPageAccess($module) {
	if (!is_admin() || !defined("ADMIN_FILE") || empty($module)) {
		return false;
	}
	global $adminData, $aid, $radminsuper, $db;
	$auth_user = 0;
	$module = pn_safe($module, "en-num");
	$adminData = is_admin("data");
	$name = pn_safe($adminData['name'], "en-num");
	$aid = pn_safe($adminData['aid'], "en-num");
	$aid = substr($aid, 0, 25);
	$radminsuper = intval($adminData['radminsuper']);

	if (empty($name)) {
		return false;
	}

 	$row = $db->fetchRow("SELECT title, admins FROM #__modules WHERE title='{$module}' LIMIT 1", true);
	$admins = trim($row['admins'], ",");
 	$admins = explode(",", $row['admins']);
	if (in_array($name, $admins) && is_array($admins) && count($admins)) {
		$auth_user = 1;
	}

	if ($radminsuper == 1 || $auth_user == 1) {
		return true;
	}
}

function adminMenu($url, $title, $image) {
	  global $counter, $pars;
	  $ThemeSel = get_theme();
	  if (file_exists("themes/$ThemeSel/images/admin/$image")) {
		   $image = "themes/$ThemeSel/images/admin/$image";
	  } else {
		   $image = "images/admin/$image";
	  }
	  if ($pars->settings['admingraphic'] == 1) {
		   $img = "<img src=\"$image\" border=\"0\" alt=\"$title\" title=\"$title\"></a><br>";
		   $close = "";
	  } else {
		   $img = "";
		   $close = "</a>";
	  }
	  echo "<td align=\"center\" valign=\"top\" width=\"16%\"><a href=\"$url\">$img<b>$title</b>$close<br><br></td>\n";
	  if ($counter == 5) {
		   echo "</tr><tr>\n";
		   $counter = 0;
	  } else {
		   $counter++;
	  }
}

function GraphicAdmin() {
	  global $aid, $language, $admin, $prefix, $db, $counter, $admin_file, $pars, $adminData, $radminsuper, $cache;
      $adminData = is_admin("data");
	  $aid = pn_safe($adminData['aid'], "en-num");
      $aid = substr($aid, 0, 25);
	  $radminsuper = intval($adminData['radminsuper']);
      run_hooks("GraphicAdmin.start");
	  if ($radminsuper == 1) {
			 OpenTable("<a href=\"".$admin_file.".php\">"._ADMINMENU."</a>");
			 echo "<center>";
			 echo"<table border=\"0\" width=\"100%\" cellspacing=\"1\"><tr>\n";
			 $linksdir = dir("admin/links");
			 $menulist = "";
			 while($func=$linksdir->read()) {
				   if(substr($func, 0, 6) == "links.") {
						$menulist .= "$func ";
				   }
			 }
			 closedir($linksdir->handle);
			 $menulist = explode(" ", $menulist);
			 sort($menulist);
			 for ($i=0; $i < sizeof($menulist); $i++) {
					if(!empty($menulist[$i])) {
							$sucounter = 0;
							include($linksdir->path."/$menulist[$i]");
					}
			 }
			 adminmenu("".$admin_file.".php?op=logout", ""._ADMINLOGOUT."", "logout.gif");
			 echo "</tr></table></center>\n";
			 $counter = "";
			 CloseTable();
	  }

	  OpenTable("<a href=\"".$admin_file.".php\">مديريت ماژول هاي فعال سيستم</a>");
	  echo "<center>";
	  echo "<table border=\"0\" width=\"100%\" cellspacing=\"1\"><tr>\n";
	  $handle=opendir('modules');
	  $modlist = "";
	  while ($file = readdir($handle)) {
		   if ( (!ereg("[.]",$file)) ) {
				 $modlist .= "$file ";
		   }
	  }
	  closedir($handle);
	  $modlist = explode(" ", $modlist);
	  sort($modlist);
	  for ($i=0; $i < sizeof($modlist); $i++) {
			if(!empty($modlist[$i])) {
				 $row = $db->fetchRow($db->query("SELECT mid from " . $prefix . "_modules where title='$modlist[$i]'"));
				 $mid = intval($row['mid']);
				 if (empty($mid)) {
					  $db->query("insert into " . $prefix . "_modules values (NULL, '$modlist[$i]', '$modlist[$i]', '0', '0', '1', '0', '')");
				 }
			}
	  }

	  $adminData['name'] = pn_safe($adminData['name'], "en-num");
	  get_modules(true);
	  foreach ($cache->modules as $PN_module => $row) {
            if ($row['active']==0) continue;
			$admins = explode(",", $row['admins']);
			$auth_user = 0;
			if (in_array($adminData['name'], $admins)) {
				  $auth_user = 1;
			}
			if ($radminsuper == 1 OR $auth_user == 1) {
				  if (file_exists("modules/".$row['title']."/admin/index.php") AND file_exists("modules/".$row['title']."/admin/links.php") AND file_exists("modules/".$row['title']."/admin/case.php")) {
					   include("modules/".$row['title']."/admin/links.php");
				  }
			}
	  }
      unset($PN_module);
      if ($radminsuper != 1) adminmenu("".$admin_file.".php?op=logout", ""._ADMINLOGOUT."", "logout.gif");
	  echo "</tr></table></center>\n";
	  CloseTable();

      if (file_exists(INCLUDE_PATH."configuration.php") && is_writeable(INCLUDE_PATH."configuration.php")) {
	          openTable();
              echo pn_message(_ERROR_CONFIGURATION, "error", false);
	          closeTable();
      }
      run_hooks("GraphicAdmin.end");
}

/*********************************************************/
/* Administration Main Function                          */
/*********************************************************/

function adminMain() {
	  global $language, $admlanguage, $aid, $prefix, $radminsuper, $db, $adminData, $admin_file, $pars;
      run_hooks("adminMain.start");
	  get_header();
	  GraphicAdmin();
	  $adminData = is_admin("data");
	  $aid = pn_safe($adminData['aid'], "en-num");
	  $aid = substr($aid, 0, 25);
	  $radminsuper = intval($adminData['radminsuper']);
	  $admlanguage = pn_safe($adminData['admlanguage'], "en-num");
      run_hooks("adminMain.main");
	  if (!empty($admlanguage)) {
		   $queryalang = "WHERE alanguage='$admlanguage' ";
	  } else {
			$queryalang = "";
	  }
	  $row3 = $db->fetchRow($db->query("SELECT main_module from ".$prefix."_main"));
	  $main_module = $row3['main_module'];
	  OpenTable(_DEFHOMEMODULE);
	  echo "<center>"._MODULEINHOME." <b>$main_module</b><br>[ <a href=\"".$admin_file.".php?op=modules\">"._CHANGE."</a> ]</center>";
	  CloseTable();

	  OpenTable();
	  $guest_online_num = intval($db->numRows($db->query("SELECT uname FROM ".$prefix."_session WHERE guest='1'")));
	  $member_online_num = intval($db->numRows($db->query("SELECT uname FROM ".$prefix."_session WHERE guest='0'")));
	  $who_online_num = $guest_online_num + $member_online_num;
	  $who_online = "<center><font class=\"option\">"._WHOSONLINE."</font><br><br><font class=\"content\">"._CURRENTLY." $guest_online_num "._GUESTS." $member_online_num "._MEMBERS."<br>";

	  // Formatting date - Fix by Quake
	  $curDate2 = "%".date("Y-m-d")."%";
	  $ty = time() - 86400;
	  $preday = strftime('%d', $ty);
	  $premonth = strftime('%m', $ty);
	  $preyear = strftime('%Y', $ty);
	  $curDateP = "%".$preyear."-".$premonth."-".$preday."%";
	  //Select new today
	  list($userCount) = $db->fetchArray("SELECT COUNT(member_id) AS userCount FROM #__members WHERE member_date LIKE '$curDate2'", true);
	  $userCount = intval($userCount);
	  //Select new yesterday
	  list($userCount2) = $db->fetchArray("SELECT COUNT(member_id) AS userCount FROM #__members WHERE member_date LIKE '$curDateP'", true);
	  $userCount2 = intval($userCount2);
	  echo "<center>$who_online<br>كاربران عضو شده: "._BTD.": <b>$userCount</b> - "._BYD.": <b>$userCount2</b></center>";
	  CloseTable();

	  if (is_active("Poll")) {
	  $row8 = $db->fetchRow($db->query("SELECT * FROM #__polls WHERE poll_status='1' ORDER BY poll_id DESC LIMIT 1"));
	  $pollID = intval($row8['poll_id']);
	  $pollTitle = filter($row8['poll_question'], "nohtml");
			 OpenTable();
			 echo "<center><b>"._CURRENTPOLL.":</b> $pollTitle  <a href=\"".$admin_file.".php?op=createPoll\"><img src=\"images/add.gif\" alt=\""._ADD."\" title=\""._ADD."\" border=\"0\" width=\"17\" height=\"17\"></a>  <a href=\"".$admin_file.".php?op=editPoll&amp;pollID=$pollID\"><img src=\"images/edit.gif\" alt=\""._EDIT."\" title=\""._EDIT."\" border=\"0\" width=\"17\" height=\"17\"></a></center>";
			 CloseTable();
	  }
	  unset($title);
      run_hooks("adminMain.end");
	  get_footer();
}

if ($admintest) {

	  $adminData = is_admin("data");
	  $aid = pn_safe($adminData['aid'], "en-num");
	  $aid = substr($aid, 0, 25);
	  $radminsuper = intval($adminData['radminsuper']);

	  switch($op) {

			 case "GraphicAdmin":
			 GraphicAdmin();
			 break;

			 case "adminMain":
			 adminMain();
			 break;

			 case "logout":
			 $db->query("UPDATE `#__authors` SET `key`='' WHERE `aid`='$aid' LIMIT 1");
			 pn_unsetcookie("admin");
			 pn_unsetcookie("adminKey");
			 $admin = $loginKey = $_COOKIE['admin'] = $_COOKIE['loginKey'] = null;
			 get_header();
			 OpenTable();
			 echo "<center><font class=\"title\"><b>"._YOUARELOGGEDOUT."</b></font></center>";
			 CloseTable();
			 Header("Refresh: 3; url=".$admin_file.".php");
			 get_footer();
			 break;

			 case "login";
			 unset($op);

			 default:
			 if (!is_admin()) {
				  login();
				  die;
			 }
			 $casedir = dir("admin/case");
			 while($func=$casedir->read()) {
				   if(substr($func, 0, 5) == "case.") {
						 include($casedir->path."/".$func);
				   }
			 }
			 closedir($casedir->handle);
			 get_modules();
			 foreach ($cache->modules as $PN_module => $val) {
                   if ($val['active']==0) continue;
				   if (file_exists("modules/$PN_module/admin/index.php") AND file_exists("modules/$PN_module/admin/links.php") AND file_exists("modules/$PN_module/admin/case.php")) {
						 include("modules/$PN_module/admin/case.php");
				   }
			 }
			 unset($PN_module);
			 break;

	  }

} else {

      if (is_ajax()) {
             die("<b style='color:red'>دوره مديريت شما به پايان رسده لطفا مجدد وارد شورد.</b>");
      } else {
	         login();
      }

}

?>