<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: comments.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superAdmin()) {
require_once(INCLUDE_PATH."includes/functions_bbcode.php");

function adminComments() {
     global $db, $cache, $admin_file;
     $type = pn_getParam('type', $_GET, 'content');
     $pageNum = (int) pn_getParam('pageNum', $_GET, 1);
     $pageNum = $pageNum<=0? 1 : $pageNum;
     $limit   = 30;
     $offset  = parsnuke_page('SQL',$limit,$pageNum);
     $pageURL  = "{$admin_file}.php?op=comments&type={$type}&";
     $CommentsType  = array("download"=>"مركز دانلود", "content"=>"پست ها", "ExtraPage"=>"صفحات اضافه", "Poll"=>"نظرسنجي ها");
     $CommentsType  = run_hooks("admin.CommentsType", $CommentsType);
     set_title("مديريت نظرات");

     get_header();
	 GraphicAdmin();
     title("مديريت نظرات سيستم");
     openTable();
     echo "<table cellpadding=\"5\" cellspacing=\"0\" class=\"pars_table\">\n";
     echo "  <tr>\n";
     echo "    <th style=\"width:65px\">بخش</th>\n";
     echo "    <th>خلاصه نظر</th>\n";
     echo "    <th style=\"width:65px\">نام</th>\n";
     echo "    <th style=\"width:50px\">وبسايت</th>\n";
     echo "    <th style=\"width:40px\">ايميل</th>\n";
     echo "    <th style=\"width:60px\">تاييد شده</th>\n";
     echo "    <th style=\"width:75px\">مديريت</th>\n";
     echo "  </tr>\n";

     $q = $db->query("SELECT * FROM #__comments WHERE `comment_type`='$type' ORDER BY comment_date DESC, comment_id DESC LIMIT $offset,$limit");
     $total = $db->numRows("SELECT * FROM #__comments WHERE `comment_type`='$type'", true);
     while($row = $db->fetchRow($q)) {
          if(empty($row['comment_author_url']))
          $row['comment_author_url'] = "javascript:alert('آدرسي وجود ندارد!')";

          $row['comment_text'] = pn_htmlcode(nl2br($row['comment_text']));
          /*$row['comment_text'] = pn_safe($row['comment_text'], 'nohtml');
          if(pn_strlen(trim($row['comment_text'])) > 120)
          $row['comment_text'] = pn_substr(trim($row['comment_text']), 0, 120).'...';*/

          echo "  <tr class=".odd_even().">\n";
          echo "    <td><b>".(isset($CommentsType[$type])? $CommentsType[$type] : $type)."</b></td>\n";
          echo "    <td>{$row['comment_text']}</td>\n";
          echo "    <td>{$row['comment_author']}</td>\n";
          echo "    <td><a href=\"{$row['comment_author_url']}\" target=\"_blank\">وبسايت</a></td>\n";
          echo "    <td><a href=\"mailto:{$row['comment_author_email']}\" target=\"_blank\">ايميل</a></td>\n";
          echo "    <td><center><a href='".adminLink("CommentsApprove&type={$type}&id=".$row['comment_id']."&pageNum=".$pageNum)."' ".($row['comment_approve']==1? "class=pars_green>بله" : "class=pars_red>خير")."</a></center></td>\n";
          echo "    <td><a onclick=\"return pn_confirm('".adminLink("CommentsDelete&type={$type}&id=".$row['comment_id'])."')\" class=\"pars_red\">حذف</a> - <a href=\"".adminLink("CommentsEdit&type={$type}&id=".$row['comment_id'])."\" class=\"pars_green\">ويرايش</a></td>\n";
          echo "  </tr>\n";
     }

     echo "</table>";
     parsnuke_page($total,$limit,$pageNum,$pageURL);
     closeTable();

	 OpenTable("اطلاعات نظرات كليه بخش ها");
     $t = new table("pars_table", null, null, 5);
     $t->tr();
     $t->th( "نام بخش (ماژول)" );
     $t->th( "مشاهده نظرات", "width: 100px" );
     $t->th( "كل نظرات", "width: 70px" );
     $t->th( "نظرات تاييد نشده", "width: 110px" );

	 $q = $db->query("SELECT * FROM #__comments Group BY comment_type");
     while($row = $db->fetchRow($q)) {
             $t->tr("class=".odd_even());
             $t->td($row['comment_type']." (".(isset($CommentsType[$row['comment_type']])? $CommentsType[$row['comment_type']] : null).")");
             $t->td(html::a(adminLink("adminComments&type=".$row['comment_type']), "مشاهده نظرات"));
             $t->td($db->numRows("SELECT * FROM #__comments WHERE `comment_type`='".$row['comment_type']."'", true));
             $t->td("<b class=pars_red>".$db->numRows("SELECT * FROM #__comments WHERE `comment_type`='".$row['comment_type']."' and `comment_approve`='0'", true)."</b>");
     }

     $t->show();
	 CloseTable();

     get_footer();
}

function CommentsEdit($id) {
     global $db, $cache, $admin, $aid;
     $type = pn_getParam('type', $_GET, 'content');
     $id = intval($id);
     $aid = substr($aid, 0,25);

     if(!$id)
     pn_redirect( adminLink("adminComments") );

     if(isset($_POST['save'])) {
         $arr = array(
         'comment_author' => pn_safe($_POST['comment_author'], 'showhtml'),
         'comment_author_email' => pn_safe($_POST['comment_author_email'], 'showhtml'),
         'comment_author_url' => pn_safe($_POST['comment_author_url'], '_nohtml'),
         'comment_text' => $_POST['comment_text'],
         'comment_answer' => $_POST['comment_answer'],
         'comment_answer_author' => $aid,
         'comment_approve' => (int) $_POST['comment_approve'],
         );
         $db->update("comments",$arr,"comment_id=$id");
         pn_redirect( adminLink("CommentsEdit&type={$type}&id=".$id) );
     }

     $row = $db->fetchRowSet("SELECT * FROM #__comments where comment_id='$id' and comment_type='$type'");
     set_title("ويرايش نظر");
     get_header();
	 GraphicAdmin();

     openTable();
     echo "<center>\n";
     echo "[ <a href=\"".adminLink("adminComments&type={$type}")."\" class=pars_active>مديريت نظرات</a> ]\n";
     echo "</center>";
     closeTable();

     openTable("ويرايش نظر");
     echo "<form name=\"CommentsEdit\" id=\"CommentsEdit\" action=\"".adminLink("CommentsEdit&type={$type}&id=".$row['comment_id'])."\" method=\"POST\">\n";
     echo "<table>\n";
     echo "  <tr>\n";
     echo "    <td style=\"width:90px\">نام</td>\n";
     echo "    <td><input name=\"comment_author\" type=\"text\" value=\"".$row['comment_author']."\" size=\"80\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>ايميل</td>\n";
     echo "    <td><input name=\"comment_author_email\" type=\"text\" value=\"".$row['comment_author_email']."\" size=\"80\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>وبسايت</td>\n";
     echo "    <td><input name=\"comment_author_url\" type=\"text\" value=\"".$row['comment_author_url']."\" size=\"80\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>آي پي</td>\n";
     echo "    <td>".$row['comment_author_ip']."</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>تاريخ</td>\n";
     echo "    <td>".jdate("l j F Y ساعت H:i:s", strtotime($row['comment_date']))."</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>مرتبط با</td>\n";
     echo "    <td>".run_hooks("admin.CommentsEdit.link", array('link'=>$row['comment_link'],'type'=>$row['comment_type']))."</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>متن نظر</td>\n";
     echo "    <td>".pn_bbcodes('comment-text', 'CommentsEdit')."<textarea name=\"comment_text\" id=\"comment-text\" required=\"required\" style=\"width:99%\" rows=\"9\">".$row['comment_text']."</textarea></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>پاسخ شما</td>\n";
     echo "    <td>".pn_bbcodes('comment-answer', 'CommentsEdit')."<textarea name=\"comment_answer\" id=\"comment-answer\" required=\"required\" style=\"width:99%\" rows=\"9\">".$row['comment_answer']."</textarea></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>وضعيت</td>\n";
     echo "    <td>\n";
     $options = array("1"=>"تاييد شده","0"=>"تاييد نشده");
     echo html::select('comment_approve', $options, $row['comment_approve']);
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><input type=\"submit\" name=\"save\" value=\"ذخيره\"></td>\n";
     echo "  </tr>\n";
     echo "</table>";
     echo "</form>";
     closeTable();
     get_footer();
}

function CommentsApprove($id) {
     global $db, $cache;
     $id = intval($id);
     $type = pn_getParam('type', $_GET, 'content');
     $comment_approve = $db->fetchRowSet("SELECT comment_approve FROM #__comments WHERE comment_id='$id' AND `comment_type`='$type'");
     $comment_approve = $comment_approve['comment_approve']==1? 0 : 1;
     $db->query("UPDATE `#__comments` SET `comment_approve`='$comment_approve' WHERE `comment_id`='$id' AND `comment_type`='$type' LIMIT 1");
     pn_redirect( adminLink("adminComments&type={$type}&pageNum=".intval($_GET['pageNum'])) );
}

function CommentsDelete($id) {
     global $db, $cache, $adminCom;
     $id = (int) $_GET['id'];
     $type = pn_getParam('type', $_GET, 'content');
     $db->query("DELETE FROM `#__comments` WHERE `comment_id`='$id' AND `comment_type`='$type' LIMIT 1");
     pn_redirect( adminLink("adminComments&type={$type}") );
}

switch($op) {
   case'CommentsApprove':
   CommentsApprove($_GET['id']);
   break;

   case'CommentsDelete':
   CommentsDelete($_GET['id']);
   break;

   case'CommentsEdit':
   CommentsEdit($_GET['id']);
   break;

   default:
   adminComments();
   break;
}

} else {

     get_header();
     pn_error("شما به اين بخش دسترسي نداريد!، لطفا تلاش نكنيد.", "عدم دسترسي");

}

?>