<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: firewall.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superAdmin()) {

function adminFirewall() {
     global $db, $cache, $pars;
     $pageNum = (int) pn_getParam('pageNum', $_GET, 1);
     $pageNum = $pageNum<=0? 1 : $pageNum;
     $limit   = 30;
     $offset  = parsnuke_page('SQL',$limit,$pageNum);
     $pageURL  = adminLink('Firewall&');
     $total = $db->numRows("SELECT * FROM #__firewall", true);
     set_title("ديوار آتش");

     get_header();
	 GraphicAdmin();
     title("مديريت ديوار آتش");

	 OpenTable();
     echo '<center>[ '.html::a(adminLink('Firewall'), "ديوار آتش", 'class=pars_active').' - '.html::a(adminLink('FirewallSettings'), "تنظيمات ديوار آتش").' - '.html::a("javascript:pn_confirm('".adminLink('FirewallRemove')."')", "حذف اطلاعات حملات به سايت").' ]</center>';
	 CloseTable();

     openTable();
     if ($total <= 0) {
     echo pn_message("هيچ حمله اي توسط سيستم امنيتي ثبت نشده است.", "info", false);
     } else {
     $t = new table('pars_table', null, null, 5);

     $t->tr();
     $t->th( "آي پي", "width: 150px" );
     $t->th( "تاريخ حمله", "width: 210px" );
     $t->th( "آدرس مورد حمله قرارگرفته" );
     $t->th( "اطلاعات", "width: 50px" );

	 $q = $db->query("SELECT * from #__firewall order by id desc LIMIT $offset,$limit");
	 while ($row = $db->fetchRow($q)) {
             $t->tr("class=".odd_even());
             $t->td( $row['ip'] );
             $t->td( jdate("l j F Y ساعت H:i:s", strtotime($row['time'])) );
             $t->td( $row['url'], "direction: ltr;text-align: left" );
             $t->td( html::a(adminLink('FirewallInfo&ID='.$row['id']), html::img("images/icon/book_open.png"), "title='اطلاعات بيشتر'"), "text-align: center" );
	 }

     $t->show();
     parsnuke_page($total,$limit,$pageNum,$pageURL);
     }
     closeTable();

     openTable("اطلاعات");
     echo "از ابتداي افتتاح سايت تا به حال <b class=pars_red>".intval($pars->settings['firewall_bannedIP_count'])."</b> آي پي توسط سيستم امنيتي مسدود شده و <b class=pars_red>".intval($pars->settings['firewall_count'])."</b> حمله شناسايي و خنثي شده است.<br>";
     echo "مسدود سازي خودكار آي پي: ".(intval($pars->settings['block_ip'])==0? "<b class=pars_red>غيرفعال</b>" : "<b class=pars_green>فعال</b>")."<br>\n";
     echo "ذخيره كردن اطلاعات حملات: ".(intval($pars->settings['firewall'])==0? "<b class=pars_red>غيرفعال</b>" : "<b class=pars_green>فعال</b>")."<br>\n";
     closeTable();
     get_footer();
}

function FirewallInfo() {
     global $db, $cache;
     $ID = (int) pn_getParam('ID', $_GET, 0);
     set_title("ديوار آتش");

     get_header();
	 GraphicAdmin();
     title("مديريت ديوار آتش");

	 OpenTable();
     echo '<center>[ '.html::a(adminLink('Firewall'), "ديوار آتش").' - '.html::a(adminLink('FirewallSettings'), "تنظيمات ديوار آتش").' - '.html::a("javascript:pn_confirm('".adminLink('FirewallRemove')."')", "حذف اطلاعات حملات به سايت").' ]</center>';
	 CloseTable();

     openTable();
     $t = new table(null, null, null, 5);

	 $q = $db->query("SELECT * from #__firewall where id='$ID'");
	 $row = $db->fetchRow($q);
     if (!$row)
	 pn_redirect( adminLink('Firewall') );

     $t->tr();
     $t->td( "آي پي", "width: 150px" );
     $t->td( $row['ip'] );

     $t->tr();
     $t->td( "زمان" );
     $t->td( jdate("l j F Y ساعت H:i:s", strtotime($row['time'])) );

     $t->tr();
     $t->td( "آدرس مورد حمله قرار گرفته" );
     $t->td( $row['url'], "direction: ltr;text-align: left" );

     $t->tr();
     $t->td( "رشته <b dir=ltr>\$_POST</b>" );
     $t->td( empty($row['post'])? "در دسترس نمي باشد" : $row['post'], "direction: ltr;text-align: left" );

     $t->tr();
     $t->td( "رشته <b dir=ltr>\$_GET</b>" );
     $t->td( empty($row['get'])? "در دسترس نمي باشد" : $row['get'], "direction: ltr;text-align: left" );

     $t->tr();
     $t->td( "رشته <b dir=ltr>\$_COOKIE</b>" );
     $t->td( empty($row['cookie'])? "در دسترس نمي باشد" : $row['cookie'], "direction: ltr;text-align: left" );

     $t->tr();
     $t->td( "رشته <b dir=ltr>\$_FILES</b>" );
     $t->td( empty($row['files'])? "در دسترس نمي باشد" : $row['files'], "direction: ltr;text-align: left" );

     $t->tr();
     $t->td();
     $t->td( html::a(adminLink('Firewall'), "<center>[<b>بازگشت</b>]</center>") );

     $t->show();
     closeTable();
     get_footer();
}

function FirewallSettings() {
     global $pars, $db, $admin_file;
	 get_header();
	 GraphicAdmin();
	 $pars->settings['block_ip'] = intval($pars->settings['block_ip']);
	 $pars->settings['firewall'] = intval($pars->settings['firewall']);
     set_title("ديوار آتش");
     title("مديريت ديوار آتش");

	 OpenTable();
     echo '<center>[ '.html::a(adminLink('Firewall'), "ديوار آتش").' - '.html::a(adminLink('FirewallSettings'), "تنظيمات ديوار آتش", 'class=pars_active').' - '.html::a("javascript:pn_confirm('".adminLink('FirewallRemove')."')", "حذف اطلاعات حملات به سايت").' ]</center>';
	 CloseTable();

	 OpenTable("تنظيمات سيستم امنيتي");
	 echo html::form("comments", "{$admin_file}.php");
     $t = new table(null, null, null, 0, 5);

     $t->tr();
     $t->td( "مسدود سازي خودكار آي پي", "width: 200px" );
     $t->td( html::radio("xblock_ip", array("1"=>_YES, "0"=>_NO), $pars->settings['block_ip']) );

     $t->tr();
     $t->td( "ذخيره كردن اطلاعات حملات" );
     $t->td( html::radio("xfirewall", array("1"=>_YES, "0"=>_NO), $pars->settings['firewall']) );

     $t->tr();
     $t->td();
     $t->td( html::hidden("op", "saveFirewallSettings") . html::submit("submit", _SAVECHANGES) . html::a(adminLink('Firewall'), "&nbsp; [<b>بازگشت</b>]") );

     $t->show();
	 echo html::form("End");
	 CloseTable();
	 get_footer();
}

function saveFirewallSettings($xblock_ip, $xfirewall) {
	 global $prefix, $db, $admin_file;
	 $xblock_ip = intval($xblock_ip);
	 $xfirewall = intval($xfirewall);
	 $db->query("UPDATE #__settings SET setting_value='$xblock_ip' where setting_name='block_ip' limit 1");
	 $db->query("UPDATE #__settings SET setting_value='$xfirewall' where setting_name='firewall' limit 1");
     pn_redirect( adminLink('FirewallSettings') );
}

function FirewallRemove() {
	global $db, $cache, $op;
	$db->query("DELETE FROM `#__firewall`");
	pn_redirect( adminLink('Firewall') );
}

switch($op) {
   case'FirewallInfo':
   FirewallInfo();
   break;

   case'FirewallSettings':
   FirewallSettings();
   break;

   case'FirewallRemove':
   FirewallRemove();
   break;

   case'saveFirewallSettings':
   saveFirewallSettings($_POST['xblock_ip'], $_POST['xfirewall']);
   break;

   default:
   adminFirewall();
   break;
}

} else {

     get_header();
     pn_error("شما به اين بخش دسترسي نداريد!، لطفا تلاش نكنيد.", "عدم دسترسي");

}

?>