<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: media.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superadmin()) {


if (isset($_GET['config'])) {

if (!extension_loaded("json")) {
	     die("Whoops. We need JSON to proceed.");
}

if (!file_exists(INCLUDE_PATH.'includes/elfinder/connectors/php/elFinder.class.php')) {
	     die("Whoops.ELFINDER CLASS NOT LOADED");
}
include_once INCLUDE_PATH.'includes/elfinder/connectors/php/elFinder.class.php';

/**
 * Simple example how to use logger with elFinder
 **/
class elFinderLogger implements elFinderILogger {

	public function log($cmd, $ok, $context, $err='', $errorData = array()) {
		if (false != ($fp = fopen('./log.txt', 'a'))) {
			if ($ok) {
				$str = "cmd: $cmd; OK; context: ".str_replace("\n", '', var_export($context, true))."; \n";
			} else {
				$str = "cmd: $cmd; FAILED; context: ".str_replace("\n", '', var_export($context, true))."; error: $err; errorData: ".str_replace("\n", '', var_export($errorData, true))."\n";
			}
			fwrite($fp, $str);
			fclose($fp);
		}
	}

}
$opts = array(
	'root'            => 'includes/upload',                       // path to root directory
	'URL'             => 'includes/upload/', // root directory URL
	'rootAlias'       => 'HOME',       // display this instead of root directory name
	'mimeDetect'   => 'internal',
	//'uploadAllow'   => array('images/*'),
	//'uploadDeny'    => array('all'),
	///'uploadOrder'   => 'deny,allow'
	// 'disabled'     => array(),      // list of not allowed commands
	// 'dotFiles'     => false,        // display dot files
	// 'dirSize'      => true,         // count total directories sizes
	// 'fileMode'     => 0666,         // new files mode
	// 'dirMode'      => 0777,         // new folders mode
	// 'mimeDetect'   => 'auto',       // files mimetypes detection method (finfo, mime_content_type, linux (file -ib), bsd (file -Ib), internal (by extensions))
	// 'uploadAllow'  => array(),      // mimetypes which allowed to upload
	// 'uploadDeny'   => array(),      // mimetypes which not allowed to upload
	// 'uploadOrder'  => 'deny,allow', // order to proccess uploadAllow and uploadAllow options
	// 'imgLib'       => 'auto',       // image manipulation library (imagick, mogrify, gd)
	// 'tmbDir'       => '.tmb',       // directory name for image thumbnails. Set to "" to avoid thumbnails generation
	// 'tmbCleanProb' => 1,            // how frequiently clean thumbnails dir (0 - never, 100 - every init request)
	// 'tmbAtOnce'    => 5,            // number of thumbnails to generate per request
	// 'tmbSize'      => 48,           // images thumbnails size (px)
	// 'fileURL'      => true,         // display file URL in "get info"
	// 'dateFormat'   => 'j M Y H:i',  // file modification date format
	// 'logger'       => null,         // object logger
	// 'defaults'     => array(        // default permisions
	// 	'read'   => true,
	// 	'write'  => true,
	// 	'rm'     => true
	// 	),
	// 'perms'        => array(),      // individual folders/files permisions
	 'debug'        => true,         // send debug to client
	 'archiveMimes' => array(),      // allowed archive's mimetypes to create. Leave empty for all available types.
	 'archivers'    => array(),       // info about archivers to use. See example below. Leave empty for auto detect
	 'archivers' => array(
	 	'create' => array(
	 		'application/x-gzip' => array(
	 			'cmd' => 'tar',
	 			'argc' => '-czf',
	 			'ext'  => 'tar.gz'
	 			)
	 		),
	 	'extract' => array(
	 		'application/x-gzip' => array(
	 			'cmd'  => 'tar',
	 			'argc' => '-xzf',
	 			'ext'  => 'tar.gz'
	 			),
	 		'application/x-bzip2' => array(
	 			'cmd'  => 'tar',
	 			'argc' => '-xjf',
	 			'ext'  => 'tar.bz'
	 			)
	 		)
	 	)
);

$fm = new elFinder($opts);
$fm->run();
die;

}

if (!isset($_GET['noTheme'])) {
      get_header();
      GraphicAdmin();
      title("مديريت رسانه ها");
      OpenTable();
} else {
?>
<title>پارس نيوك &raquo; مديريت رسانه ها</title>
<base href="<?php echo $pars->settings['siteurl'] ?>/">
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<script type="text/javascript" src="includes/pars_nuke/javascript/jquery.js"></script>
<?php
}

$editorlang = ($currentlang == "persian" ? "fa" : "en");
?>
<link rel="stylesheet" href="includes/elfinder/js/ui-themes/base/ui.all.css" type="text/css" media="screen" title="no title" charset="utf-8">
<link rel="stylesheet" href="includes/elfinder/css/elfinder.css" type="text/css" media="screen" title="no title" charset="utf-8">
<script src="includes/elfinder/js/jquery-ui-1.7.2.custom.min.js" type="text/javascript" charset="utf-8"></script>
<script src="includes/elfinder/js/elfinder.min.js" type="text/javascript" charset="utf-8"></script>
<script src="includes/elfinder/js/i18n/elfinder.fa.js" type="text/javascript" charset="utf-8"></script>
<script type="text/javascript" charset="utf-8">
$(document).ready(function(){
	 var f = $('#finder').elfinder({
			url : '<?php echo $admin_file ?>.php?op=media&config=true',
			lang : '<?php echo $editorlang?>',

			editorCallback : function(url) {
				if (window.console && window.console.log) {
					window.console.log(url);
				} else {
					alert(url);
				}

			},
			closeOnEditorCallback : true
	 })
})
</script>

<style type="text/css">
#finder{background:#E2E2E2;color:#555;font:11px tahoma; direction: rtl;}
</style>
<div id="finder">finder</div>
<?php

if (!isset($_GET['noTheme'])) {
      CloseTable();
      get_footer();
}

} else {

     get_header();
     pn_error("شما به اين بخش دسترسي نداريد!، لطفا تلاش نكنيد.", "عدم دسترسي");

}
?>