<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: messages.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superAdmin()) {

	/*********************************************************/
	/* Messages Functions                                    */
	/*********************************************************/

	function MsgDeactive($mid) {
		global $prefix, $db, $admin_file;
		$mid = intval($mid);
		$db->query("update " . $prefix . "_message set active='0' WHERE mid='$mid'");
		Header("Location: ".$admin_file.".php?op=messages");
	}

	function messages() {
		global $admin, $admlanguage, $language, $bgcolor1, $bgcolor2, $prefix, $db, $multilingual, $admin_file;
		get_header();
		GraphicAdmin();
		OpenTable();
		echo "<center><font class=\"title\"><b>" . _MESSAGESADMIN . "</b></font></center>";
		CloseTable();

		if (empty($admlanguage)) {
			$admlanguage = $language; /* This to make sure some language is pre-selected */
		}
		OpenTable();
        $t = new table("pars_table", null, null, 5);
        $t->tr();
        $t->th( _ID, 'width:40px' );
        $t->th( _TITLE );
        $t->th( _LANGUAGE, 'width:40px' );
        $t->th( _VIEW, 'width:130px' );
        $t->th( _STATUS, 'width:50px' );
        $t->th( _FUNCTIONS, 'width:50px' );

		$result = $db->query("SELECT mid, title, content, date, expire, active, view, mlanguage from " . $prefix . "_message");
		while ($row = $db->fetchRow($result)) {
			$mid = intval($row['mid']);
			$title = filter($row['title'], "nohtml");
			$content = filter($row['content']);
			$mdate = $row['date'];
			$expire = intval($row['expire']);
			$active = intval($row['active']);
			$view = intval($row['view']);
			$mlanguage = $row['mlanguage'];
			if ($active == 1) {
				$mactive = "<img src=\"images/active.gif\" alt=\""._ACTIVE."\" title=\""._ACTIVE."\" border=\"0\" width=\"16\" height=\"16\">";
			} elseif ($active == 0) {
				$mactive = "<img src=\"images/inactive.gif\" alt=\""._INACTIVE."\" title=\""._INACTIVE."\" border=\"0\" width=\"16\" height=\"16\">";
			}
			if ($view == 1) {
				$mview = "" . _MVALL . "";
			} elseif ($view == 2) {
				$mview = "" . _MVANON . "";
			} elseif ($view == 3) {
				$mview = "" . _MVUSERS . "";
			} elseif ($view == 4) {
				$mview = "" . _MVADMIN . "";
			} elseif ($view == 5) {
				$mview = ""._SUBUSERS."";
			}
			if (empty($mlanguage)) {
				$mlanguage = "" . _ALL . "";
			}
			$t->tr('class="'.odd_even().'"');
			$t->td($mid);
			$t->td($title);
			$t->td($mlanguage);
			$t->td($mview);
			$t->td($mactive);
			$t->td("<a href=\"".$admin_file.".php?op=editmsg&mid=$mid\"><img src=\"images/edit.gif\" alt=\""._EDIT."\" title=\""._EDIT."\" border=\"0\" width=\"17\" height=\"17\"></a>  <a href=\"".$admin_file.".php?op=deletemsg&mid=$mid\"><img src=\"images/delete.gif\" alt=\""._DELETE."\" title=\""._DELETE."\" border=\"0\" width=\"17\" height=\"17\"></a>");
		}
        $t->show();
		CloseTable();

		OpenTable(_ADDMSG);
		echo "<form action=\"".$admin_file.".php\" method=\"post\">"
		."<br><b>" . _MESSAGETITLE . ":</b><br>"
		."<input type=\"text\" name=\"add_title\" value=\"\" size=\"50\" maxlength=\"100\"><br><br>"
		."<b>" . _MESSAGECONTENT . ":</b><br>"
		.parsNuke_Editor("add_content")."<br><br>";
		if ($multilingual == 1) {
			echo "<b>" . _LANGUAGE . ": </b>"
			."<select name=\"add_mlanguage\">";
			$handle=opendir('language');
			while ($file = readdir($handle)) {
				if (preg_match("/^lang\-(.+)\.php/", $file, $matches)) {
					$langFound = $matches[1];
					$languageslist .= "$langFound ";
				}
			}
			closedir($handle);
			$languageslist = explode(" ", $languageslist);
			sort($languageslist);
			for ($i=0; $i < sizeof($languageslist); $i++) {
				if($languageslist[$i]!="") {
					echo "<option value=\"$languageslist[$i]\" ";
					if($languageslist[$i]==$language) echo "selected";
					echo ">".ucfirst($languageslist[$i])."</option>\n";
				}
			}
			echo "<option value=\"\">" . _ALL . "</option></select><br><br>";
		} else {
			echo "<input type=\"hidden\" name=\"add_mlanguage\" value=\"\">";
		}
		$now = time();
		echo "<b>" . _EXPIRATION . ":</b> <select name=\"add_expire\">"
		."<option value=\"86400\" >1 " . _DAY . "</option>"
		."<option value=\"172800\" >2 " . _DAYS . "</option>"
		."<option value=\"432000\" >5 " . _DAYS . "</option>"
		."<option value=\"1296000\" >15 " . _DAYS . "</option>"
		."<option value=\"2592000\" >30 " . _DAYS . "</option>"
		."<option value=\"0\" >" . _UNLIMITED . "</option>"
		."</select><br><br>"
		."<b>فعال بودن?</b> <input type=\"radio\" name=\"add_active\" value=\"1\" checked>" . _YES . " "
		."<input type=\"radio\" name=\"add_active\" value=\"0\" >" . _NO . "";
		echo "<br><br><b>" . _VIEWPRIV . "</b> <select name=\"add_view\">"
		."<option value=\"1\" >" . _MVALL . "</option>"
		."<option value=\"2\" >" . _MVANON . "</option>"
		."<option value=\"3\" >" . _MVUSERS . "</option>"
		."<option value=\"4\" >" . _MVADMIN . "</option>"
		."</select><br><br>"
		."<input type=\"hidden\" name=\"op\" value=\"addmsg\">"
		."<input type=\"hidden\" name=\"add_mdate\" value=\"$now\">"
		."<input type=\"submit\" value=\"" . _ADDMSG . "\">"
		."</form>";
		CloseTable();
		get_footer();
	}

	function editmsg($mid) {
		global $admin, $prefix, $db, $multilingual, $admin_file;
		get_header();
		$mid = intval($mid);
		GraphicAdmin();
		OpenTable();
		echo "<center><font class=\"title\"><b>" . _MESSAGESADMIN . "</b></font></center>";
		CloseTable();

		$row = $db->fetchRow($db->query("SELECT title, content, date, expire, active, view, mlanguage from " . $prefix . "_message WHERE mid='$mid'"));
		$title = filter($row['title'], "nohtml");
		$content = filter($row['content']);
		$mdate = $row['date'];
		$expire = intval($row['expire']);
		$active = intval($row['active']);
		$view = intval($row['view']);
		$mlanguage = $row['mlanguage'];
		OpenTable(_EDITMSG);
		if ($active == 1) {
			$asel1 = "checked";
			$asel2 = "";
		} elseif ($active == 0) {
			$asel1 = "";
			$asel2 = "checked";
		}
		$sel1 = $sel2 = $sel3 = $sel4 = $sel5 = "";
		if ($view == 1) {
			$sel1 = "selected";
		} elseif ($view == 2) {
			$sel2 = "selected";
		} elseif ($view == 3) {
			$sel3 = "selected";
		} elseif ($view == 4) {
			$sel4 = "selected";
		} elseif ($view == 5) {
			$sel5 = "selected";
		}
		$esel1 = $esel2 = $esel3 = $esel4 = $esel5 = $esel6 = "";
		if ($expire == 86400) {
			$esel1 = "selected";
		} elseif ($expire == 172800) {
			$esel2 = "selected";
		} elseif ($expire == 432000) {
			$esel3 = "selected";
		} elseif ($expire == 1296000) {
			$esel4 = "selected";
		} elseif ($expire == 2592000) {
			$esel5 = "selected";
		} elseif ($expire == 0) {
			$esel6 = "selected";
		}
		echo "<form action=\"".$admin_file.".php\" method=\"post\">"
		."<br><b>" . _MESSAGETITLE . ":</b><br>"
		."<input type=\"text\" name=\"title\" value=\"$title\" size=\"50\" maxlength=\"100\"><br><br>"
		."<b>" . _MESSAGECONTENT . ":</b><br>"
		.parsNuke_Editor("content", $content)."<br><br>";
		if ($multilingual == 1) {
			echo "<b>" . _LANGUAGE . ": </b>"
			."<select name=\"mlanguage\">";
			$handle=opendir('language');
			while ($file = readdir($handle)) {
				if (preg_match("/^lang\-(.+)\.php/", $file, $matches)) {
					$langFound = $matches[1];
					$languageslist .= "$langFound ";
				}
			}
			closedir($handle);
			$languageslist = explode(" ", $languageslist);
			sort($languageslist);
			for ($i=0; $i < sizeof($languageslist); $i++) {
				if(!empty($languageslist[$i])) {
					echo "<option value=\"$languageslist[$i]\" ";
					if($languageslist[$i]==$mlanguage) echo "selected";
					echo ">".ucfirst($languageslist[$i])."</option>\n";
				}
			}
			if (empty($mlanguage)) {
				$sellang = "selected";
			} else {
				$sellang = "";
			}
			echo "<option value=\"\" $sellang>" . _ALL . "</option></select><br><br>";
		} else {
			echo "<input type=\"hidden\" name=\"mlanguage\" value=\"\">";
		}
		echo "<b>" . _EXPIRATION . ":</b> <select name=\"expire\">"
		."<option name=\"expire\" value=\"86400\" $esel1>1 " . _DAY . "</option>"
		."<option name=\"expire\" value=\"172800\" $esel2>2 " . _DAYS . "</option>"
		."<option name=\"expire\" value=\"432000\" $esel3>5 " . _DAYS . "</option>"
		."<option name=\"expire\" value=\"1296000\" $esel4>15 " . _DAYS . "</option>"
		."<option name=\"expire\" value=\"2592000\" $esel5>30 " . _DAYS . "</option>"
		."<option name=\"expire\" value=\"0\" $esel6>" . _UNLIMITED . "</option>"
		."</select><br><br>"
		."<b>فعال بودن?</b> <input type=\"radio\" name=\"active\" value=\"1\" $asel1>" . _YES . " "
		."<input type=\"radio\" name=\"active\" value=\"0\" $asel2>" . _NO . "";
		if ($active == 1) {
			echo "<br><br><b>" . _CHANGEDATE . "</b>"
			."<input type=\"radio\" name=\"chng_date\" value=\"1\">" . _YES . " "
			."<input type=\"radio\" name=\"chng_date\" value=\"0\" checked>" . _NO . "<br><br>";
		} elseif ($active == 0) {
			echo "<br><font class=\"tiny\">" . _IFYOUACTIVE . "</font><br><br>"
			."<input type=\"hidden\" name=\"chng_date\" value=\"1\">";
		}
		echo "<b>" . _VIEWPRIV . "</b> <select name=\"view\">"
		."<option name=\"view\" value=\"1\" $sel1>" . _MVALL . "</option>"
		."<option name=\"view\" value=\"2\" $sel2>" . _MVANON . "</option>"
		."<option name=\"view\" value=\"3\" $sel3>" . _MVUSERS . "</option>"
		."<option name=\"view\" value=\"4\" $sel4>" . _MVADMIN . "</option>"
		."</select><br><br>"
		."<input type=\"hidden\" name=\"mdate\" value=\"$mdate\">"
		."<input type=\"hidden\" name=\"mid\" value=\"$mid\">"
		."<input type=\"hidden\" name=\"op\" value=\"savemsg\">"
		."<input type=\"submit\" value=\"" . _SAVECHANGES . "\">"
		."</form>";
		CloseTable();
		get_footer();
	}

	function savemsg($mid, $title, $content, $mdate, $expire, $active, $view, $chng_date, $mlanguage) {
		global $prefix, $db, $admin_file;
		$mid = intval($mid);
		$title = filter($title, "nohtml", 1);
		$content = filter($content, "", 1);
		if ($chng_date == 1) {
			$newdate = time();
		} elseif ($chng_date == 0) {
			$newdate = $mdate;
		}
		$result = $db->query("update " . $prefix . "_message set title='$title', content='$content', date='$newdate', expire='$expire', active='$active', view='$view', mlanguage='$mlanguage' WHERE mid='$mid'");
		Header("Location: ".$admin_file.".php?op=messages");
	}

	function addmsg($add_title, $add_content, $add_mdate, $add_expire, $add_active, $add_view, $add_mlanguage) {
		global $prefix, $db, $admin_file;
		$title = filter($add_title, "nohtml", 1);
		$content = filter($add_content, "", 1);
		$result = $db->query("insert into " . $prefix . "_message values (NULL, '$add_title', '$add_content', '$add_mdate', '$add_expire', '$add_active', '$add_view', '$add_mlanguage')");
		if (!$result) {
			exit();
		}
		Header("Location: ".$admin_file.".php?op=messages");
	}

	function deletemsg($mid, $ok=0) {
		global $prefix, $db, $admin_file;
		$mid = intval($mid);
		if($ok) {
			$result = $db->query("delete from " . $prefix . "_message where mid='$mid'");
			if (!$result) {
				return;
			}
			Header("Location: ".$admin_file.".php?op=messages");
		} else {
			get_header();
			GraphicAdmin();
			OpenTable();
			echo "<center><font size=\"4\"><b>" . _MESSAGESADMIN . "</b></font></center>";
			CloseTable();

			OpenTable();
			echo "<center>" . _REMOVEMSG . "";
			echo "<br><br>[ <a href=\"".$admin_file.".php?op=messages\">" . _NO . "</a> | <a href=\"".$admin_file.".php?op=deletemsg&amp;mid=$mid&amp;ok=1\">" . _YES . "</a> ]</center>";
			CloseTable();
			get_footer();
		}
	}

    $pars->input['ok'] = isset($pars->input['ok'])? $pars->input['ok'] : 0;

	switch ($op){

		case "messages":
		messages();
		break;

		case "addmsg":
		addmsg($pars->input['add_title'], $pars->input['add_content'], $pars->input['add_mdate'], $pars->input['add_expire'], $pars->input['add_active'], $pars->input['add_view'], $pars->input['add_mlanguage']);
		break;

		case "editmsg":
		editmsg($pars->input['mid']);
		break;

		case "savemsg":
		savemsg($pars->input['mid'], $pars->input['title'], $pars->input['content'], $pars->input['mdate'], $pars->input['expire'], $pars->input['active'], $pars->input['view'], $pars->input['chng_date'], $pars->input['mlanguage']);
		break;

		case "deletemsg":
		deletemsg($pars->input['mid'], $pars->input['ok']);
		break;

	}

} else {
	echo "Access Denied";
}

?>