<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: newsletter.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superAdmin()) {

	/*********************************************************/
	/* Sections Manager Functions                            */
	/*********************************************************/

	function newsletter() {
		global $prefix, $pars, $db, $sitename, $admin_file;
		get_header();
		GraphicAdmin();
		$srow = $db->numRows($db->query("select * from #__members where member_newsletter='1'"));
		$urow = $db->numRows($db->query("select * from #__members"));
		$urow--;
		OpenTable();
		echo "<center><font class=\"title\"><b>" . _NEWSLETTER . "</b></font></center>";
		CloseTable();

		OpenTable(_NEWSLETTER);
		echo
		 "<form method=\"post\" action=\"".$admin_file.".php\">"
		."<br>"
		."<b>" . _SUBJECT . ":</b><br><input type=\"text\" name=\"subject\" size=\"50\">"
		."<br><br>"
		."<b>متن پيام:</b><br>".parsNuke_Editor("content", '', '', 'style="width:100%;height:300px;"')."</textarea>"
		."<br><br>"
		."<b>" . _WHATTODO . "</b><br>"
		."<label><input type=\"radio\" name=\"type\" value=\"newsletter\" checked> " . _ANEWSLETTER . " ($srow " . _SUBSCRIBEDUSERS . ")</label><br>"
		."<label><input type=\"radio\" name=\"type\" value=\"massmail\"> " . _MASSMAIL . " ($urow " . _USERS . ")</label>"
		."<br><br>"
		."<input type=\"hidden\" name=\"op\" value=\"check_type\">"
		."<input type=\"submit\" value=\"" . _PREVIEW . "\">"
		."</form>";
		CloseTable();
		get_footer();
	}

	function check_type($subject, $content, $type) {
		global $pars, $db, $sitename, $admin_file;
		define('NO_EDITOR', true);
		$subject = filter($subject, nohtml);
		$content = filter($content, nohtml);
		get_header();
		GraphicAdmin();
		$srow = $db->numRows($db->query("select * from #__members where member_newsletter='1'"));
		$urow = $db->numRows($db->query("select * from #__members"));
		$urow--;
		OpenTable();
		echo "<center><font class=\"title\"><b>" . _NEWSLETTER . "</b></font></center>";
		CloseTable();

		OpenTable();
		if ($type == "newsletter") {
			echo "<center><font class=\"content\"><b>" . _NEWSLETTER . "</b></font>"
			."<br><br>"
			."<form action\"".$admin_file.".php\" method=\"post\">"
			."" . _NYOUAREABOUTTOSEND . "<br>"
			."<b>$srow</b> " . _NUSERWILLRECEIVE . "<br><br>"
			."<b>" . _REVIEWTEXT . "</b></center><br><br>"
			."<b>" . _SUBJECT . ":</b><br><input type=\"text\" name=\"title\" value=\"$subject\" size=\"50\"><br><br>"
			."<b>" . _CONTENT . ":</b><br>".parsNuke_Editor("content", $content, '', 'style="width:100%;height:300px;"')."<br>"
			."<b>" . _NAREYOUSURE2SEND . "</b><br><br>"
			."<input type=\"hidden\" name=\"op\" value=\"newsletter_send\">"
			."<input type=\"submit\" value=\"" . _SEND . "\"> &nbsp;&nbsp; " . _GOBACK . ""
			."</form>";
		} elseif ($type == "massmail") {
			echo "<center><font class=\"content\"><b>" . _MASSEMAIL . "</b></font>"
			."<br><br>"
			."<form action\"".$admin_file.".php\" method=\"post\">"
			."" . _MYOUAREABOUTTOSEND . "<br>"
			."<b>$urow</b> " . _MUSERWILLRECEIVE . "<br>"
			."<i><b>" . _POSSIBLESPAM . "</b></i><br><br>"
			."<b>" . _REVIEWTEXT . "</b></center><br><br>"
			."<b>" . _SUBJECT . ":</b><br><input type=\"text\" name=\"title\" value=\"$subject\" size=\"50\"><br><br>"
			."<b>" . _CONTENT . ":</b><br>".parsNuke_Editor("content", $content, '', 'style="width:100%;height:300px;"')."<br>"
			."<b>" . _MAREYOUSURE2SEND . "</b><br><br>"
			."<input type=\"hidden\" name=\"op\" value=\"massmail_send\">"
			."<input type=\"submit\" value=\"" . _SEND . "\"> &nbsp;&nbsp; " . _GOBACK . ""
			."</form>";
		}
		if (($type == "newsletter") AND ($srow > 500)) {
			CloseTable();

			OpenTable();
			echo "<center><i>" . _MANYUSERSNOTE . "</i></center>";
		} elseif (($type == "massmail") AND ($urow > 500)) {
			CloseTable();

			OpenTable();
			echo "<center><i>" . _MANYUSERSNOTE . "</i></center>";
		}
		CloseTable();
		get_footer();
	}

	function newsletter_send($title, $content) {
		global $pars, $db, $admin_file;
		$result = $db->query("SELECT member_email from #__members where member_newsletter='1'");
		while ($row = $db->fetchRow($result)) {
			$user_email = filter($row['member_email'], 'nohtml');
            $content = $content."<br><br><b>اين پيام از طريق خبرنامه سايت ".$pars->settings['sitename']." با آدرس ".$pars->settings['siteurl']." براي شما ارسال شده است.</b>";
            pn_mail($user_email, "خبرنامه سايت ".$pars->settings['sitename'], $content, $pars->settings['siteMail']);
		}
		Header("Location: ".$admin_file.".php?op=newsletter_sent");
	}

	function newsletter_sent() {
		get_header();
		GraphicAdmin();
		OpenTable();
		echo "<center><font class=\"title\"><b>" . _NEWSLETTER . "</b></font></center>";
		CloseTable();

		OpenTable();
		echo "<center><font class=\"content\"><b>" . _NEWSLETTER . "</b></font><br><br>";
		echo "<b>" . _NEWSLETTERSENT . "</b></center>";
		CloseTable();
		get_footer();
	}

	function massmail_send($title, $content) {
		global $db, $admin_file, $pars;
		$result = $db->query("SELECT member_email from #__members where member_id != '1'");
		while ($row = $db->fetchRow($result)) {
			$user_email = filter($row['member_email'], 'nohtml');
            $content = $content."<br><br><b>اين پيام از طريق خبرنامه سايت ".$pars->settings['sitename']." با آدرس ".$pars->settings['siteurl']." براي شما ارسال شده است.</b>";
            pn_mail($user_email, "خبرنامه سايت ".$pars->settings['sitename']." به تمام كاربران", $content, $pars->settings['siteMail']);
		}
		Header("Location: ".$admin_file.".php?op=massmail_sent");
	}

	function massmail_sent() {
		get_header();
		GraphicAdmin();
		OpenTable();
		echo "<center><font class=\"title\"><b>" . _MASSEMAIL . "</b></font></center>";
		CloseTable();

		OpenTable();
		echo "<center><font class=\"content\"><b>" . _MASSEMAIL . "</b></font><br><br>";
		echo "<b>" . _MASSEMAILSENT . "</b></center>";
		CloseTable();
		get_footer();
	}

	switch ($op) {

		case "newsletter":
		newsletter();
		break;

		case "newsletter_send":
		newsletter_send($pars->input['title'], $pars->input['content']);
		break;

		case "newsletter_sent":
		newsletter_sent();
		break;

		case "massmail_send":
		massmail_send($pars->input['title'], $pars->input['content']);
		break;

		case "massmail_sent":
		massmail_sent();
		break;

		case "check_type":
		check_type($pars->input['subject'], $pars->input['content'], $pars->input['type']);
		break;

	}

} else {
	echo "Access Denied";
}

?>