<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: settings.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superAdmin()) {

	/*********************************************************/
	/* Configuration Functions to Setup all the Variables    */
	/*********************************************************/

	function options_menu($thispage) {
		global $admin_file;
?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
function settingPage(op) {
    if (op == 'footer') {
        return true;
    }
    $(document).ready(function(){
         $('#settings_loading').html('<div class=pars_loading></div>');
         $('#settingResult').load('<?php echo $admin_file ?>.php?op='+op+' #settingResult', function(){ $(this).hide(0,function(){ $(this).slideDown('slow', function(){ pn_scroll('#settingResult'); }); }); });
    })
    return false;
}
/*]]>*/
</script>
<?php

		OpenTable();
		echo "<center><font class='title'><b>" . _SITECONFIG . "</b></font></center>";
		CloseTable();

		OpenTable();
		echo "<center>";
		if ($thispage == "general") {
			echo "<b>"._GENERAL."</b> | ";
		} else {
			echo "<a href=\"".$admin_file.".php?op=general\" onclick=\"return settingPage('general')\">"._GENERAL."</a> | ";
		}
		if ($thispage == "themes") {
			echo "<b>"._THEMES."</b> | ";
		} else {
			echo "<a href=\"".$admin_file.".php?op=themes\" onclick=\"return settingPage('themes')\">"._THEMES."</a> | ";
		}
		if ($thispage == "users") {
			echo "<b>"._USERS."</b> | ";
		} else {
			echo "<a href=\"".$admin_file.".php?op=users\" onclick=\"return settingPage('users')\">"._USERS."</a> | ";
		}
		if ($thispage == "comments") {
			echo "<b>"._SETCOMMENTS."</b> | ";
		} else {
			echo "<a href=\"".$admin_file.".php?op=comments\" onclick=\"return settingPage('comments')\">"._SETCOMMENTS."</a> | ";
		}
		if ($thispage == "languages") {
			echo "<b>"._LANGUAGES."</b> | ";
		} else {
			echo "<a href=\"".$admin_file.".php?op=languages\" onclick=\"return settingPage('languages')\">"._LANGUAGES."</a> | ";
		}
		if ($thispage == "footer") {
			echo "<b>"._FOOTER."</b> | ";
		} else {
			echo "<a href=\"".$admin_file.".php?op=footer\" onclick=\"return settingPage('footer')\">"._FOOTER."</a> | ";
		}
		if ($thispage == "backend") {
			echo "<b>"._BACKEND."</b> | ";
		} else {
			echo "<a href=\"".$admin_file.".php?op=backend\" onclick=\"return settingPage('backend')\">"._BACKEND."</a> | ";
		}
		if ($thispage == "referers") {
			echo "<b>"._REFERERS."</b> | ";
		} else {
			echo "<a href=\"".$admin_file.".php?op=referers\" onclick=\"return settingPage('referers')\">"._REFERERS."</a> | ";
		}
		if ($thispage == "mailing") {
			echo "<b>"._MAILING."</b> | ";
		} else {
			echo "<a href=\"".$admin_file.".php?op=mailing\" onclick=\"return settingPage('mailing')\">"._MAILING."</a> | ";
		}
		if ($thispage == "cookies") {
			echo "<b>"._COOKIES."</b> | ";
		} else {
			echo "<a href=\"".$admin_file.".php?op=cookies\" onclick=\"return settingPage('cookies')\">"._COOKIES."</a> | ";
		}
		if ($thispage == "other") {
			echo "<b>"._OTHERS."</b> ]</center>";
		} else {
			echo "<a href=\"".$admin_file.".php?op=other\" onclick=\"return settingPage('other')\">"._OTHERS."</a> ]</center>";
		}
		echo '<div id=settings_loading style="float:left;margin-top:-18px"></div>';
		CloseTable();
	}

	function Configure() {
		general();
	}

	function general() {
		global $prefix, $db, $admin_file, $pars;
		set_title(_GENSITEINFO);
		get_header();
		GraphicAdmin();
        echo "<div id='settingResult'>";
		options_menu("general");
		$sitename = filter($pars->settings['sitename'], "nohtml", 0, 'preview');
		$siteurl = filter($pars->settings['siteurl'], "nohtml");
		$slogan = filter($pars->settings['slogan'], "nohtml", 0, 'preview');
		$keywords = filter($pars->settings['keywords'], "nohtml", 0, 'preview');
		$startdate = filter($pars->settings['startdate'], "nohtml", 0, 'preview');
		$admingraphic = intval($pars->settings['admingraphic']);
		$seo = intval($pars->settings['seo']);
		$captcha = intval($pars->settings['captcha']);
		$nuke_editor = intval($pars->settings['nuke_editor']);
		$display_errors = intval($pars->settings['display_errors']);
		OpenTable(_GENSITEINFO);
		echo html::form("general", "{$admin_file}.php");
        $t = new table(null, null, null, 0, 5);

        $t->tr();
        $t->td( _SITENAME, "width: 200px" );
        $t->td( html::input("xsitename", $sitename, "size='40'") );

        $t->tr();
        $t->td( _SITEURL );
        $t->td( html::input("xsiteurl", $siteurl, "size='40' dir='ltr'") );

        $t->tr();
        $t->td( _SITESLOGAN );
        $t->td( html::input("xslogan", $slogan, "size='40'") );

        $t->tr();
        $t->td( _KEYWORDS );
        $t->td( html::input("xkeywords", $keywords, "size='40'") );

        $t->tr();
        $t->td( _STARTDATE );
        $t->td( html::input("xstartdate", $startdate, "size='40'") );

        $t->tr();
        $t->td( _ADMINGRAPHIC );
        $t->td( html::radio("xadmingraphic", array("1"=>_YES, "0"=>_NO), $admingraphic) );

        $t->tr();
        $t->td( "لينكهاي سئو" );
        $t->td( html::radio("xseo", array("1"=>_YES, "0"=>_NO), $seo) );

        $options = array("0"=>_INACTIVE, "1"=>_CAPTCHA_1, "2"=>_CAPTCHA_2, "3"=>_CAPTCHA_3, "4"=>_CAPTCHA_4);
        $t->tr();
        $t->td( _CAPTCHA );
        $t->td( html::select("xcaptcha", $options, $captcha) );

        $t->tr();
        $t->td( _EDITOR );
        $t->td( html::radio("xnuke_editor", array("0"=>_WITHOUTEDITOR, "1"=>_WITHEDITOR), $nuke_editor) );

        $t->tr();
        $t->td( _DISPLAYPHPERR );
        $t->td( html::radio("xdisplay_errors", array("1"=>_YES, "0"=>_NO), $display_errors) );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", "savegeneral") . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		CloseTable();
        echo "</div>";
		get_footer();
	}

	function themes() {
		global $prefix, $db, $admin_file, $pars;
		get_header();
		GraphicAdmin();
        echo "<div id='settingResult'>";
		options_menu("themes");
		$Default_Theme = filter($pars->settings['Default_Theme'], "nohtml");
		$overwrite_theme = intval($pars->settings['overwrite_theme']);
		OpenTable(_THEMECONFIG);
		echo html::form("themes", "{$admin_file}.php");
        $t = new table(null, null, null, 0, 5);

        $options = array();
		$handle=opendir('themes');
		while ($file = readdir($handle)) {
			if ( (!ereg("[.]",$file)) ) {
				$options[$file] = $file;
			}
		}
		closedir($handle);
        $t->tr();
        $t->td( _DEFAULTTHEME, "width: 200px" );
        $t->td( html::select("xDefault_Theme", $options, $Default_Theme) );

        $t->tr();
        $t->td( _LETUSERSCHANGETHM );
        $t->td( html::radio("xoverwrite_theme", array("1"=>_YES, "0"=>_NO), $overwrite_theme) );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", "savethemes") . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		CloseTable();
        echo "</div>";
		get_footer();
	}

	function users() {
		global $prefix, $db, $admin_file, $pars;
		get_header();
		GraphicAdmin();
        echo "<div id='settingResult'>";
		options_menu("users");
        get_settings("Account");
		$anonymous = filter($pars->settings['anonymous'], "nohtml");
		$anonpost = intval($pars->settings['anonpost']);
		$register = intval($pars->settings['register']);
		$register_email = intval($pars->settings['register_email']);
		$avatar = intval($pars->settings['avatar']);
		$avatarsize = intval($pars->settings['avatarsize']);
		$maxavatardims = filter($pars->settings['maxavatardims'], "nohtml");
		$defaultavatar = filter($pars->settings['defaultavatar'], "nohtml");
		$overwrite_theme = intval($pars->settings['overwrite_theme']);
		$minpass = intval($pars->settings['minpass']);
		$minUsername = intval($pars->settings['minUsername']);

		OpenTable(_USERSCONFIG);
		echo html::form("users", "{$admin_file}.php");
        $t = new table(null, null, null, 0, 5);

        $t->tr();
        $t->td( _ANONYMOUSNAME, "width: 220px" );
        $t->td( html::input("xanonymous", $anonymous, "size='20'") );

        $t->tr();
        $t->td( "سيستم عضو گيري فعال باشد" );
        $t->td( html::radio("xregister", array("1"=>_YES, "0"=>_NO), $register) );

        $t->tr();
        $t->td( "با يك ايميل بتوان چندبار عضو شد" );
        $t->td( html::radio("xregister_email", array("1"=>_YES, "0"=>_NO), $register_email) );

        $t->tr();
        $t->td( "اجازه براي آپلود آوارتار" );
        $t->td( html::radio("xavatar", array("1"=>_YES, "0"=>_NO), $avatar) );

        $t->tr();
        $t->td( "حجم آوارتار برحسب كيلوبايت" );
        $t->td( html::input("xavatarsize", $avatarsize, "size='4'") );

        $maxavatardims = explode("x", $maxavatardims);
        $t->tr();
        $t->td( "اندازه آوارتار" );
        $t->td( "طول" . html::input("xavatarW", $maxavatardims[0], "size='3'") ."&nbsp;&nbsp;".  "عرض" . html::input("xavatarH", $maxavatardims[1], "size='3'") );

        $t->tr();
        $t->td( "آوارتار پيشفرض سايت" );
        $t->td( html::input("xdefaultavatar", $defaultavatar, "size='30' dir='ltr'") );

        $t->tr();
        $t->td( _ALLOWANOMCOM );
        $t->td( html::radio("xanonpost", array("1"=>_YES, "0"=>_NO), $anonpost) );

        $t->tr();
        $t->td( _LETUSERSCHANGETHM );
        $t->td( html::radio("xoverwrite_theme", array("1"=>_YES, "0"=>_NO), $pars->settings['overwrite_theme']) );

        $options = array("3"=>3, "5"=>5, "8"=>8, "10"=>10);
        $t->tr();
        $t->td( _PASSWDLEN );
        $t->td( html::select("xminpass", $options, $minpass) );

        $options = array("3"=>3, "5"=>5, "8"=>8, "10"=>10);
        $t->tr();
        $t->td( "حداقل طول نام كاربري" );
        $t->td( html::select("xminUsername", $options, $minUsername) );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", "saveusers") . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		CloseTable();
        echo "</div>";

		get_footer();
	}

	function comments() {
		global $pars, $db, $admin_file;
		get_header();
		GraphicAdmin();
        echo "<div id='settingResult'>";
		options_menu("comments");
		$anonpost = intval($pars->settings['anonpost']);
		$commentlimit = intval($pars->settings['commentlimit']);

		OpenTable(_COMMENTSCONFIG);
		echo html::form("comments", "{$admin_file}.php");
        $t = new table(null, null, null, 0, 5);

        $t->tr();
        $t->td( _ALLOWANOMCOM, "width: 220px" );
        $t->td( html::radio("xanonpost", array("1"=>_YES, "0"=>_NO), $anonpost) );

        $t->tr();
        $t->td( _COMMENTSLIMIT );
        $t->td( html::input("xcommentlimit", $commentlimit, "size='4'") );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", "savecomments") . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		CloseTable();
        echo "</div>";

		get_footer();
	}

	function languages() {
		global $pars, $db, $admin_file;
		get_header();
		GraphicAdmin();
        echo "<div id='settingResult'>";
		options_menu("languages");
		$language = filter($pars->settings['language'], "nohtml", 0, 'preview');
		$locale = filter($pars->settings['locale'], "nohtml", 0, 'preview');
		$multilingual = intval($pars->settings['multilingual']);
		$useflags = intval($pars->settings['useflags']);
		$backend_language = filter($pars->settings['backend_language'], "nohtml", 0, 'preview');

		OpenTable(_LANGUAGESCONFIG);
		echo html::form("languages", "{$admin_file}.php");
        $t = new table(null, null, null, 0, 5);

        $options = array();
		$handle=opendir('language');
		while ($file = readdir($handle)) {
			if (ereg("^lang\-(.+)\.php", $file, $matches)) {
				$langFound = $matches[1];
				$options[$langFound] = $langFound;
			}
		}
		closedir($handle);
        $t->tr();
        $t->td( _SELLANGUAGE, "width: 200px" );
        $t->td( html::select("xlanguage", $options, $language) );

        $t->tr();
        $t->td( _LOCALEFORMAT );
        $t->td( html::input("xlocale", $locale, "size='5' dir='ltr'") );

        $t->tr();
        $t->td( _ACTMULTILINGUAL );
        $t->td( html::radio("xmultilingual", array("1"=>_YES, "0"=>_NO), $multilingual) );

        $t->tr();
        $t->td( _ACTUSEFLAGS );
        $t->td( html::radio("xuseflags", array("1"=>_YES, "0"=>_NO), $useflags) );

        $t->tr();
        $t->td( _BACKENDLANG );
        $t->td( html::input("xbackend_language", $backend_language, "size='5' dir='ltr'") );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", "savelanguages") . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		CloseTable();
        echo "</div>";

		get_footer();
	}

	function footer() {
		global $pars, $db, $admin_file;
		get_header();
		GraphicAdmin();
        echo "<div id='settingResult'>";
		options_menu("footer");
		$foot1 = ($pars->settings['foot1']);
		$foot2 = ($pars->settings['foot2']);
		$foot3 = ($pars->settings['foot3']);

		OpenTable(_FOOTERCONFIG);
		echo html::form("footer", "{$admin_file}.php");
        $t = new table(null, null, null, 0, 5);

        $t->tr();
        $t->td( _FOOTERLINE1 );
        $t->td( parsNuke_Editor("xfoot1", $foot1) );

        $t->tr();
        $t->td( _FOOTERLINE2 );
        $t->td( parsNuke_Editor("xfoot2", $foot2) );

        $t->tr();
        $t->td( _FOOTERLINE3 );
        $t->td( parsNuke_Editor("xfoot3", $foot3) );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", "savefooter") . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		CloseTable();
        echo "</div>";

		get_footer();
	}

	function backend() {
		global $pars, $db, $admin_file;
		get_header();
		GraphicAdmin();
        echo "<div id='settingResult'>";
		options_menu("backend");
		$backend_title = filter($pars->settings['backend_title'], "nohtml", 0, 'preview');
		$backend_language = filter($pars->settings['backend_language'], "nohtml", 0, 'preview');
		$backend_limit = intval($pars->settings['backend_limit']);
		$ultramode = intval($pars->settings['ultramode']);

		OpenTable(_BACKENDCONFIG);
		echo html::form("backend", "{$admin_file}.php");
        $t = new table(null, null, null, 0, 5);

        $t->tr();
        $t->td( _BACKENDTITLE, "width: 160px" );
        $t->td( html::input("xbackend_title", $backend_title, 'size="40"') );

        $t->tr();
        $t->td( _BACKENDLANG );
        $t->td( html::input("xbackend_language", $backend_language, 'size="5" dir="ltr"') );

        $t->tr();
        $t->td( _BACKENDLIMIT );
        $t->td( html::input("xbackend_limit", $backend_limit, 'size="5" dir="ltr"') );

        $t->tr();
        $t->td( _ACTULTRAMODE );
        $t->td( html::radio("xultramode", array("1"=>_YES, "0"=>_NO), $ultramode) );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", "savebackend") . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		CloseTable();
        echo "</div>";

		get_footer();
	}

	function referers() {
		global $pars, $db, $admin_file;
		get_header();
		GraphicAdmin();
        echo "<div id='settingResult'>";
		options_menu("referers");
		$httpref = intval($pars->settings['httpref']);
		$httprefmax = intval($pars->settings['httprefmax']);
		$httprefmode = intval($pars->settings['httprefmode']);

		OpenTable(_REFCONFIG);
		echo html::form("referers", "{$admin_file}.php");
        $t = new table(null, null, null, 0, 5);

        $t->tr();
        $t->td( _ACTIVATEHTTPREF, "width: 250px" );
        $t->td( html::radio("xhttpref", array("1"=>_YES, "0"=>_NO), $httpref) );

        $options = array("100"=>100, "250"=>250, "500"=>500, "1000"=>1000, "2000"=>2000, "2500"=>2500, "3000"=>3000);
        $t->tr();
        $t->td( _MAXREF );
        $t->td( html::select("xhttprefmax", $options, $httprefmax) );

        $t->tr();
        $t->td( _REFSHOWMODE );
        $t->td( html::radio("xhttprefmode", array("0"=>_UNABRIDGED, "1"=>_ABRIDGED), $httprefmode) );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", "savereferers") . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		CloseTable();
        echo "</div>";

		get_footer();
	}

	function mailing() {
		global $pars, $db, $admin_file;
		get_header();
		GraphicAdmin();
        echo "<div id='settingResult'>";
		options_menu("mailing");
		$adminmail = filter($pars->settings['adminmail'], "nohtml", 0, 'preview');
		$siteMail = filter($pars->settings['siteMail'], "nohtml", 0, 'preview');

		OpenTable(_MAILCONFIG);
		echo html::form("mailing", "{$admin_file}.php");
        $t = new table(null, null, null, 0, 5);

        $t->tr();
        $t->td( _ADMINEMAIL, "width: 150px" );
        $t->td( html::input("xadminmail", $adminmail, 'size="30" dir="ltr"') . html::img("images/icon/information.png", "title='براي اطلاع رساني از وضعيت سايت به مديركل استفاده مي شود'") );

        $t->tr();
        $t->td( _SITEMAIL );
        $t->td( html::input("xsiteMail", $siteMail, 'size="30" dir="ltr"') . html::img("images/icon/information.png", "title='از اين ايميل براي ايميل هايي كه از سايت ارسال مي شود به عنوان ارسال كننده استفاده مي شود'") );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", "savemailing") . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		CloseTable();
        echo "</div>";

		get_footer();
	}

	function cookies() {
		global $pars, $db, $admin_file;
		get_header();
		GraphicAdmin();
        echo "<div id='settingResult'>";
		options_menu("cookies");
		$site_protocol = filter($pars->settings['site_protocol'], "nohtml", 0, 'preview');
		$site_host = filter($pars->settings['site_host'], "nohtml", 0, 'preview');
		$site_path = filter($pars->settings['site_path'], "nohtml", 0, 'preview');

		OpenTable(_COOKIES);
		echo pn_message(_COOKIES_INFO, "info", false);
		echo html::form("cookies", "{$admin_file}.php");
        $t = new table(null, null, null, 0, 5);

        $options = array("http"=>"http", "https"=>"https");
        $t->tr();
        $t->td( SITE_PROTOCOL, "width: 150px" );
        $t->td( html::select("xsite_protocol", $options, $site_protocol) );

        $t->tr();
        $t->td( SITE_HOST );
        $t->td( html::input("xsite_host", $site_host, 'size="30" dir="ltr"') );

        $t->tr();
        $t->td( SITE_PATH );
        $t->td( html::input("xsite_path", $site_path, 'size="30" dir="ltr"') );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", "savecookies") . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		CloseTable();
        echo "</div>";

		get_footer();
	}

	function other() {
		global $pars, $db, $admin_file;
		$limit_top = intval($pars->settings['limit_top']);
		$limit_posts = intval($pars->settings['limit_posts']);
		$limit_avantgo = intval($pars->settings['limit_avantgo']);
		$limit_downloads = intval($pars->settings['limit_downloads']);
		$limit_members = intval($pars->settings['limit_members']);
		get_header();
		GraphicAdmin();
        echo "<div id='settingResult'>";
		options_menu("other");
		OpenTable(_OTHERCONFIG);
		echo html::form("themes", "{$admin_file}.php");
        $t = new table(null, null, null, 0, 5);

        $t->tr();
        $t->td( _LIMIT_TOP, "width: 200px" );
        $t->td( html::input("xlimit_top", $limit_top, 'size="5" dir="ltr"') );

        $t->tr();
        $t->td( _LIMIT_POSTS );
        $t->td( html::input("xlimit_posts", $limit_posts, 'size="5" dir="ltr"') );

        $t->tr();
        $t->td( _LIMIT_AVANTGO );
        $t->td( html::input("xlimit_avantgo", $limit_avantgo, 'size="5" dir="ltr"') );

        $t->tr();
        $t->td( _LIMIT_DOWNLOADS );
        $t->td( html::input("xlimit_downloads", $limit_downloads, 'size="5" dir="ltr"') );

        $t->tr();
        $t->td( _LIMIT_MEMBERS );
        $t->td( html::input("xlimit_members", $limit_members, 'size="5" dir="ltr"') );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", "saveother") . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		CloseTable();
        echo "</div>";
		get_footer();
	}

	function savegeneral($xsitename, $xsiteurl, $xslogan, $xkeywords, $xstartdate, $xadmingraphic, $xseo, $xcaptcha, $xnuke_editor, $xdisplay_errors) {
		global $prefix, $db, $admin_file;
		$xsitename = filter($xsitename, "nohtml", 1);
		$xsiteurl = filter($xsiteurl, "nohtml", 1);
		$xslogan = filter($xslogan, "nohtml", 1);
		$xkeywords = filter($xkeywords, "nohtml", 1);
		$xstartdate = filter($xstartdate, "nohtml", 1);
		$xadmingraphic = intval($xadmingraphic);
		$xseo = intval($xseo);
		$xgfx_chk = intval($xgfx_chk);
		$xnuke_editor = intval($xnuke_editor);
		$xdisplay_errors = intval($xdisplay_errors);
        $xkeywords = str_replace("،", ",", $xkeywords);
        $xkeywords = trim($xkeywords, ",");
	    $xsiteurl = rtrim($xsiteurl, '/');

		$db->query("UPDATE #__settings SET setting_value='$xsitename' where setting_name='sitename' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xsiteurl' where setting_name='siteurl' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xslogan' where setting_name='slogan' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xkeywords' where setting_name='keywords' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xstartdate' where setting_name='startdate' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xadmingraphic' where setting_name='admingraphic' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xseo' where setting_name='seo' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xcaptcha' where setting_name='captcha' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xnuke_editor' where setting_name='nuke_editor' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xdisplay_errors' where setting_name='display_errors' limit 1");

		Header("Location: ".$admin_file.".php?op=general");
		die();
	}

	function savethemes($xDefault_Theme, $xoverwrite_theme) {
		global $prefix, $db, $admin_file;
		$xDefault_Theme = filter($xDefault_Theme, "nohtml", 1);
		$xoverwrite_theme = intval($xoverwrite_theme);
		$db->query("UPDATE #__settings SET setting_value='$xDefault_Theme' where setting_name='Default_Theme' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xoverwrite_theme' where setting_name='overwrite_theme' limit 1");
		Header("Location: ".$admin_file.".php?op=themes");
		die();
	}

	function saveusers($xanonymous, $xregister, $xregister_email, $xavatar, $xavatarsize, $xavatarW, $xavatarH, $xdefaultavatar, $xanonpost, $xoverwrite_theme, $xminpass, $xminUsername) {
		global $prefix, $db, $admin_file;
		$xanonymous = filter($xanonymous, "nohtml", 1);
		$xregister = intval($xregister);
		$xregister_email = intval($xregister_email);
		$xavatar = intval($xavatar);
		$xavatarsize = intval($xavatarsize);
		$xavatarW = intval($xavatarW) < 80? 80 : intval($xavatarW);
		$xavatarH = intval($xavatarH) < 80? 80 : intval($xavatarH);
        $maxavatardims = $xavatarW."x".$xavatarH;
		$xdefaultavatar = filter($xdefaultavatar, "nohtml", 1);
		$xanonpost = intval($xanonpost);
		$xoverwrite_theme = intval($xoverwrite_theme);
		$xminpass = intval($xminpass);
		$xminUsername = intval($xminUsername);

		$db->query("UPDATE #__settings SET setting_value='$xanonymous' where setting_name='anonymous' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xregister' where setting_name='register' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xregister_email' where setting_name='register_email' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xavatar' where setting_name='avatar' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xavatarsize' where setting_name='avatarsize' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$maxavatardims' where setting_name='maxavatardims' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xdefaultavatar' where setting_name='defaultavatar' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xanonpost' where setting_name='anonpost' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xoverwrite_theme' where setting_name='overwrite_theme' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xminpass' where setting_name='minpass' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xminUsername' where setting_name='minUsername' limit 1");

		Header("Location: ".$admin_file.".php?op=users");
		die();
	}

	function savecomments($xanonpost, $xcommentlimit) {
		global $prefix, $db, $admin_file;
		$xanonpost = intval($xanonpost);
		$xcommentlimit = intval($xcommentlimit);

		$db->query("UPDATE #__settings SET setting_value='$xanonpost' where setting_name='anonpost' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xcommentlimit' where setting_name='commentlimit' limit 1");

		Header("Location: ".$admin_file.".php?op=comments");
		die();
	}

	function savelanguages($xlanguage, $xlocale, $xmultilingual, $xuseflags, $xbackend_language) {
		global $prefix, $db, $admin_file;
		$xlanguage = filter($xlanguage, "nohtml", 1);
		$xlocale = filter($xlocale, "nohtml", 1);
		$xmultilingual = intval($xmultilingual);
		$xuseflags = intval($xuseflags);
		$xbackend_language = filter($xbackend_language, "nohtml", 1);

		$db->query("UPDATE #__settings SET setting_value='$xlanguage' where setting_name='language' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xlocale' where setting_name='locale' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xmultilingual' where setting_name='multilingual' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xuseflags' where setting_name='useflags' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xbackend_language' where setting_name='backend_language' limit 1");

		Header("Location: ".$admin_file.".php?op=languages");
		die();
	}

	function savefooter($xfoot1, $xfoot2, $xfoot3) {
		global $prefix, $db, $admin_file;
		$db->query("UPDATE #__settings SET setting_value='$xfoot1' where setting_name='foot1' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xfoot2' where setting_name='foot2' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xfoot3' where setting_name='foot3' limit 1");

		Header("Location: ".$admin_file.".php?op=footer");
		die();
	}

	function savebackend($xbackend_title, $xbackend_language, $xbackend_limit, $xultramode) {
		global $prefix, $db, $admin_file;
		$xbackend_title = filter($xbackend_title, "nohtml", 1);
		$xbackend_language = filter($xbackend_language, "nohtml", 1);
		$xbackend_limit = intval($xbackend_limit)<=0? 1 : intval($xbackend_limit);
		$xultramode = intval($xultramode);

		$db->query("UPDATE #__settings SET setting_value='$xbackend_title' where setting_name='backend_title' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xbackend_language' where setting_name='backend_language' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xbackend_limit' where setting_name='backend_limit' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xultramode' where setting_name='ultramode' limit 1");

		Header("Location: ".$admin_file.".php?op=backend");
		die();
	}

	function savereferers($xhttpref, $xhttprefmax, $xhttprefmode) {
		global $prefix, $db, $admin_file;
		$xhttpref = intval($xhttpref);
		$xhttprefmax = intval($xhttprefmax);
		$xhttprefmode = intval($xhttprefmode);

		$db->query("UPDATE #__settings SET setting_value='$xhttpref' where setting_name='httpref' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xhttprefmax' where setting_name='httprefmax' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xhttprefmode' where setting_name='httprefmode' limit 1");

		Header("Location: ".$admin_file.".php?op=referers");
		die();
	}

	function savemailing($xadminmail, $xsiteMail) {
		global $prefix, $db, $admin_file;
		$xadminmail = filter($xadminmail, "nohtml", 1);
		$xsiteMail = filter($xsiteMail, "nohtml", 1);

		$db->query("UPDATE #__settings SET setting_value='$xadminmail' where setting_name='adminmail' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xsiteMail' where setting_name='siteMail' limit 1");

		Header("Location: ".$admin_file.".php?op=mailing");
		die();
	}

	function savecookies($xsite_protocol, $xsite_host, $xsite_path) {
		global $prefix, $db, $admin_file;
		$xsite_protocol = filter($xsite_protocol, "nohtml", 1);
		$xsite_host = filter($xsite_host, "nohtml", 1);
		$xsite_path = filter($xsite_path, "nohtml", 1);

		$db->query("UPDATE #__settings SET setting_value='$xsite_protocol' where setting_name='site_protocol' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xsite_host' where setting_name='site_host' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xsite_path' where setting_name='site_path' limit 1");

		Header("Location: ".$admin_file.".php?op=cookies");
		die();
	}

	function saveother($xlimit_top, $xlimit_posts, $xlimit_avantgo, $xlimit_downloads, $xlimit_members) {
		global $prefix, $db, $admin_file;
		$xlimit_top = intval($xlimit_top);
		$xlimit_posts = intval($xlimit_posts);
		$xlimit_avantgo = intval($xlimit_avantgo);
		$xlimit_downloads = intval($xlimit_downloads);
		$xlimit_members = intval($xlimit_members);

		$db->query("UPDATE #__settings SET setting_value='$xlimit_top' where setting_name='limit_top' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xlimit_posts' where setting_name='limit_posts' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xlimit_avantgo' where setting_name='limit_avantgo' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xlimit_downloads' where setting_name='limit_downloads' limit 1");
		$db->query("UPDATE #__settings SET setting_value='$xlimit_members' where setting_name='limit_members' limit 1");

		Header("Location: ".$admin_file.".php?op=other");
		die();
	}

	switch($op) {

		case "Configure":
		Configure();
		break;

		case "general":
		general();
		break;

		case "savegeneral":
		savegeneral($pars->input['xsitename'], $pars->input['xsiteurl'], $pars->input['xslogan'], $pars->input['xkeywords'], $pars->input['xstartdate'], $pars->input['xadmingraphic'], $pars->input['xseo'], $pars->input['xcaptcha'], $pars->input['xnuke_editor'], $pars->input['xdisplay_errors']);
		break;

		case "themes":
		themes();
		break;

		case "savethemes":
		savethemes($pars->input['xDefault_Theme'], $pars->input['xoverwrite_theme']);
		break;

		case "users":
		users();
		break;

		case "saveusers":
		saveusers($pars->input['xanonymous'], $pars->input['xregister'], $pars->input['xregister_email'], $pars->input['xavatar'], $pars->input['xavatarsize'], $pars->input['xavatarW'], $pars->input['xavatarH'], $pars->input['xdefaultavatar'], $pars->input['xanonpost'], $pars->input['xoverwrite_theme'], $pars->input['xminpass'], $pars->input['xminUsername']);
		break;

		case "comments":
		comments();
		break;

		case "savecomments":
		savecomments($pars->input['xanonpost'], $pars->input['xcommentlimit']);
		break;

		case "languages":
		languages();
		break;

		case "savelanguages":
		savelanguages($pars->input['xlanguage'], $pars->input['xlocale'], $pars->input['xmultilingual'], $pars->input['xuseflags'], $pars->input['xbackend_language']);
		break;

		case "footer":
		footer();
		break;

		case "savefooter":
		savefooter($pars->input['xfoot1'], $pars->input['xfoot2'], $pars->input['xfoot3']);
		break;

		case "backend":
		backend();
		break;

		case "savebackend":
		savebackend($pars->input['xbackend_title'], $pars->input['xbackend_language'], $pars->input['xbackend_limit'], $pars->input['xultramode']);
		break;

		case "referers":
		referers();
		break;

		case "savereferers":
		savereferers($pars->input['xhttpref'], $pars->input['xhttprefmax'], $pars->input['xhttprefmode']);
		break;

		case "mailing":
		mailing();
		break;

		case "savemailing":
		savemailing($pars->input['xadminmail'], $pars->input['xsiteMail']);
		break;

		case "cookies":
		cookies();
		break;

		case "savecookies":
		savecookies($pars->input['xsite_protocol'], $pars->input['xsite_host'], $pars->input['xsite_path']);
		break;

		case "other":
		other();
		break;

		case "saveother":
		saveother($pars->input['xlimit_top'], $pars->input['xlimit_posts'], $pars->input['xlimit_avantgo'], $pars->input['xlimit_downloads'], $pars->input['xlimit_members']);
		break;

	}

} else {
	echo "Access Denied";
}

?>