<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: backend.php 2012-01-28 19:10:21 (Iman92)$
 */

include("mainfile.php");
include("includes/ipban.php");
header("Content-Type: text/xml; charset=utf-8");

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<rss version=\"2.0\" xmlns:content=\"http://purl.org/rss/1.0/modules/content/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\">\n";
echo "\t<channel>\n";
echo "\t\t<title><![CDATA[".$pars->settings['sitename']."]]></title>\n";
echo "\t\t<link>".$pars->settings['siteurl']."/</link>\n";
echo "\t\t<description><![CDATA[".$pars->settings['backend_title']."]]></description>\n";
echo "\t\t<pubDate>".gmdate("D, d M Y H:i:s O", time())."</pubDate>\n";
echo "\t\t<generator>ParsNuke</generator>\n";

$result = $db->query("SELECT content_id, content_title, content_date, content_text FROM #__content ORDER BY content_id DESC LIMIT ".intval($pars->settings['backend_limit']));
while ($row = $db->fetchRow($result)) {
	echo "\t\t<item>\n";
	echo "\t\t\t<title><![CDATA[".$row['content_title']."]]></title>\n";
	echo "\t\t\t<link>".$pars->settings['siteurl']."/modules.php?name=Content&amp;id=".$row['content_id']."-".pn_urlencode($row['content_title'], true)."</link>\n";
	echo "\t\t\t<pubDate>".gmdate("D, d M Y H:i:s O", strtotime($row['content_date']))."</pubDate>\n";
	echo "\t\t\t<guid isPermaLink=\"false\">".$pars->settings['siteurl']."/modules.php?name=Content&amp;id=".$row['content_id']."-".pn_urlencode($row['content_title'], true)."</guid>\n";
	echo "\t\t\t<description><![CDATA[".$row['content_text']."]]></description>\n";
	echo "\t\t</item>\n";
}

echo "\t</channel>\n";
echo "</rss>";

?>