<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: block-Modules.php 2012-01-28 18:01:16 (Iman92)$
 */

if ( !defined('BLOCK_FILE') ) {
	Header("Location: ../index.php");
	die();
}

global $prefix, $db, $admin, $language, $currentlang, $cache;

get_modules();

$content .= "<ul id='block-Modules'>\n";
$content .= "<li><a href=\"index.php\">"._HOME."</a></li>\n";
foreach ($cache->modules as $PN_module => $val) {
    if ($val['active']==0 || $val['inmenu']==0) continue;
	$m_title = filter($val['title'], "nohtml");
	$custom_title = filter($val['custom_title'], "nohtml");
	$view = intval($val['view']);
	$m_title2 = str_replace("_", " ", $m_title);
	if ($custom_title != "") {
	    $m_title2 = $custom_title;
	}
	if ((is_admin() && $view == 2) || $view != 2) {
		 $content .= "<li><a href=\"modules.php?name=$m_title\">$m_title2</a></li>\n";
	}
}
if (is_admin()) {
    $content .= "<br><center><b>"._INVISIBLEMODULES."</b></center>";
    $content .= "<center><font class=\"tiny\">"._ACTIVEBUTNOTSEE."</font></center><br>";
    foreach ($cache->modules as $PN_module => $val) {
        if ($val['active']==0 || $val['inmenu']==1) continue;
    	$m_title = filter($val['title'], "nohtml");
    	$custom_title = filter($val['custom_title'], "nohtml");
    	$view = intval($val['view']);
    	$m_title2 = str_replace("_", " ", $m_title);
    	if ($custom_title != "") {
    	    $m_title2 = $custom_title;
    	}
    	$content .= "<li><a href=\"modules.php?name=$m_title\">$m_title2</a></li>\n";
    }

	$content .= "<br><center><b>"._NOACTIVEMODULES."</b></center>";
	$content .= "<center><font class=\"tiny\">"._FORADMINTESTS."</font></center><br>";
    foreach ($cache->modules as $PN_module => $val) {
        if ($val['active']==1) continue;
    	$m_title = filter($val['title'], "nohtml");
    	$custom_title = filter($val['custom_title'], "nohtml");
    	$view = intval($val['view']);
    	$m_title2 = str_replace("_", " ", $m_title);
    	if ($custom_title != "") {
    	    $m_title2 = $custom_title;
    	}
    	$content .= "<li><a href=\"modules.php?name=$m_title\">$m_title2</a></li>\n";
    }
};
$content .= "</ul>\n";

unset($PN_module, $val, $m_title, $m_title2, $custom_title, $view);
?>