<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: block-Search.php 2012-02-01 23:03:48 (Iman92)$
 */

if ( !defined('BLOCK_FILE') ) {
    Header("Location: ../index.php");
    die();
}

global $currentlang, $cache;

$content .= html::form("search", "modules.php?name=Search");
$t = new table(null, null, null, 0, 5);

$t->tr();
$t->td("متن جستجو", "width: 100px");
$t->td(html::input("text", '', "size='40'"));

$options = array();
foreach ($cache->modules as $PN_module => $val) {
    if ($val['active']==0) continue;
	if(file_exists(INCLUDE_PATH."modules/{$PN_module}/{$PN_module}.search.php")){
		$options[$PN_module] = $PN_module;
	}
}
$t->tr();
$t->td( "بخش مورد جستجو" );
$t->td(html::select("section", $options, '') . "&nbsp;" . html::submit("submit", "جستجو"));

$content .= $t->get_contents();
$content .= html::form("End");

unset($PN_module, $val, $t);

?>