<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: block-User_Info.php 2012-02-01 23:03:48 (Iman92)$
 */

if ( !defined('BLOCK_FILE') ) {
    Header("Location: ../index.php");
    die();
}

global $prefix, $db, $pars, $sitekey;

$sql3 = "SELECT uname, guest FROM ".$prefix."_session WHERE guest='0'";
$result = $db->query($sql3);
$member_online_num = $db->numRows($result);
$who_online_now = "";
$i = 1;
while (list($uname, $guest) = $db->fetchArray($result)) {
    if (isset($guest) and $guest == 0) {
        if ($i < 10) {
            $who_online_now .= "0" .$i.":&nbsp;<a href=\"".pn_link("name=Account&op=Profile&UserName=$uname")."\" title=\"پروفايل $uname\">$uname</a><br>\n";
        } else {
            $who_online_now .= $i.":&nbsp;<a href=\"".pn_link("name=Account&op=Profile&UserName=$uname")."\" title=\"پروفايل $uname\">$uname</a><br>\n";
        }
        $who_online_now .= ($i != $member_online_num ? "  " : "");
        $i++;
    }
}

// Formatting date - Fix by Quake
$curDate2 = "%".date("Y-m-d")."%";
$ty = time() - 86400;
$preday = strftime('%d', $ty);
$premonth = strftime('%m', $ty);
$preyear = strftime('%Y', $ty);
$curDateP = "%".$preyear."-".$premonth."-".$preday."%";
$sql = $db->query("SELECT (SELECT COUNT(member_id) AS userCount FROM #__members WHERE member_date LIKE '$curDate2') userCount,
                              (SELECT COUNT(member_id) AS userCount FROM #__members WHERE member_date LIKE '$curDateP') userCount2,
                              (SELECT `member_name` FROM #__members ORDER BY member_id DESC LIMIT 0,1) lastuser,
                              (SELECT COUNT(member_id) FROM #__members) numrows;");
$user_Count = $db->fetchRow($sql);
$db->freeResult($sql);
$userCount = intval($user_Count['userCount']);
$userCount2 = intval($user_Count['userCount2']);
$lastuser = pn_safe($user_Count['lastuser'], "en-num");
$numrows = intval($user_Count['numrows']);

$sql = $db->query("SELECT (SELECT COUNT(*) from #__session WHERE guest='1') count_guest,
                      (SELECT COUNT(*) from  #__session WHERE guest='0') count_member;");
$online_num = $db->fetchRow($sql);
$db->freeResult($sql);
$guest_online_num = intval($online_num['count_guest']);
$member_online_num = intval($online_num['count_member']);

$who_online_num = $guest_online_num + $member_online_num;
$who_online_num = intval($who_online_num);

if (is_member()) {
    $memberData = is_member('data');
    $content .= "<img src=\"images/blocks/user.png\" height=\"16\" width=\"16\"> "._BWEL.", <b>{$memberData['member_name']}</b>.<br>\n";
    $content .= "<img src=\"images/blocks/your_ip.png\" height=\"16\" width=\"16\"> آي پي شما: <b>".get_ip()."</b><b></b>\n<br>";
    $content .= "<img src=\"images/blocks/logout.png\" height=\"16\" width=\"16\"> <a href=\"".pn_link("name=Account&op=LogOut")."\" class=\"pars_red\"><b>"._LOGOUT."</b></a><hr style='border:none;border-bottom:#DDDDDD 1px solid;margin:3px 0px'>\n";

    $sql = $db->query("SELECT (SELECT COUNT(msg_id) FROM #__private_messages WHERE msg_receiver='{$memberData['member_name']}' AND mag_read='0') newpms,
                                  (SELECT COUNT(msg_id) FROM #__private_messages WHERE msg_receiver='{$memberData['member_name']}' AND mag_read='1') oldpms,
                                  (SELECT COUNT(msg_id) FROM #__private_messages WHERE msg_sender='{$memberData['member_name']}') sendpms,
                                  (SELECT COUNT(msg_id) FROM #__private_messages WHERE msg_sender='{$memberData['member_name']}' OR msg_receiver='{$memberData['member_name']}') allpms;");
    $Msg = $db->fetchRow($sql);
    $db->freeResult($sql);
    $newpms = intval($Msg['newpms']);
    $oldpms = intval($Msg['oldpms']);
    $sendpms = intval($Msg['sendpms']);
    $allpms = intval($Msg['allpms']);

    $content .= "<img src=\"images/blocks/pms.png\" height=\"16\" width=\"16\"> <a href=\"".pn_link("name=Account&op=PrivateMessages")."\"><b>"._BPM."</b></a><br>\n";
    $content .= "<img src=\"images/blocks/email-r.gif\" height=\"10\" width=\"14\"> "._BUNREAD.": <b class=pars_red>".intval($newpms)."</b><br>\n";
    $content .= "<img src=\"images/blocks/email-g.gif\" height=\"10\" width=\"14\"> "._BREAD.": <b>".intval($oldpms)."</b><br>\n\n";
    $content .= "<img src=\"images/blocks/email-c.gif\" height=\"10\" width=\"14\"> ارسالي ها: <b>".intval($sendpms)."</b><br>\n\n";
    $content .= "<img src=\"images/blocks/email-y.gif\" height=\"10\" width=\"14\"> كل پيام ها: <b>".intval($allpms)."</b><br>\n<hr style='border:none;border-bottom:#DDDDDD 1px solid;margin:3px 0px'>\n";
    unset($sql,$Msg,$newpms,$oldpms,$sendpms,$allpms);
} else {
    $content .= "<img src=\"images/blocks/user.png\" height=\"16\" width=\"16\"> "._BWEL.", {$pars->settings['anonymous']}<b></b>\n<br>";
    $content .= "<img src=\"images/blocks/your_ip.png\" height=\"16\" width=\"16\"> آي پي شما: <b>".get_ip()."</b><b></b>\n<hr style='border:none;border-bottom:#DDDDDD 1px solid;margin:3px 0px'>";
    $content .= "<form name=\"login\" action=\"".pn_link("name=Account&op=Login")."\" method=\"POST\" onsubmit=\"this.submit.disabled='true'\">\n";
    $content .= "<table>\n";
    $content .= "  <tr>\n";
    $content .= "    <td style=\"width:60px\">"._NICKNAME."</td>\n";
    $content .= "    <td><input name=\"username\" type=\"text\" value=\"\" size=\"20\" dir=\"ltr\"></td>\n";
    $content .= "  </tr>\n";
    $content .= "  <tr>\n";
    $content .= "    <td>"._PASSWORD."</td>\n";
    $content .= "    <td><input name=\"password\" type=\"password\" value=\"\" size=\"20\" dir=\"ltr\"></td>\n";
    $content .= "  </tr>\n";
    $content .= "  <tr>\n";
    $content .= "    <td></td>\n";
    $content .= "    <td><input type=\"submit\" name=\"LOGIN\" value=\""._LOGIN."\"></td>\n";
    $content .= "  </tr>\n";
    $content .= "</table>\n";
    $content .= "</form><hr style='border:none;border-bottom:#DDDDDD 1px solid;margin:3px 0px'>";
}
$content .= "<img src=\"images/blocks/folder_user.png\" height=\"16\" width=\"16\"> <b>"._BMEMP.":</b><br>\n";
$content .= "<img src=\"images/blocks/member_new.png\" height=\"16\" width=\"16\"> "._BLATEST.": <a href=\"".pn_link("name=Account&op=Profile&UserName=$lastuser")."\"><b>$lastuser</b></a><br>\n";
$content .= "<img src=\"images/blocks/today.png\" height=\"16\" width=\"16\"> "._BTD.": <b>$userCount</b><br>\n";
$content .= "<img src=\"images/blocks/yesterday.png\" height=\"16\" width=\"16\"> "._BYD.": <b>$userCount2</b><br>\n";
$content .= "<img src=\"images/blocks/total_users.png\" height=\"16\" width=\"16\"> "._BOVER.": <b>$numrows</b><br>\n<hr style='border:none;border-bottom:#DDDDDD 1px solid;margin:3px 0px'>\n";
$content .= "<img src=\"images/blocks/total.png\" height=\"16\" width=\"16\"> <b>"._BVISIT.":</b>\n<br>\n";
$content .= "<img src=\"images/blocks/user-1.png\" height=\"16\" width=\"16\"> "._BVIS.": <b>$guest_online_num</b><br>\n";
$content .= "<img src=\"images/blocks/online.png\" height=\"16\" width=\"16\"> "._BMEM.": <b>$member_online_num</b><br>\n";
$content .= "<img src=\"images/blocks/user-2.png\" height=\"16\" width=\"16\"> "._BTT.": <b>$who_online_num</b><br>\n";
if ($member_online_num > 0) {
    $content .= "<hr style='border:none;border-bottom:#DDDDDD 1px solid;margin:3px 0px'>\n<img src=\"images/blocks/new_users.png\" height=\"16\" width=\"16\"> <b>"._BON.":</b><br>$who_online_now";
}

unset($who_online_num,$guest_online_num,$member_online_num,$online_num,$sql);
?>