<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: functions_comments.php 2012-01-28 19:10:21 (Iman92)$
 */

if (stristr(htmlentities($_SERVER['PHP_SELF']), "functions_comments.php")) {
	Header("Location: ../index.php");
	die();
}

if(!function_exists("themeComments")) {
      function themeComments($comments, $form) {
               global $pars;
               if(is_array($comments) && count($comments))
               foreach($comments as $comment) {
                       openTable("{$comment['author']} در تاريخ ".jdate("l j F Y ساعت H:i", strtotime($comment['date']))." گفته:");
                       echo "<img src=\"{$comment['author_avatar']}\" style=\"float:left\">";
                       if($comment['approve']==0)
                       echo "<i class=pars_red>نظر شما هنوز تاييد نشده است، پس از تاييد براي عموم نمايش داده خواهد شد.</i><br>";
                       echo $comment['text'];
                       if(!empty($comment['answer']))
                       echo "<div style=\"margin:5px;padding:5px;background:#F8F8F8;border:#EAEAEA 1px dashed;float:right\"><b>{$comment['answer_author']} در پاسخ گفته:</b> {$comment['answer']}</div>";
                       if(!empty($comment['author_url']))
                       echo "<div style=\"text-align: left\"><a href=\"{$comment['author_url']}\" target=\"_blank\" rel=\"nofollow\">وبسايت</a></div>";
                       closeTable();
               }

               openTable();
               echo "<center>{$form['total']} نظر براي اين بخش به ثبت رسيده است.</center>";
               closeTable();

               openTable("ارسال يك نظر جديد");
               if ($pars->settings['anonpost']==0 && !is_member() && !is_admin()) {
                      echo pn_message("كاربران غير عضو اجازه ارسال نظر را ندارند", "info", false);
               } else {
               include_once(INCLUDE_PATH."includes/functions_bbcode.php");
               echo "<form name=\"send-comment\" id=\"send-comment\" action=\"{$form['action']}\" method=\"POST\">\n";
               echo "<table cellpadding=\"5\" cellspacing=\"0\">\n";
               echo "  <tr>\n";
               echo "    <td style=\"width: 100px\">نام شما</td>\n";
               echo "    <td><input name=\"comment[name]\" type=\"text\" value=\"{$form['name']}\" required=\"required\" size=\"30\"></td>\n";
               echo "  </tr>\n";
               echo "  <tr>\n";
               echo "    <td>ايميل</td>\n";
               echo "    <td><input name=\"comment[email]\" type=\"email\" value=\"{$form['email']}\" required=\"required\" size=\"30\" style=\"direction: ltr\"> (منتشر نخواهد شد)</td>\n";
               echo "  </tr>\n";
               echo "  <tr>\n";
               echo "    <td>آدرس وبسايت</td>\n";
               echo "    <td><input name=\"comment[url]\" type=\"text\" value=\"{$form['url']}\" size=\"30\" style=\"direction: ltr\"></td>\n";
               echo "  </tr>\n";
               echo "  <tr>\n";
               echo "    <td>متن نظر</td>\n";
               echo "    <td><textarea name=\"comment[text]\" id=\"comment-text\" required=\"required\" cols=\"45\" rows=\"5\"></textarea>".pn_bbcodes('comment-text', 'send-comment')."</td>\n";
               echo "  </tr>\n";
               if ($captcha = create_captcha('comment')) {
               echo "  <tr>\n";
               echo "    <td>كد امنيتي</td>\n";
               echo "    <td>".$captcha."<input name=\"comment[captcha]\" type=\"number\" value=\"\" required=\"required\" size=\"5\" style=\"direction: ltr\"></td>\n";
               echo "  </tr>\n";
               }
               echo "  <tr>\n";
               echo "    <td></td>\n";
               echo "    <td><input type=\"submit\" name=\"comment[save]\" value=\"ارسال نظر\"><input type=\"reset\" value=\"پاك كردن فرم\"></td>\n";
               echo "  </tr>\n";
               echo "</table>\n";
               echo "<input name=\"comment[link]\" type=\"hidden\" value=\"{$form['link']}\">\n";
               echo "</form>";
               }
               closeTable();
      }
}

function pn_commentsShow($type, $link, $action) {
         global $db, $memberData, $pars;
         $link = intval($link);
         $type = pn_safe($type, "en-num");
         #$action = pn_safe($action, "_nohtml");
         $comments = array();

         if(is_member())
         $memberData = is_member('data');
         else
         $memberData = null;

		 require_once(INCLUDE_PATH."includes/functions_bbcode.php");
		 $q = $db->query("SELECT c.*,m.member_avatar
		                      FROM #__comments AS c
		                      LEFT JOIN #__members AS m ON (m.member_id = c.comment_user_id)
		                      WHERE c.comment_type='$type' AND c.comment_link='$link' AND (c.comment_approve!='0' || c.comment_author_ip='".get_ip()."')
		                      GROUP BY c.comment_id
		                      ORDER BY c.comment_id ASC");

         $total = $db->numRows($q);
         while($row = $db->fetchRow($q)) {
               $row['member_avatar'] = empty($row['member_avatar'])? $pars->settings['defaultavatar'] : $row['member_avatar'];
               $comments[] = array(
                       "id" => $row['comment_id'],
                       "user_id" => $row['comment_user_id'],
                       "author" => $row['comment_author'],
                       "author_email" => $row['comment_author_email'],
                       "author_url" => $row['comment_author_url'],
                       "author_ip" => $row['comment_author_ip'],
                       "author_avatar" => $row['member_avatar'],
                       "date" => $row['comment_date'],
                       "text" => pn_htmlcode(nl2br($row['comment_text'])),
                       "answer_author" => $row['comment_answer_author'],
                       "answer" => pn_htmlcode(nl2br($row['comment_answer'])),
                       "approve" => $row['comment_approve'],
                       );
         }
         $form = array("action" => $action,
                       "name" => isset($memberData['member_alias']) && !empty($memberData['member_alias'])? $memberData['member_alias'] : $memberData['member_name'],
                       "email" => isset($memberData['member_email']) && !empty($memberData['member_email'])? $memberData['member_email'] : "",
                       "url" => isset($memberData['member_website']) && !empty($memberData['member_website'])? $memberData['member_website'] : "http://",
                       "total" => $total,
                       "link" => intval($link));
         themeComments($comments, $form);
}

function pn_commentSave($type, $data, $url, $captcha='IMAN') {
         global $db, $memberData, $pars;
         $pars->settings['commentlimit'] = (int) $pars->settings['commentlimit'];

         define('INDEX_FILE', true);
         $url = pn_safe($url, "_nohtml");
         $message = null;

         if(is_member())
         $memberData = is_member('data');
         else
         $memberData['member_id'] = null;

         if($pars->settings['anonpost']==0 && !is_member() && !is_admin())
         $message .= "كاربران غير عضو اجازه ارسال نظر را ندارند<br>";

         if(empty($data['name']))
         $message .= "نام خود را وارد نكرده ايد<br>";

         if(empty($data['email']) || !validate_email_format($data['email']))
         $message .= "ايميل وارد شده صحيح نيست!<br>";

         $data['text'] = trim($data['text']);
         if(empty($data['text']))
         $message .= "متن نظر خود را ننوشته ايد!<br>";

         if(pn_strlen($data['text']) < 5)
         $message .= "نظر شما خيلي كوتاه است حداقل بايد 5 حرف باشد!<br>";

         if(pn_strlen($data['text']) > $pars->settings['commentlimit'])
         $message .= "نظر شما ".pn_strlen($data['text'])." حرف است، حداكثر تعداد حروف بايد ".$pars->settings['commentlimit']." عدد باشد!<br>";

         if(isset($memberData['member_karma']) && $memberData['member_karma']==3)
         $message .= "شما از سوي مدير سايت كاربري با كردار بسيار بد شناخته شده ايد و اجازه ارسال نظر نداريد!<br>";

         if(!empty($message)) {
              get_header();
              pn_error($message, "اطلاعات وارد شده ناقص مي باشد!", false);
         }

         if($data['url']=='http://')
         $data['url'] = null;

         $arr = array(
         'comment_type' => $type,
         'comment_link' => intval($data['link']),
         'comment_author' => pn_safe($data['name'], 'showhtml'),
         'comment_author_email' => pn_safe($data['email'], '_nohtml'),
         'comment_author_url' => pn_safe($data['url'], '_nohtml'),
         'comment_author_ip' => pn_safe(get_ip(), '_nohtml'),
         'comment_date' => date("Y-m-j H:i:s"),
         'comment_text' => pn_safe($data['text'], 'showhtml'),
         'comment_user_id' => $memberData['member_id'],
         'comment_approve' => 0,
         );
         $db->insert("comments", $arr);
		 if ($db->affectedRows())
         update_points("Comment");
         pn_unsetcookie('PARSNUKE_CAPTCHA_'.$captcha);

         pn_redirect($url);
}

?>