<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 18:01:16 (Iman92)$
 */

require_once("mainfile.php");
global $prefix, $db, $admin_file;
Header("Content-type: text/html; charset=utf-8");

if (isset($pars->input['ads_click']) AND is_numeric($pars->input['ads_click'])) {
	$sql = "SELECT banner_url FROM #__banners WHERE banner_id='{$pars->input['ads_click']}' AND banner_date>NOW() limit 1";
	$result = $db->query($sql);
	$row = $db->fetchRow($result);
	$banner_url = filter($row['banner_url'], "nohtml");
    if (!$banner_url) pn_redirect("./", false);
	$db->query("UPDATE #__banners SET banner_clicks=banner_clicks+1 WHERE banner_id='{$pars->input['ads_click']}' AND banner_date>NOW() limit 1");
	update_points("Advertising");
	pn_redirect($banner_url, false);
}

$modpath = '';
define('MODULE_FILE', true);
$_SERVER['PHP_SELF'] = "modules.php";
$row = $db->fetchRow($db->query("SELECT main_module from ".$prefix."_main"));
$name = $row['main_module'];
define('HOME_FILE', true);

if ($pars->settings['httpref'] == 1) {
    if (isset($_SERVER['HTTP_REFERER'])) {
        $referer = check_html($_SERVER['HTTP_REFERER'], "nohtml");
        if (stripos($referer, "nuke_") && stripos($referer, "into") && stripos($referer, "from"))
    	$referer = "";
    }
    if (!empty($referer) && !stripos($referer, "unknown") && !stripos($referer, "bookmark") && !stripos($referer, $_SERVER['HTTP_HOST'])) {
        $db->insert("referer",array('url' => $referer,
                                        'time' => date("Y-m-d H:i:s"),
                                        'ip' => get_ip()));
    }
    $numrows = $db->numRows($db->query("SELECT * FROM #__referer"));
    if($numrows>=$pars->settings['httprefmax']) {
        $result2 = $db->query("DELETE FROM #__referer");
    }
}

if (!isset($mop)) { $mop="modload"; }
if (!isset($mod_file)) { $mod_file="index"; }

if (isset($file)) { $file = pn_safe($file, "en-num"); }

if (stripos($name,"..") || (isset($file) && stripos($file,"..")) || stripos($mod_file,"..") || stripos($mop,"..")) {
	die("You are so cool...");
} else {
	$mod_file = pn_safe($mod_file, "en-num");
	$mop = pn_safe($mop, "en-num");
	$ThemeSel = get_theme();
	if (file_exists("themes/$ThemeSel/module.php")) {
		include("themes/$ThemeSel/module.php");
		if (is_active("$default_module") AND file_exists("modules/$default_module/".$mod_file.".php")) {
			$name = $default_module;
		}
	}
	if (file_exists("themes/$ThemeSel/modules/$name/".$mod_file.".php")) {
		$modpath = "themes/$ThemeSel/";
	}
	$modpath .= "modules/$name/".$mod_file.".php";
	if (file_exists($modpath)) {
		include($modpath);
	} else {
		define('INDEX_FILE', true);
		get_header();
		OpenTable();
		if (is_admin($admin)) {
			echo "<center><font class=\"\"><b>"._HOMEPROBLEM."</b></font><br><br>[ <a href=\"".$admin_file.".php?op=modules\">"._ADDAHOME."</a> ]</center>";
		} else {
			echo "<center>"._HOMEPROBLEMUSER."</center>";
		}
		CloseTable();
		get_footer();
	}
}
parsNuke_ob_end_flush();

?>