<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: Account.config.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('NUKE_FILE')) {
	die ("You can't access this file directly...");
}

function is_member($type='') {
    if(!isset($_COOKIE['member']) || !isset($_COOKIE['loginKey']) || empty($_COOKIE['member']) || empty($_COOKIE['loginKey'])) return 0;
    static $saveMember, $saveDate;
    if(isset($saveMember) AND isset($saveDate) AND is_array($saveDate) AND count($saveDate) AND $type=='data') return $saveDate;
    elseif(isset($saveMember)) return $saveMember;

    global $db, $sitekey;
    $member = base64_decode($_COOKIE['member']);
    $member = $db->escapeString($member);
    $member = explode(':', $member);
    if(!isset($member[0]) || !isset($member[1]) || !isset($member[2]) || empty($member[0]) || empty($member[1]) || empty($member[2])) return 0;
    $member[0] = (int) $member[0];
    $member[1] = pn_safe($member[1], "en-num");
    $member[2] = pn_safe($member[2], "_nohtml");
    $loginKey = $db->escapeString($_COOKIE['loginKey']);
	$PN_SERVER_NAME = str_replace('www.', '', $_SERVER['SERVER_NAME']);
    $key = sha1(md5($_SERVER['HTTP_USER_AGENT'].$sitekey.$PN_SERVER_NAME));

    if (!empty($member[1]) && !empty($member[2])) {
    	$result = $db->query("SELECT * FROM #__members WHERE member_name='$member[1]' AND member_status='1'");
    	$result = $db->fetchRow($result);
    	if (md5($result['member_password']) == $member[2] && !empty($result['member_password']) && $loginKey==sha1($result['member_key']) && $key==$loginKey) {
    		 $saveDate = $result;
    		 $saveMember = 1;
             if($type=='data')
    		 return $saveDate;
             else
    		 return $saveMember;
    	}
    }
	pn_unsetcookie("member");
	pn_unsetcookie("loginKey");
    return $saveMember = 0;
}

function getMemberData($id=false, $username=false) {
    global $db;
    static $save = array();
    $id = intval($id);
    $username = pn_safe($username, "en-num");

    if($id && isset($save['id'][$id]))
    return $save['id'][$id];
    elseif($username && isset($save['name'][$username]))
    return $save['name'][$username];

    if($id)
    $where = "`member_id`='".$id."'";
    else
    $where = "`member_name`='".$username."'";

    $q = $db->query("SELECT * FROM `#__members` WHERE $where LIMIT 1");
    $total = $db->numRows($q);
    if($total>=1) {
        $u = $db->fetchRow($q);
        $save['id'][$u['member_id']] = $save['name'][$u['member_name']] = $u;
        $db->freeResult($q);
        return $u;
    }else
    return false;
}

?>