<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: Content.config.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('NUKE_FILE')) {
	die ("You can't access this file directly...");
}

function cache_contentCategories() {
    global $db, $cache;
    if(!isset($cache->content_categories) || !is_array($cache->content_categories) || !count($cache->content_categories)) {
        $cache->content_categories = array();
        $q = $db->query("SELECT * FROM  {$db->prefix}categories WHERE cat_type='content' ORDER BY CAT_ID ASC");
        while($row = $db->fetchRow($q)) {
            $cache->content_categories[$row['cat_id']] = $row;
        }
        $db->freeResult();
    }
}

if (defined('ADMIN_FILE')) {
    function content_commentsLink($data) {
        global $db, $cache, $config;
        if($data['type']!='content') return false;
        $data['link'] = (int) $data['link'];
        $title = $db->fetchRowSet("SELECT content_title FROM  #__content WHERE content_id='{$data['link']}' limit 1");
        if(!$title) return false;
        return "پست: <b><a href='modules.php?name=Content&id={$data['link']}' target='_blank'>{$title['content_title']}</a></b>";
    }
    add_hook("admin.CommentsEdit.link", "content_commentsLink");
}

?>