<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('MODULE_FILE')) {
	die ("You can't access this file directly...");
}
cache_contentCategories();

define('INDEX_FILE', true);
get_header();
$pageNum = (int) pn_getParam('pageNum', $_GET, 1);
$pageNum = $pageNum<=0? 1 : $pageNum;
$limit   = intval($pars->settings['limit_posts']);
$offset  = parsNuke_page('SQL',$limit,$pageNum);
$pageURL = 'modules.php?name=Content&amp;';
$where = "WHERE `content_approve`='1' AND `content_date`<=NOW() ORDER BY content_fixed DESC, content_date DESC, content_id DESC LIMIT $offset,$limit";
$totalWHERE = null;
if(isset($_GET['id'])) {

    $_GET['id'] = intval($_GET['id']);
    $where = "WHERE content_id=".$_GET['id']." AND `content_approve`='1' AND `content_date`<=NOW() LIMIT 1";
	$db->query("UPDATE `{$db->prefix}content` SET `content_hits`=`content_hits`+1 WHERE `content_id`='".$_GET['id']."' AND `content_approve`='1' LIMIT 1");

}elseif(isset($_GET['catID'])) {

    $_GET['catID'] = pn_safe(urldecode($_GET['catID']), 'en-fa-num');
    $pageURL = 'modules.php?name=Content&amp;catID='.$_GET['catID'].'&amp;';
    $_GET['catID'] = intval($_GET['catID']);
    if(!isset($cache->content_categories[$_GET['catID']])) Header("Location: ".$config->url);
    set_title($cache->content_categories[$_GET['catID']]['cat_name']);
    $where = "WHERE content_category=".$_GET['catID']." AND `content_approve`='1' AND `content_date`<=NOW() ORDER BY content_fixed DESC, content_date DESC, content_id DESC LIMIT $offset,$limit";
    $totalWHERE = "AND content_category=".$_GET['catID'];

}elseif(isset($_GET['tag'])) {

    $_GET['tag'] = pn_safe(urldecode($_GET['tag']), 'en-fa-num');
    $_GET['tag'] = trim(str_replace(array("-", "/")," ",$_GET['tag']));
    $pageURL = 'modules.php?name=Content&amp;tag='.pn_urlencode($_GET['tag'], true).'&amp;';
    if(empty($_GET['tag'])) Header("Location: ".$config->url);
    set_title($_GET['tag']);
    set_meta('description', $_GET['tag']);
    set_meta('keywords', $_GET['tag']);
    $where = "WHERE content_tags LIKE '%".$_GET['tag']."%' AND `content_approve`='1' AND `content_date`<=NOW() ORDER BY content_fixed DESC, content_date DESC, content_id DESC LIMIT $offset,$limit";
    $totalWHERE = "AND content_tags LIKE '%".$_GET['tag']."%'";

}
$q = $db->query("SELECT * FROM {$db->prefix}content $where");
$total = $db->numRows("SELECT * FROM {$db->prefix}content WHERE `content_approve`='1' AND `content_date`<=NOW() $totalWHERE", true);
$total2 = $db->numRows($q);
if($total <= 0 || !$total2) {
    Header('HTTP/1.0 404 Not Found');
    pn_error("هيچ پستي براي نمايش پيدا نشد!", "چيزي پيدا نشد!");
}
while($row = $db->fetchRow($q)) {
     $single = false;
     if(isset($_GET['id'])) {
         set_title($row['content_title']);
         set_meta('description', $row['content_title']);
         set_meta('keywords', $row['content_tags']);
         if ($row['content_view']==2 && !is_member() && !is_admin()) $row['content_text'] .= '<!--more-->'.pn_message("نمايش متن كامل اين پست فقط براي اعضا مجاز است.", 'info', false);
         elseif ($row['content_view']==3 && !is_admin()) $row['content_text'] .= '<!--more-->'.pn_message("نمايش متن كامل اين پست فقط براي مديران سايت مجاز است.", 'info', false);
         else $row['content_text'] .= '<!--more-->'.$row['content_more'];
         $single = true;
     }
     $row['content_category_image'] = isset($cache->content_categories[$row['content_category']])? "includes/upload/categories/".$cache->content_categories[$row['content_category']]['cat_image'] : "";
     $row['content_category_url'] = isset($cache->content_categories[$row['content_category']])? "modules.php?name=Content&amp;catID=".$cache->content_categories[$row['content_category']]['cat_id'].'-'.pn_urlencode($cache->content_categories[$row['content_category']]['cat_name'], true) : "";
     $row['content_category'] = isset($cache->content_categories[$row['content_category']])? $cache->content_categories[$row['content_category']]['cat_name'] : "موضوع بدون";
     $row['content_tags'] = explode(",", $row['content_tags']);
     $tags = null;
	 foreach($row['content_tags'] as $tag){
	    if(empty($tag)) continue;
		$tags .= "<a href=\"modules.php?name=Content&amp;tag=".pn_urlencode($tag, true)."\">$tag</a> ، ";
	 }
     $tags = trim($tags, '، ');
     $row['content_tags'] = empty($tags)? "بدون برچسب" : $tags;
     $p = array("id" => $row['content_id'],
                "title" => $row['content_title'],
                "image" => $row['content_image'],
                "url" => "modules.php?name=Content&amp;id=".$row['content_id'].'-'.pn_urlencode($row['content_title'], true),
                "text" => $row['content_text'],
                "author" => $row['content_author'],
                "date" => $row['content_date'],
                "hits" => $row['content_hits'],
                "category" => $row['content_category'],
                "category_image" => $row['content_category_image'],
                "category_url" => $row['content_category_url'],
                "tags" => $row['content_tags'],
     );
     themeContent($p, $single);

     if(isset($_GET['id']) && $row['content_comment']==1) {
         require_once(INCLUDE_PATH."includes/functions_comments.php");
         pn_commentsShow('content', intval($row['content_id']), "modules.php?name=Content&amp;file=comment");
     }
}

if(!isset($_GET['id']))
parsNuke_page($total,$limit,$pageNum,$pageURL);

get_footer();

unset($q, $row, $tags, $t);
?>