<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: Downloads.config.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('NUKE_FILE')) {
	die ("You can't access this file directly...");
}

function cache_DownloadsCategories() {
     global $db, $cache;
     if(!isset($cache->download_categories) || !is_array($cache->download_categories) || !count($cache->download_categories)) {
         $cache->download_categories = array();
         $q = $db->query("SELECT * FROM  {$db->prefix}categories WHERE cat_type='Download' ORDER BY CAT_ID ASC");
         while($row = $db->fetchRow($q)) {
             $cache->download_categories[$row['cat_id']] = $row;
         }
         $db->freeResult();
     }
}

if(defined('ADMIN_FILE')) {
     function downloads_commentsLink($data) {
            global $db, $cache, $config;
            if($data['type']!='download') return false;
            $data['link'] = (int) $data['link'];
            $title = $db->fetchRowSet("SELECT download_title FROM  #__downloads WHERE download_id='{$data['link']}' limit 1");
            if(!$title) return false;
            return "فايل: <b><a href='modules.php?name=Downloads&op=view&dlID={$data['link']}' target='_blank'>{$title['download_title']}</a></b>";
     }
     add_hook("admin.CommentsEdit.link", "downloads_commentsLink");
}