<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (checkAdminPageAccess("Downloads")) {

function dl_menu() {
     global $db, $cache, $op;
	 set_title("مركز دانلود");
	 OpenTable();
	 $ThemeSel = get_theme();
	 if (file_exists("themes/$ThemeSel/images/down-logo.gif")) {
			echo "<center><a href=\"modules.php?name=Downloads\"><img src=\"themes/$ThemeSel/images/down-logo.gif\" border=\"0\" alt=\"\"></a><br><br>";
	 } else {
			echo "<center><a href=\"modules.php?name=Downloads\"><img src=\"modules/Downloads/images/down-logo.gif\" border=\"0\" alt=\"\"></a><br><br>";
	 }
     echo "<center>[ ".html::a(adminLink("downloads"), "مديرت فايل ها")." - ".html::a(adminLink("dl_new"), "ارسال فايل")." - ".html::a(adminLink("dl_Categories"), "موضوعات")." - ".html::a(adminLink("adminComments&type=download"), "مديريت نظرات")." ]</center>";
     closeTable();
}

function dl_downloads() {
     global $db, $cache, $op;
     cache_DownloadsCategories();
     $pageNum = (int) pn_getParam('pageNum', $_GET, 1);
     $pageNum = $pageNum<=0? 1 : $pageNum;
     $limit   = 40;
     $offset  = parsNuke_page('SQL',$limit,$pageNum);
     $total   = $db->numRows("SELECT * FROM {$db->prefix}downloads", true);
	 get_header();
	 GraphicAdmin();
     dl_menu();
     openTable();
     if (!count($cache->download_categories)):
     echo pn_message("هنوز شما هيچ موضوعي ايجاد نكرده ايد.", "info", false);
     else:
     $t = new table('pars_table', null, null, 5);

     $t->tr();
     $t->th( "عنوان فايل" );
     $t->th( "تاريخ ارسال", "width: 210px" );
     $t->th( "وضعيت", "width: 50px" );
     $t->th( "مديريت", "width: 50px" );

	 $q = $db->query("SELECT * from #__downloads order by download_id desc LIMIT $offset,$limit");
	 while ($row = $db->fetchRow($q)) {
          $t->tr("class=".odd_even());
          $t->td( $row['download_title'] );
          $t->td( jdate("l j F Y ساعت H:i", strtotime($row['download_date'])) );
          $t->td( html::a(adminLink("dl_Status&dl_ID=".$row['download_id']), html::img($row['download_active']==1? "images/icon/accept.png" : "images/icon/exclamation.png"), "title='تغيير وضعيت'"), "text-align: center" );
          $t->td( html::a(adminLink("dl_edit&dl_ID=".$row['download_id']), html::img("images/icon/page_edit.png"), "title='ويرايش'") .' '. html::a("javascript:pn_confirm('".adminLink('dl_remove&dl_ID='.$row['download_id'])."')", html::img("images/icon/cross.png"), "title='حذف'") );
	 }

     $t->show();
     parsNuke_page($total, $limit, $pageNum, adminLink('downloads&'));
     endif;
     closeTable();
	 get_footer();
}

function dl_download($id) {
     global $db, $cache, $op, $admin_file;
     cache_DownloadsCategories();
     if (!count($cache->download_categories)) pn_redirect(adminLink('dl_Categories'));

     if ($op=='dl_edit') {
	      $id = intval($id);
	      $q = $db->query("SELECT * from #__downloads where download_id='$id' limit 1");
	      $row = $db->fetchRow($q);
     } else {
	      $row = array("download_title"=>"", "download_description"=>"", "download_url"=>"", "download_image"=>"", "download_file"=>"", "download_version"=>"1.0", "download_cat"=>"", "download_hits"=>"0", "download_totaldl"=>"0", "download_view"=>"1", "download_active"=>"1", "download_comment"=>"1");
     }

	 get_header();
	 GraphicAdmin();
     dl_menu();
     openTable("ويرايش فايل");
	 echo html::form("general", "{$admin_file}.php");
     $t = new table(null, null, null, 5);

     $t->tr();
     $t->td( "عنوان فايل", "width: 150px" );
     $t->td( html::input("download_title", $row['download_title'], 'size="45"') );

     if (isset($row['download_date'])):
     $t->tr();
     $t->td( "تاريخ ارسال فايل" );
     $t->td( jdate("l j F Y ساعت H:i", strtotime($row['download_date'])) );

     $t->tr();
     $t->td( "ارسال كننده" );
     $t->td( $row['download_submitter'] );
     endif;

     $t->tr();
     $t->td( "توضيحات" );
     $t->td( parsNuke_Editor("download_description", $row['download_description'], '', 'style="width:100%;height:300px;"') );

     $t->tr();
     $t->td( "سايت سازنده" );
     $t->td( html::input("download_url", $row['download_url'], 'size="50" dir="ltr"') );

     $t->tr();
     $t->td( "آدرس عكس دمو" );
     $t->td( html::input("download_image", $row['download_image'], 'size="50" dir="ltr"') );

     if (is_superAdmin()) {
     $t->tr();
     $t->td();
     $t->td("<img src=\"images/icon/attach.png\" width=\"16\" height=\"16\"><a onclick=\"window.open('".adminLink("media&noTheme=true")."','media','toolbar=no,location=no,directories=no,status=no,scrollbars=no,resizable=no,copyhistory=no,width=800,height=430');\" class=\"pars_green\" title=\"كليك كنيد\">دسترسي سريع به مديريت رسانه ها</a>");
     }

     $t->tr();
     $t->td( "آدرس فايل" );
     $t->td( html::input("download_file", $row['download_file'], 'size="50" dir="ltr"') . "<br>فايل را بايد از قبل روي هاست آپلود كرده باشيد و آدرس آن را در اينجا وارد كنيد.");

     $t->tr();
     $t->td( "نسخه فايل" );
     $t->td( html::input("download_version", $row['download_version'], 'size="5" dir="ltr"') );

     $options = array();
     foreach($cache->download_categories as $categorys) {
         $options[$categorys['cat_id']] = $categorys['cat_name'];
     }
     $t->tr();
     $t->td( "موضوع فايل" );
     $t->td( html::select("download_cat", $options, $row['download_cat']) );

     $t->tr();
     $t->td( "دفعات نمايش" );
     $t->td( html::input("download_hits", $row['download_hits'], 'size="5" dir="ltr"') );

     $t->tr();
     $t->td( "دفعات دانلود" );
     $t->td( html::input("download_totaldl", $row['download_totaldl'], 'size="5" dir="ltr"') );

     $options = array("1"=>"همه كاربران","2"=>"فقط اعضا","3"=>"فقط مديران");
     $t->tr();
     $t->td( "نمايش براي" );
     $t->td( html::select("download_view", $options, $row['download_view']) );

     $t->tr();
     $t->td( "اين فايل فعال باشد؟" );
     $t->td( html::radio("download_active", array("1"=>_YES, "0"=>_NO), $row['download_active']) );

     $t->tr();
     $t->td( "ارسال نظر فعال باشد" );
     $t->td( html::radio("download_comment", array("1"=>_YES, "0"=>_NO), $row['download_comment']) );

     $t->tr();
     $t->td();
     $t->td( html::hidden("op", $op=='dl_edit'? "dl_saveEdit" : "dl_saveNew") . html::hidden("dl_ID", isset($row['download_id'])? $row['download_id'] : 0) . html::submit("submit", _SAVECHANGES) );

     $t->show();
	 echo html::form("End");
     closeTable();
	 get_footer();
}

function dl_saveDownload($id=0) {
	 global $db, $cache, $op;
	 $id = intval($id);
     if(isset($_POST['download_file']) && isset($_POST['download_cat'])) {
         $arr = array(
         'download_title' => pn_safe($_POST['download_title'], 'showhtml'),
         'download_url' => pn_safe($_POST['download_url'], '_nohtml'),
         'download_image' => pn_safe($_POST['download_image'], '_nohtml'),
         'download_file' => pn_safe($_POST['download_file'], '_nohtml'),
         'download_version' => pn_safe($_POST['download_version'], '_nohtml'),
         'download_description' => $_POST['download_description'],
         'download_cat' => (int) $_POST['download_cat'],
         'download_hits' => (int) $_POST['download_hits'],
         'download_totaldl' => (int) $_POST['download_totaldl'],
         'download_view' => (int) $_POST['download_view'],
         'download_active' => (int) $_POST['download_active'],
         'download_comment' => (int) $_POST['download_comment'],
         );
         if($op=='dl_saveEdit') {
            $db->update("downloads",$arr,"download_id='$id'");
            dl_updateCatsCount();
            pn_redirect(adminLink('dl_edit&dl_ID='.$id));
         }else{
		    $adminData = is_admin("data");
		    $aid = pn_safe($adminData['aid'], "en-num");
		    $aid = substr($aid, 0, 25);
            $arr['download_submitter'] = $aid;
            $arr['download_date'] = date("Y-m-d H:i:s");
            $db->insert("downloads",$arr);
            $insertID = $db->insertID();
            dl_updateCatsCount();
            pn_unlink("includes/cache/sitemap.xml"); // remove cache
            pn_redirect(adminLink('dl_edit&dl_ID='.$insertID));
         }
     }
	 pn_redirect( adminLink("downloads") );
}

function dl_Status($id) {
	 global $db, $cache;
	 $id = intval($id);
	 $download_active = $db->fetchRowSet("SELECT download_active FROM #__downloads WHERE download_id='$id'");
	 $download_active = $download_active['download_active']==1? 0 : 1;
	 $db->query("UPDATE `#__downloads` SET `download_active`='$download_active' WHERE `download_id`='$id' LIMIT 1");
	 pn_redirect( adminLink("downloads") );
}

function dl_remove($id) {
     global $db, $cache, $op, $adminData;
     $id = (int) $id;
     $db->query("DELETE FROM `#__comments` WHERE `comment_type`='download' AND `comment_link`='$id' LIMIT 1");
     $db->query("DELETE FROM `#__downloads` WHERE `download_id`='$id' LIMIT 1");
     dl_updateCatsCount();
     pn_redirect(adminLink('downloads'));
}

function dl_updateCatsCount() {
     global $db, $cache, $op, $adminData;
     cache_DownloadsCategories();
     foreach($cache->download_categories as $categorys) {
         $count = $db->numRows("SELECT * FROM #__downloads WHERE download_cat='{$categorys['cat_id']}'", true);
	     $db->query("UPDATE `#__categories` SET `cat_count`='$count' WHERE `cat_type`='Download' and cat_id='{$categorys['cat_id']}' LIMIT 1");
     }
}

function dl_adminCategories($id) {
     global $db, $cache, $op;
     $id = (int) $id;
     cache_DownloadsCategories();
     get_header();
	 GraphicAdmin();
     dl_menu();

     if(!isset($cache->download_categories[$id]) && $op=='dl_CategoryEdit')
     pn_redirect(adminLink('dl_Categories'));

     set_title("موضوعات");

     openTable(isset($cache->download_categories[$id]['cat_name'])? "ويرايش موضوع ".$cache->download_categories[$id]['cat_name'] : "موضوع جديد");
     echo "<form name=\"edit\" action=\"".adminLink($op=='dl_CategoryEdit'? 'dl_sava_CategoryEdit&id='.$id : 'dl_save_CategoryNew')."\" method=\"POST\">\n";
     echo "<table cellpadding=\"5\" cellspacing=\"0\">\n";
     echo "  <tr>\n";
     echo "    <td style=\"width:120px\">عنوان موضوع</td>\n";
     echo "    <td><input name=\"cat-name\" type=\"text\" value=\"".($op=='dl_CategoryEdit'? $cache->download_categories[$id]['cat_name'] : null)."\" size=\"40\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";
     echo "    <td style=\"width:120px\">توضيحات</td>\n";
     echo "    <td><input name=\"cat-description\" type=\"text\" value=\"".($op=='dl_CategoryEdit'? $cache->download_categories[$id]['cat_description'] : null)."\" size=\"40\"></td>\n";
     echo "  </tr>\n";
     if (is_superAdmin()) {
     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><img src=\"images/icon/attach.png\" width=\"16\" height=\"16\"><a onclick=\"window.open('".adminLink("media&noTheme=true")."','media','toolbar=no,location=no,directories=no,status=no,scrollbars=no,resizable=no,copyhistory=no,width=800,height=430');\" class=\"pars_green\" title=\"كليك كنيد\">دسترسي سريع به مديريت رسانه ها</a></td>\n";
     echo "  </tr>\n";
     }
     if (is_dir("includes/upload/categories")) {
     $options = array(""=>"بدون عكس");
	 $handle=opendir("includes/upload/categories");
	 while ($file = readdir($handle)) {
		  if (get_extension($file)=="jpg" || get_extension($file)=="jpeg" || get_extension($file)=="png" || get_extension($file)=="gif" ||  get_extension($file)=="bmp") {
				$options[$file] = $file;
		  }
	 }
	 closedir($handle);
     echo "  <tr>\n";
     echo "    <td>عكس</td>\n";
     echo "    <td>\n";
     echo html::select("cat-image", $options, isset($cache->download_categories[$id]['cat_image'])? $cache->download_categories[$id]['cat_image'] : "")." (پوشه تصاوير:includes/upload/categories)";
     echo "    </td>\n";
     echo "  </tr>\n";
     }
     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><input type=\"hidden\" name=\"cat-parent\" value=\"0\"><input type=\"submit\" name=\"save\" value=\"ذخيره\"></td>\n";
     echo "  </tr>\n";
     echo "</table>";
     echo "</form>";
     closeTable();

     openTable();
     echo "<table cellpadding=\"5\" cellspacing=\"0\" class=\"pars_table\">\n";
     echo "  <tr>\n";
     echo "    <th>عنوان موضوع</th>\n";
     echo "    <th style=\"width:120px\">عكس</th>\n";
     echo "    <th style=\"width:80px\">مديريت</th>\n";
     echo "  </tr>\n";
     foreach($cache->download_categories as $categorys) {
         echo "  <tr class=".odd_even().">\n";
         echo "    <td><b>".$categorys['cat_name']."</b></td>\n";
         echo "    <td><a href=\"includes/upload/categories/".$categorys['cat_image']."\" target=\"_blank\">".$categorys['cat_image']."</a></td>\n";
         echo "    <td><a onclick=\"return pn_confirm('".adminLink('dl_CategoryDelete&id='.$categorys['cat_id'])."')\" class=\"pars_red\">حذف</a> - <a href=\"".adminLink('dl_CategoryEdit&id='.$categorys['cat_id'])."\" class=\"pars_green\">ويرايش</a></td>\n";
         echo "  </tr>\n\n";
     }
     echo "</table>";
     closeTable();
     get_footer();
}

function dl_save_CategoryNew() {
     global $db, $cache, $op;
     if(isset($_POST['save'])) {
         if(empty($_POST['cat-name'])) {
             get_header();
             pn_error("نام موضوع را وارد نكرده ايد!");
         }else{
             $arr = array(
             'cat_name' => pn_safe($_POST['cat-name'], 'showhtml'),
             'cat_description' => pn_safe($_POST['cat-description'], 'showhtml'),
             'cat_parent' => (int) $_POST['cat-parent'],
             'cat_image' => pn_safe($_POST['cat-image'], '_nohtml'),
             'cat_type' => 'Download',
             'cat_language' => 'persian',
             );
             $db->insert("categories",$arr);
             pn_redirect(adminLink('dl_Categories'));
         }
     }else
     pn_redirect(adminLink('dl_Categories'));
}

function dl_save_CategoryEdit($id) {
     global $db, $cache, $op;
     $id = (int) $id;
     cache_DownloadsCategories();
     if(!isset($cache->download_categories[$id]))
     pn_redirect(adminLink('dl_Categories'));

     if(isset($_POST['save'])) {
         if(empty($_POST['cat-name'])) {
             get_header();
             pn_error("نام موضوع را وارد نكرده ايد!");
         }else{
             $arr = array(
             'cat_name' => pn_safe($_POST['cat-name'], 'showhtml'),
             'cat_description' => pn_safe($_POST['cat-description'], 'showhtml'),
             'cat_parent' => (int) $_POST['cat-parent'],
             'cat_image' => pn_safe($_POST['cat-image'], '_nohtml'),
             );
             $db->update("categories", $arr, "cat_id=".$id." AND cat_type='Download'");

             pn_redirect(adminLink('dl_Categories'));
         }
     }else
     pn_redirect(adminLink('dl_Categories'));
}

function dl_CategoryDelete($id) {
     global $db, $cache, $op;
     $id = (int) $_GET['id'];
     $db->query("DELETE FROM `#__categories` WHERE `cat_id`='$id' AND `cat_type`='Download' LIMIT 1");
     pn_redirect(adminLink('dl_Categories'));
}

switch ($op) {

	 case "downloads":
	 dl_downloads();
	 break;

     case'dl_new':
     dl_download(0);
     break;

     case'dl_saveNew':
     dl_saveDownload(0);
     break;

     case'dl_edit':
     dl_download($_GET['dl_ID']);
     break;

     case'dl_saveEdit':
     dl_saveDownload($_REQUEST['dl_ID']);
     break;

     case'dl_Status':
     dl_Status($_GET['dl_ID']);
     break;

     case'dl_remove':
     dl_remove($_GET['dl_ID']);
     break;

     case'dl_Categories':
     dl_adminCategories(0);
     break;

     case'dl_save_CategoryNew':
     dl_save_CategoryNew();
     break;

     case'dl_CategoryEdit':
     dl_adminCategories($_GET['id']);
     break;

     case'dl_sava_CategoryEdit':
     dl_save_CategoryEdit($_GET['id']);
     break;

     case'dl_CategoryDelete':
     dl_CategoryDelete($_GET['id']);
     break;

}

} else {
	get_header();
	GraphicAdmin();
	OpenTable();
	echo "<center><b>"._ERROR."</b><br><br>You do not have administration permission for module \"$module_name\"</center>";
	CloseTable();
	get_footer();
}

?>