<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (checkAdminPageAccess("Extra_Page")) {

function extra_Extra_Page() {
	global $db, $admin_file;
	get_header();
	GraphicAdmin();
	title("مديريت صفحات اضافي");

	OpenTable();
	echo "<center>[ <a href=\"".$admin_file.".php?op=Extra_Page\"><b>صفحات</b></a> - <a href=\"".$admin_file.".php?op=Add_Extra\">صفحه جديد</a> - <a href=\"".$admin_file.".php?op=adminComments&type=ExtraPage\">مديريت نظرات</a> ]</center>";
	CloseTable();

?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
function Status_Extra(ExtraID) {
    $(document).ready(function(){
         $('#Extra-'+ExtraID).html('<div class=pars_smallLoading></div>');
         $('#Extra-'+ExtraID).load('<?php echo $admin_file ?>.php?op=Status_Extra&ExtraID='+ExtraID, function(){ pn_scroll('#Extra-'+ExtraID); });
    });
}
/*]]>*/
</script>
<?php
	openTable();
    $t = new table('pars_table', null, null, 5);

    $t->tr();
    $t->th( "عنوان صفحه" );
    $t->th( "تاريخ انتشار", "width: 250px" );
    $t->th( "وضعيت", "width: 50px" );
    $t->th( "مديريت", "width: 50px" );

	$q = $db->query("SELECT * from #__extra_page order by extra_id desc");
	while ($row = $db->fetchRow($q)) {
         $t->tr("class=".odd_even());
         $t->td( $row['extra_title'] );
         $t->td( jdate("l j F Y ساعت H:i", strtotime($row['extra_date'])) );
         $t->td( html::a("javascript:Status_Extra(".$row['extra_id'].")", html::img($row['extra_approve']==1? "images/icon/accept.png" : "images/icon/exclamation.png"), "id='Extra-".$row['extra_id']."' title='تغيير وضعيت'"), "text-align: center" );
         $t->td( html::a(adminLink("Edit_Extra&ExtraID=".$row['extra_id']), html::img("images/icon/page_edit.png"), "title='ويرايش'") .' '. html::a("javascript:pn_confirm('".adminLink('Remove_Extra&ExtraID='.$row['extra_id'])."')", html::img("images/icon/cross.png"), "title='حذف'"), "text-align: center" );
	}

    $t->show();
	closeTable();
	get_footer();
}

function extra_page($id) {
     global $db, $cache, $op, $admin_file;
     if ($op=='Edit_Extra') {
	      $id = intval($id);
	      $q = $db->query("SELECT * from #__extra_page where extra_id='$id' limit 1");
	      $row = $db->fetchRow($q);
     } else {
	      $row = array("extra_title"=>"", "extra_content"=>"", "extra_view"=>"1", "extra_hits"=>"0", "extra_comment"=>"1", "extra_approve"=>"1");
     }

     set_title("صفحه اضافي");
	 get_header();
	 GraphicAdmin();

	 OpenTable();
	 echo "<center>[ <a href=\"".$admin_file.".php?op=Extra_Page\">صفحات</a> - <a href=\"".$admin_file.".php?op=Add_Extra\"><b>صفحه جديد</b></a> - <a href=\"".$admin_file.".php?op=adminComments&type=ExtraPage\">مديريت نظرات</a> ]</center>";
	 CloseTable();

     openTable("صفحه اضافي");
	 echo html::form("extra", "{$admin_file}.php");
     $t = new table(null, null, null, 5);

     $t->tr();
     $t->td( "عنوان", "width: 150px" );
     $t->td( html::input("extra_title", $row['extra_title'], 'size="50"') );

     if (isset($row['extra_date'])) {
     $t->tr();
     $t->td( "تاريخ انتشار" );
     $t->td( jdate("l j F Y ساعت H:i", strtotime($row['extra_date'])) );

     $t->tr();
     $t->td( "نويسنده" );
     $t->td( $row['extra_author'] );
     }

     $t->tr();
     $t->td( "متن" );
     $t->td( parsNuke_Editor('extra_content', $row['extra_content']) );

     $options = array("1"=>"همه كاربران","2"=>"فقط اعضا","3"=>"فقط مديران");
     $t->tr();
     $t->td( "نمايش براي" );
     $t->td( html::select("extra_view", $options, $row['extra_view']) );

     $t->tr();
     $t->td( "دفعات نمايش" );
     $t->td( html::input("extra_hits", $row['extra_hits'], 'size="5" dir="ltr"') );

     $t->tr();
     $t->td( "امكان ارسال نظر فعال باشد؟" );
     $t->td( html::radio("extra_comment", array("1"=>_YES, "0"=>_NO), $row['extra_comment']) );

     $t->tr();
     $t->td( "اين صفحه فعال باشد؟" );
     $t->td( html::radio("extra_approve", array("1"=>_YES, "0"=>_NO), $row['extra_approve']) );

     $t->tr();
     $t->td();
     $t->td( html::hidden("op", $op=='Edit_Extra'? "saveEdit_Extra" : "saveAdd_Extra") . html::hidden("ExtraID", isset($row['extra_id'])? $row['extra_id'] : 0) . html::submit("submit", "ذخيره") );

     $t->show();
	 echo html::form("End");
     closeTable();
	 get_footer();
}

function extra_savePage($id=0) {
	 global $db, $cache, $op;
	 $id = intval($id);
     if(isset($_POST['extra_title']) && isset($_POST['extra_content'])) {
         if (empty($_POST['extra_title']) || empty($_POST['extra_content'])) {
               get_header();
               pn_error("عنوان و يا متن صفحه را وارد نكرده ايد!");
         }

         $arr = array(
         'extra_title' => pn_safe($_POST['extra_title'], 'showhtml'),
         'extra_content' => $_POST['extra_content'],
         'extra_view' => (int) $_POST['extra_view'],
         'extra_hits' => (int) $_POST['extra_hits'],
         'extra_comment' => (int) $_POST['extra_comment'],
         'extra_approve' => (int) $_POST['extra_approve'],
         );
         if($op=='saveEdit_Extra') {
            $db->update("extra_page",$arr,"extra_id='$id'");
            pn_redirect(adminLink('Edit_Extra&ExtraID='.$id));
         }else{
		    $adminData = is_admin("data");
		    $aid = pn_safe($adminData['aid'], "en-num");
		    $aid = substr($aid, 0, 25);
            $arr['extra_author'] = $aid;
            $arr['extra_date'] = date("Y-m-d H:i:s");
            $db->insert("extra_page",$arr);
            $insertID = $db->insertID();
            pn_unlink("includes/cache/sitemap.xml"); // remove cache
            pn_redirect(adminLink('Edit_Extra&ExtraID='.$insertID));
         }
     }
	 pn_redirect( adminLink("Extra_Page") );
}

function extra_Status($id) {
	 global $db, $cache;
	 $id = intval($id);
	 $extra_active = $db->fetchRowSet("SELECT extra_approve FROM #__extra_page WHERE extra_id='$id'");
	 $extra_active = $extra_active['extra_approve']==1? 0 : 1;
	 $db->query("UPDATE `#__extra_page` SET `extra_approve`='$extra_active' WHERE `extra_id`='$id' LIMIT 1");
     echo html::img($extra_active==1? "images/icon/accept.png" : "images/icon/exclamation.png");
     die;
}

function extra_Remove($id) {
	 global $db, $cache, $op;
	 $id = (int) $id;
     $db->query("DELETE FROM `#__comments` WHERE `comment_type`='ExtraPage' AND `comment_link`='$id' LIMIT 1");
	 $db->query("DELETE FROM `#__extra_page` WHERE `extra_id`='$id' LIMIT 1");
	 pn_redirect( adminLink('Extra_Page') );
}

switch($op) {

	case "Extra_Page":
    extra_Extra_Page();
    break;

	case "Add_Extra":
    extra_page(0);
    break;

    case'saveAdd_Extra':
    extra_savePage(0);
    break;

	case "Edit_Extra":
    extra_page($_REQUEST['ExtraID']);
    break;

    case'saveEdit_Extra':
    extra_savePage($_REQUEST['ExtraID']);
    break;

	case "Status_Extra":
    extra_Status($_GET['ExtraID']);
    break;

	case "Remove_Extra":
    extra_Remove($_GET['ExtraID']);
    break;
}

} else {
	get_header();
	GraphicAdmin();
	OpenTable();
	echo "<center><b>"._ERROR."</b><br><br>You do not have administration permission for module \"$module_name\"</center>";
	CloseTable();
	get_footer();
}

?>