<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('MODULE_FILE')) {
	die ("You can't access this file directly...");
}
require_once("mainfile.php");
$module_name = basename(dirname(__FILE__));
get_lang($module_name);
define("INDEX_FILE", true);
set_title(_RECOMMEND);

function RecommendSite($mess="0") {
	global $db, $module_name, $memberData;
	if (is_member()) {
        $memberData = is_member('data');
		$yn = empty($memberData['member_alias'])? filter($memberData['member_name'], "nohtml") : filter($memberData['member_alias'], "nohtml");
		$ye = filter($memberData['member_email'], "nohtml");
	}
	else {
		$yn = "";
		$ye = "";
	}
	get_header();
	OpenTable(_RECOMMEND);
	echo html::form("Recommend", pn_link("name=Recommend"));
    $t = new table(null, null, null, 0, 5);

    $t->tr();
    $t->td( _FYOURNAME, "width: 100px" );
    $t->td( html::input("yname", $yn, 'size="30" required="required"') );

    $t->tr();
    $t->td( _FYOUREMAIL );
    $t->td( html::input("ymail", $ye, 'size="30" dir="ltr" required="required"') );

    $t->tr();
    $t->td( _FFRIENDNAME );
    $t->td( html::input("fname", '', 'size="30" required="required"') );

    $t->tr();
    $t->td( _FFRIENDEMAIL );
    $t->td( html::input("fmail", '', 'size="30" dir="ltr" required="required"') );

    if ($captcha = create_captcha('Recommend')) {
    $t->tr();
    $t->td( _SECURITYCODE );
    $t->td( $captcha.html::input("fcaptcha", '', 'size="5" dir="ltr" required="required"') );
    }

    $t->tr();
    $t->td();
    $t->td( html::hidden("op", "SendSite") . html::submit("submit", _SEND) );

    $t->show();
	echo html::form("End");
	CloseTable();
	get_footer();
}

function SendSite($yname, $ymail, $fname, $fmail, $fcaptcha) {
	global $module_name, $pars;
    if ($pars->request_method != 'post') pn_redirect("modules.php?name=Recommend");
	$fname = removecrlf(filter($fname, "nohtml"));
	$fmail = validate_mail(removecrlf(filter($fmail, "nohtml")));
	$yname = removecrlf(filter($yname, "nohtml"));
	$ymail = validate_mail(removecrlf(filter($ymail, "nohtml")));
	if (empty($fname) OR empty($fmail) OR empty($yname) OR empty($ymail) OR !validate_email_format($fmail) OR !validate_email_format($ymail)) {
		get_header();
		OpenTable(_RECOMMEND);
		echo pn_message(_SENDSITEERROR, "error", false, true);
		CloseTable();
		get_footer();
		die();
	}
	if (!validate_captcha('Recommend', $fcaptcha)) {
		get_header();
		OpenTable(_RECOMMEND);
		echo pn_message(_SECURITYCODEERROR, "error", false, true);
		CloseTable();
		get_footer();
	} else {
	    $msg  = $yname." با ايميل ".$ymail." از شما خواسته تا از سايت ما ديدن كنيد.<br>";
	    $msg .= "سايت ما ".$pars->settings['siteurl'];
        if (pn_mail($fmail, "معرفي سايت ".$pars->settings['sitename']." از طرف ".$yname, $msg, $pars->settings['siteMail'])) {
		      get_header();
		      OpenTable(_RECOMMEND);
		      echo pn_message(_THANKSREC, "success", false);
		      CloseTable();
		      get_footer();
		      update_points('Recommend');
        } else {
		      get_header();
		      OpenTable(_RECOMMEND);
		      echo pn_message(_RECOMMEND_EROOR, "error", false, true);
		      CloseTable();
		      get_footer();
        }
	}
}

switch($op) {

	case "SendSite":
	SendSite($pars->input['yname'], $pars->input['ymail'], $pars->input['fname'], $pars->input['fmail'], isset($pars->input['fcaptcha'])? $pars->input['fcaptcha'] : null);
	break;

	default:
	RecommendSite();
	break;

}

?>