<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-02-01 23:03:48 (Iman92)$
 */

if (!defined('MODULE_FILE')) {
	die ("You can't access this file directly...");
}
$module_name = basename(dirname(__FILE__));

$Search = new stdClass;
$Search->search = array();
$Search->search['text'] = isset($_REQUEST['text']) && !empty($_REQUEST['text'])? $db->escapeString(pn_safe($_REQUEST['text'], "showhtml")) : null;
$Search->search['section'] = isset($_REQUEST['section']) && !empty($_REQUEST['section'])? pn_safe($_REQUEST['section'], "en-num") : null;
$Search->results = array();

$pageNum = (int) pn_getParam('pageNum', $_GET, 1);
$pageNum = $pageNum<=0? 1 : $pageNum;
$limit   = 30;
$offset  = parsNuke_page('SQL',$limit,$pageNum);
$pageURL = 'modules.php?name=Search&amp;section='.$Search->search['section'].'&amp;text='.urlencode(pn_safe($Search->search['text'], 'en-fa-num', true)).'&amp;';

foreach ($cache->modules as $PN_module => $val) {
    if ($val['active']==0) continue;
	if(file_exists(INCLUDE_PATH."modules/{$PN_module}/{$PN_module}.search.php")){
		require(INCLUDE_PATH."modules/{$PN_module}/{$PN_module}.search.php");
	}
}
unset($PN_module, $val);

define('INDEX_FILE', true);
set_title("جستجو");
get_header();
openTable("جستجو");
echo html::form("search", "modules.php?name=Search");
$t = new table(null, null, null, 0, 5);

$t->tr();
$t->td( "متن جستجو", "width: 100px" );
$t->td( html::input("text", $Search->search['text'], "size='40'") );

$options = array();
foreach ($cache->modules as $PN_module => $val) {
    if ($val['active']==0) continue;
	if(file_exists(INCLUDE_PATH."modules/{$PN_module}/{$PN_module}.search.php")){
		$options[$PN_module] = isset($Search->search['modules'][$PN_module]['name']) && !empty($Search->search['modules'][$PN_module]['name'])? $Search->search['modules'][$PN_module]['name'] : $PN_module;
	}
}
unset($PN_module, $val);
$t->tr();
$t->td( "بخش مورد جستجو" );
$t->td( html::select("section", $options, $Search->search['section']) );

$t->tr();
$t->td();
$t->td( html::submit("submit", "جستجو") );

$t->show();
echo html::form("End");
CloseTable();

if (is_array($Search->results) && count($Search->results)) {
      if ($offset>$Search->search['total'] || !isset($Search->search['total']) || !is_numeric($Search->search['total'])) pn_redirect("modules.php?name=Search");
      openTable("نتايج جستجوي ".$Search->search['text']);
      echo "<style>.pars_searchResults {background: #FFFFCC}</style>\n";
      echo "در كل براي جستجوي <i>".$Search->search['text']."</i> <i>".$Search->search['total']." نتيجه يافت شد.</i><br>\n";
      echo "<ul>\n";
      foreach($Search->results as $result) {
            $result['title'] = pn_str_replace($Search->search['text'], "<span class='pars_searchResults'>".$Search->search['text']."</span>", $result['title']);
            echo "<li><a href=\"{$result['url']}\">{$result['title']}</a></li>\n";
      }
      echo "</ul>\n";
      CloseTable();
      if (isset($Search->search['total']) && is_numeric($Search->search['total']))
      parsNuke_page($Search->search['total'], $limit,$pageNum,$pageURL);
} elseif(!empty($Search->search['text'])) {
      Header('HTTP/1.0 404 Not Found');
      openTable("نتايج جستجوي ".$Search->search['text']);
      echo pn_message("جستجوي <i>".$Search->search['text']."</i> هيچ نتيجه اي نداشت!", "error", false);
      CloseTable();
}

get_footer();

?>