<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('MODULE_FILE')) {
	die ("You can't access this file directly...");
}

require_once("mainfile.php");
$module_name = basename(dirname(__FILE__));
$pars->settings['limit_top'] = (int) $pars->settings['limit_top'];
define('INDEX_FILE', true);

get_header();
title("برترين هاي سايت");

if(is_active("Content")):
OpenTable("{$pars->settings['limit_top']} پست پر بازديد سايت");
echo "<ul>\n";
$q = $db->query("SELECT content_id, content_title, content_hits FROM #__content WHERE `content_approve`='1' AND `content_date`<=NOW() ORDER BY content_hits DESC LIMIT {$pars->settings['limit_top']}");
while($row = $db->fetchRow($q)) {
     echo "<li><a href=\"modules.php?name=Content&amp;id=".$row['content_id'].'-'.pn_urlencode($row['content_title'], true)."\">".$row['content_title']."</a> (".$row['content_hits']." بازديد)</li>\n";
}
echo "</ul>\n";
CloseTable();
endif;

if(is_active("Poll")):
OpenTable("{$pars->settings['limit_top']} نظرسنخي برتر سايت");
echo "<ul>\n";
$q = $db->query("SELECT poll_id, poll_question FROM #__polls WHERE poll_status='1' ORDER BY poll_value1 DESC, poll_value2 DESC, poll_value3 DESC, poll_value4 DESC, poll_value5 DESC, poll_value6 DESC, poll_value7 DESC, poll_value8 DESC, poll_value9 DESC, poll_value{$pars->settings['limit_top']} DESC, poll_value11 DESC, poll_value12 DESC, poll_value13 DESC, poll_value14 DESC, poll_value15 DESC LIMIT {$pars->settings['limit_top']}");
while($row = $db->fetchRow($q)) {
     echo "<li><a href=\"modules.php?name=Poll&amp;op=Results&amp;pollID=".$row['poll_id']."\">".$row['poll_question']."</a></li>\n";
}
echo "</ul>\n";
CloseTable();
endif;

if(is_active("Downloads")):
OpenTable("{$pars->settings['limit_top']} فايل محبوب سايت");
echo "<ul>\n";
$q = $db->query("SELECT download_id, download_title, download_totaldl FROM #__downloads WHERE download_active='1' ORDER BY download_totaldl DESC LIMIT {$pars->settings['limit_top']}");
while($row = $db->fetchRow($q)) {
     echo "<li><a href=\"modules.php?name=Downloads&op=view&dlID=".$row['download_id']."\">".$row['download_title']."</a> (".$row['download_totaldl']." بار دانلود شده)</li>\n";
}
echo "</ul>\n";
CloseTable();
endif;

if(is_active("Extra_Page")):
OpenTable("{$pars->settings['limit_top']} صفحه اضافي پربازديد");
echo "<ul>\n";
$q = $db->query("SELECT extra_id, extra_title, extra_hits FROM #__extra_page WHERE `extra_approve`='1' ORDER BY extra_hits DESC LIMIT {$pars->settings['limit_top']}");
while($row = $db->fetchRow($q)) {
     echo "<li><a href=\"modules.php?name=Extra_Page&amp;op=view&amp;ExtraID=".$row['extra_id']."-".pn_urlencode($row['extra_title'], true)."\">".$row['extra_title']."</a> (".$row['extra_hits']." بازديد)</li>\n";
}
echo "</ul>\n";
CloseTable();
endif;

if(is_active("Account")):
OpenTable("{$pars->settings['limit_top']} كاربر فعال سايت");
echo "<ul>\n";
$q = $db->query("SELECT member_name, member_alias, member_points FROM #__members WHERE member_status='1' ORDER BY member_points DESC LIMIT {$pars->settings['limit_top']}");
while($row = $db->fetchRow($q)) {
     echo "<li><a href=\"modules.php?name=Account&amp;op=Profile&amp;UserName=".$row['member_name']."\">".(!empty($row['member_alias'])? $row['member_alias'] : $row['member_name'])."</a> (".$row['member_points']." امتياز)</li>\n";
}
echo "</ul>\n";
CloseTable();
endif;

get_footer();

?>