<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: blocks.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superAdmin()) {

	function BlocksAdmin() {
		global $db, $currentlang, $admin_file;
		get_header();
		GraphicAdmin();
		title("<a href='".adminLink("BlocksAdmin")."'>"._BLOCKSADMIN."</a>");

		set_head('<style>
ul.pars-blocks { display: block; margin-bottom: 8px }
ul.pars-blocks li { display: block; padding: 5px }
ul.pars-blocks li.pars_even { background: White }
ul.pars-blocks li.pars_odd { background: #DDDDDD }
.state-highlight { background: #FFCCCC; height: 20px }
.floatfix { overflow: hidden }
</style>');
		set_head("<script type='text/javascript' src='includes/pars_nuke/javascript/jquery-ui.js'></script>");
		set_head("<script type='text/javascript'>
\$(document).ready(function() {
	\$('.pdisabled').fadeTo(0, .5);
	\$('.blocks-list').sortable({
		handle : '.handle',
		placeholder: 'state-highlight',
		connectWith: '.connected',
		scroll: true,
		axis: 'y',
		update: function () {
			var ul = \$(this),
				order = ul.sortable('serialize'),
				i = 0;
			\$('#info').load('".adminLink("BlockOrder")."&'+order);
			ul.find('.num').each(function(i) {
				\$(this).text(i+1);
			});
			ul.find('li').removeClass('pars_odd').removeClass('pars_even');
			ul.find('li:odd').addClass('pars_odd');
			ul.find('li:even').addClass('pars_even');
			window.setTimeout('closeMessage();',2500);
		},
		receive: function () {
			var ul = \$(this),
				order = ul.sortable('serialize'),
				pdata = ul.attr('position');
			ul.find('.pside').each(function() {
				\$(this).text(psidetext);
			});
			\$('#info').load('".adminLink("BlockOrder")."&block_position='+pdata+'&'+order);
		}
	});
});
</script>");

		OpenTable("مديريت بلوك ها");
		echo "<div id='info'></div>\n";

		$position = array("left" => "چپ", "right" => "راست", "top" => "بالا", "bottom" => "پايين");
		$blocks = array("left" => array(), "right" => array(), "top" => array(), "bottom" => array());

		$result = $db->query("SELECT *FROM #__blocks ORDER BY block_position,block_ordering ASC");
		while ($data = $db->fetchRow($result)) {
			$blocks[$data['block_position']][] = $data;
		}

		echo "<br>\n<div align='center'>\n";
		echo "<div style='width:660px'>\n\n";

		foreach ($blocks as $block=>$data) {

				echo "<!-- {$block} -->\n";
				echo "<div style='background: #AAAAAA; padding: 7px 4px' class='pars-blocks floatfix'>\n";
				echo "<div style='float:right; width:300px; text-align: right;'><strong>{$position[$block]} &nbsp;[<a href='".adminLink("BlocksAdd&block_position=".$block)."'>اضافه كردن بلوك</a>]</strong></div>\n";
				echo "<div style='float:right; width:50px;'><strong>نوع</strong></div>\n";
				echo "<div style='float:right; width:130px;'><strong>نمايش براي</strong></div>\n";
				echo "<div style='float:right; width:100px;'><strong>وضعيت بلوك</strong></div>\n";
				echo "<div style='float:right; width:70px;'><strong>مديريت</strong></div>\n";
				echo "<div class='clear'></div>\n";
				echo "</div>\n";
				echo "<!-- --{$block}-- -->\n";

				echo "<ul id='block-position-{$block}' class='pars-blocks blocks-list connected' position='{$block}' style='list-style: none;'>\n\n";
				echo "<li style='padding: 1px;'></li>\n\n";

				foreach($blocks[$block] as $data) {
						$type = empty($data['block_file'])? "<img src='images/icon/html.png' title='كد HTML' />" : "<img src='images/icon/asterisk_orange.png' title='فايل' />";
						$active = $data['block_active']==0? "<img src='images/icon/exclamation.png' title='غيرفعال' />" : "<img src='images/icon/accept.png' title='فعال' />";

				        switch($data['block_view']) {
				           case'0':
				           $view = "كاربران مهمان";
				           break;

				           case'1':
				           $view = "همه كاربران";
				           break;

				           case'2':
				           $view = "كاربران عضو";
				           break;

				           case'3':
				           $view = "فقط مديران";
				           break;

				           default:
				           $view = "فقط مديركل";
				           break;
						}

						echo "<li id='listItem_{$data['block_id']}' class='".odd_even().($data['block_active']==0? " pdisabled" : "")."'>\n";
						echo "<div style='float:right; width:300px; text-align: right'><img src='images/icon/arrow_out.png' title='جابجا كردن' class='handle' style='cursor:move' />&nbsp;{$data['block_title']}</div>\n";
						echo "<div style='float:right; width:50px;'>{$type}</div>\n";
						echo "<div style='float:right; width:130px;'><strong>{$view}</strong></div>\n";
						echo "<div style='float:right; width:100px;'><a href='".adminLink("ChangeStatus&block_id=".$data['block_id'])."'>{$active}</a></div>\n";
						echo "<div style='float:right; width:70px;'><a href='".adminLink("BlocksEdit&block_id=".$data['block_id'])."'><img src='images/icon/page_edit.png' title='ويرايش بلوك' /></a>&nbsp;<a onclick=\"return pn_confirm('".adminLink("BlocksDelete&block_id=".$data['block_id'])."')\"><img src='images/icon/cross.png' title='حذف بلوك' /></a></div>\n";
						echo "<div class='clear'></div>\n";
						echo "</li>\n\n";
				}
				echo "</ul>\n";
				echo "<!-- /{$block} -->\n";
		}
		echo "</div></div><!-- /center -->\n<br>";
		CloseTable();
		get_footer();
	}

	function BlocksAdd($bid=0) {
		global $prefix, $db, $op;
		$row = array("block_title"=>"", "block_content"=>"", "block_position"=>"top", "block_view"=>"1", "block_active"=>"1");
		$bid = (int) $bid;
		if ($bid) {
		      $row = null;
		      $row = $db->fetchRowSet("select * from #__blocks where block_id='$bid'");
		      if (!$row)
		      pn_redirect( adminLink("BlocksAdmin") );
		}

		get_header();
		GraphicAdmin();
		title("<a href='".adminLink("BlocksAdmin")."'>"._BLOCKSADMIN."</a>");
		openTable("ساختن بلوك جديد");
		echo "<form action=\"".adminLink($op=="BlocksAdd"? "BlocksAddSave" : "BlocksEditSave&block_id=".$bid)."\" method=\"POST\">\n";
		echo "<table>\n";
		echo "  <tr>\n";
		echo "    <td style=\"width: 100px\">عنوان بلوك</td>\n";
		echo "    <td><input name=\"block_title\" type=\"text\" size=\"30\" value=\"{$row['block_title']}\"></td>\n";
		echo "  </tr>\n";
		echo "  <tr>\n";
		echo "    <td>متن بلوك</td>\n";
		echo "    <td>".parsNuke_Editor("block_content", $row['block_content'], '', 'style="width:100%;height:300px;"')."</td>\n";
		echo "  </tr>\n";
		echo "  <tr>\n";
		echo "    <td>فايل</td>\n";
		echo "    <td>\n";
		$options = array(""=>"بدون فايل");
		$blocksdir = dir("blocks");
		while($func=$blocksdir->read()) {
			if(substr($func, 0, 6) == "block-") {
			    if(!empty($func)) {
				     $func = str_replace(array("block-", ".php"), "", $func);
				     $result2 = $db->query("select * from #__blocks where block_file='$func' and block_id!='$bid'");
				     $numrows = $db->numRows($result2);
				     if ($numrows == 0) {
				            $options[$func] = str_replace("_", " ", $func);
				     }
			    }
			}
		}
		closedir($blocksdir->handle);
		echo html::select('block_file', $options, $row['block_file'], "dir=ltr");
		echo "  </td>\n";
		echo "  </tr>\n";
		echo "  <tr>\n";
		echo "    <td>موقعيت</td>\n";
		echo "    <td>\n";
		$options = array("left"=>"چپ","top"=>"بالا وسط","bottom"=>"پايين وسط","right"=>"راست");
		echo html::select('block_position', $options, isset($_GET['block_position'])? pn_safe($_GET['block_position'], "en-num") : $row['block_position']);
		echo "    <td>\n";
		echo "  </tr>\n";
		echo "  <tr>\n";
		echo "    <td>نمايش</td>\n";
		echo "    <td>\n";
		$options = array("0"=>"كاربران مهمان","1"=>"همه كاربران","2"=>"كاربران عضو","3"=>"فقط مديران","4"=>"فقط مديركل");
		echo html::select('block_view', $options, $row['block_view']);
		echo "    <td>\n";
		echo "  </tr>\n";
		echo "  <tr>\n";
		echo "    <td>وضعيت</td>\n";
		echo "    <td>\n";
		$options = array("1"=>"فعال", "0"=>"غيرفعال");
		echo html::select('block_active', $options, $row['block_active']);
		echo "    <td>\n";
		echo "  </tr>\n";
		echo "  <tr>\n";
		echo "    <td></td>\n";
		echo "    <td><input type=\"submit\" name=\"Submit\" value=\"ثبت بلوك\"></td>\n";
		echo "  </tr>\n";
		echo "</table>\n";
		echo "</form>";
		closeTable();
		get_footer();
	}

	function BlocksAddSave() {
		global $prefix, $db, $op;
		if(isset($_POST['Submit']) && isset($_POST['block_position'])) {
		        if (empty($_POST['block_title'])) {
		               get_header();
		               pn_error("عنوان بلوك را وارد نكرده ايد!");
		        }

		        $arr = array(
		        'block_title' => pn_safe($_POST['block_title'], 'showhtml'),
		        'block_content' => $_POST['block_content'],
		        'block_position' => pn_safe($_POST['block_position'], 'en-num'),
		        'block_file' => pn_safe($_POST['block_file'], 'en-num'),
		        'block_view' => (int) $_POST['block_view'],
		        'block_active' => (int) $_POST['block_active'],
		        'block_language' => 'persian',
		        );
		        $db->insert("blocks",$arr);
		        pn_redirect( adminLink("BlocksAdmin") );
		}
	}

	function BlocksEditSave() {
		global $prefix, $db, $op;
		if(isset($_POST['Submit']) && isset($_POST['block_position']) && isset($_GET['block_id']) && is_numeric($_GET['block_id'])) {
		        if (empty($_POST['block_title'])) {
		               get_header();
		               pn_error("عنوان بلوك را وارد نكرده ايد!");
		        }

		        $arr = array(
		        'block_title' => pn_safe($_POST['block_title'], 'showhtml'),
		        'block_content' => $_POST['block_content'],
		        'block_position' => pn_safe($_POST['block_position'], 'en-num'),
		        'block_file' => pn_safe($_POST['block_file'], 'en-num'),
		        'block_view' => (int) $_POST['block_view'],
		        'block_active' => (int) $_POST['block_active'],
		        );
		        $db->update("blocks",$arr,"block_id='".$_GET['block_id']."'", 1);
		        pn_redirect( adminLink("BlocksEdit&block_id=".$_GET['block_id']) );
		}
	}

	function BlockOrder() {
		global $prefix, $db, $admin_file;
		if (isset($_GET['listItem']) && is_array($_GET['listItem'])) {
			$block_position = "";
			if (isset($_GET['block_position'])) {
			    $_GET['block_position'] = pn_safe($_GET['block_position'], "en-num");
				$block_position = ", block_position='".$_GET['block_position']."'";
			}
			foreach ($_GET['listItem'] as $ordering => $item) {
				if (is_numeric($ordering) && is_numeric($item)) {
					$db->query("UPDATE #__blocks SET block_ordering='".($ordering+1)."'".$block_position." WHERE block_id='".$item."' LIMIT 1");
				}
			}
			echo pn_message("ترتيب بلوك ها به روز شد.", "success");
		}
	}

	function ChangeStatus($bid) {
		global $prefix, $db, $admin_file;
		$bid = intval($bid);
		$row = $db->fetchRowSet("select block_active from #__blocks where block_id='$bid'");
		$active = intval($row['block_active']);
		if ($active == 0) {
			$active = 1;
		} elseif ($active == 1) {
			$active = 0;
		}
		$db->query("update #__blocks set block_active='$active' where block_id='$bid'");
		pn_redirect( adminLink("BlocksAdmin") );
	}	

	function BlocksDelete($bid) {
		global $prefix, $db, $admin_file;
		$bid = intval($bid);
		$db->query("delete from #__blocks where block_id='$bid'");
		pn_redirect( adminLink("BlocksAdmin") );
	}
	
	switch($op) {

		case "BlocksAdmin":
		BlocksAdmin();
		break;

		case "BlocksAdd":
		BlocksAdd();
		break;

		case "BlocksAddSave":
		BlocksAddSave();
		break;

		case "BlocksEdit":
		if (!isset($_GET['block_id']) || !is_numeric($_GET['block_id'])) pn_redirect( adminLink("BlocksAdmin") );
		BlocksAdd($_GET['block_id']);
		break;

		case "BlocksEditSave":
		BlocksEditSave();
		break;

		case "BlockOrder":
		BlockOrder();
		break;

		case "ChangeStatus":
		ChangeStatus($_GET['block_id']);
		break;

		case "BlocksDelete":
		BlocksDelete($_GET['block_id']);
		break;

	}

} else {
	echo "Access Denied";
}

?>