<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: groups.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superAdmin()) {

	/*********************************************************/
	/* Users Groups Functions                                */
	/*********************************************************/

	function Groups() {
		global $bgcolor2, $bgcolor4, $prefix, $user_prefix, $db, $admin_file;
		get_header();
		GraphicAdmin();
		title("" . _GROUPSADMIN . "");
		$grp_num = $db->numRows($db->query("SELECT * FROM " . $prefix . "_groups"));
		if ($grp_num == 0) {
			OpenTable();
			echo "<center><font class=\"title\"><b>" . _NOGROUPS . "</b></font></center>";
			CloseTable();
		} else {
			OpenTable(_UGROUPS);
			echo "<br><table border=\"0\" class=\"pars_table\" cellpadding=\"5\" cellspacing=\"0\" width=\"100%\"><tr>"
			."<th><b>" . _NAME . "</b></th>"
			."<th><b>" . _DESCRIPTION . "</b></th>"
			."<th><b>" . _POINTS . "</b></th>"
			."<th><b>" . _USERSCOUNT . "</b></th>"
			."<th><b>" . _FUNCTIONS . "</b></th></tr>";
			$result = $db->query("SELECT id, name, description, points FROM " . $prefix . "_groups ORDER BY points");
			while ($row = $db->fetchRow($result)) {
				$id = intval($row['id']);
				$name = filter($row['name'], 'nohtml');
				$description = filter($row['description']);
				$points = intval($row['points']);
				$users_num = $db->numRows($db->query("SELECT * FROM " . $prefix . "_members WHERE member_points>='$points'"));
				echo "<tr class=".odd_even().">"
				."<td style=\"width:150px\" nowrap>&nbsp;$name&nbsp;</td>"
				."<td>$description</td>"
				."<td style=\"width:80px\">$points</td>"
				."<td style=\"width:80px\">$users_num</td>"
				."<td style=\"width:100px\" nowrap><font class=\"content\">&nbsp;[ <a href=\"".$admin_file.".php?op=grp_edit&amp;id=$id\">" . _EDIT . "</a> | <a href=\"".$admin_file.".php?op=grp_del&amp;id=$id\">" . _DELETE . "</a> ]&nbsp;</font></td></tr>";
			}
			echo "</table>";
			CloseTable();
		}
		OpenTable(_ADDNEWGROUP);
		echo "<form action=\"".$admin_file.".php\" method=\"post\">"
		."<table border=\"0\" width=\"100%\">"
		."<tr><td>" . _GTITLE . ":</td><td><input type=\"text\" name=\"name\" size=\"50\" maxlength=\"255\"></td></tr>"
		."<tr><td>" . _DESCRIPTION . ":</td><td><textarea name=\"description\" cols=\"60\" rows=\"4\"></textarea></td></tr>"
		."<tr><td>" . _POINTSNEEDED . ":</td><td><input type=\"text\" name=\"points\" size=\"10\" maxlength=\"20\" value=\"0\">&nbsp;<i>(" . _ONLYNUMVAL . ")</i></td></tr>"
		."</table><br>"
		."<input type=\"hidden\" name=\"op\" value=\"grp_add\">"
		."<input type=\"submit\" value=\"" . _CREATEGROUP . "\"></form>";
		CloseTable();

?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
function PointsUpdate(name) {
    $(document).ready(function(){
         var points_value = $('input#Points-'+name).val();
         $('span#Points-'+name).html('<div class=pars_smallLoading></div>');
         $('span#Points-'+name).load('<?php echo $admin_file ?>.php?op=points_update&points_name='+name+'&points_value='+points_value, function(){ pn_scroll('#Points-'+name); });
    });
}
/*]]>*/
</script>
<?php
		OpenTable(_POINTSSYSTEM);
        $t = new table("pars_table", null, null, 5);
        $t->tr();
        $t->th( _NAME );
        $t->th( _DESCRIPTION );
        $t->th( _POINTS );
        $t->th( _FUNCTIONS );

		$result = $db->query("SELECT * from #__groups_points");
		while ($row = $db->fetchRow($result)) {
             $t->tr("class=".odd_even());
             $t->td($row['name'], "width: 80px");
             $t->td($row['description']." <span id='Points-{$row['name']}'></span>");
             $t->td("<input type=\"text\" value=\"{$row['points']}\" size=\"4\" dir=\"ltr\" name=\"points\" id=\"Points-{$row['name']}\">", "width: 50px;text-align:center");
             $t->td("<input type=\"submit\" value=\""._UPDATE."\" onclick=\"PointsUpdate('{$row['name']}')\">", "width: 90px;text-align:center");
        }

        $t->show();
		CloseTable();
		get_footer();
	}

	function grp_add($name, $description, $points) {
		global $prefix, $db, $admin_file;
		if (!is_numeric($points) || ereg("-", $points)) {
			get_header();
			GraphicAdmin();
			title("" . _GROUPSADMIN . "");
			OpenTable();
			echo "<center><b>" . _GROUPADDERROR . "</b><br><br>"
			."" . _NONUMVALUE . "<br><br>"
			."" . _GOBACK . "</center>";
			CloseTable();
			get_footer();
		} else {
			$name = filter($name, nohtml, 1);
			$description = filter($description, "", 1);
			$points = intval($points);
			$db->query("INSERT INTO " . $prefix . "_groups VALUES (NULL, '$name', '$description', '$points')");
			Header("Location: ".$admin_file.".php?op=Groups");
		}
	}

	function grp_edit($id) {
		global $prefix, $db, $admin_file;
		get_header();
		GraphicAdmin();
		title("" . _GROUPSADMIN . "");
		$id = intval($id);
		$row = $db->fetchRow($db->query("SELECT * FROM " . $prefix . "_groups WHERE id='$id'"));
		$id = intval($row['id']);
		$name = filter($row['name'], nohtml);
		$description = filter($row['description']);
		$points = intval($row['points']);
		OpenTable();
		echo "<center><font class=\"option\"><b>" . _EDITGROUP . "</b></font></center><br><br>"
		."<form action=\"".$admin_file.".php\" method=\"post\">"
		."<table border=\"0\" width=\"100%\">"
		."<tr><td>" . _GTITLE . ":</td><td><input type=\"text\" name=\"name\" size=\"50\" maxlength=\"255\" value=\"$name\"></td></tr>"
		."<tr><td>" . _DESCRIPTION . ":</td><td><textarea name=\"description\" cols=\"70\" rows=\"15\">$description</textarea></td></tr>"
		."<tr><td>" . _POINTSNEEDED . ":</td><td><input type=\"text\" name=\"points\" size=\"10\" maxlength=\"20\" value=\"$points\">&nbsp;<i>(" . _ONLYNUMVAL . ")</i></td></tr>"
		."</table><br><br>"
		."<input type=\"hidden\" name=\"id\" value=\"$id\">"
		."<input type=\"hidden\" name=\"op\" value=\"grp_edit_save\">"
		."<input type=\"submit\" value=\"" . _SAVEGROUP . "\"></form>";
		CloseTable();
		get_footer();
	}

	function grp_edit_save($id, $name, $description, $points) {
		global $prefix, $db, $admin_file;
		$id = intval($id);
		if (!is_numeric($points)) {
			get_header();
			GraphicAdmin();
			title("" . _GROUPSADMIN . "");
			OpenTable();
			echo "<center><b>" . _GROUPADDERROR . "</b><br><br>"
			."" . _NONUMVALUE . "<br><br>"
			."" . _GOBACK . "</center>";
			CloseTable();
			get_footer();
		} else {
			$id = intval($id);
			$name = filter($name, nohtml, 1);
			$description = filter($description, "", 1);
			$points = intval($points);
			$db->query("UPDATE " . $prefix . "_groups SET name='$name', description='$description', points='$points' WHERE id='$id'");
			Header("Location: ".$admin_file.".php?op=Groups");
		}
	}

	function grp_del($id, $ok=0) {
		global $prefix, $db, $admin_file;
		$id = intval($id);
		if ($ok == 0) {
			get_header();
			GraphicAdmin();
			title("" . _GROUPSADMIN . "");
			OpenTable();
			$row = $db->fetchRow($db->query("SELECT name FROM " . $prefix . "_groups WHERE id='$id'"));
			$name = filter($row['name'], nohtml);
			echo "<center><b>" . _GROUPDELETE . "</b><br><br>"
			."" . _SUREGRPDEL1 . " <b>$name</b><br><br>"
			."[ <a href=\"".$admin_file.".php?op=grp_del&id=$id&ok=1\">" . _YES . "</a> | <a href=\"".$admin_file.".php?op=Groups\">" . _NO . "</a> ]</center>";
			CloseTable();
			get_footer();
		} else {
			$db->query("DELETE FROM " . $prefix . "_groups WHERE id='$id'");
			$db->query("UPDATE " . $prefix . "_modules SET mod_group='0' WHERE mod_group='$id'");
			Header("Location: ".$admin_file.".php?op=Groups");
		}
	}

	function p_update($name, $value) {
		global $prefix, $db, $admin_file;
		$name = pn_safe($name, "en-num");
		$value = intval($value);
		$db->query("UPDATE #__groups_points SET points='$value' WHERE name='$name' limit 1");
		if ($db->affectedRows())
        $msg = "<b class=pars_green>تغييرات ذخيره شد.</b>";
        else
        $msg = "<b class=pars_red>مجدد تلاش كنيد!</b>";
        die($msg);
	}

	switch($op) {

		case "Groups":
		Groups();
		break;

		case "grp_add":
		grp_add($pars->input['name'], $pars->input['description'], $pars->input['points']);
		break;

		case "grp_edit":
		grp_edit($pars->input['id']);
		break;

		case "grp_edit_save":
		grp_edit_save($pars->input['id'], $pars->input['name'], $pars->input['description'], $pars->input['points']);
		break;

		case "grp_del":
		grp_del($pars->input['id'], $pars->input['ok']);
		break;

		case "points_update":
		p_update($pars->input['points_name'], $pars->input['points_value']);
		break;

	}

} else {
	echo "Access Denied";
}

?>