<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: optimize.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superAdmin()) {

	get_header();
	GraphicAdmin();
	title("" . _DBOPTIMIZATION . "");

	OpenTable();
	echo "<center><font class=\"title\">" . _OPTIMIZINGDB . " $dbname</font></center><br><br>"
	."<table cellpadding=\"5\" cellspacing=\"0\" class=\"pars_table\"><tr><th><div>" . _TABLE . "</div></th><th><div>" . _SIZE . "</div></th><th><div>" . _STATUS . "</div></th><th><div align=center>" . _SPACESAVED . "</div></th></tr>";
	$total_gain = 0;
	$db_clean = $dbname;
	$tot_data = 0;
	$tot_idx = 0;
	$tot_all = 0;
	$local_query = 'SHOW TABLE STATUS FROM '.$dbname;
	$result = $db->query($local_query);
	if ($db->numRows($result)) {
		while ($row = $db->fetchArray($result)) {
			$tot_data = $row['Data_length'];
			$tot_idx  = $row['Index_length'];
			$total = $tot_data + $tot_idx;
			$total = $total / 1024 ;
			$total = round ($total,3);
			$gain= $row['Data_free'];
			$gain = $gain / 1024 ;
			$total_gain += $gain;
			$gain = round ($gain,3);
			$local_query = 'OPTIMIZE TABLE '.$row[0];
			$resultat  = $db->query($local_query);
			if ($gain == 0) {
				echo "<tr class=".odd_even()."><td>"."$row[0]"."</td>"."<td>"."$total"." Kb"."</td>"."<td>" . _ALREADYOPTIMIZED . "</td><td align=\"center\">0 Kb</td></tr>";
			} else {
				echo "<tr class=".odd_even()."><td><b>"."$row[0]"."</b></td>"."<td><b>"."$total"." Kb"."</b></td>"."<td><b>" . _OPTIMIZED . "</b></td><td align=\"center\"><b>"."$gain"." Kb</b></td></tr>";
			}
		}
	}
	echo "</table>";
	echo "</center>";
	CloseTable();

	OpenTable();
	$histo = $cpt = 0;
	$total_gain = round ($total_gain,3);
	echo "<center><b>" . _OPTIMIZATIONRESULTS . "</b><br><br>"
	."" . _TOTALSPACESAVED . " "."$total_gain"." Kb<br>";
	$sql_query = "CREATE TABLE IF NOT EXISTS ".$prefix."_optimize_gain(gain decimal(10,3))";
	$result = $db->query($sql_query);
	$sql_query = "INSERT INTO ".$prefix."_optimize_gain (gain) VALUES ('$total_gain')";
	$result = $db->query($sql_query);
	$sql_query = "SELECT * FROM ".$prefix."_optimize_gain";
	$result = $db->query($sql_query);
	while ($row = $db->fetchArray($result)) {
		$histo += $row[0];
		$cpt += 1;
	}
	echo "" . _YOUHAVERUNSCRIPT . " $cpt " . _TIMES . "<br>"
	."$histo " . _KBSAVED . "</center>";
	CloseTable();
	get_footer();

} else {
	echo "Access Denied";
}

?>
