<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: referers.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superAdmin()) {

	/*********************************************************/
	/* Referer Functions to know who links us                */
	/*********************************************************/

	function hreferer() {
		global $bgcolor2, $prefix, $db, $admin_file, $pars;
		set_title(_WHOLINKS);
		get_header();
		GraphicAdmin();
		OpenTable();
		echo "<center><font class=\"title\"><b>" . _HTTPREFERERS . "</b></font></center>";
		CloseTable();

		OpenTable(_WHOLINKS);
		$httprefmode = intval($pars->settings['httprefmode']);
     	$t = new table('pars_table', null, null, 5);

     	$t->tr();
     	$t->th( "آي پي ارجاع دهنده", "width: 150px" );
     	$t->th( "تاريخ ارجاع", "width: 220px" );
     	$t->th( "آدرس ارجاع دهنده" );

	 	$q = $db->query("SELECT * from #__referer order by rid desc");
	 	while ($row = $db->fetchRow($q)) {
			 $rid = intval($row['rid']);
			 $url = filter($row['url'], "nohtml");
			 $url2 = urlencode($url);
			 $title = $url;
			 if ($httprefmode == 1) {
				$url = explode("/", $url);
				$url = "http://$url[2]";
			 }
             $t->tr("class=".odd_even());
             $t->td( $row['ip'] );
             $t->td( jdate("l j F Y ساعت H:i:s", strtotime($row['time'])) );
             $t->td( html::a("go.php?url=$url2", $url, "", "_blank"), "text-align: left;direction: ltr" );
	 	}

     	$t->show();

		echo "</table>"
			."<form action=\"".$admin_file.".php\" method=\"post\">"
			."<input type=\"hidden\" name=\"op\" value=\"delreferer\">"
			."<center><input type=\"submit\" value=\"" . _DELETEREFERERS . "\"></center>";
		CloseTable();
		get_footer();
	}

	function delreferer() {
		global $prefix, $db, $admin_file;
		$db->query("delete from " . $prefix . "_referer");
		Header("Location: ".$admin_file.".php?op=adminMain");
	}

	switch($op) {

		case "hreferer":
		hreferer();
		break;

		case "delreferer":
		delreferer();
		break;

	}

} else {
	echo "Access Denied";
}
?>