<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: robots.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superadmin()):

function Robots() {
	global $db, $admin_file, $pars, $cache, $op;
	set_title("ربات ها");
	get_header();
	GraphicAdmin();
	title("مديريت ربات ها");

	OpenTable("ويرايش فايل robots.txt");
	if (isset($_GET['status']) && !empty($_GET['status'])) {
	  	if ($_GET['status'] == "success") {
	  		echo pn_message("فايل robots.txt با موفقيت ويرايش شد.", "success");
	  	} elseif ($_GET['status'] == "reset") {
	  		echo pn_message("فايل robots.txt با موفقيت ريست شد.", "success");
	  	} elseif ($_GET['status'] == "error") {
	  		switch ($_GET['error']) {
	  			case 1:
	  		         echo pn_message("سيستم دسترسي لازم براي ويرايش فايل robots.txt را ندارد!", "error");
	  			break;
	  			case 2:
	  		         echo pn_message("در ويرايش فايل robots.txt خطايي رخ داده مجدد تلاش كنيد!", "error");
	  			break;
	  		}
	  	}
	}
	echo html::form("saveRobots", "{$admin_file}.php");
    $robots_code = pn_file_get_contents(INCLUDE_PATH."robots.txt");
    echo html::textarea("robots_content", $robots_code, "100x10", 'style="width:99%;direction:ltr"').'<br>';
    echo html::hidden("op", "saveRobots") . html::submit("submit", "ذخيره") .'&nbsp;'. html::a("javascript:pn_confirm('".adminLink('RobotsReset')."', 'آيا از بازگرداني محتواي اين فايل به حالت استاندارد اطمينان داريد؟')", "[بازگرداني محتواي فايل به حالت اوليه]");
	echo html::form("End");
	CloseTable();
	get_footer();
}

function saveRobots() {
	$error = 0;
	$file = INCLUDE_PATH."robots.txt";
	$robots_content = $_POST['robots_content'];
	if (!is_writable($file)) {
		$error = 1;
	}
	if ($error == 0) {
		if(file_put_contents($file, stripslashes($robots_content))) {
		    pn_redirect(adminLink('Robots&status=success'));
		} else {
		    pn_redirect(adminLink('Robots&status=error&error=2'));
		}
	} else {
		pn_redirect(adminLink('Robots&status=error&error='.$error));
	}
}

function RobotsReset() {
	$error = 0;
	$file = INCLUDE_PATH."robots.txt";
	$robots_content  = "User-agent: Mediapartners-Google*\n";
	$robots_content .= "Disallow:\n";
	$robots_content .= "\n";
	$robots_content .= "User-agent: *\n";
	$robots_content .= "Disallow: /admin.php\n";
	$robots_content .= "Disallow: /admin/\n";
	$robots_content .= "Disallow: /images/\n";
	$robots_content .= "Disallow: /includes/\n";
	$robots_content .= "Disallow: /setup/\n";
	$robots_content .= "Disallow: /themes/\n";
	$robots_content .= "Disallow: /blocks/\n";
	$robots_content .= "Disallow: /modules/\n";
	$robots_content .= "Disallow: /language/";
	if (!is_writable($file)) {
		$error = 1;
	}
	if ($error == 0) {
		if(file_put_contents($file, stripslashes($robots_content))) {
		    pn_redirect(adminLink('Robots&status=reset'));
		} else {
		    pn_redirect(adminLink('Robots&status=error&error=2'));
		}
	} else {
		pn_redirect(adminLink('Robots&status=error&error='.$error));
	}
}

switch($op) {

   case'Robots':
   Robots();
   break;

   case'saveRobots':
   saveRobots();
   break;

   case'RobotsReset':
   RobotsReset();
   break;
}

else:

     get_header();
     pn_error("شما به اين بخش دسترسي نداريد!، لطفا تلاش نكنيد.", "عدم دسترسي");

endif;
?>