<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: smiley.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (is_superadmin()):

function Smiley() {
	  global $db, $admin_file, $pars, $cache, $op;
      $_REQUEST["smiley_id"] = (int) pn_getParam('smiley_id', $_REQUEST);
	  set_title("شكلك ها");
	  get_header();
	  GraphicAdmin();
	  title("مديريت شكلك ها");
      if (!isset($cache->smileys) || !is_array($cache->smileys) || !count($cache->smileys)) {
          $cache->smileys = array();
          $result = $db->query("SELECT * FROM #__smileys order by smiley_id asc");
          while ($row = $db->fetchRow($result)) {
              $cache->smileys[ $row["smiley_id"] ] = $row;
          }
          $db->freeResult($result);
          unset($result, $row);
      }
      if ($op=="editSmiley" && !isset($cache->smileys[$_REQUEST["smiley_id"]]))
      pn_redirect( adminLink("Smiley") );
?>
<script type='text/javascript'>
/* <![CDATA[ */
function PreviewSmiley() {
	var selectSmiley = document.getElementById('smiley_image');
	var imageSmiley = document.getElementById('smiley_preview');
	var optionValue = selectSmiley.options[selectSmiley.selectedIndex].value;
	if (optionValue!='') {
		imageSmiley.src = 'images/smiley/' + optionValue;
	} else {
		imageSmiley.src = 'images/imagenotfound.jpg';
	}
}
/* ]]>*/
</script>
<?php
	  OpenTable($op=="Smiley"? "افزودن شكلك" : "ويرايش شكلك");
	  echo html::form("saveSmiley", "{$admin_file}.php");
      $t = new table(null, null, null, 5);

      $t->tr();
      $t->td( "کد شکلک", "width: 100px" );
      $t->td( html::input("smiley_code", ($op=="editSmiley"? $cache->smileys[$_REQUEST["smiley_id"]]['smiley_code'] : ""), 'size="30" dir="ltr"') );

      $options = array();
	  $handle=opendir('images/smiley');
	  while ($file = readdir($handle)) {
		   if (get_extension($file)=='png' || get_extension($file)=='gif' || get_extension($file)=='jpg' || get_extension($file)=='jpeg' || get_extension($file)=='bmp') {
				$options[$file] = $file;
		   }
	  }
	  closedir($handle);
      $t->tr();
      $t->td( "تصویر شکلک" );
      $t->td( html::select("smiley_image", $options, ($op=="editSmiley"? $cache->smileys[$_REQUEST["smiley_id"]]['smiley_image'] : ""), 'dir="ltr" id="smiley_image" onchange="PreviewSmiley();"') . "<img src='".($op=="editSmiley"? "images/smiley/".$cache->smileys[$_REQUEST["smiley_id"]]['smiley_image'] : "images/imagenotfound.jpg")."' alt='smiley' id='smiley_preview' />");

      $t->tr();
      $t->td( "توضيح شکلک");
      $t->td( html::input("smiley_text", ($op=="editSmiley"? $cache->smileys[$_REQUEST["smiley_id"]]['smiley_text'] : ""), 'size="30"') );

      $t->tr();
      $t->td();
      $t->td( html::hidden("op", $op=="Smiley"? "saveSmiley" : "saveEditSmiley") . html::hidden("smiley_id", $op=="Smiley"? 0 : $_REQUEST["smiley_id"]) . html::submit("submit", "ذخيره") );

      $t->show();
	  echo html::form("End");
	  CloseTable();


	  OpenTable("شكلك ها");
      $t = new table('pars_table', null, null, 5);

      $t->tr();
      $t->th( "ID", "width: 50px" );
      $t->th( "کد", "width: 50px" );
      $t->th( "تصویر", "width: 100px" );
      $t->th( "نوشته" );
      $t->th( "عمليات", "width: 60px" );

	  foreach ($cache->smileys as $row) {
             $t->tr("class=".odd_even());
             $t->td( $row['smiley_id'] );
             $t->td( $row['smiley_code'] );
             $t->td( "<img src='images/smiley/".$row['smiley_image']."' />" );
             $t->td( $row['smiley_text'] );
             $t->td( html::a(adminLink("editSmiley&smiley_id=".$row['smiley_id']), html::img("images/icon/page_edit.png"), "title='ويرايش'") .' '. html::a("javascript:pn_confirm('".adminLink('removeSmiley&smiley_id='.$row['smiley_id'])."')", html::img("images/icon/cross.png"), "title='حذف'"), "text-align:center" );
	  }

      $t->show();
	  CloseTable();
	  get_footer();
}

function saveSmiley() {
	  global $db, $cache, $currentlang;
      $sql = array();
      $sql['smiley_code'] = pn_safe($_POST['smiley_code'], "_nohtml");
      $sql['smiley_image'] = pn_safe($_POST['smiley_image'], "_nohtml");
      $sql['smiley_text'] = pn_safe($_POST['smiley_text'], "showhtml");

      if (empty($sql['smiley_code']) || empty($sql['smiley_image']))
	  pn_redirect( adminLink("Smiley") );

      $db->insert("smileys", $sql);
	  pn_redirect( adminLink("Smiley") );
}

function saveEditSmiley($smiley_id) {
	  global $db, $cache, $currentlang;
      $smiley_id = (int) $smiley_id;
      $sql = array();
      $sql['smiley_code'] = pn_safe($_POST['smiley_code'], "_nohtml");
      $sql['smiley_image'] = pn_safe($_POST['smiley_image'], "_nohtml");
      $sql['smiley_text'] = pn_safe($_POST['smiley_text'], "showhtml");

      if (empty($sql['smiley_code']) || empty($sql['smiley_image']))
	  pn_redirect( adminLink("Smiley") );

      $db->update("smileys", $sql, "smiley_id='$smiley_id'", 1);
	  pn_redirect( adminLink("Smiley") );
}

function removeSmiley($smiley_id) {
	  global $db, $cache, $op;
	  $smiley_id = (int) $smiley_id;
	  $db->query("DELETE FROM `#__smileys` WHERE `smiley_id`='$smiley_id' LIMIT 1");
	  pn_redirect( adminLink('Smiley') );
}

switch($op) {

   case'Smiley':
   case'editSmiley':
   Smiley();
   break;

   case'saveSmiley':
   saveSmiley();
   break;

   case'saveEditSmiley':
   saveEditSmiley($pars->input["smiley_id"]);
   break;

   case'removeSmiley':
   removeSmiley($pars->input["smiley_id"]);
   break;
}

else:

     get_header();
     pn_error("شما به اين بخش دسترسي نداريد!، لطفا تلاش نكنيد.", "عدم دسترسي");

endif;
?>