<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: block-Poll.php 2012-02-01 23:03:48 (Iman92)$
 */

if ( !defined('BLOCK_FILE') ) {
    Header("Location: ../index.php");
    die();
}

global $currentlang, $db;

$totalCount = 0;
$voteValid = 1;
$result = $db->query("SELECT * FROM #__polls where poll_status='1' ORDER BY POLL_ID DESC LIMIT 1");
if ($db->numRows($result) >= 1) {
$row = $db->fetchRow($result);

if (!is_ajax())
set_head( html::js("modules/Poll/js/js.js", "file") );

for ($i=1; $i<=15; $i++) {
         $answer = 'poll_answer'.$i;
         $value = 'poll_value'.$i;
         if (!empty($row[$answer]))
         $totalCount += $row[$value];
};


if (!isset($_COOKIE["parsNuke_poll".intval($row['poll_id'])])) {
         $past = time()-1800;
         $poll_check = $db->numRows("SELECT ip FROM #__poll_check WHERE ip='".get_ip()."' AND pollID='".$row['poll_id']."' AND time>'$past'", true);
         if (!$poll_check) {
		 $voteValid = 0;
         }
}

if($voteValid):
         $content .= "<b>{$row['poll_question']}</b><br><br>\n";
         $content .= '<style>';
         $content .= '.pars_pollDiv { border-radius: 5px; -moz-border-radius: 5px; -webkit-border-radius: 5px; background: White; padding: 2px; }';
         $content .= '.pars_pollDiv1 { height: 13px; border-radius: 5px; -moz-border-radius: 5px; -webkit-border-radius: 5px; -moz-box-shadow: inset 0 0 4px #000000; -webkit-box-shadow: inset 0 0 4px #000000; box-shadow: inset 0 0 4px #000000; }';
         $content .= '</style>'."\n";

         for ($i=1; $i<=15; $i++) {
                 $answer = 'poll_answer'.$i;
                 $value = 'poll_value'.$i;
                 if (empty($row[$answer])) continue;
                 $num = $row[$value] * 100;

                 if($totalCount!=0)
                 $num /= $totalCount;
                 else
                 $num = 0;
                 $num = floor($num);

                 if ($num >= 50)
                 $bgcolor="#CC0000";
                 elseif ($num >= 30)
                 $bgcolor="#FF6633";
                 else
                 $bgcolor="#777777";

                 $content .= ''.$row[$answer].' <font size=1>('.$row[$value].' راي) ('.$num.' درصد)</font><br /><div style="width:'.($num==0? '5px' : $num.'%').'" class="pars_pollDiv"><div style="background:'.$bgcolor.'" class="pars_pollDiv1"></div></div><br>'."\n";
         };

         $content .= html::img("images/icon/chart_bar.png").' مجموع آرا: '.$totalCount.'<br>';
         $content .= html::img("images/icon/comment_add.png").' <a href="'.pn_link("name=Poll&op=Results&pollID={$row['poll_id']}").'">نظر شما چيست؟</a><br>';
else:
         $content .= "<form method=\"POST\" action=\"modules.php\" id=\"pars_PollForm\">\n";
         $content .= "<b>{$row['poll_question']}</b><br>\n";
         for ($i=1; $i<=15; $i++) {
                 $answer = 'poll_answer'.$i;
                 $value = 'poll_value'.$i;
                 if (empty($row[$answer])) continue;
                 $content .= "<label><input type=\"radio\" name=\"poll_vote\" value=\"$i\"> {$row[$answer]} </label><br>\n";
         };
         $content .= "<input type=\"submit\" name=\"poll_save\" id=\"poll_save\" value=\"ثبت نظر\"><div class=\"pars_smallLoading\" id=\"poll_loader\" style=\"display: none\"></div>\n";
         $content .= '<div style="display: none" id="pars_PollInfo"></div>';
         $content .= '<br>';
         $content .= html::hidden("name", "Poll");
         $content .= html::hidden("op", "Collector");
         $content .= html::hidden("pollID", $row['poll_id']);
         $content .= html::hidden("pollAjax", "OK");
         $content .= html::img("images/icon/chart_curve.png")."  <a href=\"".pn_link("name=Poll&op=Results&pollID={$row['poll_id']}")."\">نمايش نتايج</a><br>\n";
         $content .= html::img("images/icon/chart_bar.png").' مجموع آرا: '.$totalCount.'<br>';
         $content .= html::img("images/icon/comment_add.png").' <a href="'.pn_link("name=Poll&op=Results&pollID={$row['poll_id']}").'">نظر شما چيست؟</a><br>';
         $content .= "</form>\n";
endif;

} # End Poll Block
?>