<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: counter.php 2012-01-28 19:10:21 (Iman92)$
 */

if (stristr(htmlentities($_SERVER['PHP_SELF']), "counter.php")) {
	Header("Location: index.php");
	die();
}

if (!defined('ADMIN_FILE')):

global $prefix, $db;

require_once(INCLUDE_PATH."includes/class_Browser.php");
$Browser = new Browser;

/* Save on the databases the obtained values */

$total = $db->numRows("SELECT * FROM #__statistics WHERE `stat_name`='Year-".jdate("Y")."' LIMIT 1", true);
if($total <= 0) {
   $db->insert("statistics", array("stat_name"=>"Year-".jdate("Y")."", "stat_value"=>"0"));
}

$total = $db->numRows("SELECT * FROM #__statistics WHERE `stat_name`='Month-".jdate("Y-m")."' LIMIT 1", true);
if($total <= 0) {
   $db->insert("statistics", array("stat_name"=>"Month-".jdate("Y-m")."", "stat_value"=>"0"));
}

$total = $db->numRows("SELECT * FROM #__statistics WHERE `stat_name`='Day-".jdate("Y-m-d")."' LIMIT 1", true);
if($total <= 0) {
   $db->insert("statistics", array("stat_name"=>"Day-".jdate("Y-m-d")."", "stat_value"=>"0"));
}

$q = $db->query("UPDATE #__statistics SET stat_value=stat_value+1 WHERE (stat_name='Browser-".$Browser->getBrowser()."') OR (stat_name='OS-".$Browser->getPlatform()."') OR (stat_name='Total') OR (stat_name='Year-".jdate("Y")."') OR (stat_name='Month-".jdate("Y-m")."') OR (stat_name='Day-".jdate("Y-m-d")."')");
update_points("PageVisit");

unset($total, $Browser, $q);

endif;

?>