<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: header.php 2012-01-28 19:10:21 (Iman92)$
 */

if (stristr(htmlentities($_SERVER['PHP_SELF']), "header.php")) {
    Header("Location: ../index.php");
    die();
}

global $pars;
$ThemeSel = get_theme();
$Header  = "<title>{$pars->settings['sitename']}</title>\n";
$Header .= "<base href=\"{$pars->settings['siteurl']}/\">\n";
$Header .= "<meta http-equiv=\"content-type\" content=\"text/html; charset="._CHARSET."\" />\n";
$Header .= "<meta name=\"author\" content=\"{$pars->settings['sitename']}\" />\n";
$Header .= "<meta name=\"generator\" content=\"Pars Nuke Copyright (c) ".date("Y")." by Iman Moodi. This is free software, and you may redistribute it under the GPL (http://parsnuke.com/files/gpl.txt). Pars-Nuke comes with absolutely no warranty, for details, see the license (http://parsnuke.com/files/gpl.txt).\" />\n";
$Header .= "<meta name=\"description\" content=\"{$pars->settings['slogan']}\" />\n";
$Header .= "<meta name=\"keywords\" content=\"{$pars->settings['keywords']}\" />\n";
$Header .= "<meta name=\"distribution\" content=\"global\" />\n";
$Header .= "<meta name=\"robots\" content=\"index, follow\" />\n";
$Header .= "<meta name=\"revisit-after\" content=\"1 days\" />\n";
$Header .= "<meta name=\"rating\" content=\"general\" />\n";
if (file_exists("themes/$ThemeSel/images/favicon.ico"))
$Header .= "<link rel=\"shortcut icon\" type=\"image/x-icon\" href=\"themes/$ThemeSel/images/favicon.ico\">\n";
else
$Header .= "<link rel=\"shortcut icon\" type=\"image/x-icon\" href=\"images/favicon.ico\">\n";
$Header .= "<link rel=\"alternate\" type=\"application/rss+xml\" title=\"RSS\" href=\"backend.php\">\n";
#$Header .= "<script type=\"text/javascript\" src=\"includes/pars_nuke/javascript/jquery.js\"></script>\n";
$Header .= "<script type=\"text/javascript\" src=\"http://ajax.googleapis.com/ajax/libs/jquery/1.4/jquery.min.js\"></script>\n";
$Header .= "<script>!window.jQuery && document.write('<script src=\"includes/pars_nuke/javascript/jquery.js\"><\/script>');</script>\n";
$Header .= "<script type=\"text/javascript\" src=\"includes/pars_nuke/javascript/fancybox/jquery.fancybox-1.3.4.pack.js\"></script>\n";
$Header .= "<script type=\"text/javascript\" src=\"includes/pars_nuke/javascript/tooltip.js\"></script>\n";
$Header .= "<script type=\"text/javascript\" src=\"includes/pars_nuke/javascript/default.js\"></script>\n";
$Header .= "<style type=\"text/css\" media=\"screen\">\n";
$Header .= "@import url(\"includes/pars_nuke/styles/default.css\") screen;\n";
$Header .= "@import url(\"includes/pars_nuke/javascript/fancybox/jquery.fancybox-1.3.4.css\") screen;\n";
if(file_exists("themes/{$ThemeSel}/style/style.css"))
$Header .= "@import url(\"themes/{$ThemeSel}/style/style.css\") screen;\n";
elseif(file_exists("themes/{$ThemeSel}/style.css"))
$Header .= "@import url(\"themes/{$ThemeSel}/style.css\") screen;\n";
$Header .= "</style>\n";

if(isset($_REQUEST['name']) && !empty($_REQUEST['name']) && file_exists("modules/".$_REQUEST['name']."/copyright.php") && basename($_SERVER['PHP_SELF']) != "index.php") {
    $Header .= "<script type=\"text/javascript\">\n";
    $Header .= "<!--\n";
    /*$Header .= "function CopyrightWindow(){\n";
    $Header .= "     window.open (\"modules/".$_REQUEST['name']."/copyright.php\",\"Copyright\",\"toolbar=no,location=no,directories=no,status=no,scrollbars=yes,resizable=no,copyhistory=no,width=400,height=200\");\n";
    $Header .= "}\n";*/
    $Header .= '$(document).ready(function(){$("#pn_Copyright").fancybox({\'width\':\'50%\',\'height\':\'44%\',\'type\':\'iframe\'});})';
    $Header .= "\n//-->\n";
    $Header .= "</script>\n";
}

if(file_exists(INCLUDE_PATH."includes/custom_files/custom_head.php"))
include_once(INCLUDE_PATH."includes/custom_files/custom_head.php");

echo $Header;

?>