<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: modules.php 2012-01-28 19:10:21 (Iman92)$
 */

define('MODULE_FILE', true);
require_once("mainfile.php");   
Header("Content-type: text/html; charset=utf-8");

if (isset($pars->input['name']) && !empty($pars->input['name'])) {
  if (stripos_clone($pars->input['name'], "..")) Header("Location: index.php");
  $name = $pars->input['name'] = $_POST['name'] = $_GET['name'] = pn_safe($pars->input['name'], "en-num");
  global $db, $prefix, $user;
  $result = $db->query("SELECT active, view FROM ".$prefix."_modules WHERE title='".addslashes($name)."'");
  list($mod_active, $view) = $db->fetchArray($result);
  $mod_active = intval($mod_active);
  $view = intval($view);
  if (($mod_active == 1) OR ($mod_active == 0 AND is_admin())) {

    if (!isset($pars->input['mop']) OR empty($pars->input['mop'])) $pars->input['mop'] = "modload";
    if (!isset($pars->input['file']) OR empty($pars->input['file'])) $pars->input['file'] = "index";
    if (stripos_clone($pars->input['file'],"..") OR stripos_clone($pars->input['mop'],"..")) die("You are so cool...");

    $mop = pn_safe($pars->input['mop'], "en-num");
    $file = pn_safe($pars->input['file'], "en-num");
    $ThemeSel = pn_safe( get_theme() , "en-num");

    if (file_exists("themes/$ThemeSel/modules/$name/".$file.".php")) {
      $modpath = "themes/$ThemeSel/";
    } else {
      $modpath = "";
    }
    if ($view == 0) {
      $modpath .= "modules/$name/".$file.".php";
      if (file_exists($modpath)) {
        include($modpath);
      } else {
        get_header();
        OpenTable();
        echo "<br><center>Sorry, such file doesn't exist...</center><br>";
        CloseTable();
        get_footer();
      }
    } elseif ($view == 1 AND (is_member() AND is_group($name)) OR is_admin()) {
      $modpath .= "modules/$name/".$file.".php";
      if (file_exists($modpath)) {
        include($modpath);
      } else {
        get_header();
        OpenTable();
        echo "<br><center>Sorry, such file doesn't exist...</center><br>";
        CloseTable();
        get_footer();
      }
    } elseif ($view == 1 AND (!is_member() OR !is_admin())) {
      set_title(_ACCESSDENIED);
      get_header();
      title(_ACCESSDENIED);
      OpenTable();
      echo "<center><strong>"._RESTRICTEDAREA."</strong><br><br>"._MODULEUSERS;
      $result2 = $db->query("SELECT mod_group FROM ".$prefix."_modules WHERE title='".addslashes($name)."'");
      list($mod_group) = $db->fetchArray($result2);
      if ($mod_group != 0) {
        $result3 = $db->query("SELECT name FROM ".$prefix."_groups WHERE id='".intval($mod_group)."'");
        $row3 = $db->fetchRow($result3);
        echo _ADDITIONALYGRP.": <b>".$row3['name']."</b><br><br>";
      }
      echo _GOBACK;
      CloseTable();
      get_footer();
    } elseif ($view == 2 AND is_admin()) {
      $modpath .= "modules/$name/".$file.".php";
      if (file_exists($modpath)) {
        include($modpath);
      } else {
        get_header();
        OpenTable();
        echo "<br><center>Sorry, such file doesn't exist...</center><br>";
        CloseTable();
        get_footer();
      }
    } elseif ($view == 2 AND !is_admin()) {
      set_title(_ACCESSDENIED);
      get_header();
      title($sitename.": "._ACCESSDENIED);
      OpenTable();
      echo "<center><b>"._RESTRICTEDAREA."</b><br><br>"._MODULESADMINS.""._GOBACK;
      CloseTable();
      get_footer();
    }
  } else {
    get_header();
    OpenTable();
    echo "<center>"._MODULENOTACTIVE."<br><br>"._GOBACK."</center>";
    CloseTable();
    get_footer();
  }
  parsNuke_ob_end_flush();

} elseif(isset($pars->input['Block']) && !empty($pars->input['Block'])) {

  $Block = $pars->input['Block'] = pn_safe($pars->input['Block'], "en-num");
  if (file_exists(INCLUDE_PATH."blocks/block-".$Block.".php")) {
        define('BLOCK_FILE', true);
	    include(INCLUDE_PATH."blocks/block-".$Block.".php");
        echo $content;
  }else{
        if (!is_ajax()) {
        header("Location: index.php");
        Header('HTTP/1.0 404 Not Found');
        }
        exit("Sorry, such file doesn't exist...");
  }
  parsNuke_ob_end_flush();

} else {
  Header('HTTP/1.0 404 Not Found');
  header("Location: index.php");
  exit;
}

?>