<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: Account.seo.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('NUKE_FILE')) {
	die ("You can't access this file directly...");
}

$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=List&amp;pageNum=([0-9]*)'"] = "account/list/pageNum-\\1/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=List'"] = "account/list/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=ProfileEdit'"] = "account/profileEdit/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=Comments'"] = "account/comments/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=ChangeTheme'"] = "account/changeTheme/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=PrivateMessages&amp;pageNum=([0-9]*)'"] = "account/privateMessages/pageNum-\\1/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=PrivateMessages'"] = "account/privateMessages/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=NewMessage&amp;msg_receiver=([a-zA-Z0-9_]*)'"] = "account/newMessage/\\1/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=NewMessage'"] = "account/newMessage/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=Messages&amp;pageNum=([0-9]*)'"] = "account/messages/pageNum-\\1/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=Messages'"] = "account/messages/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=Avatar'"] = "account/avatar/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=DeleteAvatar'"] = "account/avatar/delete/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=MessageRead&amp;msgID=([0-9]*)'"] = "account/messageRead/\\1/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=MessageDelete&amp;msgID=([0-9]*)'"] = "account/messageDelete/\\1/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=Profile&amp;UserName=([a-zA-Z0-9_]*)'"] = "account/profile/\\1/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=Register'"] = "account/register/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=LogOut'"] = "account/logout/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=Login'"] = "account/login/";
$pars->urls["'(?<!/)modules.php\?name=Account&amp;op=Forget'"] = "account/forget/";
$pars->urls["'(?<!/)modules.php\?name=Account'"] = "account/";

?>