<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 19:10:21 (Iman92)$
 */

defined("ADMIN_FILE") or die("Access Denied!");

if (checkAdminPageAccess("Account")) {

function adminMembers() {
     global $db, $pars;
     $pageNum = (int) pn_getParam('pageNum', $_GET, 1);
     $pageNum = $pageNum<=0? 1 : $pageNum;
     $limit   = 40;
     $offset  = ParsNuke_page('SQL',$limit,$pageNum);
     $msg     = pn_getParam('msg', $_GET);
     set_title("كاربران");
     get_header();
	 GraphicAdmin();
     title("مديريت كاربران");

     openTable("جستجوي يك كاربر");
     if($msg=='searchError')
     echo pn_message("متاسفيم جستجو نتيجه اي نداشت!", "error");
     echo "<form action=\"".adminLink('searchMember')."\" method=\"POST\" id=\"pars_search\">\n";
     echo "<center>نام كاربري: <input name=\"userName\" type=\"text\" style=\"width:70%;direction: ltr\"> &nbsp; <input type=\"submit\" name=\"Search\" value=\"&nbsp;جستجو&nbsp;\"> &nbsp; <input type=\"reset\" name=\"Reset\" value=\"&nbsp;از نو&nbsp;\"></center>\n";
     echo "</form>";
     closeTable();

     openTable();
     echo "<table cellpadding=\"5\" cellspacing=\"0\" class=\"pars_table\">\n";
     echo "  <tr>\n";
     echo "    <th>نام كاربري</th>\n";
     echo "    <th style=\"width:65px;text-align:center\">امتياز</th>\n";
     echo "    <th style=\"width:65px;text-align:center\">وضعيت</th>\n";
     echo "    <th style=\"width:120px;text-align:center\">تاريخ عضويت</th>\n";
     echo "    <th style=\"width:50px;text-align:center\">ويرايش</th>\n";
     echo "  </tr>\n";
     $total = $db->numRows("SELECT * FROM #__members", true);
     $q = $db->query("SELECT * FROM #__members ORDER BY member_ID DESC LIMIT $offset,$limit");
     while($row = $db->fetchRow($q)) {
            echo "  <tr class=".odd_even().">\n";
            echo "    <td style=\"text-align:right\">".$row['member_name']."</td>\n";
            echo "    <td style=\"text-align:center\">".$row['member_points']."</td>\n";
            echo "    <td style=\"text-align:center\"><a href=\"".adminLink('statusMember&id='.$row['member_id'].'&pageNum='.$pageNum)."\">".($row['member_status']==1? '<img src="images/icon/status_online.png" width="16" height="16" title="فعال">' : '<img src="images/icon/status_busy.png" width="16" height="16" title="اخراج شده">')."</a></td>\n";
            echo "    <td style=\"text-align:center\">".jdate("Y-m-j H:i:s", strtotime($row['member_date']))."</td>\n";
            echo "    <td style=\"text-align:center\"><a href=\"".adminLink('editMember&id='.$row['member_id'])."\"><img src=\"images/icon/pencil.png\" width=\"16\" height=\"16\" title=\"ويرايش كاربر\"></a></td>\n";
            echo "  </tr>\n\n";
     }
     echo "</table>";

     echo ParsNuke_page($total, $limit, $pageNum, adminLink('Members&'));
     closeTable();
     get_footer();
}

function editMember($id) {
     global $db, $pars;
     $msg = pn_getParam('msg', $_GET);
     set_title("ويرايش كاربر");

     $id = intval($id);
     $u = getMemberData($id);
     if(!is_array($u))
     pn_redirect(adminLink('Members'));

     get_header();
	 GraphicAdmin();
     title("مديريت كاربران");

     openTable("ويرايش پروفايل");
     if($msg=='success')
     echo pn_message("تغييرات با موفقيت ذخيره شد.", "success");
     elseif($msg=='error')
     echo pn_message("در ذخيره تغييرات خطايي رخ داده است مجدد تلاش كنيد!!", "error");

     echo "<form id=\"user-edit\" action=\"".adminLink('editMemberSave&id='.$u['member_id'])."\" method=\"POST\">\n";
     echo "<table>\n";
     echo "  <tr>\n";
     echo "    <td style=\"width:120px\">نام كاربري</td>\n";
     echo "    <td><b>{$u['member_name']}</b></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>امتياز كاربر</td>\n";
     echo "    <td>{$u['member_points']}</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>تاريخ عضويت</td>\n";
     echo "    <td>".jdate("l j F Y ساعت H:i:s", strtotime($u['member_date']))."</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>آخرين بازديد</td>\n";
     echo "    <td>".jdate("l j F Y ساعت H:i:s", $u['member_lastvisit'])."</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>آي پي</td>\n";
     echo "    <td>{$u['member_ip']}</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>آخرين آي پي ثبت شده</td>\n";
     echo "    <td>{$u['member_lastip']}</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>نام مستعار</td>\n";
     echo "    <td><input name=\"member_alias\" type=\"text\" value=\"{$u['member_alias']}\" size=\"30\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>ايميل <font color=red>*</font></td>\n";
     echo "    <td><input name=\"member_email\" type=\"text\" value=\"{$u['member_email']}\" size=\"30\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>عضويت در خبرنامه</td>\n";
     echo "    <td>\n";
     $options = array("1"=>"فعال","0"=>"غيرفعال");
     echo html::select('member_newsletter', $options, $u['member_newsletter']);
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>حالت كاربر</td>\n";
     echo "    <td>\n";
     $options = array("0"=>"كاربر با كردار خوب", "1"=>"كاربر با كردار منظم", "2"=>"كاربر با كردار نادرست", "3"=>"كاربر با كردار بسيار بد");
     echo html::select('member_karma', $options, $u['member_karma']);
     echo "    </td>\n";
     echo "  </tr>\n";

     $options = array("" => "تم پيشفرض سايت");
     $handle=opendir('themes');
     while ($file = readdir($handle)) {
		  if (!ereg("[.]",$file) && file_exists(INCLUDE_PATH."themes/".$file."/theme.php") && !empty($file)) {
			   $options[$file] = $file;
		  }
     }
     closedir($handle);
     echo "  <tr>\n";
     echo "    <td>تم انتخابي كاربر</td>\n";
     echo "    <td>\n";
     echo html::select('member_theme', $options, $u['member_theme']);
     if ($pars->settings['overwrite_theme']==0)
     echo " (شما از طريق تنظيمات اجازه تغيير قالب سايت را به كاربران نداده ايد!)";
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>وبسايت</td>\n";
     echo "    <td><input name=\"member_web\" type=\"text\" value=\"{$u['member_web']}\" size=\"30\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td style=\"width:80px\">امضا</td>\n";
     echo "    <td><textarea name=\"member_signature\" cols=\"40\" rows=\"5\">{$u['member_signature']}</textarea></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>وضعيت</td>\n";
     echo "    <td>\n";
     $options = array("1"=>"فعال","0"=>"اخراج شده!");
     echo html::select('member_status', $options, $u['member_status']);
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td>در صورتي كه تمايل به تغيير پسورد نداريد فيلدهاي آن را خالي رها كنيد.</td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";

     echo "  <tr>\n";
     echo "    <td>پسورد</td>\n";
     echo "    <td><input name=\"member_password\" type=\"password\" value=\"\" size=\"30\" style=\"direction: ltr\" onkeyup=\"this.form.member_repeat_password.disabled=this.value=='';\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";

     echo "  <tr>\n";
     echo "    <td>تكرار پسورد</td>\n";
     echo "    <td><input name=\"member_repeat_password\" type=\"password\" value=\"\" size=\"30\" disabled=\"disabled\" style=\"direction: ltr\"> (فقط براي تغيير)</td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";

     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><input type=\"submit\" name=\"editSave\" value=\"ذخيره\"></td>\n";
     echo "  </tr>\n";
     echo "</table>\n";
     echo "</form>";
     closeTable();

     openTable("حالت هاي مختلف");
     echo "<img src=\"images/karma/0.gif\"> كاربر با كردار خوب (معمولي) <br> مي تواند از تمامي امكانات  حساب كاربري خود استفاده كنيد.<br><br>\n";
     echo "<img src=\"images/karma/1.gif\"> كاربر با كردار منظم <br> اين كاربر داراي رفتار مناسبي است.<br><br>\n";
     echo "<img src=\"images/karma/2.gif\"> كاربر با كردار نادرست <br> نظرات ارسالي اين كاربر به صورت عمومي منتشر نمي شود.<br><br>\n";
     echo "<img src=\"images/karma/3.gif\"> كاربر با كردار بسيار بد <br> اين كاربر اجازه ارسال نظر و ... را ندارد.<br><br>\n";
     closeTable();

     get_footer();
}

function editMemberSave($id) {
     global $userData, $db, $config;
     $u = getMemberData($id);
     if(!is_array($u))
     pn_redirect(adminLink('Members'));
     if(isset($_POST['editSave']) || isset($_POST['member_email'])) {
         $message = null;
         $id = intval($id);
         if($_POST['member_web']=='http://')
         $_POST['member_web'] = null;

         $arr = array(
         'member_alias' => pn_safe($_POST['member_alias'], 'showhtml'),
         'member_email' => pn_safe($_POST['member_email'], '_nohtml'),
         'member_newsletter' => intval($_POST['member_newsletter']),
         'member_karma' => intval($_POST['member_karma']),
         'member_status' => intval($_POST['member_status']),
         'member_theme' => pn_safe($_POST['member_theme'], 'en-num'),
         'member_web' => pn_safe($_POST['member_web'], '_nohtml'),
         'member_signature' => pn_safe($_POST['member_signature'], 'showhtml'),
         );

         if(!empty($_POST['member_password']) && !empty($_POST['member_repeat_password'])) {
               if($_POST['member_password'] != $_POST['member_repeat_password'])
               $message .= "پسوردهاي وارد شده مشابه نيستند!<br>";
               else{
                    $_POST['member_password'] = $db->escapeString(pn_safe($_POST['member_password'], '_nohtml'));
                    $pwd = sha1(md5($_POST['member_password']));
                    $arr['member_password'] = $pwd;
               }
         }

         if(empty($_POST['member_email']) || !validate_email_format($_POST['member_email']))
         $message .= "ايميل وارد شده صحيح نيست!<br>";

         if(!empty($message)) {
              get_header();
              pn_error($message, "اطلاعات وارد شده ناقص مي باشد!");
         }

         $db->update("members",$arr,"member_id=".$id);
         if($db->affectedRows()) {
               pn_redirect(adminLink('editMember&id='.$id.'&msg=success'));
         }else{
               pn_redirect(adminLink('editMember&id='.$id.'&msg=error'));
         }
     }
     pn_redirect(adminLink('Members'));
}

function statusMember($id) {
     global $db, $cache;
     $id = intval($id);
     $member_status = $db->fetchRowSet("SELECT member_status FROM #__members WHERE member_id='$id'");
     $member_status = $member_status['member_status']==1? 0 : 1;
     $db->query("UPDATE `#__members` SET `member_status`='$member_status' WHERE `member_id`='$id' LIMIT 1");
     pn_redirect(adminLink('Members&pageNum='.intval($_GET['pageNum'])));
}

function searchMember() {
     global $db;
     if(isset($_POST['userName']) && !empty($_POST['userName'])) {
         $_POST['userName'] = pn_safe($_POST['userName'], 'en-num');
         $u = getMemberData(false, $_POST['userName']);
         if(is_array($u) && $u['member_name']==$_POST['userName'] && isset($u['member_id'])) {

               pn_redirect(adminLink('editMember&id='.$u['member_id']));;

         }
     }
     pn_redirect(adminLink('Members&msg=searchError'));
}

switch($op) {
     case'editMember':
     editMember($_GET['id']);
     break;

     case'editMemberSave':
     editMemberSave($_GET['id']);
     break;

     case'statusMember':
     statusMember($_GET['id']);
     break;

     case'searchMember':
     searchMember();
     break;

     case'Members':
     default:
     adminMembers();
     break;
}

} else {

     get_header();
     pn_error("شما به اين بخش دسترسي نداريد!، لطفا تلاش نكنيد.", "عدم دسترسي");

}

?>