<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 19:10:21 (Iman92) $
 */

if (!defined('MODULE_FILE')) {
	die ("You can't access this file directly...");
}

define('INDEX_FILE', true); # Blocks true
$module_name = basename(dirname(__FILE__));

function pn_memberProfile($username) {
      global $pars;
      if(empty($username))
      pn_error("نام كاربري معتبر نمي باشد!", "كاربر يافت نشد!");

      $_memberData = getMemberData(false, $username);
      if(!$_memberData)
      pn_error("كاربري با نام كاربري {$username} در سيستم يافت نشد!", "كاربر يافت نشد!");

      $_memberData['member_avatar'] = empty($_memberData['member_avatar'])? $pars->settings['defaultavatar'] : $_memberData['member_avatar'];

      openTable("پروفايل");
         echo "<table>\n";
         echo "  <tr>\n";
         echo "    <td colspan=\"2\"><center><img src=\"{$_memberData['member_avatar']}\"></center></td>\n";
         echo "  </tr>\n";
         echo "  <tr>\n";
         echo "    <td style=\"width:100px\">نام كاربري</td>\n";
         echo "    <td>{$_memberData['member_name']}</td>\n";
         echo "  </tr>\n";
         echo "  <tr>\n";
         echo "    <td>نام مستعار</td>\n";
         echo "    <td>{$_memberData['member_alias']}</td>\n";
         echo "  </tr>\n";
         echo "  <tr>\n";
         echo "    <td>تاريخ عضويت</td>\n";
         echo "    <td>".jdate("l j F Y ساعت H:i", strtotime($_memberData['member_date']))."</td>\n";
         echo "  </tr>\n";
         echo "  <tr>\n";
         echo "    <td>آخرين بازديد</td>\n";
         echo "    <td>".jdate("l j F Y ساعت H:i:s", $_memberData['member_lastvisit'])."</td>\n";
         echo "  </tr>\n";
         if (!empty($_memberData['member_web']) || $_memberData['member_web']!="http://") {
         echo "  <tr>\n";
         echo "    <td>وبسايت</td>\n";
         echo "    <td><a href=\"{$_memberData['member_web']}\" target=\"_blank\" rel=\"nofollow\">وبسايت</a></td>\n";
         echo "  </tr>\n";
         }
         echo "  <tr>\n";
         echo "    <td>امتيازها</td>\n";
         echo "    <td>{$_memberData['member_points']} امتياز</td>\n";
         echo "  </tr>\n";
         echo "  <tr>\n";
         echo "    <td>وضعيت</td>\n";
         echo "    <td>".($_memberData['member_status']==0? "<b class=pars_red>اخراج شده!</b>" : "فعال")."</td>\n";
         echo "  </tr>\n";
         if (!empty($_memberData['member_signature'])) {
         echo "  <tr>\n";
         echo "    <td style=\"width:80px\">امضا</td>\n";
         echo "    <td>{$_memberData['member_signature']}</td>\n";
         echo "  </tr>\n";
         }
         echo "</table>\n";
      closeTable();
}

function pn_edit_profile() {
     if(!is_member())
     pn_redirect( pn_link("name=Account") );
     global $module_name;
     $msg = pn_getParam('msg', $_GET);
     $memberData = is_member('data');
     set_title("ويرايش پروفايل");
     get_header();
	 include(INCLUDE_PATH."modules/{$module_name}/navbar.php");

     openTable("ويرايش پروفايل");
     if($msg=='success')
     echo pn_message("تغييرات با موفقيت ذخيره شد.", "success");
     elseif($msg=='error')
     echo pn_message("در ذخيره تغييرات خطايي رخ داده است مجدد تلاش كنيد!!", "error");

     echo "<form id=\"pn_edit_profile\" action=\"".pn_link("name=Account")."\" method=\"POST\">\n";
     echo "<table>\n";
     echo "  <tr>\n";
     echo "    <td style=\"width:100px\">نام كاربري</td>\n";
     echo "    <td><input type=\"text\" value=\"{$memberData['member_name']}\" size=\"30\" disabled=\"disabled\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>نام مستعار</td>\n";
     echo "    <td><input name=\"member_alias\" type=\"text\" value=\"{$memberData['member_alias']}\" size=\"30\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>ايميل <font color=red>*</font></td>\n";
     echo "    <td><input name=\"member_email\" type=\"text\" value=\"{$memberData['member_email']}\" size=\"30\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>وبسايت</td>\n";
     echo "    <td><input name=\"member_web\" type=\"text\" value=\"{$memberData['member_web']}\" size=\"30\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td style=\"width:80px\">امضا</td>\n";
     echo "    <td><textarea name=\"member_signature\" cols=\"40\" rows=\"5\">{$memberData['member_signature']}</textarea></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>عضويت در خبرنامه</td>\n";
     echo "    <td>\n";
     $options = array("1"=>"فعال","0"=>"غيرفعال");
     echo html::select('member_newsletter', $options, $memberData['member_newsletter']);
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><img src=\"images/edit.gif\"><a href=\"".pn_link("name=Account&op=Avatar")."\">براي تغيير آوارتار اينجا كليك كنيد.</a></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";

     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td>در صورتي كه تمايل به تغيير پسورد خود نداريد فيلدهاي آن را خالي رها كنيد.</td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";

     echo "  <tr>\n";
     echo "    <td>پسورد</td>\n";
     echo "    <td><input name=\"member_password\" type=\"password\" value=\"\" size=\"30\" style=\"direction: ltr\" onkeyup=\"this.form.member_repeat_password.disabled=this.value=='';\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";

     echo "  <tr>\n";
     echo "    <td>تكرار پسورد</td>\n";
     echo "    <td><input name=\"member_repeat_password\" type=\"password\" value=\"\" size=\"30\" disabled=\"disabled\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";

     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><input type=\"hidden\" name=\"op\" value=\"SaveProfileEdit\"><input type=\"submit\" name=\"save\" value=\"ذخيره\"></td>\n";
     echo "  </tr>\n";
     echo "</table>\n";
     echo "</form>";
     closeTable();
     get_footer();
}

function pn_save_edit_profile() {
     if(!is_member())
     pn_redirect( pn_link("name=Account") );
     global $memberData, $db, $pars;
     if(isset($_POST['save']) || isset($_POST['member_email'])) {
         $message = null;
         $memberData = is_member('data');
         get_settings("Account");

         if($_POST['member_web']=='http://')
         $_POST['member_web'] = null;

         $arr = array(
         'member_alias' => pn_safe($_POST['member_alias'], 'showhtml'),
         'member_email' => pn_safe($_POST['member_email'], '_nohtml'),
         'member_newsletter' => intval($_POST['member_newsletter']),
         'member_web' => pn_safe($_POST['member_web'], '_nohtml'),
         'member_signature' => pn_safe($_POST['member_signature'], 'showhtml'),
         );

         if(!empty($_POST['member_password']) && !empty($_POST['member_repeat_password'])) {
               if(pn_strlen($_POST['member_password']) < $pars->settings['minpass'])
               $message .= "پسورد بايد حداقل ".$pars->settings['minpass']." حرف باشد!<br>";

               if($_POST['member_password'] != $_POST['member_repeat_password'])
               $message .= "پسوردهاي وارد شده مشابه نيستند!<br>";

               if (empty($message)) {
                    $_POST['member_password'] = $db->escapeString(pn_safe($_POST['member_password'], '_nohtml'));
                    $pwd = sha1(md5($_POST['member_password']));
                    $arr['member_password'] = $pwd;
               }
         }

         if(empty($_POST['member_email']) || !validate_email_format($_POST['member_email']))
         $message .= "ايميل وارد شده صحيح نيست!<br>";

         if(!empty($message)) {
         get_header();
         pn_error($message, "اطلاعات وارد شده ناقص مي باشد!");
         }

         $db->update("members",$arr,"member_id=".$memberData['member_id']);
         if($db->affectedRows()) {
               if(!empty($_POST['member_password']) && !empty($_POST['member_repeat_password']) && !empty($arr['member_password'])) {
          	        $db->query("UPDATE `#__members` SET `member_lastvisit`='".time()."', `member_lastip`='".get_ip()."' WHERE `member_name`='".$memberData['member_name']."' LIMIT 1");
          		    #setcookie("member", base64_encode($memberData['member_id'].":".$memberData['member_name'].":".md5($arr['member_password'])), time()+2592000);
          		    pn_setcookie("member", base64_encode($memberData['member_id'].":".$memberData['member_name'].":".md5($arr['member_password'])), time()+2592000);
               }
               pn_redirect( pn_link("name=Account&op=ProfileEdit&msg=success") );
         }else{
               pn_redirect( pn_link("name=Account&op=ProfileEdit&msg=error") );
         }
     }
     pn_redirect( pn_link("name=Account&op=ProfileEdit&msg=error") );
}

function pn_memberIndex() {
     global $module_name;
     get_header();
     set_title("سامانه كاربري");
     if(is_member()) {
            $memberData = is_member('data');
	        include(INCLUDE_PATH."modules/{$module_name}/navbar.php");
            pn_memberProfile($memberData['member_name']);

            openTable("حالت شما");
            switch($memberData['member_karma']) {
               case'0':
               echo "<img src=\"images/karma/0.gif\"> كاربر با كردار خوب (معمولي) <br> مي توانيد از تمامي امكانات  حساب كاربري خود استفاده كنيد.\n";
               break;

               case'1':
               echo "<img src=\"images/karma/1.gif\"> كاربر با كردار منظم <br> شما داراي رفتار مناسبي هستيد.\n";
               break;

               case'2':
               echo "<img src=\"images/karma/2.gif\"> كاربر با كردار نادرست <br> نظرات ارسالي شما به صورت عمومي منتشر نمي شود.\n";
               break;

               case'3':
               echo "<img src=\"images/karma/3.gif\"> كاربر با كردار بسيار بد <br> شما اجازه ارسال نظر و ... را ندارد.\n";
               break;
            }
            echo "<hr>\n";
            echo "<b>ساير حالت ها</b><br>\n";
            echo "<img src=\"images/karma/0.gif\"> كاربر با كردار خوب (معمولي) <br> مي تواند از تمامي امكانات  حساب كاربري خود استفاده كنيد.<br><br>\n";
            echo "<img src=\"images/karma/1.gif\"> كاربر با كردار منظم <br> اين كاربر داراي رفتار مناسبي است.<br><br>\n";
            echo "<img src=\"images/karma/2.gif\"> كاربر با كردار نادرست <br> نظرات ارسالي اين كاربر به صورت عمومي منتشر نمي شود.<br><br>\n";
            echo "<img src=\"images/karma/3.gif\"> كاربر با كردار بسيار بد <br> اين كاربر اجازه ارسال نظر و ... را ندارد.<br><br>\n";
            closeTable();
     } else {
            openTable();
            echo "<center>[ ";
            echo "<a href=\"".pn_link("name=Account&op=Register")."\">عضويت</a> ";
            echo "- <a href=\"".pn_link("name=Account&op=Login")."\">ورود</a> ";
            echo "- <a href=\"".pn_link("name=Account&op=Forget")."\">فراموشي پسورد</a> ";
            echo " ]</center>";
            closeTable();
     }
     get_footer();
}

function pn_memberComments() {
     global $db, $cache, $module_name;
     if(!is_member())
     pn_redirect( pn_link("name=Account") );
     $memberData = is_member('data');
     $memberData['member_id'] = (int) $memberData['member_id'];
     $pageNum = (int) pn_getParam('pageNum', $_GET, 1);
     $pageNum = $pageNum<=0? 1 : $pageNum;
     $limit   = 30;
     $offset  = parsnuke_page('SQL',$limit,$pageNum);
     $pageURL = pn_link("name=Account&op=Comments&");
     $total   = $db->numRows("SELECT * FROM #__comments WHERE `comment_user_id`='{$memberData['member_id']}'", true);
     set_title("شما نظرات");

     get_header();
	 include(INCLUDE_PATH."modules/{$module_name}/navbar.php");

     openTable();
     if ($total <= 0) {
     echo pn_message("شما هيچ نظري ارسال نكرده ايد.", "error");
     } else {
	 require_once(INCLUDE_PATH."includes/functions_bbcode.php");
     
     echo "<table cellpadding=\"5\" cellspacing=\"0\" class=\"pars_table\">\n";
     echo "  <tr>\n";
     echo "    <th style=\"width:65px\">بخش</th>\n";
     echo "    <th>خلاصه نظر</th>\n";
     echo "    <th style=\"width:65px\">نام</th>\n";
     echo "    <th style=\"width:50px\">وبسايت</th>\n";
     echo "    <th style=\"width:40px\">ايميل</th>\n";
     echo "    <th style=\"width:60px\">تاييد شده</th>\n";
     echo "  </tr>\n";

     $q = $db->query("SELECT * FROM #__comments WHERE `comment_user_id`='{$memberData['member_id']}' ORDER BY comment_date DESC, comment_id DESC LIMIT $offset,$limit");
     while($row = $db->fetchRow($q)) {
          if(empty($row['comment_author_url']))
          $row['comment_author_url'] = "javascript:alert('آدرسي وجود ندارد!')";
          $row['comment_text'] = pn_htmlcode(nl2br(pn_safe($row['comment_text'], 'nohtml')));
          echo "  <tr class=".odd_even().">\n";
          echo "    <td><b>{$row['comment_type']}</b></td>\n";
          echo "    <td>{$row['comment_text']}</td>\n";
          echo "    <td>{$row['comment_author']}</td>\n";
          echo "    <td><a href=\"{$row['comment_author_url']}\" target=\"_blank\">وبسايت</a></td>\n";
          echo "    <td><a href=\"mailto:{$row['comment_author_email']}\" target=\"_blank\">ايميل</a></td>\n";
          echo "    <td><center><b ".($row['comment_approve']==1? "class=pars_green>بله" : "class=pars_red>خير")."</b></center></td>\n";
          echo "  </tr>\n";
     }

     echo "</table>";
     }
     closeTable();
     parsnuke_page($total,$limit,$pageNum,$pageURL);
     get_footer();
}

function pn_memberChangeTheme() {
     global $module_name, $pars, $db;
     if(!is_member())
     pn_redirect( pn_link("name=Account") );
     $memberData = is_member('data');
     $memberData['member_name'] = pn_safe($memberData['member_name'], "en-num");
     get_header();
	 include(INCLUDE_PATH."modules/{$module_name}/navbar.php");

     set_title("تغيير قالب سايت");
     openTable("تغيير قالب سايت");
     if ($pars->settings['overwrite_theme']==1) {
            $options = array("" => "تم پيشفرض سايت");
            $handle=opendir('themes');
            while ($file = readdir($handle)) {
			     if (!ereg("[.]",$file) && file_exists(INCLUDE_PATH."themes/".$file."/theme.php") && !empty($file)) {
				       $options[$file] = $file;
			     }
            }
            closedir($handle);
            $options = html::select('member_theme', $options, $memberData['member_theme']);

            if (isset($_POST['save']) && isset($_POST['member_theme'])) {
                    $_POST['member_theme'] = pn_safe($_POST['member_theme'], 'en-num');
                 	$db->query("UPDATE `#__members` SET `member_theme`='".$_POST['member_theme']."' WHERE `member_name`='".$memberData['member_name']."' LIMIT 1");
                    if($db->affectedRows()) {
                         echo pn_message("تغييرات با موفقيت ذخيره شد.", "success");
                    }else{
                         echo pn_message("در ذخيره تغييرات خطايي رخ داده است مجدد تلاش كنيد!!", "error");
                    }

            }

            echo "<form id=\"ChangeTheme\" action=\"".pn_link("name=Account&op=ChangeTheme")."\" method=\"POST\">\n";
            echo "<table>\n";
            echo "  <tr>\n";
            echo "    <td style=\"width:50px\">قالب</td>\n";
            echo "    <td>{$options}</td>\n";
            echo "  </tr>\n";

            echo "  <tr>\n";
            echo "    <td></td>\n";
            echo "    <td><input type=\"submit\" name=\"save\" value=\"ذخيره\"></td>\n";
            echo "  </tr>\n";
            echo "</table>\n";
            echo "</form>";
     } else {
            echo pn_message("متاسفيم مجاز به تغيير قالب سايت نمي باشيد!", "info");
     }
     closeTable();

     get_footer();
}

function pn_memberRegister() {
     if(is_member())
     pn_redirect( pn_link("name=Account") );

     global $userData, $pars;
     get_settings("Account");
     $msg = pn_getParam('msg', $_GET);
     set_title("عضويت");
     get_header();

     openTable();
     echo "<center>[ ";
     echo "<a href=\"".pn_link("name=Account&op=Register")."\" class=pars_active>عضويت</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=Login")."\">ورود</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=Forget")."\">فراموشي پسورد</a> ";
     echo " ]</center>";
     closeTable();

     openTable("عضويت در سايت");
     if ($pars->settings['register']==0):
     echo pn_message("سامانه عضوگيري توسط مدير سايت غيرفعال شده است.", "info", false);
     else:

     if($msg=='error')
     echo pn_message("خطايي رخ داده مجدد تلاش كنيد.", "error", false);

     echo "<form name=\"pn_register\" id=\"pn_register\" action=\"".pn_link("name=Account")."\" method=\"POST\">\n";
     echo "<table>\n";
     echo "  <tr>\n";
     echo "    <td style=\"width:100px\">نام كاربري <font color=red>*</font></td>\n";
     echo "    <td><input name=\"member_name\" type=\"text\" value=\"\" size=\"30\" required=\"required\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>نام مستعار</td>\n";
     echo "    <td><input name=\"member_alias\" type=\"text\" value=\"\" size=\"30\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>ايميل <font color=red>*</font></td>\n";
     echo "    <td><input name=\"member_email\" type=\"text\" value=\"\" size=\"30\" required=\"required\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>وبسايت</td>\n";
     echo "    <td><input name=\"member_web\" type=\"text\" value=\"http://\" size=\"30\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>پسورد <font color=red>*</font></td>\n";
     echo "    <td><input name=\"member_password\" type=\"password\" value=\"\" size=\"30\" required=\"required\" style=\"direction: ltr\" onkeyup=\"this.form.member_repeat_password.disabled=this.value=='';\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";

     echo "  <tr>\n";
     echo "    <td>تكرار پسورد <font color=red>*</font></td>\n";
     echo "    <td><input name=\"member_repeat_password\" type=\"password\" value=\"\" size=\"30\" required=\"required\" disabled=\"disabled\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";

     if ($captcha = create_captcha('register')) {
     echo "  <tr>\n";
     echo "    <td>كد امنيتي <font color=red>*</font></td>\n";
     echo "    <td>".$captcha."<input name=\"member_captcha\" type=\"number\" value=\"\" required=\"required\" size=\"5\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";
     }

     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><input type=\"hidden\" name=\"op\" value=\"SaveRegister\"><input type=\"submit\" name=\"save\" value=\"عضويت در سايت\"></td>\n";
     echo "  </tr>\n";
     echo "</table>\n";
     echo "</form>";

     endif;
     closeTable();
     get_footer();
}

function pn_save_memberRegister() {
     if(is_member())
     pn_redirect( pn_link("name=Account") );

     global $db, $pars;
     get_settings("Account");
     if(isset($_POST['save']) && $pars->settings['register']!=0) {
         $message = null;

         if($_POST['member_web']=='http://')
         $_POST['member_web'] = null;

         $_POST['member_name'] = pn_strtolower(pn_safe($_POST['member_name'], 'en-num'));
         $_POST['member_email'] = pn_strtolower(pn_safe($_POST['member_email'], '_nohtml'));

         $arr = array(
         'member_name' => $_POST['member_name'],
         'member_alias' => empty($_POST['member_alias'])? $_POST['member_name'] : pn_safe($_POST['member_alias'], 'showhtml'),
         'member_email' => $_POST['member_email'],
         'member_web' => pn_safe($_POST['member_web'], '_nohtml'),
         'member_ip' => get_ip(),
         'member_date' => date("Y-m-d H:i:s"),
         'member_language' => $pars->settings['language'],
         );

         if (!validate_captcha('register', pn_getParam('member_captcha', $_POST)))
         $message .= "كد امنيتي صحيح نيست!<br>";

         if (pn_strlen($_POST['member_password']) < $pars->settings['minpass'])
         $message .= "پسورد بايد حداقل ".$pars->settings['minpass']." حرف باشد!<br>";

         if (pn_strlen($_POST['member_name']) < $pars->settings['minUsername'])
         $message .= "نام كاربري بايد حداقل ".$pars->settings['minUsername']." حرف باشد!<br>";

         $num = $db->fetchRowSet("SELECT COUNT(*) as `num` FROM #__members WHERE `member_name`='{$_POST['member_name']}'");
         if ($num['num']>=1)
         $message .= "اين نام كاربري قبلا ثبت شده است!<br>";

         if (empty($_POST['member_email']) || !validate_email_format($_POST['member_email']))
         $message .= "ايميل وارد شده صحيح نيست!<br>";
         else {
             $num = $db->fetchRowSet("SELECT COUNT(*) as `num` FROM #__members WHERE `member_email`='{$_POST['member_email']}'");
             if ($num['num']>=1 && $pars->settings['register_email']==0)
             $message .= "اين ايميل  قبلا ثبت شده است!<br>";
         }

         if ($_POST['member_password'] != $_POST['member_repeat_password'] || empty($_POST['member_password']) || empty($_POST['member_repeat_password']))
         $message .= "پسوردهاي وارد شده مشابه نيستند!<br>";

         if (!empty($message)) {
               get_header();
               pn_error($message, "اطلاعات وارد شده ناقص مي باشد!");
         } else {
              $_POST['member_password'] = $db->escapeString(pn_safe($_POST['member_password'], '_nohtml'));
              $pwd = sha1(md5($_POST['member_password']));
              $arr['member_password'] = $pwd;

          	  $db->insert("members",$arr);
          	  $member_id = $db->insertID();
          	  if($db->affectedRows()) {
          	      $db->query("UPDATE `#__members` SET `member_key`='".create_loginKey()."', `member_lastvisit`='".time()."', `member_lastip`='".get_ip()."' WHERE `member_name`='".$arr['member_name']."' LIMIT 1");
                  create_memberCookie($member_id, $arr['member_name'], $arr['member_password']);

                  $msg  = "شما با موفقيت عضو شديد<br>";
                  $msg .= "نام كاربري: ".$arr['member_name']."<br>";
                  $msg .= "ايميل: ".$arr['member_email']."<br>";
                  $msg .= "آي پي: ".$arr['member_ip']."<br>";
                  pn_mail($arr['member_email'], "پايان عضويت در".$pars->settings['sitename'], $msg, $pars->settings['siteMail']);

                  pn_refresh( pn_link("name=Account") , 3);
                  get_header();
                  openTable("تبريك!");
                  echo pn_message("شما با موفقيت در سايت عضو شده ايد.", "success", false);
                  echo pn_message("شما اكنون در حساب كاربري خود قرار داريد.", "info", false);
                  echo pn_message("ايميلي براي شما ارسال شد در صورتي كه در پوشه Inbox پيامي نبود پوشه Spam را هم برسي كنيد.", "info", false);
                  closeTable();
                  get_footer();
          	  }else
          	  pn_redirect( pn_link("name=Account&op=Register&msg=error") );
         }

     }else
     pn_redirect( pn_link("name=Account&op=Register&msg=error") );
}

/**
 * Remove any matching avatars for a specific user ID
 *
 * @param int The user ID
 * @param string A file name to be excluded from the removal
 */
function remove_avatars($uid, $exclude="")
{
    if(!is_member())
    pn_redirect( pn_link("name=Account") );

	$avatarpath = 'images/avatars/';
	$dir = opendir($avatarpath);
	if($dir)
	{
		while($file = @readdir($dir))
		{

			if(preg_match("#avatar_".$uid."\.#", $file) && is_file($avatarpath."/".$file) && $file != $exclude)
			{
				@unlink($avatarpath."/".$file);
			}
		}

		@closedir($dir);
	}
}

/**
 * Upload a new avatar in to the file system
 *
 * @param srray incoming FILE array, if we have one - otherwise takes $_FILES['member_avatar']
 * @param string User ID this avatar is being uploaded for, if not the current user
 * @return array Array of errors if any, otherwise filename of successful.
 */
function upload_avatar($avatar=array(), $uid=0)
{
    if(!is_member())
    pn_redirect( pn_link("name=Account") );

	global $db, $pars;

	if(!$avatar['name'] || !$avatar['tmp_name'])
	{
		$avatar = $_FILES['member_avatar'];
	}

	if(!is_uploaded_file($avatar['tmp_name']))
	{
		$ret['error'] = "نوع فایل آپلود شده نامعتبر است. لطفاً یک نوع فایل معتبر انتخاب کنید و دوباره امتحان کنید.";
		return $ret;
	}

	// Check we have a valid extension
	$ext = get_extension(pn_strtolower($avatar['name']));
	if(!preg_match("#^(gif|jpg|jpeg|jpe|bmp|png)$#i", $ext))
	{
		$ret['error'] = "پسوند آوارتار انتخابي شما مجاز نمي باشد!";
		return $ret;
	}

	$avatarpath = 'images/avatars/';

	$filename = "avatar_".$uid.".".$ext;
	$file = upload_file($avatar, $avatarpath, $filename);
	if($file['error'])
	{
		@unlink($avatarpath."/".$filename);
		$ret['error'] = "نوع فایل آپلود شده نامعتبر است. لطفاً یک نوع فایل معتبر انتخاب کنید و دوباره امتحان کنید.";
		return $ret;
	}


	// Lets just double check that it exists
	if(!file_exists($avatarpath."/".$filename))
	{
		$ret['error'] = "نوع فایل آپلود شده نامعتبر است. لطفاً یک نوع فایل معتبر انتخاب کنید و دوباره امتحان کنید.";
		@unlink($avatarpath."/".$filename);
		return $ret;
	}

	// Check if this is a valid image or not
	$img_dimensions = @getimagesize($avatarpath."/".$filename);
	if(!is_array($img_dimensions))
	{
		@unlink($avatarpath."/".$filename);
		$ret['error'] = "نوع فایل آپلود شده نامعتبر است. لطفاً یک نوع فایل معتبر انتخاب کنید و دوباره امتحان کنید.";
		return $ret;
	}

    if(!empty($pars->settings['maxavatardims'])) {

		list($maxwidth, $maxheight) = @explode("x", $pars->settings['maxavatardims']);
		if(($maxwidth && $img_dimensions[0] > $maxwidth) || ($maxheight && $img_dimensions[1] > $maxheight))
		{

				require_once INCLUDE_PATH."includes/functions_image.php";
				$thumbnail = generate_thumbnail($avatarpath."/".$filename, $avatarpath, $filename, $maxheight, $maxwidth);
				if(!$thumbnail['filename'])
				{
					$ret['error'] = "حد اكثر اندازه آوارتار $maxwidth در $maxheight پيكسل مي باشد.";
					@unlink($avatarpath."/".$filename);
					return $ret;
				}
				else
				{
					// Reset filesize
					$avatar['size'] = filesize($avatarpath."/".$filename);
					// Reset dimensions
					$img_dimensions = @getimagesize($avatarpath."/".$filename);
				}

		}
    }

	// Next check the file size
	if($avatar['size'] > ($pars->settings['avatarsize']*1024) && $pars->settings['avatarsize'] > 0)
	{
		@unlink($avatarpath."/".$filename);
		$ret['error'] = "حد كثر حجم مجاز براي آوارتار ".$pars->settings['avatarsize']." كيلوبايت مي باشد.";
		return $ret;
	}

	// Check a list of known MIME types to establish what kind of avatar we're uploading
	switch(pn_strtolower($avatar['type']))
	{
		case "image/gif":
			$img_type =  1;
			break;
		case "image/jpeg":
		case "image/x-jpg":
		case "image/x-jpeg":
		case "image/pjpeg":
		case "image/jpg":
			$img_type = 2;
			break;
		case "image/png":
		case "image/x-png":
			$img_type = 3;
			break;
		default:
			$img_type = 0;
	}

	// Check if the uploaded file type matches the correct image type (returned by getimagesize)
	if($img_dimensions[2] != $img_type || $img_type == 0)
	{
		$ret['error'] = "نوع فایل آپلود شده نامعتبر است. لطفاً یک نوع فایل معتبر انتخاب کنید و دوباره امتحان کنید.";
		@unlink($avatarpath."/".$filename);
		return $ret;
	}
	// Everything is okay so lets delete old avatars for this user
	remove_avatars($uid, $filename);

	$ret = array(
		"avatar" => "images/avatars/".$filename,
		"width" => intval($img_dimensions[0]),
		"height" => intval($img_dimensions[1])
	);

	return $ret;
}

function pn_memberAvatar() {
     if(!is_member())
     pn_redirect( pn_link("name=Account") );

     global $module_name, $db;
     get_settings("Account");
     get_header();
     set_title("مديريت آوارتار");
	 include(INCLUDE_PATH."modules/{$module_name}/navbar.php");

     $memberData = is_member('data');
     $memberData['member_id'] = intval($memberData['member_id']);
     $memberData['member_avatar'] = empty($memberData['member_avatar'])? $pars->settings['defaultavatar'] : $memberData['member_avatar'];

     openTable("آوارتار");
     if ($pars->settings['avatar']==1):

     if (isset($_FILES['member_avatar']) && !empty($_FILES['member_avatar'])) {
	       include(INCLUDE_PATH."includes/functions_upload.php");
           $upload_avatar = upload_avatar($_FILES['member_avatar'], $memberData['member_id']);
           if (isset($upload_avatar['error']))
           echo pn_message($upload_avatar['error'], "error");

           if (isset($upload_avatar['avatar']) && !empty($upload_avatar['avatar'])) {
	             $db->query("UPDATE `#__members` SET `member_avatar`='{$upload_avatar['avatar']}' WHERE `member_id`='{$memberData['member_id']}' LIMIT 1");
                 pn_redirect( pn_link("name=Account&op=Avatar") );
           }
     }
     echo "<form action=\"".pn_link("name=Account&op=Avatar")."\" method=\"POST\" enctype=\"multipart/form-data\">\n";
     echo "<table>\n";
     echo "  <tr>\n";
     echo "    <td colspan=\"2\"><center><img src=\"{$memberData['member_avatar']}\"></center></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";
     echo "    <td>فايل</td>\n";
     echo "    <td><input name=\"member_avatar\" type=\"file\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><input type=\"submit\" name=\"Send\" value=\"ذخيره آوارتار\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><img src=\"images/delete.gif\" width=\"17\" height=\"17\"><a onclick=\"return pn_confirm('".pn_link("name=Account&op=DeleteAvatar")."', 'آيا از حذف آوارتار خود اطمينان داريد؟')\" class=\"pars_red\">حذف كردن آوارتار</a></td>\n";
     echo "  </tr>\n";
     echo "</table>\n";
     echo "</form>";

     else:

     echo "<center><img src=\"{$memberData['member_avatar']}\"></center>\n";
     echo pn_message("در حال حاظر امكان آپلود آوارتار توسط مدير غير فعال شده است.", "info");

     endif;

     closeTable();
     get_footer();
}

function pn_memberDeleteAvatar() {
     get_settings("Account");
     if(!is_member())
     pn_redirect( pn_link("name=Account") );

     global $module_name, $db;
     $memberData = is_member('data');
     $memberData['member_id'] = intval($memberData['member_id']);
     remove_avatars($memberData['member_id'], "");
	 $db->query("UPDATE `#__members` SET `member_avatar`='' WHERE `member_id`='{$memberData['member_id']}' LIMIT 1");
     pn_redirect( pn_link("name=Account&op=Avatar") );
}

function pn_memberPrivateMessages() {
     if(!is_member())
     pn_redirect( pn_link("name=Account") );

     global $module_name, $db;
     $memberData = is_member('data');
     $memberData['member_name'] = pn_safe($memberData['member_name'], "en-num");
     $pageNum = (int) pn_getParam('pageNum', $_GET, 1);
     $pageNum = $pageNum<=0? 1 : $pageNum;
     $limit   = 10;
     $offset  = parsnuke_page('SQL',$limit,$pageNum);
     $pageURL = pn_link("name=Account&op=PrivateMessages&");
     $total   = $db->numRows("SELECT * FROM #__private_messages WHERE `msg_receiver`='{$memberData['member_name']}'", true);
     set_title("پیغامهای شخصي");

     get_header();
	 include(INCLUDE_PATH."modules/{$module_name}/navbar.php");

     openTable();
     echo "<center>[ ";
     echo "<a href=\"".pn_link("name=Account&op=PrivateMessages")."\" class=pars_active>پيام هاي دريافتي</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=NewMessage")."\">ارسال پيام جديد</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=Messages")."\">پيام هاي ارسالي</a> ";
     echo " ]</center>";
     closeTable();

     openTable("پيام هاي دريافتي");
     if ($total <= 0) {
     echo pn_message("شما هيچ پيام دريافتي نداريد.", "info");
     } else {
     echo "<table cellpadding=\"5\" cellspacing=\"0\" class=\"pars_table\">\n";
     echo "  <tr>\n";
     echo "    <th style=\"width:100px\">ارسال كننده</th>\n";
     echo "    <th style=\"width:65px\">عنوان</th>\n";
     echo "    <th>خلاصه</th>\n";
     echo "    <th style=\"width:30px\">خواندن</th>\n";
     echo "    <th style=\"width:30px\">حذف</th>\n";
     echo "  </tr>\n";

     $q = $db->query("SELECT * FROM #__private_messages WHERE `msg_receiver`='{$memberData['member_name']}' ORDER BY msg_date DESC, msg_id DESC LIMIT $offset,$limit");
     while($row = $db->fetchRow($q)) {
          $row['msg_text'] = pn_safe($row['msg_text'], 'nohtml');
          if(pn_strlen(trim($row['msg_text'])) > 50)
          $row['msg_text'] = pn_substr($row['msg_text'], 0, 46) . '...';
          echo "  <tr class=".odd_even().">\n";
          echo "    <td>{$row['msg_sender']}</td>\n";
          echo "    <td".($row['mag_read']==0? " class=pars_red title=\"خوانده نشده\"" : " class=pars_green title=\"خوانده شده\"").">{$row['msg_subject']}</td>\n";
          echo "    <td>{$row['msg_text']}</td>\n";
          echo "    <td><a href=\"".pn_link("name=Account&op=MessageRead&msgID={$row['msg_id']}")."\" class=pars_green>خواندن</a></td>\n";
          echo "    <td><a onclick=\"return pn_confirm('".pn_link("name=Account&op=MessageDelete&msgID={$row['msg_id']}")."', 'آيا از حذف پيام خود اطمينان داريد؟')\" class=\"pars_red\" title=\"حذف\"><img src=\"images/delete.gif\"></a></td>\n";
          echo "  </tr>\n";
     }

     echo "</table>";
     }
     closeTable();
     parsnuke_page($total,$limit,$pageNum,$pageURL);
     get_footer();
}

function pn_memberPrivateMessageNew() {
     if(!is_member())
     pn_redirect( pn_link("name=Account") );
	 require_once(INCLUDE_PATH."includes/functions_bbcode.php");

     global $module_name, $db;
     $memberData = is_member('data');
     $memberData['member_name'] = pn_safe($memberData['member_name'], "en-num");
     set_title("ارسال پيام");

     get_header();
	 include(INCLUDE_PATH."modules/{$module_name}/navbar.php");

     openTable();
     echo "<center>[ ";
     echo "<a href=\"".pn_link("name=Account&op=PrivateMessages")."\">پيام هاي دريافتي</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=NewMessage")."\" class=pars_active>ارسال پيام جديد</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=Messages")."\">پيام هاي ارسالي</a> ";
     echo " ]</center>";
     closeTable();

     openTable("ارسال پيام");

     $msg_receiver = $msg_subject = $msg_text = $msg_error = null;
     if (isset($_GET['msg_receiver']))
     $msg_receiver = pn_safe($_GET['msg_receiver'], "en-num");

     if (isset($_POST['send']) || isset($_POST['msg_receiver'])) {
          $msg_receiver = pn_safe($_POST['msg_receiver'], "en-num");
          $msg_subject = pn_safe($_POST['msg_subject'], "showhtml");
          $msg_text = pn_safe($_POST['msg_text'], "showhtml");

          $query = "SELECT COUNT(member_id) AS memberCount FROM #__members WHERE member_name='$msg_receiver' LIMIT 1";
          $query = $db->query($query);
          list($memberCount) = $db->fetchArray($query);

          if(!validate_captcha('PrivateMessage', pn_getParam('msg_captcha', $_POST))) {
              $msg_error .= "كد امنيتي صحيح نيست!<br>";
          }
          if ($memberCount<=0 || $msg_receiver==$memberData['member_name']) {
              $msg_error .= "دريافت كننده معتبر نمي باشد!<br>";
          }
          if (empty($msg_subject)) {
              $msg_error .= "عنوان را فراموش كرده ايد!<br>";
          }
          if (empty($msg_text)) {
              $msg_error .= "پيام خود را ننوشته ايد!!";
          }

          if ($msg_error) {
              echo pn_message($msg_error, "error");
          } else {

              $arr = array(
              'msg_sender' => $memberData['member_name'],
              'msg_receiver' => $msg_receiver,
              'msg_subject' => $msg_subject,
              'msg_text' => $msg_text,
              'msg_date' => time(),
              );
              $db->insert("private_messages", $arr);
              if ($db->affectedRows()) {
                      update_points("PrivateMessages");
                      echo pn_message("پيام با موفقيت ارسال شد.", "success");
                      pn_refresh(pn_link("name=Account&op=PrivateMessages"), 4);
              } else {
                      echo pn_message("در ذخيره پيام خطايي رخ داده مجدد تلاش كنيد.", "error");
              }
              pn_unsetcookie('PARSNUKE_CAPTCHA_PrivateMessage');

          }
     }

     if (!isset($_POST['msg_receiver']) || (isset($_POST['msg_receiver']) && $msg_error)) {
     echo "<form name=\"pars_NewMessage\" id=\"pars_NewMessage\" action=\"".pn_link("name=Account&op=NewMessage")."\" method=\"POST\">\n";
     echo "<table cellpadding=\"5\" cellspacing=\"0\">\n";

     echo "  <tr>\n";
     echo "    <td style=\"width:100px\"><b>دريافت كننده</b></td>\n";
     echo "    <td><input name=\"msg_receiver\" type=\"text\" size=\"30\" value=\"{$msg_receiver}\" required=\"required\" dir=\"ltr\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td><b>موضوع</b></td>\n";
     echo "    <td><input name=\"msg_subject\" type=\"text\" size=\"30\" value=\"{$msg_subject}\" required=\"required\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td><b>متن پيام</b></td>\n";
     echo "    <td><textarea name=\"msg_text\" id=\"msg_text\" rows=\"4\" cols=\"50\" required=\"required\">{$msg_text}</textarea>".pn_bbcodes('msg_text', 'pars_NewMessage')."</td>\n";
     echo "  </tr>\n";

     if ($captcha = create_captcha('PrivateMessage')) {
     echo "  <tr>\n";
     echo "    <td>كد امنيتي</td>\n";
     echo "    <td>".$captcha."<input name=\"msg_captcha\" type=\"number\" value=\"\" required=\"required\" size=\"5\" style=\"direction: ltr\"></td>\n";
     echo "  </tr>\n";
     }

     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><input type=\"submit\" name=\"send\" value=\"ارسال پيام\"> <input type=\"reset\" value=\"پاك كردن\"></td>\n";
     echo "  </tr>\n";

     echo "</table>";
     echo "</form>";
     }
     closeTable();
     get_footer();
}

function pn_memberPrivateMessageRead() {
     if(!is_member())
     pn_redirect( pn_link("name=Account") );

     global $module_name, $db;
     $memberData = is_member('data');
     $memberData['member_name'] = pn_safe($memberData['member_name'], "en-num");
     $msgID = (int) pn_getParam('msgID', $_GET);
     set_title("پیغامهای شخصي");

     get_header();
	 include(INCLUDE_PATH."modules/{$module_name}/navbar.php");

     openTable();
     echo "<center>[ ";
     echo "<a href=\"".pn_link("name=Account&op=PrivateMessages")."\">پيام هاي دريافتي</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=NewMessage")."\">ارسال پيام جديد</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=Messages")."\">پيام هاي ارسالي</a> ";
     echo " ]</center>";
     closeTable();

     $q = $db->query("SELECT * FROM #__private_messages WHERE (msg_sender='{$memberData['member_name']}' OR msg_receiver='{$memberData['member_name']}') AND `msg_id`='{$msgID}' LIMIT 1");
     $row = $db->fetchRow($q);

     if(empty($msgID) || empty($row))
     pn_redirect( pn_link("name=Account&op=PrivateMessages") );

     if($row['mag_read']==0)
     $db->query("UPDATE `#__private_messages` SET `mag_read`='1' WHERE `msg_receiver`='{$memberData['member_name']}' AND `msg_id`='{$msgID}' LIMIT 1");

	 require_once(INCLUDE_PATH."includes/functions_bbcode.php");
     $row['msg_text'] = pn_htmlcode(nl2br($row['msg_text']));

     openTable("خواندن پيام");
     echo "<table cellpadding=\"5\" cellspacing=\"0\">\n";

     echo "  <tr>\n";
     echo "    <td style=\"width:100px\"><b>ارسال كننده</b></td>\n";
     echo "    <td>{$row['msg_sender']}</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td style=\"width:100px\"><b>موضوع</b></td>\n";
     echo "    <td>{$row['msg_subject']}</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td style=\"width:100px\"><b>تاريخ ارسال</b></td>\n";
     echo "    <td>".jdate("l j F Y ساعت H:i:s", $row['msg_date'])."</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td style=\"width:100px\"><b>متن پيام</b></td>\n";
     echo "    <td>{$row['msg_text']}</td>\n";
     echo "  </tr>\n";

     if ($row['msg_sender'] != $memberData['member_name']) {
     echo "  <tr>\n";
     echo "    <td style=\"width:100px\"><b>پاسخ</b></td>\n";
     echo "    <td><img src=\"images/edit.gif\"><a href=\"".pn_link("name=Account&op=NewMessage&msg_receiver={$row['msg_sender']}")."\" class=\"pars_green\">ارسال پاسخ</a></td>\n";
     echo "  </tr>\n";
     }

     echo "  <tr>\n";
     echo "    <td style=\"width:100px\"><b>حذف</b></td>\n";
     echo "    <td><img src=\"images/delete.gif\"><a onclick=\"return pn_confirm('".pn_link("name=Account&op=MessageDelete&msgID={$row['msg_id']}")."', 'آيا از حذف پيام خود اطمينان داريد؟')\" class=\"pars_red\">حذف كردن پيام</a></td>\n";
     echo "  </tr>\n";

     echo "</table>";
     closeTable();
     get_footer();
}

function pn_memberMessages() {
     if(!is_member())
     pn_redirect( pn_link("name=Account") );

     global $module_name, $db;
     $memberData = is_member('data');
     $memberData['member_name'] = pn_safe($memberData['member_name'], "en-num");
     $pageNum = (int) pn_getParam('pageNum', $_GET, 1);
     $pageNum = $pageNum<=0? 1 : $pageNum;
     $limit   = 10;
     $offset  = parsnuke_page('SQL',$limit,$pageNum);
     $pageURL = pn_link("name=Account&op=Messages&");
     $total   = $db->numRows("SELECT * FROM #__private_messages WHERE `msg_sender`='{$memberData['member_name']}'", true);
     set_title("پیغامهای ارسالي");

     get_header();
	 include(INCLUDE_PATH."modules/{$module_name}/navbar.php");

     openTable();
     echo "<center>[ ";
     echo "<a href=\"".pn_link("name=Account&op=PrivateMessages")."\">پيام هاي دريافتي</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=NewMessage")."\">ارسال پيام جديد</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=Messages")."\" class=pars_active>پيام هاي ارسالي</a> ";
     echo " ]</center>";
     closeTable();

     openTable("پيام هاي ارسالي");
     if ($total <= 0) {
     echo pn_message("شما هيچ پيام ارسالي نداريد.", "info");
     } else {
     echo "<table cellpadding=\"5\" cellspacing=\"0\" class=\"pars_table\">\n";
     echo "  <tr>\n";
     echo "    <th style=\"width:100px\">گيرنده</th>\n";
     echo "    <th style=\"width:65px\">عنوان</th>\n";
     echo "    <th>خلاصه</th>\n";
     echo "    <th style=\"width:30px\">خواندن</th>\n";
     echo "    <th style=\"width:30px\">حذف</th>\n";
     echo "  </tr>\n";

     $q = $db->query("SELECT * FROM #__private_messages WHERE `msg_sender`='{$memberData['member_name']}' ORDER BY msg_date DESC, msg_id DESC LIMIT $offset,$limit");
     while($row = $db->fetchRow($q)) {
          $row['msg_text'] = pn_safe($row['msg_text'], 'nohtml');
          if(pn_strlen(trim($row['msg_text'])) > 50)
          $row['msg_text'] = pn_substr($row['msg_text'], 0, 46) . '...';
          echo "  <tr class=".odd_even().">\n";
          echo "    <td>{$row['msg_receiver']}</td>\n";
          echo "    <td".($row['mag_read']==0? " class=pars_red title=\"خوانده نشده\"" : " class=pars_green title=\"خوانده شده\"").">{$row['msg_subject']}</td>\n";
          echo "    <td>{$row['msg_text']}</td>\n";
          echo "    <td><a href=\"".pn_link("name=Account&op=MessageRead&msgID={$row['msg_id']}")."\" class=pars_green>خواندن</a></td>\n";
          echo "    <td><a onclick=\"return pn_confirm('".pn_link("name=Account&op=MessageDelete&msgID={$row['msg_id']}")."', 'آيا از حذف پيام خود اطمينان داريد؟')\" class=\"pars_red\" title=\"حذف\"><img src=\"images/delete.gif\"></a></td>\n";
          echo "  </tr>\n";
     }

     echo "</table>";
     }
     closeTable();
     parsnuke_page($total,$limit,$pageNum,$pageURL);
     get_footer();
}

function pn_memberPrivateMessageDelete() {
     if(!is_member())
     pn_redirect( pn_link("name=Account") );

     global $module_name, $db, $memberData;
     $memberData = is_member('data');
     $memberData['member_name'] = pn_safe($memberData['member_name'], "en-num");
     $msgID = (int) pn_getParam('msgID', $_GET);

     $q = $db->query("SELECT * FROM #__private_messages WHERE (msg_sender='{$memberData['member_name']}' OR msg_receiver='{$memberData['member_name']}') AND `msg_id`='{$msgID}' LIMIT 1");
     $row = $db->fetchRow($q);

     if(empty($msgID) || empty($row))
     pn_redirect( pn_link("name=Account&op=PrivateMessages") );

     if($row['msg_receiver']==$memberData['member_name'] || ($row['msg_sender']==$memberData['member_name'] && $row['mag_read']==0)) {
     $db->query("DELETE FROM `#__private_messages` WHERE (`msg_sender`='{$memberData['member_name']}' OR `msg_receiver`='{$memberData['member_name']}') AND `msg_id`='{$msgID}' LIMIT 1");
     pn_redirect( pn_link("name=Account&op=PrivateMessages") );
     }

     set_title("پیغامهای شخصي");
     get_header();
	 include(INCLUDE_PATH."modules/{$module_name}/navbar.php");
     openTable();
     echo "<center>[ ";
     echo "<a href=\"".pn_link("name=Account&op=PrivateMessages")."\">پيام هاي دريافتي</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=NewMessage")."\">ارسال پيام جديد</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=Messages")."\">پيام هاي ارسالي</a> ";
     echo " ]</center>";
     closeTable();
     openTable("حذف پيام");
     echo pn_message("متاسفيم كاربر گيرنده اين پيام را خوانده است و فقط او مي توانيد اين پيام را حذف كند.", "error");
     closeTable();
     get_footer();
}

function pn_memberForget() {
     if(is_member())
     pn_redirect( pn_link("name=Account") );

     global $module_name, $db, $sitekey, $pars;

     $UserName = pn_getParam('UserName', $_GET, false, "en-num");
     $Code = pn_getParam('Code', $_GET, false, "en-num");

     set_title("بازيابي پسورد");
     get_header();

     openTable();
     echo "<center>[ ";
     echo "<a href=\"".pn_link("name=Account&op=Register")."\">عضويت</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=Login")."\">ورود</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=Forget")."\" class=pars_active>فراموشي پسورد</a> ";
     echo " ]</center>";
     closeTable();

     openTable("بازيابي پسورد");
     if (!$UserName && !$Code) {

          $form  = "<form action=\"".pn_link("name=Account&op=Forget")."\" method=\"POST\">\n";
          $form .= "<table>\n";
          $form .= "  <tr>\n";
          $form .= "    <td>نام كاربري</td>\n";
          $form .= "    <td><input name=\"member_name\" type=\"text\" size=\"30\" value=\"\" dir=\"ltr\" required=\"required\"></td>\n";
          $form .= "  </tr>\n";
          $form .= "  <tr>\n";
          $form .= "    <td>ايميل</td>\n";
          $form .= "    <td><input name=\"member_email\" type=\"email\" size=\"30\" value=\"\" dir=\"ltr\" required=\"required\"></td>\n";
          $form .= "  </tr>\n";
          if ($captcha = create_captcha('Forget')) {
               $form .= "  <tr>\n";
               $form .= "    <td>كد امنيتي</td>\n";
               $form .= "    <td>".$captcha."<input name=\"member_captcha\" type=\"number\" value=\"\" required=\"required\" size=\"5\" dir=\"ltr\"></td>\n";
               $form .= "  </tr>\n";
          }
          $form .= "  <tr>\n";
          $form .= "    <td></td>\n";
          $form .= "    <td><input type=\"submit\" name=\"send\" value=\"ارسال ايميل براي بازيابي پسورد\"></td>\n";
          $form .= "  </tr>\n";
          $form .= "</table>\n";
          $form .= "</form>";

          if (isset($_POST['send']) && isset($_POST['member_name']) && isset($_POST['member_email'])) {
                 $error = null;
          	     $member_name = pn_safe($_POST['member_name'], "en-num");
          	     $member_email = pn_safe($_POST['member_email'], "_nohtml");

          	     $query = "SELECT COUNT(member_id) AS memberCount FROM #__members WHERE member_name='$member_name' AND member_email='$member_email' LIMIT 1";
          	     $query = $db->query($query);
          	     list($memberCount) = $db->fetchRow($query);

          	     if(!validate_captcha('Forget', pn_getParam('member_captcha', $_POST))) {
          	         $error .= "كد امنيتي صحيح نيست!<br>";
          	     }

          	     if ($memberCount<=0) {
          	         $error .= "كاربري با اين مشخصات پيدا نشد!<br>";
          	     }

          	     if ($error) {
          	           echo pn_message($error , "error");
          	           echo $form;
          	     } else {
                       $_memberData = getMemberData(false, $member_name);
                       $_memberData['member_key'] = makePass();
          	           $db->query("UPDATE `#__members` SET `member_key`='".$_memberData['member_key']."' WHERE `member_name`='".$_memberData['member_name']."' LIMIT 1");
                       $myCode = md5($_SERVER['HTTP_USER_AGENT'] . $sitekey . $_memberData['member_key'] . $_memberData['member_password'] . $_memberData['member_ip'] . $_memberData['member_email'] . $_memberData['member_lastvisit']);
                       $msg  = "شما در خواست بازيابي پسورد حساب كاربري {$_memberData['member_name']} را داده ايد.<br>";
                       $msg .= "در صورتي كه شما اين درخواست را ارسال نكرده ايد اين پيام را حذف كنيد و هيچ اتفاقي نخواهد افتاد!<br>";
                       $msg .= "براي بازيابي پسورد خود به آدرس زير برويد:<br>";
                       $msg .= "<div style='text-align:left;direction:ltr'><a href='".$pars->settings['siteurl']."/".pn_link("name=Account&op=Forget&UserName={$_memberData['member_name']}&Code=$myCode")."' target='_blank'>".$pars->settings['siteurl']."/".pn_link("name=Account&op=Forget&UserName={$_memberData['member_name']}&Code=$myCode")."</a></div>";
                       pn_mail($_memberData['member_email'], "بازيابي پسورد ".$_memberData['member_name'], $msg, $pars->settings['siteMail']);
                       echo pn_message("ايميلي براي شما ارسال شد در صورتي كه در پوشه Inbox پيامي نبود پوشه Spam را هم برسي كنيد.", "info", false);
          	     }

          } else {
                 echo $form;
          }

     } else {

          $_memberData = getMemberData(false, $UserName);

          if (!$_memberData || !is_array($_memberData) || !count($_memberData) || empty($_memberData['member_key']) || empty($Code)) {
          	     echo pn_message("اين در خواست معتبر نمي باشد!" , "error", false);
          } else {
          	     $myCode = md5($_SERVER['HTTP_USER_AGENT'] . $sitekey . $_memberData['member_key'] . $_memberData['member_password'] . $_memberData['member_ip'] . $_memberData['member_email'] . $_memberData['member_lastvisit']);
                 if ($myCode != $Code) {
          	            echo pn_message("اين در خواست معتبر نمي باشد!" , "error", false);
                 } else {
                        $NewPass = makePass();
          	            $db->query("UPDATE `#__members` SET `member_password`='". sha1(md5($db->escapeString(pn_safe($NewPass , '_nohtml')))) ."', `member_key`='' WHERE `member_name`='".$_memberData['member_name']."' LIMIT 1");
                        $msg  = "پسورد جديد براي حساب كاربري {$_memberData['member_name']} ايجاد شد.<br>";
                        $msg .= "پسورد: <b>{$NewPass}</b>";
                        pn_mail($_memberData['member_email'], "بازيابي پسورد ".$_memberData['member_name'], $msg, $pars->settings['siteMail']);
                        echo pn_message("ايميلي براي شما ارسال شد در صورتي كه در پوشه Inbox پيامي نبود پوشه Spam را هم برسي كنيد.", "info", false);
                 }
          }

     }
     closeTable();

     get_footer();
}

function pn_memberList() {
     global $db, $cache, $module_name, $pars;
     $pageNum = (int) pn_getParam('pageNum', $_GET, 1);
     $pageNum = $pageNum<=0? 1 : $pageNum;
     $limit   = intval($pars->settings['limit_members']);
     $offset  = parsnuke_page('SQL',$limit,$pageNum);
     $pageURL = pn_link("name=Account&op=List&");
     $total   = $db->numRows("SELECT * FROM #__members order by member_id desc", true);

     if($offset>$total)
     pn_redirect( pn_link("name=Account&op=List") );

     set_title("ليست كاربران");
     get_header();

     openTable();
     echo "<table cellpadding=\"5\" cellspacing=\"0\" class=\"pars_table\">\n";
     echo "  <tr>\n";
     echo "    <th style=\"width:65px\">نام كاربري</th>\n";
     echo "    <th>تاريخ عضويت</th>\n";
     echo "    <th>آخرين بازديد</th>\n";
     echo "    <th style=\"width:65px\">نام مستعار</th>\n";
     echo "  </tr>\n";

     $q = $db->query("SELECT * FROM #__members ORDER BY member_id DESC LIMIT $offset,$limit");
     while($row = $db->fetchRow($q)) {
          echo "  <tr class=".odd_even().">\n";
          echo "    <td><a href=\"".pn_link("name=Account&op=Profile&UserName={$row['member_name']}")."\" title=\"پروفايل {$row['member_name']}\">{$row['member_name']}</a></td>\n";
          echo "    <td>".jdate("l j F Y", strtotime($row['member_date']))."</td>\n";
          echo "    <td>".jdate("j F Y ساعت H:i", $row['member_lastvisit'])."</td>\n";
          echo "    <td>{$row['member_alias']}</td>\n";
          echo "  </tr>\n";
     }

     echo "</table>";
     closeTable();
     parsnuke_page($total,$limit,$pageNum,$pageURL);
     get_footer();
}

function pn_memberLogin() {
     if(is_member())
     pn_redirect( pn_link("name=Account") );
     global $pars;

     set_title("ورود");
     get_header();

     openTable();
     echo "<center>[ ";
     echo "<a href=\"".pn_link("name=Account&op=Register")."\">عضويت</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=Login")."\" class=pars_active>ورود</a> ";
     echo "- <a href=\"".pn_link("name=Account&op=Forget")."\">فراموشي پسورد</a> ";
     echo " ]</center>";
     closeTable();

     openTable("ورود");

     if(isset($_POST['LOGIN']) && isset($_POST['username']) && isset($_POST['password']) && !empty($_POST['username']) && !empty($_POST['password'])) {

          global $db;
	      $pwd = $db->escapeString(pn_safe($_POST['password'], '_nohtml'));
	      $username = pn_strtolower(pn_safe($_POST['username'], "en-num"));
	      $result = $db->query("SELECT * FROM #__members WHERE member_name='$username' AND member_status='1' LIMIT 1");
	      $result = $db->fetchRow($result);
	      if (is_array($result) && count($result) && !empty($result['member_password'])) {
	           $username = $result['member_name'];
               $pwd = sha1(md5($pwd));
               if ($result['member_password'] == $pwd) {
	                $db->query("UPDATE `#__members` SET `member_key`='".create_loginKey()."', `member_lastvisit`='".time()."', `member_lastip`='".get_ip()."' WHERE `member_name`='$username' LIMIT 1");
                    create_memberCookie($result['member_id'], $result['member_name'], $result['member_password']);
                    pn_redirect( pn_link("name=Account") );
               };

          }else
          pn_redirect( pn_link("name=Account&op=Login") );
          echo pn_message("اطلاعات وارد شده صحيح نمي باشد!", "error");

     }

     echo "<form name=\"login\" action=\"".pn_link("name=Account&op=Login")."\" method=\"POST\">\n";
     echo "<table>\n";
     echo "  <tr>\n";
     echo "    <td style=\"width:80px\">نام كاربري</td>\n";
     echo "    <td><input name=\"username\" type=\"text\" size=\"30\" dir=\"ltr\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";
     echo "    <td>پسورد</td>\n";
     echo "    <td><input name=\"password\" type=\"password\" size=\"30\" dir=\"ltr\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><input type=\"submit\" name=\"LOGIN\" value=\"ورود\"><input type=\"reset\" name=\"reset\" value=\"پاك كردن فرم\"></td>\n";
     echo "  </tr>\n";
     echo "</table>\n";
     echo "</form>";
     closeTable();
     get_footer();
}

function pn_memberLogOut() {
    if(isset($_COOKIE['member']) && !empty($_COOKIE['member'])) {
        global $db;
		$member = $_COOKIE['member'];
		$member = base64_decode($member);
   		$member = explode(':', $member);
   		$member = pn_safe($member[1], "en-num");
		$db->query("UPDATE `#__members` SET `member_key`='' WHERE `member_name`='$member' LIMIT 1");
        $db->query("DELETE FROM `#__session` WHERE `uname`='$member' AND `guest`='0' LIMIT 1");
    }
	pn_unsetcookie("member");
	pn_unsetcookie("loginKey");
    pn_redirect( pn_link("name=Account&op=Login") );
}

function create_loginKey() {
    global $sitekey;
	$PN_SERVER_NAME = str_replace('www.', '', $_SERVER['SERVER_NAME']);
    return md5($_SERVER['HTTP_USER_AGENT'].$sitekey.$PN_SERVER_NAME);
}

function create_memberCookie($member_id, $member_name, $member_password, $expire=2592000) {
    pn_setcookie("member", base64_encode($member_id.":".$member_name.":".md5($member_password)), time()+intval($expire)); # 2592000 == 2 Week
    pn_setcookie("loginKey", sha1( create_loginKey() ), time()+intval($expire));

    /*setcookie("member", base64_encode($member_id.":".$member_name.":".md5($member_password)), time()+intval($expire)); # 2592000 == 2 Week
    setcookie("loginKey", sha1( create_loginKey() ), time()+intval($expire));*/
}

switch($op) {
   case'Profile':
   get_header();
   set_title("پروفايل " . pn_getParam('UserName', $_GET));
   pn_memberProfile( pn_getParam('UserName', $_GET) );
   get_footer();
   break;

   case'ProfileEdit':
   pn_edit_profile();
   break;

   case'SaveProfileEdit':
   pn_save_edit_profile();
   break;

   case'Avatar':
   pn_memberAvatar();
   break;

   case'DeleteAvatar':
   pn_memberDeleteAvatar();
   break;

   case'Comments':
   pn_memberComments();
   break;

   case'ChangeTheme':
   pn_memberChangeTheme();
   break;

   case'Register':
   pn_memberRegister();
   break;

   case'SaveRegister':
   pn_save_memberRegister();
   break;

   case'PrivateMessages':
   pn_memberPrivateMessages();
   break;

   case'NewMessage':
   pn_memberPrivateMessageNew();
   break;

   case'MessageRead':
   pn_memberPrivateMessageRead();
   break;

   case'Messages':
   pn_memberMessages();
   break;

   case'MessageDelete':
   pn_memberPrivateMessageDelete();
   break;

   case'Login':
   pn_memberLogin();
   break;

   case'LogOut':
   pn_memberLogOut();
   break;

   case'Forget':
   pn_memberForget();
   break;

   case'List':
   pn_memberList();
   break;

   default:
   pn_memberIndex();
   break;
}
?>