<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 18:01:16 (Iman92)$
 */

if (!defined('MODULE_FILE')) {
 	die ("You can't access this file directly...");
}

$module_name = basename(dirname(__FILE__));
get_lang($module_name);

function avtgo() {
 	global $db, $module_name, $pars, $ThemeSel;
 	$pageNum = (int) pn_getParam('pageNum', $_GET, 1);
 	$pageNum = $pageNum<=0? 1 : $pageNum;
 	$limit   = intval($pars->settings['limit_avantgo']);
 	$offset  = parsNuke_page('SQL',$limit,$pageNum);
 	$result = $db->query("SELECT content_id, content_author, content_date, content_title, content_hits FROM #__content WHERE `content_approve`='1' AND `content_date`<=NOW() ORDER BY content_fixed DESC, content_date DESC, content_id DESC LIMIT $offset,$limit");
 	if ($db->numRows($result) <= 0) {
 		Header('HTTP/1.0 404 Not Found');
 		die("An error occured!");
 	} else {
 		if(!isset($_GET['post_id']))
 		$total = $db->numRows("SELECT * FROM #__content WHERE `content_approve`='1' AND `content_date`<=NOW()", true);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="fa-IR" dir="rtl">
<head profile="http://gmpg.org/xfn/11">
<title><?php echo $pars->settings['sitename'] ?> - نمايش ساده</title>
<base href="<?php echo $pars->settings['siteurl'] ?>/">
<meta http-equiv="Content-Language" content="fa" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Designer" content="Iman Moodi" />
<meta name="generator" content="ParsNuke.com" />
<meta name="HandheldFriendly" content="True" />
<meta name="robots" content="index, follow" />
<meta name="description" content="<?php echo $pars->settings['slogan'] ?>">
<meta name="keywords" content="<?php echo $pars->settings['keywords'] ?>,Blog, Weblog, Persian,Iran, Iranian, Farsi, Weblogs, Blogs">
<?php if (file_exists("themes/$ThemeSel/images/favicon.ico")): ?>
<link rel="shortcut icon" type="image/x-icon" href="themes/<?php echo $ThemeSel ?>/images/favicon.ico">
<?php else: ?>
<link rel="shortcut icon" type="image/x-icon" href="images/favicon.ico">
<?php endif ?>
<style>
body { background: #F4F4F4; font-family: Tahoma; font-size: 9pt; color: Black; padding: 0px; margin: 10px; text-shadow: 1px 1px 0px White; }
a { text-decoration: none; color: Black; -webkit-transition: all 0.3s ease-in; -moz-transition: all 0.3s ease-in; -o-transition: all 0.3s ease-in; transition: all 0.3s ease-in;  }
a:hover { color: #CC0000; }
a:active { color: #339900; }
table { width: 100%; font-size: 9pt; text-align: center; }
table.pars_table th { background: #EEEEEE; border: #DDDDDD 1px solid; }
table.pars_table td { border: #DDDDDD 1px solid; }
table.pars_table tr { background: White; -webkit-transition: all 0.3s ease-in; -moz-transition: all 0.3s ease-in; -o-transition: all 0.3s ease-in; transition: all 0.3s ease-in;  }
table.pars_table tr:hover, table.pars_table tr.pars_odd:hover, table.pars_table tr.pars_even:hover { background: #F8FFF4; }
table.pars_table tr.pars_odd { background: White; }
table.pars_table tr.pars_even { background: #EAF4FF; }
.pars_pagination {padding-top: 5px}
.pars_pagination .page_active {font-weight: bold}
</style>
</head>
<body>
<table class="pars_table" cellpadding="6" cellspacing="2">
<tr>
    <th style="width: 50px">ID</th>
    <th style="text-align: right">عنوان</th>
    <th style="width: 80px">نمايش ساده</th>
    <th style="width: 60px">لينك ثابت</th>
    <th style="width: 140px">تاريخ انتشار</th>
    <th style="width: 80px">نويسنده</th>
    <th style="width: 50px">بازديدها</th>
</tr>
<?php while($row = $db->fetchRow($result)): ?>
<tr class="<?php echo odd_even() ?>">
    <td><?php echo $row['content_id'] ?></td>
    <td style="text-align: right"><?php echo $row['content_title'] ?></td>
    <td><a href="<?php echo $pars->settings['seo']==1? "avantGo/" : "modules.php?name=AvantGo&amp;post_id=" ?><?php echo $row['content_id'] ?><?php echo $pars->settings['seo']==1? "/" : "" ?>" target="_blank" title="<?php echo $row['content_title'] ?>">نمايش ساده</a></td>
    <td><a href="<?php echo $pars->settings['seo']==1? "content/" : "modules.php?name=Content&amp;id=" ?><?php echo $row['content_id'] ?>-<?php echo pn_urlencode($row['content_title'], true) ?><?php echo $pars->settings['seo']==1? "/" : "" ?>" target="_blank" title="<?php echo $row['content_title'] ?>">لينك ثابت</a></td>
    <td><?php echo jdate("Y-m-d H:i:s", strtotime($row['content_date'])) ?></td>
    <td><?php echo $row['content_author'] ?></td>
    <td><?php echo $row['content_hits'] ?></td>
</tr>
<?php endwhile ?>
</table>
</body>
</html>
<?php
 	}
 		if(!isset($_GET['post_id']))
 		parsNuke_page($total, $limit, $pageNum, "modules.php?name=AvantGo&amp;");
}

function ReadPost() {
 	global $db, $module_name, $pars, $ThemeSel;
    $_GET['post_id'] = (int) $_GET['post_id'];
 	$result = $db->query("SELECT content_id, content_author, content_date, content_title, content_hits, content_tags, content_text, content_more FROM #__content WHERE `content_id`='".$_GET['post_id']."' AND `content_approve`='1' AND `content_date`<=NOW() LIMIT 1");
 	if ($db->numRows($result) <= 0) {
 		Header('HTTP/1.0 404 Not Found');
 		die("An error occured!");
 	} else {
 		$row = $db->fetchRow($result);
 		$db->query("UPDATE `#__content` SET `content_hits`=`content_hits`+1 WHERE `content_id`='".$row['content_id']."' AND `content_approve`='1' LIMIT 1");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="fa-IR" dir="rtl">
<head profile="http://gmpg.org/xfn/11">
<title><?php echo $pars->settings['sitename'] ?> - نمايش ساده - <?php echo $row['content_title'] ?></title>
<base href="<?php echo $pars->settings['siteurl'] ?>/">
<meta http-equiv="Content-Language" content="fa" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Designer" content="Iman Moodi" />
<meta name="generator" content="ParsNuke.com" />
<meta name="HandheldFriendly" content="True" />
<meta name="robots" content="index, follow" />
<meta name="description" content="<?php echo $pars->settings['slogan'] ?> - <?php echo $row['content_title'] ?>">
<meta name="keywords" content="<?php echo $pars->settings['keywords'] ?>, ,<?php echo $row['content_tags'] ?> Blog, Weblog, Persian,Iran, Iranian, Farsi, Weblogs, Blogs">
<?php if (file_exists("themes/$ThemeSel/images/favicon.ico")): ?>
<link rel="shortcut icon" type="image/x-icon" href="themes/<?php echo $ThemeSel ?>/images/favicon.ico">
<?php else: ?>
<link rel="shortcut icon" type="image/x-icon" href="images/favicon.ico">
<?php endif ?>
<style>
body { background: #F4F4F4; font-family: Tahoma; font-size: 9pt; color: Black; padding: 0px; margin: 10px; text-shadow: 1px 1px 0px White; }
a { text-decoration: none; color: Black; -webkit-transition: all 0.3s ease-in; -moz-transition: all 0.3s ease-in; -o-transition: all 0.3s ease-in; transition: all 0.3s ease-in;  }
a:hover { color: #CC0000; }
a:active { color: #339900; }
table { width: 100%; font-size: 9pt; }
table tr.pars_odd { background: White; }
</style>
</head>
<body>
<table cellpadding="6" cellspacing="2">
<tr class="<?php echo odd_even() ?>">
    <td style="width: 90px"><b>ID</b></td>
    <td><?php echo $row['content_id'] ?></td>
</tr>
<tr class="<?php echo odd_even() ?>">
    <td><b>عنوان</b></td>
    <td><?php echo $row['content_title'] ?></td>
</tr>
<tr class="<?php echo odd_even() ?>">
    <td><b>نمايش ساده</b></td>
    <td><a href="<?php echo $pars->settings['seo']==1? "avantGo/" : "modules.php?name=AvantGo&amp;post_id=" ?><?php echo $row['content_id'] ?><?php echo $pars->settings['seo']==1? "/" : "" ?>" title="<?php echo $row['content_title'] ?>">نمايش ساده</a></td>
</tr>
<tr class="<?php echo odd_even() ?>">
    <td><b>لينك ثابت</b></td>
    <td><a href="<?php echo $pars->settings['seo']==1? "content/" : "modules.php?name=Content&amp;id=" ?><?php echo $row['content_id'] ?>-<?php echo pn_urlencode($row['content_title'], true) ?><?php echo $pars->settings['seo']==1? "/" : "" ?>" target="_blank" title="<?php echo $row['content_title'] ?>">لينك ثابت</a></td>
</tr>
<tr class="<?php echo odd_even() ?>">
    <td><b>تاريخ انتشار</b></td>
    <td><?php echo jdate("Y-m-d H:i:s", strtotime($row['content_date'])) ?></td>
</tr>
<tr class="<?php echo odd_even() ?>">
    <td><b>نويسنده</b></td>
    <td><?php echo $row['content_author'] ?></td>
</tr>
<tr class="<?php echo odd_even() ?>">
    <td><b>بازديدها</b></td>
    <td><?php echo $row['content_hits'] ?></td>
</tr>
<tr class="<?php echo odd_even() ?>">
    <td><b>متن پست</b></td>
    <td><?php echo $row['content_text'] ?></td>
</tr>
<tr class="<?php echo odd_even() ?>">
    <td><b>ادامه متن</b></td>
    <td><?php echo $row['content_more'] ?></td>
</tr>
<tr class="<?php echo odd_even() ?>">
    <td><b>بازگشت</b></td>
    <td><a href="<?php echo $pars->settings['seo']==1? "avantGo/" : "modules.php?name=AvantGo" ?>"><b>بازگشت به نمايش ساده</b></a></td>
</tr>
</table>
</body>
</html>
<?php
 	}
}

if(!isset($_GET['post_id']))
 	avtgo();
else
 	ReadPost();

include("includes/counter.php");
die();
?>