<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 19:10:21 (Iman92)$
 */
 
if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (checkAdminPageAccess("Content")) {

function adminContent() {
     global $db, $admin_file;
     $pageNum = (int) pn_getParam('pageNum', $_GET, 1);
     $pageNum = $pageNum<=0? 1 : $pageNum;
     $limit   = 40;
     $offset  = parsNuke_page('SQL',$limit,$pageNum);
     $total   = $db->numRows("SELECT * FROM {$db->prefix}content", true);
     set_title("پست ها");
     get_header();

	 GraphicAdmin();
     openTable();
     echo "<center>\n";
     echo "[ ".adminLink('AdminContent', "مديريت پست ها", ' class="pars_active"')." - ".adminLink('ContentNew', "ارسال پست جديد", '')." - <a href=\"".adminLink("adminComments&type=content")."\">مديريت نظرات</a> ]\n";
     echo "</center>";
     closeTable();

     openTable();
     echo "<table cellpadding=\"5\" cellspacing=\"0\" class=\"pars_table\">\n";
     echo "  <tr>\n";
     echo "    <th>عنوان پست</th>\n";
     echo "    <th style=\"width:65px\">وضعيت</th>\n";
     echo "    <th style=\"width:120px\">تاريخ ارسال</th>\n";
     echo "    <th style=\"width:80px\">مديريت</th>\n";
     echo "  </tr>\n";
     $q = $db->query("SELECT * FROM {$db->prefix}content ORDER BY content_ID DESC LIMIT $offset,$limit");
     while($row = $db->fetchRow($q)) {
            echo "  <tr class=".odd_even().">\n";
            echo "    <td>".$row['content_title'].(strtotime($row['content_date']) >= time()? ' <b class=pars_red>انتشار در آينده</b>' : null)."</td>\n";
            echo "    <td>".($row['content_approve']==1? '<div class=pars_green>منتشر شده</div>' : '<div class=pars_red>چركنويس</div>')."</td>\n";
            echo "    <td>".jdate("Y-m-j H:i:s", strtotime($row['content_date']))."</td>\n";
            echo "    <td><a onclick=\"return pn_confirm('".adminLink('ContentDelete&id='.$row['content_id'])."')\" class=\"pars_red\">حذف</a> - <a href=\"".adminLink('ContentEdit&id='.$row['content_id'])."\" class=\"pars_green\">ويرايش</a></td>\n";
            echo "  </tr>\n\n";
     }
     echo "</table>";
     closeTable();

     parsNuke_page($total, $limit, $pageNum, adminLink('AdminContent&'));
     get_footer();
}

function editContent($id) {
     global $db, $cache, $op, $adminCom, $config, $adminData, $aid, $pars;

     if(isset($_POST['save'])) {
         $date = explode(" ", $_POST['date']);
         $date[0] = explode("-", $date[0]);
         $year = $date[0][0];
         $month = $date[0][1];
         $dbay = $date[0][2];
         list($year, $month, $dbay) = jalali_to_gregorian($year, $month, $dbay);
         $date = "$year-$month-$dbay $date[1]";
         $_POST['tags'] = str_replace(array("،", ", ", " ,", " , ", ",,"), ",", $_POST['tags']);
         $_POST['tags'] = trim($_POST['tags'], ",");
         $arr = array(
         'content_title' => pn_safe($_POST['title'], 'showhtml'),
         'content_image' => pn_safe($_POST['p_image'], '_nohtml'),
         'content_text' => $_POST['text'],
         'content_more' => $_POST['more'],
         'content_tags' => $_POST['tags'],
         'content_category' => (int) $_POST['category'],
         'content_approve' => (int) $_POST['approve'],
         'content_fixed' => (int) $_POST['fixed'],
         'content_hits' => (int) $_POST['hits'],
         'content_comment' => (int) $_POST['comment'],
         'content_view' => (int) $_POST['view'],
         'content_date' => $date,
         );
         if($op=='ContentEdit') {
            $db->update("content",$arr,"content_id=$id");
            Content_updateCatsCount();
            if ($pars->settings['ultramode']) ultramode();
         }else{
		    $adminData = is_admin("data");
		    $aid = pn_safe($adminData['aid'], "en-num");
		    $aid = substr($aid, 0, 25);
		    $db->query("update #__authors set counter=counter+1 where aid='$aid'");
            $arr['content_author'] = $aid;
            $db->insert("content",$arr);
            $insertID = $db->insertID();
            if ($pars->settings['ultramode']) ultramode();
            Content_updateCatsCount();
            pn_unlink("includes/cache/sitemap.xml"); // remove cache
            pn_redirect(adminLink('ContentEdit&id='.$insertID));
         }
     }

     set_head('<link rel="alternate stylesheet" type="text/css" media="all" href="includes/pars_nuke/javascript/jalalijscalendar/skins/calendar-black.css" title="black" />
<script type="text/javascript" src="includes/pars_nuke/javascript/jalalijscalendar/jalali.js"></script>
<script type="text/javascript" src="includes/pars_nuke/javascript/jalalijscalendar/calendar.js"></script>
<script type="text/javascript" src="includes/pars_nuke/javascript/jalalijscalendar/calendar-setup.js"></script>
<script type="text/javascript" src="includes/pars_nuke/javascript/jalalijscalendar/lang/calendar-fa.js"></script>');

     get_header();
	 GraphicAdmin();
     $row = array('content_title'=>'','content_image'=>'','content_text'=>'','content_more'=>'','content_tags'=>'','content_category'=>'','content_approve'=>'1','content_fixed'=>'0','content_hits'=>'0','content_comment'=>'1','content_view'=>'1');
     cache_contentCategories();
     $id = (int) $id;
     if($id)
     $row = $db->fetchRowSet("SELECT * FROM #__content where content_id=$id");

     $date = jdate("Y-m-j H:i:s");
     if(isset($row['content_date'])) {
         $date = explode(" ", $row['content_date']);
         $date[0] = explode("-", $date[0]);
         $year = $date[0][0];
         $month = $date[0][1];
         $dbay = $date[0][2];
         list($year, $month, $dbay) = gregorian_to_jalali($year, $month, $dbay);
         $date = "$year-$month-$dbay $date[1]";
     }

     set_title("ويرايش پست");

     openTable();
     echo "<center>\n";
     echo "[ ".adminLink('AdminContent', "مديريت پست ها", '')." - ".adminLink('ContentNew', "ارسال پست جديد", ' class="pars_active"')." - <a href=\"".adminLink("adminComments&type=content")."\">مديريت نظرات</a> ]\n";
     echo "</center>";
     closeTable();

     openTable($op=='ContentNew'? "ارسال پست جديد" : "ويرايش پست");
     echo "<form name=\"ContentEdit\" action=\"".adminLink($op=='ContentEdit'? 'ContentEdit&id='.$id : 'ContentNew')."\" method=\"POST\">\n";
     echo "<table>\n";
     echo "  <tr>\n";
     echo "    <td style=\"width:90px\">عنوان</td>\n";
     echo "    <td><input name=\"title\" type=\"text\" value=\"".$row['content_title']."\" size=\"80\"></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td style=\"width:90px\">عكس پست</td>\n";
     echo "    <td><input name=\"p_image\" type=\"text\" value=\"".$row['content_image']."\" size=\"80\" dir=ltr></td>\n";
     echo "  </tr>\n";

     if (is_superAdmin()) {
     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><img src=\"images/icon/attach.png\" width=\"16\" height=\"16\"><a onclick=\"window.open('".adminLink("media&noTheme=true")."','media','toolbar=no,location=no,directories=no,status=no,scrollbars=no,resizable=no,copyhistory=no,width=800,height=430');\" class=\"pars_green\" title=\"كليك كنيد\">دسترسي سريع به مديريت رسانه ها</a></td>\n";
     echo "  </tr>\n";
     }

     echo "  <tr>\n";
     echo "    <td>متن</td>\n";
     echo "    <td>".parsNuke_Editor("text", $row['content_text'], '', 'style="width:100%;height:300px;"')."</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>ادامه</td>\n";
     echo "    <td>".parsNuke_Editor("more", $row['content_more'], '', 'style="width:100%;height:300px;"')."</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>برچسب ها</td>\n";
     echo "    <td><textarea name=\"tags\" style=\"width:99.6%;height:80px;\">".$row['content_tags']."</textarea></td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>موضوع</td>\n";
     echo "    <td>\n";
     echo "<select name=\"category\" size=\"1\">\n";
     foreach($cache->content_categories as $categorys) {
         if($categorys['cat_parent']!=0) continue;
         echo "<optgroup label=\"{$categorys['cat_name']}\">\n";
         foreach($cache->content_categories as $_categorys) {
             if($_categorys['cat_parent']!=$categorys['cat_id']) continue;
             echo "<option value=\"{$_categorys['cat_id']}\"".($_categorys['cat_id']==$row['content_category']? " selected=\"selected\"" : null).">{$_categorys['cat_name']}</option>\n";
         }
         echo "</optgroup>\n";
     }
     echo "</select>\n";
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>وضعيت</td>\n";
     echo "    <td>\n";
     $options = array("1"=>"منتشر شده","0"=>"چركنويس");
     echo html::select('approve', $options, $row['content_approve']);
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>ساعت سرور</td>\n";
     echo "    <td>\n";
     echo jdate("Y-m-j ساعت H:i:s");
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>تاريخ انتشار</td>\n";
     echo "    <td>\n";
echo '<input type="text" name="date" id="date" maxlength="19" value="'.$date.'" dir=ltr /><img id="date_date_btn" src="images/icon/calendar_view_week.png" style="vertical-align:top;cursor:pointer;" />
		<script type="text/javascript">
			setActiveStyleSheet("black");
			var popupCal = Calendar.setup({
				inputField     : "date", // id of the input field
				button         : "date_date_btn", // trigger for the calendar (button ID)
				ifFormat       : "%Y-%m-%d", // format of the input field
				dateType	   : "jalali",
				align          : "Bl", // alignment (defaults to "Bl")
				weekNumbers    : true,
				autoShowOnFocus: true
			});
		</script>';
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>پست ثابت</td>\n";
     echo "    <td>\n";
     $options = array("1"=>"فعال","0"=>"غيرفعال");
     echo html::select('fixed', $options, $row['content_fixed']);
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>نظرات</td>\n";
     echo "    <td>\n";
     $options = array("1"=>"فعال","0"=>"غيرفعال");
     echo html::select('comment', $options, $row['content_comment']);
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td>نمايش براي</td>\n";
     echo "    <td>\n";
     $options = array("1"=>"همه كاربران","2"=>"فقط اعضا","3"=>"فقط مديران");
     echo html::select('view', $options, $row['content_view']);
     echo "    </td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td style=\"width:90px\">بازديد ها</td>\n";
     echo "    <td><input name=\"hits\" type=\"text\" value=\"".$row['content_hits']."\" size=\"5\"> بار</td>\n";
     echo "  </tr>\n";

     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><input type=\"submit\" name=\"save\" value=\"ذخيره\"></td>\n";
     echo "  </tr>\n";
     echo "</table>";
     echo "</form>";
     closeTable();
     get_footer();
}

function deleteContent($id) {
     global $db, $cache, $op, $adminData;
     $id = (int) $_GET['id'];
     $row = $db->fetchRowSet("SELECT * FROM #__content where content_id=$id");
	 $adminData = is_admin("data");
	 $aid = pn_safe($adminData['aid'], "en-num");
	 $aid = substr($aid, 0, 25);
     if ($row['content_author']==$aid) {
	 	 $counter = (int) $adminData['counter'];
	     $counter--;
	 	 $db->query("update #__authors set counter='$counter' where aid='$aid'");
     }
     Content_updateCatsCount();
     $db->query("DELETE FROM `#__comments` WHERE `comment_type`='content' AND `comment_link`='$id' LIMIT 1");
     $db->query("DELETE FROM `#__content` WHERE `content_id`='$id' LIMIT 1");
     pn_redirect(adminLink('AdminContent'));
}

function Content_updateCatsCount() {
     global $db, $cache, $op, $adminData;
     cache_contentCategories();
     foreach($cache->content_categories as $categorys) {
         $count = $db->numRows("SELECT * FROM #__content WHERE content_category='{$categorys['cat_id']}'", true);
	     $db->query("UPDATE `#__categories` SET `cat_count`='$count' WHERE `cat_type`='content' and cat_id='{$categorys['cat_id']}' LIMIT 1");
     }
}

function adminCategories($id) {
     global $db, $cache, $op;
     $id = (int) $id;
     cache_contentCategories();
     get_header();
	 GraphicAdmin();

     if(!isset($cache->content_categories[$id]) && $op=='CategoryEdit')
     pn_redirect(adminLink('adminCategories'));

     set_title("موضوعات");

     openTable(isset($cache->content_categories[$id]['cat_name'])? "ويرايش موضوع ".$cache->content_categories[$id]['cat_name'] : "موضوع جديد");
     echo "<form name=\"edit\" action=\"".adminLink($op=='CategoryEdit'? 'sava_CategoryEdit&id='.$id : 'save_CategoryNew')."\" method=\"POST\">\n";
     echo "<table cellpadding=\"5\" cellspacing=\"0\">\n";
     echo "  <tr>\n";
     echo "    <td style=\"width:120px\">عنوان موضوع</td>\n";
     echo "    <td><input name=\"cat-name\" type=\"text\" value=\"".($op=='CategoryEdit'? $cache->content_categories[$id]['cat_name'] : null)."\" size=\"40\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";
     echo "    <td style=\"width:120px\">توضيحات</td>\n";
     echo "    <td><input name=\"cat-description\" type=\"text\" value=\"".($op=='CategoryEdit'? $cache->content_categories[$id]['cat_description'] : null)."\" size=\"40\"></td>\n";
     echo "  </tr>\n";
     echo "  <tr>\n";
     echo "    <td>سردسته</td>\n";
     echo "    <td>\n";
     echo "<select name=\"cat-parent\" size=\"1\">\n";
     echo "<option value=\"0\">بدون سردسته</option>\n";
     foreach($cache->content_categories as $categorys) {
         if($categorys['cat_parent']!=0) continue;
         if($op=='CategoryEdit')
         echo "<option value=\"{$categorys['cat_id']}\"".($categorys['cat_id']==$cache->content_categories[$id]['cat_parent']? " selected=\"selected\"" : null).">{$categorys['cat_name']}</option>\n";
         else
         echo "<option value=\"{$categorys['cat_id']}\">{$categorys['cat_name']}</option>\n";
     }
     echo "</select>\n";
     echo "    </td>\n";
     echo "  </tr>\n";
     if (is_superAdmin()) {
     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><img src=\"images/icon/attach.png\" width=\"16\" height=\"16\"><a onclick=\"window.open('".adminLink("media&noTheme=true")."','media','toolbar=no,location=no,directories=no,status=no,scrollbars=no,resizable=no,copyhistory=no,width=800,height=430');\" class=\"pars_green\" title=\"كليك كنيد\">دسترسي سريع به مديريت رسانه ها</a></td>\n";
     echo "  </tr>\n";
     }
     if (is_dir("includes/upload/categories")) {
     $options = array(""=>"بدون عكس");
	 $handle=opendir("includes/upload/categories");
	 while ($file = readdir($handle)) {
		  if (get_extension($file)=="jpg" || get_extension($file)=="jpeg" || get_extension($file)=="png" || get_extension($file)=="gif" ||  get_extension($file)=="bmp") {
				$options[$file] = $file;
		  }
	 }
	 closedir($handle);
     echo "  <tr>\n";
     echo "    <td>عكس</td>\n";
     echo "    <td>\n";
     echo html::select("cat-image", $options, isset($cache->content_categories[$id]['cat_image'])? $cache->content_categories[$id]['cat_image'] : "")." (پوشه تصاوير:includes/upload/categories)";
     echo "    </td>\n";
     echo "  </tr>\n";
     }
     echo "  <tr>\n";
     echo "    <td></td>\n";
     echo "    <td><input type=\"submit\" name=\"save\" value=\"ذخيره\"></td>\n";
     echo "  </tr>\n";
     echo "</table>";
     echo "</form>";
     closeTable();

     openTable();
     echo "<table cellpadding=\"5\" cellspacing=\"0\" class=\"pars_table\">\n";
     echo "  <tr>\n";
     echo "    <th>عنوان موضوع</th>\n";
     echo "    <th style=\"width:120px\">عكس</th>\n";
     echo "    <th style=\"width:120px\">سردسته</th>\n";
     echo "    <th style=\"width:80px\">مديريت</th>\n";
     echo "  </tr>\n";
     foreach($cache->content_categories as $categorys) {
         if($categorys['cat_parent']!=0) continue;
         echo "  <tr class=".odd_even().">\n";
         echo "    <td><b>".$categorys['cat_name']."</b></td>\n";
         echo "    <td><a href=\"includes/upload/categories/".$categorys['cat_image']."\" target=\"_blank\">".$categorys['cat_image']."</a></td>\n";
         echo "    <td class=pars_red>ندارد</td>\n";
         echo "    <td><a onclick=\"return pn_confirm('".adminLink('CategoryDelete&id='.$categorys['cat_id'])."')\" class=\"pars_red\">حذف</a> - <a href=\"".adminLink('CategoryEdit&id='.$categorys['cat_id'])."\" class=\"pars_green\">ويرايش</a></td>\n";
         echo "  </tr>\n\n";
         foreach($cache->content_categories as $_categorys) {
             if($_categorys['cat_parent']!=$categorys['cat_id']) continue;
             echo "  <tr class=".odd_even().">\n";
             echo "    <td>:::: ".$_categorys['cat_name']."</td>\n";
             echo "    <td style=\"text-align:left\"><a href=\"includes/upload/categories/".$_categorys['cat_image']."\" target=\"_blank\">".$_categorys['cat_image']."</a></td>\n";
             echo "    <td class=pars_green>".$categorys['cat_name']."</td>\n";
             echo "    <td><a onclick=\"return pn_confirm('".adminLink('CategoryDelete&id='.$_categorys['cat_id'])."')\" class=\"pars_red\">حذف</a> - <a href=\"".adminLink('CategoryEdit&id='.$_categorys['cat_id'])."\" class=\"pars_green\">ويرايش</a></td>\n";
             echo "  </tr>\n\n";
         }
     }
     echo "</table>";
     closeTable();
     get_footer();
}

function save_CategoryNew() {
     global $db, $cache, $op;
     if(isset($_POST['save'])) {
         if(empty($_POST['cat-name'])) {
             get_header();
             pn_error("نام موضوع را وارد نكرده ايد!");
         }else{
             $arr = array(
             'cat_name' => pn_safe($_POST['cat-name'], 'showhtml'),
             'cat_description' => pn_safe($_POST['cat-description'], 'showhtml'),
             'cat_parent' => (int) $_POST['cat-parent'],
             'cat_image' => pn_safe($_POST['cat-image'], '_nohtml'),
             'cat_type' => 'content',
             'cat_language' => 'persian',
             );
             $db->insert("categories",$arr);
             pn_redirect(adminLink('adminCategories'));
         }
     }else
     pn_redirect(adminLink('adminCategories'));
}

function save_CategoryEdit($id) {
     global $db, $cache, $op;
     $id = (int) $id;
     cache_contentCategories();
     if(!isset($cache->content_categories[$id]))
     pn_redirect(adminLink('adminCategories'));

     if(isset($_POST['save'])) {
         if(empty($_POST['cat-name'])) {
             get_header();
             pn_error("نام موضوع را وارد نكرده ايد!");
         }else{
             $arr = array(
             'cat_name' => pn_safe($_POST['cat-name'], 'showhtml'),
             'cat_description' => pn_safe($_POST['cat-description'], 'showhtml'),
             'cat_parent' => (int) $_POST['cat-parent'],
             'cat_image' => pn_safe($_POST['cat-image'], '_nohtml'),
             );
             $db->update("categories", $arr, "cat_id=".$id." AND cat_type='content'");

             pn_redirect(adminLink('adminCategories'));
         }
     }else
     pn_redirect(adminLink('adminCategories'));
}

function CategoryDelete($id) {
     global $db, $cache, $op;
     $id = (int) $_GET['id'];
	 $db->query("UPDATE `#__categories` SET `cat_parent`='0' WHERE `cat_parent`='$id' AND `cat_type`='content'");
     $db->query("DELETE FROM `#__categories` WHERE `cat_id`='$id' AND `cat_type`='content' LIMIT 1");
     pn_redirect(adminLink('adminCategories'));
}

switch($op) {
     case'adminCategories':
     adminCategories(0);
     break;

     case'save_CategoryNew':
     save_CategoryNew();
     break;

     case'CategoryEdit':
     adminCategories($_GET['id']);
     break;

     case'sava_CategoryEdit':
     save_CategoryEdit($_GET['id']);
     break;

     case'CategoryDelete':
     CategoryDelete($_GET['id']);
     break;

     case'ContentDelete':
     deleteContent($_GET['id']);
     break;

     case'ContentNew':
     editContent(0);
     break;

     case'ContentEdit':
     editContent($_GET['id']);
     break;

     case'AdminContent':
     default:
     adminContent();
     break;
}

} else {

     get_header();
     pn_error("شما به اين بخش دسترسي نداريد!، لطفا تلاش نكنيد.", "عدم دسترسي");

}
?>