<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 19:10:21 (Iman92)$
 */
 
if (!defined('MODULE_FILE')) {
	die ("You can't access this file directly...");
}

define('INDEX_FILE', true);

function extra_index() {
    global $db;
    get_header();
    openTable("ليست صفحات خارجي");
    $q = $db->query("SELECT * FROM #__extra_page WHERE `extra_approve`='1' ORDER BY extra_id DESC");
	$total = $db->numRows($q);
	if ($total <= 0) {
	    pn_message("هيج صفحه اي ساخته نشده است.", "info", false);
	} else {
	    while($row = $db->fetchRow($q)) {
		    echo html::img("images/icon/bullet_black.png") . html::a("modules.php?name=Extra_Page&amp;op=view&amp;ExtraID=".$row['extra_id']."-".pn_urlencode($row['extra_title'], true), $row['extra_title']) . "<br>\n";
		}
	}
    closeTable();
    get_footer();
}

function extra_view($ExtraID) {
    global $db;
	$ExtraID = (int) $ExtraID;
    get_header();
    $q = $db->query("SELECT * FROM #__extra_page WHERE `extra_approve`='1' AND `extra_id`='$ExtraID' LIMIT 1");
	$total = $db->numRows($q);
	if ($total <= 0) {
        Header('HTTP/1.0 404 Not Found');
        openTable("صفحه خارجي");
	    echo pn_message("اين صفحه در سيستم يافت نشد!", "error", false);
        closeTable();
	} else {
	    $row = $db->fetchRow($q);
	    $db->query("UPDATE #__extra_page SET `extra_hits`=`extra_hits`+1 WHERE `extra_id`='".$row['extra_id']."' AND `extra_approve`='1' LIMIT 1");
		$row['extra_hits']++;		
        if ($row['extra_view']==2 && !is_member() && !is_admin()) $row['extra_content'] = pn_message("نمايش اين صفحه فقط براي اعضا مجاز است.", 'info', false);
        elseif ($row['extra_view']==3 && !is_admin()) $row['extra_content'] = pn_message("نمايش اين صفحه فقط براي مديران سايت مجاز است.", 'info', false);
        set_title($row['extra_title']);
        set_meta('description', $row['extra_title']);
        openTable(html::a("modules.php?name=Extra_Page&amp;op=view&amp;ExtraID=".$row['extra_id']."-".pn_urlencode($row['extra_title'], true), $row['extra_title']));
	    echo $row['extra_content'] . "<br>\n";
	    echo html::img("images/icon/time.png")." ارسال شده در ".jdate("l j F Y ساعت H:i", strtotime($row['extra_date']))."<br>\n";
	    echo html::img("images/icon/user.png")." نويسنده ".$row['extra_author']."<br>‌\n";
	    echo html::img("images/icon/chart_bar.png")." ".$row['extra_hits']." بازديد";		
        closeTable();
        if($row['extra_comment']==1) {
            require_once(INCLUDE_PATH."includes/functions_comments.php");
            pn_commentsShow('ExtraPage', intval($row['extra_id']), "modules.php?name=Extra_Page&amp;file=comment");
        }			
	}
    get_footer();
}

switch($op) {
    case'view':
	extra_view($_GET['ExtraID']);
    break;

    default:
	extra_index();
    break;
}

?>