<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-01-28 19:10:21 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

global $prefix, $db, $admin_file;

if (checkAdminPageAccess("Poll")) {

	function pollList() {
	    global $db, $admin_file;
		get_header();
		GraphicAdmin();
		title("مديريت نظرسنجي ها");

		OpenTable();
		echo "<center>[ <a href=\"".$admin_file.".php?op=Poll\"><b>نظرسنجي ها</b></a> | <a href=\"".$admin_file.".php?op=createPoll\">يك نظرسنجي جديد</a> | <a href=\"".$admin_file.".php?op=adminComments&type=Poll\">مديريت نظرات ارسالي براي نظرسنجي ها</a> ]</center>";
		CloseTable();

?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
function pollStatus(pollID) {
    $(document).ready(function(){
         $('#PollID-'+pollID).html('<div class=pars_smallLoading></div>');
         $('#PollID-'+pollID).load('<?php echo $admin_file ?>.php?op=pollStatus&pollID='+pollID, function(){ pn_scroll('#PollID-'+pollID); });
    });
}
/*]]>*/
</script>
<?php
		openTable();
        $t = new table('pars_table', null, null, 5);

        $t->tr();
        $t->th( "عنوان نظرسنجي" );
        $t->th( "تاريخ ايجاد", "width: 210px" );
        $t->th( "وضعيت", "width: 50px" );
        $t->th( "مديريت", "width: 50px" );

		$q = $db->query("SELECT * from #__polls order by poll_id desc");
		while ($row = $db->fetchRow($q)) {
             $t->tr("class=".odd_even());
             $t->td( $row['poll_question'] );
             $t->td( jdate("l j F Y ساعت H:i", strtotime($row['poll_date'])) );
             $t->td( html::a("javascript:pollStatus(".$row['poll_id'].")", html::img($row['poll_status']==1? "images/icon/accept.png" : "images/icon/exclamation.png"), "id='PollID-".$row['poll_id']."' title='تغيير وضعيت'"), "text-align: center" );
             $t->td( html::a(adminLink("editPoll&pollID=".$row['poll_id']), html::img("images/icon/page_edit.png"), "title='ويرايش'") .' '. html::a("javascript:pn_confirm('".adminLink('removePoll&pollID='.$row['poll_id'])."')", html::img("images/icon/cross.png"), "title='حذف'") );
		}

        $t->show();
		closeTable();
		get_footer();
	}

	function createPoll($id) {
	    global $db, $admin_file, $op;
	    $id = intval($id);
        if ($id) {
            $row = $db->fetchRowSet("SELECT * FROM #__polls where poll_id=$id");
            if (!$row) pn_redirect( adminLink("Poll") );
        }
		get_header();
		GraphicAdmin();
		title("مديريت نظرسنجي ها");

		OpenTable();
		echo "<center>[ <a href=\"".$admin_file.".php?op=Poll\">نظرسنجي ها</a> | <a href=\"".$admin_file.".php?op=createPoll\"><b>يك نظرسنجي جديد</b></a> | <a href=\"".$admin_file.".php?op=adminComments&type=Poll\">مديريت نظرات ارسالي براي نظرسنجي ها</a> ]</center>";
		CloseTable();

		openTable("ايجاد يك نظرسنجي");
		echo html::form("createPoll", "{$admin_file}.php");
        $t = new table(null, null, null, 5);

        $t->tr();
        $t->td( "سوال نظرسنجي", "width: 120px" );
        $t->td( html::input("poll_question", isset($row['poll_question'])? $row['poll_question'] : null, "size=40") );

        $row['poll_date'] = !isset($row['poll_date'])? date("Y-m-d H:i:s") : $row['poll_date'];
        $t->tr();
        $t->td( "شروع نظرسنجي از" );
        $t->td( jdate("l j F Y ساعت H:i", strtotime($row['poll_date'])) );

        for($k=1; $k<=15; $k++) {
            $t->tr();
            $t->td( "پاسخ ".$k );
            $t->td( html::input("poll_answer".$k, isset($row['poll_answer'.$k])? $row['poll_answer'.$k] : null, "size=40").(isset($row['poll_value'.$k])? " {$row['poll_value'.$k]} راي" : null) );
        }

        $t->tr();
        $t->td();
        $t->td( "پاسخ هايي كه خالي بمانند نمايش داده نخواهند شد." );

        $t->tr();
        $t->td( "نظرسنجي فعال باشد؟" );
        $t->td( html::radio("poll_status", array("0"=>_NO, "1"=>_YES), isset($row['poll_status'])? intval($row['poll_status']) : 1) );

        $t->tr();
        $t->td( "ارسال نظر فعال باشد؟" );
        $t->td( html::radio("poll_comment", array("0"=>_NO, "1"=>_YES), isset($row['poll_comment'])? intval($row['poll_comment']) : 1) );

        $t->tr();
        $t->td();
        $t->td( html::hidden("op", $op=="createPoll"? "saveCreatePoll" : "saveEditPoll") . html::hidden("pollID", isset($row['poll_id'])? intval($row['poll_id']) : 0) . html::submit("submit", _SAVECHANGES) );

        $t->show();
		echo html::form("End");
		closeTable();
		get_footer();
	}

	function saveCreatePoll() {
	    global $db, $cache, $currentlang;
        $sql = array();
        $sql['poll_question'] = pn_safe($_POST['poll_question'], "showhtml");
        $sql['poll_status'] = intval($_POST['poll_status']);
        $sql['poll_comment'] = intval($_POST['poll_comment']);
        $sql['poll_date'] = date("Y-m-d H:i:s");
        $sql['poll_language'] = $currentlang;
        for($k=1; $k<=15; $k++) {
            $sql['poll_answer'.$k] = (isset($_POST['poll_answer'.$k])? pn_safe($_POST['poll_answer'.$k], "showhtml") : null);
        }
        $db->insert("polls", $sql);
        pn_unlink("includes/cache/sitemap.xml"); // remove cache
	    pn_redirect( adminLink("Poll") );
	}

	function saveEditPoll() {
	    global $db, $cache;
	    $id = intval($_POST['pollID']);
	    $poll = $db->fetchRowSet("SELECT poll_status FROM #__polls WHERE poll_id='$id'");
        if (!$poll) pn_redirect( adminLink("Poll") );

        $_POST['poll_question'] = pn_safe($_POST['poll_question'], "showhtml");
        $_POST['poll_status'] = intval($_POST['poll_status']);
        $_POST['poll_comment'] = intval($_POST['poll_comment']);
        $sql = null;
        for($k=1; $k<=15; $k++) {
            $sql .= "`poll_answer{$k}`='".(isset($_POST['poll_answer'.$k])? pn_safe($_POST['poll_answer'.$k], "showhtml") : null)."', ";
        }
        $sql = trim($sql, ", ");

	    $db->query("UPDATE `#__polls` SET `poll_question`='{$_POST['poll_question']}', `poll_status`='{$_POST['poll_status']}', `poll_comment`='{$_POST['poll_comment']}', {$sql} WHERE `poll_id`='$id' LIMIT 1");
	    pn_redirect( adminLink("editPoll&pollID=".$id) );
	}

	function pollStatus($id) {
	    global $db, $cache;
	    $id = intval($id);
	    $poll_status = $db->fetchRowSet("SELECT poll_status FROM #__polls WHERE poll_id='$id'");
	    $poll_status = $poll_status['poll_status']==1? 0 : 1;
	    $db->query("UPDATE `#__polls` SET `poll_status`='$poll_status' WHERE `poll_id`='$id' LIMIT 1");
        echo html::img($poll_status==1? "images/icon/accept.png" : "images/icon/exclamation.png");
        die;
	}

	function removePoll($id) {
	     global $db, $cache, $op;
	     $id = (int) $id;
	     $db->query("DELETE FROM `#__comments` WHERE `comment_type`='Poll' AND `comment_link`='$id' LIMIT 1");
	     $db->query("DELETE FROM `#__poll_check` WHERE `pollID`='$id' LIMIT 1");
	     $db->query("DELETE FROM `#__polls` WHERE `poll_id`='$id' LIMIT 1");
	     pn_redirect( adminLink('Poll') );
	}

	switch($op) {

		case "Poll":
		pollList();
		break;

		case "createPoll":
		createPoll(0);
		break;

		case "saveCreatePoll":
		saveCreatePoll();
		break;

		case "editPoll":
		createPoll($_GET['pollID']);
		break;

		case "saveEditPoll":
		saveEditPoll();
		break;

		case "pollStatus":
		pollStatus($_GET['pollID']);
		break;

		case "removePoll":
		removePoll($_GET['pollID']);
		break;

	}

} else {
	get_header();
	GraphicAdmin();
	OpenTable();
	echo "<center><b>"._ERROR."</b><br><br>You do not have administration permission for module \"$module_name\"</center>";
	CloseTable();
	get_footer();
}

?>