<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-02-01 23:03:48 (Iman92)$
 */

if (!defined('MODULE_FILE')) {
	die ("You can't access this file directly...");
}

require_once("mainfile.php");
define('INDEX_FILE', true);
$module_name = basename(dirname(__FILE__));
get_lang($module_name);

if (isset($_REQUEST['pollID'])) {
	$pollID = intval($_REQUEST['pollID']);
}

function pollList() {
	global $multilingual, $currentlang, $module_name, $db;
    set_title("نظرسنجي ها");
    get_header();
    OpenTable("نظرسنجي ها");
    $result = $db->query("SELECT * FROM #__polls order by poll_id desc");
    if ($result) {
          while($row = $db->fetchRow($result)) {
               echo html::img("images/icon/bullet_black.png")." <a href=\"".pn_link("name=Poll&op=Results&pollID={$row['poll_id']}")."\">{$row['poll_question']}</a><br>\n";
          };
    };
	CloseTable();
    get_footer();
}

function pollResults($pollID) {
       global $db;
       get_header();
       OpenTable("نتايج نظرسنجي");
       $totalCount = 0;
       $result = $db->query("SELECT * FROM #__polls WHERE poll_id='".intval($pollID)."' limit 1");
       if (!$result) pn_redirect( pn_link("name=Poll") );
       $row = $db->fetchRow($result);
       set_title($row['poll_question']);

       for ($i=1; $i<=15; $i++) {
          $answer = 'poll_answer'.$i;
          $value = 'poll_value'.$i;
          if (!empty($row[$answer]))
          $totalCount += $row[$value];
       };

       echo html::img("images/icon/pe-list.png")." <b>{$row['poll_question']}</b><br>\n";
       echo html::img("images/icon/time.png")." تاريخ ايجاد نظرسنجي : ".jdate('l j F Y', $row['poll_date'])." <br><br>\n";
       echo '<style>';
       echo '.pars_pollDiv { border-radius: 5px; -moz-border-radius: 5px; -webkit-border-radius: 5px; background: White; padding: 2px; }';
       echo '.pars_pollDiv1 { height: 13px; border-radius: 5px; -moz-border-radius: 5px; -webkit-border-radius: 5px; -moz-box-shadow: inset 0 0 4px #000000; -webkit-box-shadow: inset 0 0 4px #000000; box-shadow: inset 0 0 4px #000000; }';
       echo '</style>';

       for ($i=1; $i<=15; $i++) {
          $answer = 'poll_answer'.$i;
          $value = 'poll_value'.$i;
          if (empty($row[$answer])) continue;
          $num = $row[$value] * 100;

          if($totalCount!=0)
          $num /= $totalCount;
          else
          $num = 0;
          $num = floor($num);

          if ($num >= 50)
          $bgcolor="#CC0000";
          elseif ($num >= 30)
          $bgcolor="#FF6633";
          else
          $bgcolor="#777777";

          echo '<b title="'.$row[$value].' راي">'.$row[$answer].'</b> <font size=1>('.$row[$value].' راي) &nbsp; ('.$num.' درصد)</font><br /><div style="width:'.($num==0? '5px' : $num.'%').'" class="pars_pollDiv"><div style="background:'.$bgcolor.'" class="pars_pollDiv1"></div></div><br>'."\n";
       };

       echo html::img("images/icon/chart_bar.png").' در كل '.$totalCount.' راي ثبت شده.<br>';
       echo html::img("images/icon/chart_pie_add.png").' <a href="'.pn_link("name=Poll&op=Main&pollID=".$row['poll_id']).'">ثبت راي شما</a><br>';
       echo html::img("images/icon/chart_pie.png").' <a href="modules.php?name=Poll">نظرسنجي ها</a><br>';
       CloseTable();

       if($row['poll_comment']==1) {
             title("نظرات اين نظرسنجي");
             require_once(INCLUDE_PATH."includes/functions_comments.php");
             pn_commentsShow('Poll', intval($row['poll_id']), "modules.php?name=Poll&amp;file=comment");
       }
       get_footer();
}

function pollMain($pollID) {
       global $module_name, $db;
       $totalCount = 0;
       $voteValid = 1;
       $result = $db->query("SELECT * FROM #__polls WHERE poll_id='".intval($pollID)."' limit 1");
       if (!$result) pn_redirect( pn_link("name=Poll") );
       $row = $db->fetchRow($result);
       set_title("ثبت راي - ".$row['poll_question']);

       for ($i=1; $i<=15; $i++) {
          $answer = 'poll_answer'.$i;
          $value = 'poll_value'.$i;
          if (!empty($row[$answer]))
          $totalCount += $row[$value];
       };

       get_header();
       if ($row['poll_status']==1):
?>
<script language="JavaScript" type="text/javascript">
<!--
jQuery(document).ready(function(){
    $('#pars_pollMainForm').submit(function(){
        $('#pars_pollMainForm div#poll_loader').css('display', 'inline-block');
        $('#pars_pollMainForm input#poll_save').attr('disabled', 'disabled');
        $('#pars_pollMainForm div#pars_PollInfo').slideUp('slow');
        $.post($(this).attr('action'), $(this).serialize(), function(data){
                  $('#pars_pollMainForm div#pars_PollInfo').html(data.Msg).slideDown('slow');
                  $('#pars_pollMainForm div#poll_loader').css('display', 'none');
                  $('#pars_pollMainForm input#poll_save').attr('disabled', '');
        }, "json");
        return false;
    })
})
//-->
</script>
<?php
       OpenTable("ثبت راي");
       echo "<form method=\"POST\" action=\"modules.php\" id=\"pars_pollMainForm\">\n";
       echo "<b>{$row['poll_question']}</b><br>\n";
       for ($i=1; $i<=15; $i++) {
            $answer = 'poll_answer'.$i;
            $value = 'poll_value'.$i;
            if (empty($row[$answer])) continue;
            echo "<label><input type=\"radio\" name=\"poll_vote\" value=\"$i\"> {$row[$answer]} </label><br>\n";
       };
       echo "<input type=\"submit\" name=\"poll_save\" id=\"poll_save\" value=\"ثبت نظر\"><div class=\"pars_smallLoading\" id=\"poll_loader\" style=\"display: none\"></div>\n";
       echo '<div style="display: none" id="pars_PollInfo"></div>';
       echo html::hidden("name", "Poll");
       echo html::hidden("op", "Collector");
       echo html::hidden("pollID", $row['poll_id']);
       echo '<br><center>';
       echo html::img("images/icon/chart_curve.png")."  <a href=\"".pn_link("name=Poll&op=Results&pollID={$row['poll_id']}")."\">نمايش نتايج</a> &nbsp;&nbsp;";
       echo html::img("images/icon/chart_bar.png").' مجموع آرا: '.$totalCount.' &nbsp;&nbsp;';
       echo html::img("images/icon/comment_add.png").' <a href="'.pn_link("name=Poll&op=Results&pollID={$row['poll_id']}").'">نظر شما چيست؟</a>';
       echo '</center>';
       echo "</form>\n";
       else:
       OpenTable("نظرسنجي غيرفعال است");
       echo pn_message("اين نظرسنجي غيرفعال مي باشد.", "error", false, true);
       endif;
       CloseTable();
       get_footer();
}

function pollCollector($pollID, $voteID) {
	global $prefix, $db, $module_name;

    $result = $db->query("SELECT * FROM #__polls WHERE poll_id='".intval($pollID)."' and poll_status='1' limit 1");
    if (!$result)
    die( json_encode(array('Error'=>'yes', 'Msg'=>"<b class=pars_red>اين نظرسنجي وجود ندارد.</b>")) );

    if ($voteID <= 0)
    die( json_encode(array('Error'=>'yes', 'Msg'=>"<b class=pars_red>گزينه انتخابي شما معتبر نيست.</b>")) );

	$ip = get_ip();
	$pollID = intval($pollID);
	$voteID = intval($voteID);
	$past = time()-1800;
	$db->query("DELETE FROM ".$prefix."_poll_check WHERE time < '$past'");
	$row = $db->fetchRow($db->query("SELECT ip FROM ".$prefix."_poll_check WHERE (ip='$ip') AND (pollID='$pollID')"));
	$ips = $row['ip'];
	$ctime = time();
	if ($ip == $ips) {
		$voteValid = 0;
	} else {
		$db->query("INSERT INTO ".$prefix."_poll_check (ip, time, pollID) VALUES ('$ip', '$ctime', '$pollID')");
		$voteValid = "1";
	}

	/* Fix end */
	/* update database if the vote is valid */
	if($voteValid>0 && $voteID<=15) {
		$db->query("UPDATE `".$prefix."_polls` SET `poll_value{$voteID}`=poll_value{$voteID}+1 WHERE `poll_id`='$pollID' limit 1");
		if ($db->affectedRows())
        update_points("Poll");
        setcookie("parsNuke_poll".intval($pollID), 1, time()+1800);
        echo json_encode(array('Error'=>'no', 'Msg'=>"<b class=pars_green>نظر شما با موفقيت ثبت شد.</b>"));
		die();
	} else {
        echo json_encode(array('Error'=>'yes', 'Msg'=>"<b class=pars_red>شما قبلا راي داده ايد.</b>"));
		die();
	}
}

switch($op) {
   case'Results':
   pollResults($pollID);
   break;

   case'Main':
   pollMain($pollID);
   break;

   case'Collector':
   pollCollector($pollID, pn_getParam('poll_vote', $_REQUEST));
   break;

   default:
   pollList();
   break;
}

?>