<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: index.php 2012-02-01 23:03:48 (Iman92)$
 */

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

if (checkAdminPageAccess("Web_Links")) {

function link_Web_Links() {
	global $db, $admin_file;
	get_header();
	GraphicAdmin();
	title("مديريت لينك ها");

	OpenTable();
	echo "<center>[ <a href=\"".$admin_file.".php?op=Web_Links\"><b>لينك ها</b></a> - <a href=\"".$admin_file.".php?op=Add_Link\">ارسال لينك جديد</a> ]</center>";
	CloseTable();

?>
<script language="JavaScript" type="text/javascript">
/*<![CDATA[*/
function Status_Link(LinklID) {
    $(document).ready(function(){
         $('#Link-'+LinklID).html('<div class=pars_smallLoading></div>');
         $('#Link-'+LinklID).load('<?php echo $admin_file ?>.php?op=Status_Link&LinklID='+LinklID, function(){ pn_scroll('#Link-'+LinklID); });
    });
}
/*]]>*/
</script>
<?php
	openTable();
    $t = new table('pars_table', null, null, 5);

    $t->tr();
    $t->th( "عنوان لينك" );
    $t->th( "آدرس لينك", "width: 250px" );
    $t->th( "وضعيت", "width: 50px" );
    $t->th( "مديريت", "width: 50px" );

	$q = $db->query("SELECT * from #__web_links order by link_id desc");
	while ($row = $db->fetchRow($q)) {
         $t->tr("class=".odd_even());
         $t->td( $row['link_title'] );
         $t->td( $row['link_href'], "text-align:left;direction:ltr" );
         $t->td( html::a("javascript:Status_Link(".$row['link_id'].")", html::img($row['link_active']==1? "images/icon/accept.png" : "images/icon/exclamation.png"), "id='Link-".$row['link_id']."' title='تغيير وضعيت'"), "text-align: center" );
         $t->td( html::a(adminLink("Edit_Link&LinklID=".$row['link_id']), html::img("images/icon/page_edit.png"), "title='ويرايش'") .' '. html::a("javascript:pn_confirm('".adminLink('Remove_Link&LinklID='.$row['link_id'])."')", html::img("images/icon/cross.png"), "title='حذف'"), "text-align: center" );
	}

    $t->show();
	closeTable();
	get_footer();
}

function link_Link($id) {
     global $db, $cache, $op, $admin_file;
     if ($op=='Edit_Link') {
	      $id = intval($id);
	      $q = $db->query("SELECT * from #__web_links where link_id='$id' limit 1");
	      $row = $db->fetchRow($q);
     } else {
	      $row = array("link_title"=>"", "link_href"=>"http://", "link_description"=>"", "link_color"=>"", "link_target"=>"_blank", "link_direct_link"=>"1", "link_bold"=>"0", "link_strikethrough"=>"0", "link_active"=>"1");
     }

	 set_head( html::css("includes/pars_nuke/javascript/colorpicker/colorpicker.css", "file") );
	 set_head( html::js("includes/pars_nuke/javascript/colorpicker/colorpicker.js", "file") );
     set_title("مشخصات لينك");
	 get_header();
	 GraphicAdmin();

	 OpenTable();
	 echo "<center>[ <a href=\"".$admin_file.".php?op=Web_Links\"><b>لينك ها</b></a> - <a href=\"".$admin_file.".php?op=Add_Link\">ارسال لينك جديد</a> ]</center>";
	 CloseTable();

     openTable("مشخصات لينك");
	 echo html::form("Link", "{$admin_file}.php");
     $t = new table(null, null, null, 5);

     $t->tr();
     $t->td( "عنوان فايل", "width: 150px" );
     $t->td( html::input("link_title", $row['link_title'], 'size="50"') );

     $t->tr();
     $t->td( "آدرس" );
     $t->td( html::input("link_href", $row['link_href'], 'size="50" dir="ltr"') );

     $t->tr();
     $t->td( "توضيحات" );
     $t->td( html::input("link_description", $row['link_description'], 'size="50"') );

     $t->tr();
     $t->td( "رنگ لينك" );
     $t->td( html::input("link_color", $row['link_color'], 'id="colorSelector" size="6"')."#" );

     $t->tr();
     $t->td( "هدف" );
     $t->td( html::radio("link_target", array("_blank"=>"صفحه جديد",""=>"در خود صفحه"), $row['link_target']) );

     $t->tr();
     $t->td( "لينك مستقيم باشد؟" );
     $t->td( html::radio("link_direct_link", array("1"=>_YES, "0"=>_NO), $row['link_direct_link']) );

     $t->tr();
     $t->td( "لينك توپر باشد؟" );
     $t->td( html::radio("link_bold", array("1"=>_YES, "0"=>_NO), $row['link_bold']) );

     $t->tr();
     $t->td( "لينك خط خورده باشد؟" );
     $t->td( html::radio("link_strikethrough", array("1"=>_YES, "0"=>_NO), $row['link_strikethrough']) );

     $t->tr();
     $t->td( "اين لينك فعال باشد؟" );
     $t->td( html::radio("link_active", array("1"=>_YES, "0"=>_NO), $row['link_active']) );

     $t->tr();
     $t->td();
     $t->td( html::hidden("op", $op=='Edit_Link'? "saveEdit_Link" : "saveAdd_Link") . html::hidden("LinklID", isset($row['link_id'])? $row['link_id'] : 0) . html::submit("submit", "ذخيره") );

     $t->show();
	 echo html::form("End");
     closeTable();
?>
<script type="text/javascript">
$('#colorSelector').ColorPicker({
	color: $('#colorSelector').val(),
	onShow: function (colpkr) {
		$(colpkr).fadeIn(500);
		return false;
	},
	onHide: function (colpkr) {
		$(colpkr).fadeOut(500);
		return false;
	},
	onChange: function (hsb, hex, rgb) {
		$('#colorSelector').val(hex);
	}
});
</script>
<?php
	 get_footer();
}

function link_saveLink($id=0) {
	 global $db, $cache, $op;
	 $id = intval($id);
     if(isset($_POST['link_title']) && isset($_POST['link_href'])) {
         if (empty($_POST['link_title']) || empty($_POST['link_href'])) {
               get_header();
               pn_error("عنوان و يا آدرس لينك را وارد نكرده ايد!");
         }

         $arr = array(
         'link_title' => pn_safe($_POST['link_title'], 'showhtml'),
         'link_description' => pn_safe($_POST['link_description'], 'showhtml'),
         'link_href' => pn_safe($_POST['link_href'], '_nohtml'),
         'link_target' => pn_safe($_POST['link_target'], '_nohtml'),
         'link_color' => pn_safe($_POST['link_color'], '_nohtml'),
         'link_direct_link' => (int) $_POST['link_direct_link'],
         'link_bold' => (int) $_POST['link_bold'],
         'link_strikethrough' => (int) $_POST['link_strikethrough'],
         'link_active' => (int) $_POST['link_active'],
         );
         if($op=='saveEdit_Link') {
            $db->update("web_links",$arr,"link_id='$id'");
            pn_redirect(adminLink('Edit_Link&LinklID='.$id));
         }else{
            $db->insert("web_links",$arr);
            $insertID = $db->insertID();
            pn_redirect(adminLink('Edit_Link&LinklID='.$insertID));
         }
     }
	 pn_redirect( adminLink("Web_Links") );
}

function Status_Link($id) {
	 global $db, $cache;
	 $id = intval($id);
	 $link_active = $db->fetchRowSet("SELECT link_active FROM #__web_links WHERE link_id='$id'");
	 $link_active = $link_active['link_active']==1? 0 : 1;
	 $db->query("UPDATE `#__web_links` SET `link_active`='$link_active' WHERE `link_id`='$id' LIMIT 1");
     echo html::img($link_active==1? "images/icon/accept.png" : "images/icon/exclamation.png");
     die;
}

function Remove_Link($id) {
	 global $db, $cache, $op;
	 $id = (int) $id;
	 $db->query("DELETE FROM `#__web_links` WHERE `link_id`='$id' LIMIT 1");
	 pn_redirect( adminLink('Web_Links') );
}

switch($op) {

	case "Web_Links":
    link_Web_Links();
    break;

	case "Add_Link":
    link_Link(0);
    break;

    case'saveAdd_Link':
    link_saveLink(0);
    break;

	case "Edit_Link":
    link_Link($_REQUEST['LinklID']);
    break;

    case'saveEdit_Link':
    link_saveLink($_REQUEST['LinklID']);
    break;

	case "Status_Link":
    Status_Link($_GET['LinklID']);
    break;

	case "Remove_Link":
    Remove_Link($_GET['LinklID']);
    break;
}

} else {
	get_header();
	GraphicAdmin();
	OpenTable();
	echo "<center><b>"._ERROR."</b><br><br>You do not have administration permission for module \"$module_name\"</center>";
	CloseTable();
	get_footer();
}

?>