<?PHP
/**
 * Pars-Nuke: Advanced Content Management System
 * Copyright 2012 Pars-Nuke Group, All Rights Reserved
 *
 * Website: http://parsnuke.com
 * License: http://www.gnu.org/licenses/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Id: setup-3.php 2012-02-13 16:55:21 (Iman92)$
 */

defined('PARSNUKE_SETUP') or die("You are not allowed to access this page directly!");

$admin_name = trim( mosGetParam($_POST, 'admin_name', '') );
$admin_pass = trim( mosGetParam($_POST, 'admin_pass', '') );
$admin_email = trim( mosGetParam($_POST, 'admin_email', '') );
$sitename = trim( mosGetParam($_POST, 'sitename', '') );
$slogan = trim( mosGetParam($_POST, 'slogan', '') );
$siteurl = trim( mosGetParam($_POST, 'siteurl', '') );
$siteMail = trim( mosGetParam($_POST, 'siteMail', '') );
$site_protocol = trim( mosGetParam($_POST, 'site_protocol', '') );
$site_host = trim( mosGetParam($_POST, 'site_host', '') );
$site_path = trim( mosGetParam($_POST, 'site_path', '') );

if (!empty($admin_name) && !empty($admin_pass) && !empty($admin_email) && !empty($siteurl) && !empty($siteMail) && !empty($site_protocol) && !empty($site_host) && !empty($site_path))
{
    $is_Error = null;

	if (!preg_check("/^[0-9a-z-_]{4,25}$/i", $admin_name)) {
		$is_Error .= "نام كاربري شامل كاراكترهاي غير مجاز است!<br>";
	}

	if (!validate_email_format($admin_email)) {
		$is_Error .= "ايميل مديركل صحيح نيست!<br>";
	}

	if (!validate_email_format($siteMail)) {
		$is_Error .= "ايميل سايت صحيح نيست!<br>";
	}

	if ($site_protocol!='http' && $site_protocol!='https') {
		$is_Error .= "پروتکل معتبر نيست!<br>";
	}

	if ($site_host=='127.0.0.1') {
		$site_host = "localhost";
	}

	if ($is_Error) {
		echo $is_Error;
		echo '<br><input class="button" type="submit" name="next" value="تلاش مجدد" onclick="setup_page(\'3\');" />';
        die;
	}

	require_once("../includes/functions_jalaliDate.php");
	require_once("../configuration.php");
	require_once("../includes/class_mysql.php");
	$database = new sql_db($dbhost, $dbuname, $dbpass, $dbname, $prefix, false);

    $admin_pass = md5( $database->escapeString(pn_safe($admin_pass, '_nohtml')) );
    $admin_name = pn_safe($admin_name, 'en-num');
    $admin_name = strtolower(substr($admin_name, 0,25));
	$database->query("UPDATE #__authors SET aid='$admin_name', email='$admin_email', pwd='$admin_pass' where name='God' limit 1");
    $database->insert("members", array("member_name"=> $admin_name, "member_alias"=> $admin_name, "member_email"=> $admin_email, "member_date"=>date("Y-m-d H:i:s"), "member_ip"=>get_ip(), "member_lastip"=>get_ip(), "member_password"=>sha1($admin_pass)));
    $database->update("content", array("content_author"=> $admin_name, "content_date"=>date("Y-m-d H:i:s")), "content_id='1'", 1);
    $database->update("polls", array("poll_date"=>time()), "poll_id='1'", 1);
	$siteurl = rtrim($siteurl, '/');
	$site_path = empty($site_path)? '/' : $site_path;

	$database->query("UPDATE #__settings SET setting_value='".date("Y-m-d ساعت H:i:s")."' where setting_name='startdate' limit 1");
	$database->query("UPDATE #__settings SET setting_value='$sitename' where setting_name='sitename' limit 1");
	$database->query("UPDATE #__settings SET setting_value='$sitename' where setting_name='backend_title' limit 1");
	$database->query("UPDATE #__settings SET setting_value='$slogan' where setting_name='slogan' limit 1");
	$database->query("UPDATE #__settings SET setting_value='$siteurl' where setting_name='siteurl' limit 1");
	$database->query("UPDATE #__settings SET setting_value='$siteMail' where setting_name='siteMail' limit 1");
	$database->query("UPDATE #__settings SET setting_value='$site_protocol' where setting_name='site_protocol' limit 1");
	$database->query("UPDATE #__settings SET setting_value='$site_host' where setting_name='site_host' limit 1");
	$database->query("UPDATE #__settings SET setting_value='$site_path' where setting_name='site_path' limit 1");

	$MailHeader  = 'MIME-Version: 1.0' . "\r\n";
	$MailHeader .= 'Content-type: text/html; charset=UTF-8' . "\r\n";
    $MailHeader .= 'From: admin@parsnuke.com'."\r\n"; // Sender's Email Address
	$MailHeader .= 'Return-Path: admin@parsnuke.com <admin@parsnuke.com> /n'; // Indicates Return-path
	$MailHeader .= 'Reply-To: admin@parsnuke.com <admin@parsnuke.com> /n'; // Reply-to Address
	$MailHeader .= 'X-Mailer: PHP/' . phpversion(); // For X-Mailer
    $Body = "<div style='direction: rtl;text-align: right;font-family: Tahoma;font-size: 10pt'><b>سايت شما با موفقيت ساخته شد!<br>از انتخاب پارس نيوك سپاس گذاريم.</b><br>ايمان مودي</div>";
    @mail($admin_email, "يك سايت جديد با پارس نيوك!", $Body, $MailHeader);

	echo '<font color="green">تنظيمات با موفقيت ذخيره شد.</font><br>';
	echo '<br><input class="button" type="submit" name="next" value="ادامه >>" onclick="setup_page(\'4\');" />';
    die;
}

$site_path = trim($_SERVER["REQUEST_URI"], '/');
$site_path = str_replace("setup/index.php?op=3", "", $site_path);
$site_path = str_replace("setup/?op=3", "", $site_path);
$site_path = str_replace("setup", "", $site_path);
$site_path = trim($site_path, '/');

$siteurl = "http://".$_SERVER["SERVER_NAME"]."/".$site_path;
$site_host = str_replace('www.', '', $_SERVER['SERVER_NAME']);
$siteMail = "admin@".$site_host;
$site_protocol = "http";

?>
<script  type="text/javascript">
<!--
function check() {
	// form validation check
	var formValid=false;
	var f = document.form;
	if ( f.admin_name.value == '' ) {
		alert('نام كاربري مدير كل را وارد كنيد');
		f.admin_name.focus();
		formValid=false;
	} else if ( f.admin_pass.value == '' ) {
		alert('پسورد مديركل');
		f.admin_pass.focus();
		formValid=false;
	} else if ( f.admin_email.value == '' ) {
		alert('ايميل مديركل');
		f.admin_email.focus();
		formValid=false;
	} else if ( f.siteurl.value == '' ) {
		alert('آدرس سايت');
		f.siteurl.focus();
		formValid=false;
	} else if ( f.siteMail.value == '' ) {
		alert('ايميل سايت');
		f.siteMail.focus();
		formValid=false;
	} else if ( f.site_protocol.value == '' ) {
		alert('پروتکل سايت');
		f.site_protocol.focus();
		formValid=false;
	} else if ( f.site_host.value == '' ) {
		alert('هاست سايت');
		f.site_host.focus();
		formValid=false;
	} else if ( f.site_path.value == '' ) {
		alert('مسیر سايت');
		f.site_path.focus();
		formValid=false;
	} else if ( confirm('آيا مطمئن هستيد اطلاعات را صحيح وارد كرده ايد؟')) {
		formValid=true;
	}

	return formValid;
}

function send() {
	if ( check() ) {

		$.ajax({
			type: "POST",
			data: $('form#form66').serialize(),
			url: 'index.php?op=3',
			cache: false,
			beforeSend: function() {
                 $('div#pn-ajax').html('<br /><br /><br /><center><img src="../images/loading/loader-7.gif" width="36" height="36" /></center>');
			},
			success: function(data) {
                 $('div#pn-ajax').html(data);
			},
			error: function() {
			    alert("Error!");
			}
		});

	}
	return false;
}
//-->
</script>
	<form method="post" name="form" id="form66" onsubmit="return send();">
			<div class="far-left">
				<input class="button" type="submit" name="next" value="ادامه >>"/>
  			</div>
	  		<div id="step">
	  			مرحله 3
	  		</div>
  			<div class="clr"></div>
  			<h1>مدير كل سايت</h1>
	  		<div style="text-align: right">
            <table cellpadding="6">
              <tr>
                <td style="width: 100px">نام كاربري مديركل <b style="color: red">*</b></td>
                <td><input name="admin_name" type="text" size="30" value="admin" dir=ltr><br>فقط اعداد و حروف لاتين مجاز است، حد اكثر 25 حرف!</td>
              </tr>

              <tr>
                <td>پسورد مديركل <b style="color: red">*</b></td>
                <td><input name="admin_pass" type="text" size="30" value="Pars-Nuke" dir=ltr></td>
              </tr>

              <tr>
                <td>ايميل مديركل <b style="color: red">*</b></td>
                <td><input name="admin_email" type="text" size="30" value="<?php echo $siteMail ?>" dir=ltr></td>
              </tr>

              <tr>
                <td colspan="2">با نام كاربري مديركل يك كاربر ساده هم براي شما ايجاد خواهد شد، و پسورد پيشفرض آن همان پسورد مديركل خواهد بود.</td>
              </tr>
            </table>
  			</div>

  			<h1>تنظيمات سيستم</h1>
	  		<div style="text-align: right">
            <table cellpadding="6">
              <tr>
                <td style="width: 100px">عنوان سايت</td>
                <td><input name="sitename" type="text" size="30" value="پارس نيوك"></td>
              </tr>

              <tr>
                <td style="width: 100px">شعار سايت</td>
                <td><input name="slogan" type="text" size="30" value="سيستم مديريت محتواي پارس نيوك."></td>
              </tr>

              <tr>
                <td style="width: 100px">آدرس سايت <b style="color: red">*</b><br>توضيح: بدون / آخر</td>
                <td><input name="siteurl" type="text" size="30" value="<?php echo $siteurl ?>" dir=ltr></td>
              </tr>

              <tr>
                <td style="width: 100px">ايميل سايت <b style="color: red">*</b></td>
                <td><input name="siteMail" type="text" size="30" value="<?php echo $siteMail ?>" dir=ltr></td>
              </tr>

              <tr>
                <td style="width: 100px">پروتکل سايت <b style="color: red">*</b></td>
                <td><input name="site_protocol" type="text" size="30" value="<?php echo $site_protocol ?>" dir=ltr></td>
              </tr>

              <tr>
                <td style="width: 100px">هاست سايت <b style="color: red">*</b><br>نمونه: mysite.com</td>
                <td><input name="site_host" type="text" size="30" value="<?php echo $site_host ?>" dir=ltr></td>
              </tr>

              <tr>
                <td style="width: 100px">مسیر سايت <b style="color: red">*</b><br>نمونه: /myfolder/</td>
                <td><input name="site_path" type="text" size="30" value="/<?php echo !empty($site_path)? $site_path.'/' : $site_path ?>" dir=ltr></td>
              </tr>

              <tr>
                <td colspan="2">تمام گزينه هاي ستاره دار بايد پر شوند.</td>
              </tr>
            </table>
  			</div>
	</form>