-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Feb 15, 2012 at 01:16 PM
-- Server version: 5.0.91
-- PHP Version: 5.2.17

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `parsnuke`
--

--
-- Table structure for table `pn_antiflood`
--

CREATE TABLE IF NOT EXISTS `pn_antiflood` (
  `ip_addr` varchar(48) character set latin1 NOT NULL,
  `time` varchar(14) character set latin1 NOT NULL,
  KEY `ip_addr` (`ip_addr`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `pn_authors`
--

CREATE TABLE IF NOT EXISTS `pn_authors` (
  `aid` varchar(25) NOT NULL default '',
  `name` varchar(50) default NULL,
  `url` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `pwd` varchar(40) default NULL,
  `key` varchar(255) NOT NULL,
  `counter` int(11) NOT NULL default '0',
  `radminsuper` tinyint(1) NOT NULL default '1',
  `admlanguage` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`aid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_authors`
--

INSERT INTO `pn_authors` (`aid`, `name`, `url`, `email`, `pwd`, `key`, `counter`, `radminsuper`, `admlanguage`) VALUES
('admin', 'God', 'http://', 'iman@moodi.com', 'e10adc3949ba59abbe56e057f20f883e', '', 1, 1, 'persian');

--
-- Table structure for table `pn_banned_ip`
--

CREATE TABLE IF NOT EXISTS `pn_banned_ip` (
  `id` int(11) NOT NULL auto_increment,
  `ip_address` varchar(15) NOT NULL default '',
  `reason` varchar(255) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `ip_address` (`ip_address`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `pn_banners`
--

CREATE TABLE IF NOT EXISTS `pn_banners` (
  `banner_id` int(255) NOT NULL auto_increment,
  `banner_title` varchar(255) NOT NULL,
  `banner_clicks` int(255) NOT NULL default '0',
  `banner_hits` int(255) NOT NULL default '0',
  `banner_type` int(1) NOT NULL default '1',
  `banner_active` int(1) NOT NULL default '1',
  `banner_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `banner_position` varchar(200) NOT NULL,
  `banner_code` text NOT NULL,
  `banner_width` int(3) NOT NULL default '0',
  `banner_height` int(3) NOT NULL default '0',
  `banner_file` varchar(500) NOT NULL,
  `banner_url` varchar(500) NOT NULL,
  `banner_language` varchar(100) NOT NULL,
  PRIMARY KEY  (`banner_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_banners`
--

INSERT INTO `pn_banners` (`banner_id`, `banner_title`, `banner_clicks`, `banner_hits`, `banner_type`, `banner_active`, `banner_date`, `banner_position`, `banner_code`, `banner_width`, `banner_height`, `banner_file`, `banner_url`, `banner_language`) VALUES
(1, 'پارس نيوك ايراني يك سايت ساز رايگان!', 0, 0, 1, 1, '2021-03-21 16:22:21', 'top', '', 468, 60, 'includes/upload/banners/parsnuke_468.60.gif', 'http://parsnuke.com', '');

--
-- Table structure for table `pn_banners_positions`
--

CREATE TABLE IF NOT EXISTS `pn_banners_positions` (
  `position_id` int(10) NOT NULL auto_increment,
  `position_title` varchar(200) NOT NULL,
  `position_name` varchar(255) NOT NULL,
  `position_language` varchar(100) NOT NULL,
  PRIMARY KEY  (`position_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_banners_positions`
--

INSERT INTO `pn_banners_positions` (`position_id`, `position_title`, `position_name`, `position_language`) VALUES
(1, 'بالا پست ها', 'top', ''),
(2, 'پايين پست ها', 'bottom', '');

--
-- Table structure for table `pn_blocks`
--

CREATE TABLE IF NOT EXISTS `pn_blocks` (
  `block_id` int(255) NOT NULL auto_increment,
  `block_ordering` int(255) NOT NULL,
  `block_position` varchar(100) NOT NULL,
  `block_title` varchar(255) NOT NULL,
  `block_content` text NOT NULL,
  `block_file` varchar(200) NOT NULL,
  `block_rss` varchar(300) NOT NULL,
  `block_view` int(1) NOT NULL,
  `block_active` int(1) NOT NULL,
  `block_language` varchar(40) NOT NULL,
  PRIMARY KEY  (`block_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_blocks`
--

INSERT INTO `pn_blocks` (`block_id`, `block_ordering`, `block_position`, `block_title`, `block_content`, `block_file`, `block_rss`, `block_view`, `block_active`, `block_language`) VALUES
(1, 1, 'right', 'موضوعات', 'تست عنوان تست عنوان تست عنوان تست عنوان تست عنوان تست عنوان تست عنوان ', 'Categories', '', 1, 1, 'persian'),
(2, 2, 'right', 'ماژول ها', '', 'Modules', '', 1, 1, 'persian'),
(3, 1, 'left', 'كاربري', '', 'User_Info', '', 1, 1, 'persian'),
(4, 3, 'left', 'چه كسي آنلاين است؟', '', 'Who_is_Online', '', 1, 1, 'persian'),
(5, 3, 'right', 'نظرسنجي', '<p>\r\n	بيسبشسشس بسشيلييسشسشييش سششسيشس</p>\r\n', 'Poll', '', 1, 1, ''),
(6, 2, 'left', 'لينكستان', '', 'Web_Links', '', 1, 1, 'persian'),
(7, 1, 'top', 'جستجو', '', 'Search', '', 1, 0, 'persian');

--
-- Table structure for table `pn_categories`
--

CREATE TABLE IF NOT EXISTS `pn_categories` (
  `cat_id` int(255) NOT NULL auto_increment,
  `cat_parent` int(255) NOT NULL default '0',
  `cat_name` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL default '',
  `cat_description` varchar(400) NOT NULL,
  `cat_image` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `cat_type` varchar(50) NOT NULL default 'content',
  `cat_count` int(255) NOT NULL default '0',
  `cat_language` varchar(100) NOT NULL,
  PRIMARY KEY  (`cat_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_categories`
--

INSERT INTO `pn_categories` (`cat_id`, `cat_parent`, `cat_name`, `cat_description`, `cat_image`, `cat_type`, `cat_count`, `cat_language`) VALUES
(1, 0, 'عمومي', 'مطالب عمومي...', '', 'content', 0, ''),
(2, 1, 'اخبار سايت', 'آخرين اخبار سايت', 'test.png', 'content', 1, 'persian'),
(3, 1, 'پارس نيوك', 'مطالب مرتبط با پارس نيوك', 'parsnuke.png', 'content', 0, 'persian'),
(4, 0, 'پارس نيوك', 'دانلود نسخه هاي پارس نيوك ....', 'parsnuke.png', 'Download', 0, '');

--
-- Table structure for table `pn_comments`
--

CREATE TABLE IF NOT EXISTS `pn_comments` (
  `comment_id` int(255) NOT NULL auto_increment,
  `comment_type` varchar(50) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_link` int(255) NOT NULL,
  `comment_user_id` int(255) NOT NULL,
  `comment_author` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_author_email` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_author_url` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_author_ip` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `comment_text` text character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_answer_author` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_answer` text character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_approve` int(1) NOT NULL default '0',
  `comment_language` varchar(100) NOT NULL,
  PRIMARY KEY  (`comment_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_comments`
--

INSERT INTO `pn_comments` (`comment_id`, `comment_type`, `comment_link`, `comment_user_id`, `comment_author`, `comment_author_email`, `comment_author_url`, `comment_author_ip`, `comment_date`, `comment_text`, `comment_answer_author`, `comment_answer`, `comment_approve`, `comment_language`) VALUES
(1, 'content', 1, 0, 'ايمان مودي', 'imanmoodi@yahoo.com', 'http://parsnuke.com', '127.0.0.1', '2012-02-15 15:57:22', 'اين نظر براي تست ارسال شده است;)\r\nمي توانيد از بخش مديريت آن را حذف كنيد.\r\nپارس نيوك ايراني:D\r\nموفق باشيد....', '', '', 1, '');

--
-- Table structure for table `pn_content`
--

CREATE TABLE IF NOT EXISTS `pn_content` (
  `content_id` int(255) NOT NULL auto_increment,
  `content_author` varchar(40) NOT NULL default '',
  `content_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `content_text` text NOT NULL,
  `content_more` longtext NOT NULL,
  `content_title` varchar(255) NOT NULL default '',
  `content_category` varchar(200) NOT NULL default '0',
  `content_approve` tinyint(1) NOT NULL default '0',
  `content_fixed` tinyint(1) NOT NULL default '0',
  `content_tags` varchar(255) NOT NULL default '',
  `content_hits` int(255) NOT NULL,
  `content_comment` int(1) NOT NULL default '1',
  `content_view` int(1) NOT NULL default '1',
  `content_image` varchar(200) NOT NULL,
  `content_language` varchar(100) NOT NULL default 'persian',
  PRIMARY KEY  (`content_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_content`
--

INSERT INTO `pn_content` (`content_id`, `content_author`, `content_date`, `content_text`, `content_more`, `content_title`, `content_category`, `content_approve`, `content_fixed`, `content_tags`, `content_hits`, `content_comment`, `content_view`, `content_image`, `content_language`) VALUES
(1, 'admin', '2012-02-15 15:51:37', '<p style="text-align: center;">\r\n	<img alt="پارس نيوك ايراني" src="includes/upload/posts/parsnuke.jpg" style="width: 350px; height: 401px;" /></p>\r\n<p>\r\n	از اينكه سيستم مديريت محتواي پارس نيوك را انتخاب كرده ايد سپاس گذاريم.</p>\r\n<p>\r\n	ايمان مودي.</p>\r\n', '', 'تبريك افتتاح سايت شما!', '2', 1, 0, 'پارس نيوك,تبريك', 0, 1, 1, '', 'persian');

--
-- Table structure for table `pn_downloads`
--

CREATE TABLE IF NOT EXISTS `pn_downloads` (
  `download_id` int(255) NOT NULL auto_increment,
  `download_cat` int(255) NOT NULL default '0',
  `download_title` varchar(100) NOT NULL default '',
  `download_url` varchar(200) NOT NULL default '',
  `download_description` text NOT NULL,
  `download_date` datetime default '0000-00-00 00:00:00',
  `download_hits` int(255) NOT NULL default '0',
  `download_submitter` varchar(60) NOT NULL default '',
  `download_totaldl` int(11) NOT NULL default '0',
  `download_comment` int(1) NOT NULL default '1',
  `download_image` varchar(200) NOT NULL,
  `download_file` varchar(300) NOT NULL,
  `download_version` varchar(10) NOT NULL default '',
  `download_view` int(1) NOT NULL default '1',
  `download_active` int(1) NOT NULL default '1',
  `download_language` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`download_id`),
  KEY `lid` (`download_id`),
  KEY `cid` (`download_cat`),
  KEY `title` (`download_title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Table structure for table `pn_extra_page`
--

CREATE TABLE IF NOT EXISTS `pn_extra_page` (
  `extra_id` int(255) NOT NULL auto_increment,
  `extra_title` varchar(200) NOT NULL,
  `extra_content` longtext NOT NULL,
  `extra_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `extra_author` varchar(100) NOT NULL,
  `extra_hits` int(255) NOT NULL default '0',
  `extra_comment` int(1) NOT NULL default '1',
  `extra_view` int(1) NOT NULL default '1',
  `extra_approve` int(1) NOT NULL default '1',
  `extra_language` varchar(100) NOT NULL default 'persian',
  PRIMARY KEY  (`extra_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_extra_page`
--

INSERT INTO `pn_extra_page` (`extra_id`, `extra_title`, `extra_content`, `extra_date`, `extra_author`, `extra_hits`, `extra_comment`, `extra_view`, `extra_approve`, `extra_language`) VALUES
(1, 'تست صفحه اضافه!', '<p>\r\n	اين صفحه فقط براي تست ساخته شده است.</p>\r\n<p>\r\n	مي توانيد آن را از بخش مديريت <b>صفحات اضافه </b>حذف و يا ويرايش كنيد.</p>\r\n', '2012-02-07 00:00:00', 'admin', 0, 1, 1, 1, 'persian');

--
-- Table structure for table `pn_firewall`
--

CREATE TABLE IF NOT EXISTS `pn_firewall` (
  `id` int(255) NOT NULL auto_increment,
  `time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ip` varchar(150) NOT NULL,
  `url` varchar(300) NOT NULL,
  `post` text NOT NULL,
  `get` text NOT NULL,
  `cookie` text NOT NULL,
  `files` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `pn_groups`
--

CREATE TABLE IF NOT EXISTS `pn_groups` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `points` int(10) NOT NULL default '0',
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_groups`
--

INSERT INTO `pn_groups` (`id`, `name`, `description`, `points`) VALUES
(1, 'تازه وارد!', 'كاربراني كه به تازگي عضو سايت شده اند.', 50),
(2, 'كاربر فعال', 'كاربراني كه فعاليت نسبتا زيادي در سايت دارند.', 200),
(3, 'خودموني ها!', 'كاربران فعال سايت ....', 500),
(4, 'برترين ها...', 'كاربراني كه فعاليت خيلي زيادي در سايت داشته اند.', 1500);

--
-- Table structure for table `pn_groups_points`
--

CREATE TABLE IF NOT EXISTS `pn_groups_points` (
  `name` varchar(100) NOT NULL,
  `description` varchar(500) NOT NULL,
  `points` int(10) NOT NULL default '0',
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_groups_points`
--

INSERT INTO `pn_groups_points` (`name`, `description`, `points`) VALUES
('PageVisit', 'هر بار كه صفحه سايت توسط كاربر ديده شود.', 1),
('Poll', 'هر بار هربار كه كاربر در نظرسنجي شركت كند.', 10),
('Comment', 'هر هربار كه كاربر نظر جديدي ارسال كند.', 17),
('Download', 'هر هربار كه كاربر فايلي را دانلود كند.', 15),
('Recommend', 'هر بار كه يك كاربر سايت را از طريق بخش پيشنهاد سايت به دوستانش معرفي مي كند.', 20),
('PrivateMessages', 'هر بار كه يك كاربر يك نگارش پيغام خصوصي ارسال مي كند.', 13),
('Advertising', 'هر بار كه كاربر روي بنرهاي تبليغاتي موجود در سايت كليك مي كند.', 25);

--
-- Table structure for table `pn_main`
--

CREATE TABLE IF NOT EXISTS `pn_main` (
  `main_module` varchar(255) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_main`
--

INSERT INTO `pn_main` (`main_module`) VALUES
('Content');

--
-- Table structure for table `pn_members`
--

CREATE TABLE IF NOT EXISTS `pn_members` (
  `member_id` mediumint(8) unsigned NOT NULL auto_increment,
  `member_name` varchar(30) NOT NULL default '',
  `member_key` varchar(255) NOT NULL,
  `member_password` varchar(64) NOT NULL default '',
  `member_email` varchar(100) NOT NULL default '',
  `member_avatar` varchar(100) NOT NULL default '',
  `member_karma` int(1) unsigned NOT NULL default '0',
  `member_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `member_lastvisit` int(10) unsigned NOT NULL default '0',
  `member_ip` varchar(45) NOT NULL default '0.0.0.0',
  `member_lastip` varchar(45) NOT NULL default '0.0.0.0',
  `member_status` tinyint(1) unsigned NOT NULL default '1',
  `member_web` varchar(200) NOT NULL default '',
  `member_alias` varchar(100) NOT NULL,
  `member_signature` varchar(400) NOT NULL,
  `member_points` int(100) unsigned NOT NULL default '0',
  `member_theme` varchar(100) NOT NULL,
  `member_newsletter` int(1) NOT NULL default '1',
  `member_language` varchar(50) NOT NULL,
  PRIMARY KEY  (`member_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `pn_message`
--

CREATE TABLE IF NOT EXISTS `pn_message` (
  `mid` int(11) NOT NULL auto_increment,
  `title` varchar(100) NOT NULL default '',
  `content` text NOT NULL,
  `date` varchar(14) NOT NULL default '',
  `expire` int(7) NOT NULL default '0',
  `active` int(1) NOT NULL default '1',
  `view` int(1) NOT NULL default '1',
  `mlanguage` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`mid`),
  UNIQUE KEY `mid` (`mid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_message`
--

INSERT INTO `pn_message` (`mid`, `title`, `content`, `date`, `expire`, `active`, `view`, `mlanguage`) VALUES
(1, 'به پارس نيوك خوش آمديد!', '\r\n	اين پيغام را مي توانيد از بخش <b>پيغامها</b> در مديريت سايت حذف يا ويرايش كنيد.\r\n\r\n	از اينكه پارس نيوك را انتخاب كرده ايد سپاس گذاريم.\r\n', '1329307951', 0, 0, 1, '');

--
-- Table structure for table `pn_modules`
--

CREATE TABLE IF NOT EXISTS `pn_modules` (
  `mid` int(10) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `custom_title` varchar(255) NOT NULL default '',
  `active` int(1) NOT NULL default '0',
  `view` int(1) NOT NULL default '0',
  `inmenu` tinyint(1) NOT NULL default '1',
  `mod_group` int(10) default '0',
  `admins` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`mid`),
  KEY `mid` (`mid`),
  KEY `title` (`title`),
  KEY `custom_title` (`custom_title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_modules`
--

INSERT INTO `pn_modules` (`mid`, `title`, `custom_title`, `active`, `view`, `inmenu`, `mod_group`, `admins`) VALUES
(1, 'AvantGo', 'نمايش ساده', 1, 0, 1, 0, ''),
(2, 'Downloads', 'مركز دانلود', 1, 0, 1, 0, ''),
(3, 'Feedback', 'تماس با من', 1, 0, 1, 0, ''),
(4, 'Extra_Page', 'صفحات خارجي', 1, 0, 1, 0, ''),
(5, 'Content', 'پست ها', 1, 0, 1, 0, ''),
(6, 'Statistics', 'آمار بازديد', 1, 0, 1, 0, ''),
(7, 'Top', 'برترين هاي سايت', 1, 0, 1, 0, ''),
(8, 'Account', 'سامانه كاربري', 1, 0, 1, 0, ''),
(9, 'Poll', 'نظرسنجي ها', 1, 0, 1, 0, ''),
(10, 'Recommend', 'معرفي به ديگران', 1, 0, 1, 0, ''),
(11, 'Web_Links', 'لينك ها', 1, 0, 1, 0, ''),
(12, 'Search', 'جستجو', 1, 0, 1, 0, '');

--
-- Table structure for table `pn_optimize_gain`
--

CREATE TABLE IF NOT EXISTS `pn_optimize_gain` (
  `gain` decimal(10,3) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `pn_polls`
--

CREATE TABLE IF NOT EXISTS `pn_polls` (
  `poll_id` int(255) NOT NULL auto_increment,
  `poll_status` int(1) NOT NULL,
  `poll_date` varchar(20) NOT NULL,
  `poll_comment` int(1) NOT NULL default '1',
  `poll_question` varchar(300) NOT NULL,
  `poll_answer1` varchar(200) NOT NULL,
  `poll_answer2` varchar(200) NOT NULL,
  `poll_answer3` varchar(200) NOT NULL,
  `poll_answer4` varchar(200) NOT NULL,
  `poll_answer5` varchar(200) NOT NULL,
  `poll_answer6` varchar(200) NOT NULL,
  `poll_answer7` varchar(200) NOT NULL,
  `poll_answer8` varchar(200) NOT NULL,
  `poll_answer9` varchar(200) NOT NULL,
  `poll_answer10` varchar(200) NOT NULL,
  `poll_answer11` varchar(200) NOT NULL,
  `poll_answer12` varchar(200) NOT NULL,
  `poll_answer13` varchar(200) NOT NULL,
  `poll_answer14` varchar(200) NOT NULL,
  `poll_answer15` varchar(200) NOT NULL,
  `poll_value1` int(255) NOT NULL,
  `poll_value2` int(255) NOT NULL,
  `poll_value3` int(255) NOT NULL,
  `poll_value4` int(255) NOT NULL,
  `poll_value5` int(255) NOT NULL,
  `poll_value6` int(255) NOT NULL,
  `poll_value7` int(255) NOT NULL,
  `poll_value8` int(255) NOT NULL,
  `poll_value9` int(255) NOT NULL,
  `poll_value10` int(255) NOT NULL,
  `poll_value11` int(255) NOT NULL,
  `poll_value12` int(255) NOT NULL,
  `poll_value13` int(255) NOT NULL,
  `poll_value14` int(255) NOT NULL,
  `poll_value15` int(255) NOT NULL,
  `poll_language` varchar(100) NOT NULL default 'persian',
  PRIMARY KEY  (`poll_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_polls`
--

INSERT INTO `pn_polls` (`poll_id`, `poll_status`, `poll_date`, `poll_comment`, `poll_question`, `poll_answer1`, `poll_answer2`, `poll_answer3`, `poll_answer4`, `poll_answer5`, `poll_answer6`, `poll_answer7`, `poll_answer8`, `poll_answer9`, `poll_answer10`, `poll_answer11`, `poll_answer12`, `poll_answer13`, `poll_answer14`, `poll_answer15`, `poll_value1`, `poll_value2`, `poll_value3`, `poll_value4`, `poll_value5`, `poll_value6`, `poll_value7`, `poll_value8`, `poll_value9`, `poll_value10`, `poll_value11`, `poll_value12`, `poll_value13`, `poll_value14`, `poll_value15`, `poll_language`) VALUES
(1, 1, '2012-02-14 14:44:53', 1, 'نظرشما درباره پارس نيوك چيست؟', 'عالي!!', 'خوب', 'متوسط...', 'در حال توسعه!!', '', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'persian');

--
-- Table structure for table `pn_poll_check`
--

CREATE TABLE IF NOT EXISTS `pn_poll_check` (
  `ip` varchar(20) NOT NULL default '',
  `time` varchar(14) NOT NULL default '',
  `pollID` int(10) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `pn_private_messages`
--

CREATE TABLE IF NOT EXISTS `pn_private_messages` (
  `msg_id` int(255) NOT NULL auto_increment,
  `msg_sender` varchar(100) NOT NULL,
  `msg_receiver` varchar(100) NOT NULL,
  `msg_subject` varchar(200) NOT NULL,
  `msg_text` text NOT NULL,
  `msg_date` varchar(100) NOT NULL,
  `mag_read` int(1) NOT NULL,
  PRIMARY KEY  (`msg_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `pn_referer`
--

CREATE TABLE IF NOT EXISTS `pn_referer` (
  `rid` int(11) NOT NULL auto_increment,
  `url` varchar(100) NOT NULL default '',
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `ip` varchar(200) NOT NULL,
  PRIMARY KEY  (`rid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `pn_session`
--

CREATE TABLE IF NOT EXISTS `pn_session` (
  `uname` varchar(25) NOT NULL default '',
  `time` varchar(14) NOT NULL default '',
  `host_addr` varchar(48) NOT NULL default '',
  `guest` int(1) NOT NULL default '0',
  KEY `time` (`time`),
  KEY `guest` (`guest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `pn_settings`
--

CREATE TABLE IF NOT EXISTS `pn_settings` (
  `setting_name` varchar(200) NOT NULL,
  `setting_module` varchar(200) NOT NULL,
  `setting_value` longtext NOT NULL,
  `setting_language` varchar(100) NOT NULL,
  PRIMARY KEY  (`setting_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_settings`
--

INSERT INTO `pn_settings` (`setting_name`, `setting_module`, `setting_value`, `setting_language`) VALUES
('display_errors', '', '0', ''),
('avatarsize', 'Account', '100', ''),
('Version_Num', '', '1.0', ''),
('captcha', '', '2', ''),
('defaultavatar', '', 'images/avatars/blank2.png', ''),
('avatar', 'Account', '1', ''),
('anonymous', '', 'مهمان', ''),
('nuke_editor', '', '1', ''),
('httprefmode', '', '0', ''),
('httprefmax', '', '1000', ''),
('httpref', '', '1', ''),
('admingraphic', '', '1', ''),
('moderate', '', '0', ''),
('siteMail', '', 'iman@imanmoodi.com', ''),
('useflags', '', '0', ''),
('multilingual', '', '0', ''),
('locale', '', 'en_US', ''),
('language', '', 'persian', ''),
('backend_language', '', 'en-us', ''),
('backend_title', '', 'پارس نيوك', ''),
('banners', '', '1', ''),
('oldnum', '', '30', ''),
('ultramode', '', '1', ''),
('minUsername', 'Account', '3', ''),
('maxavatardims', 'Account', '150x150', ''),
('limit_top', '', '10', ''),
('register_email', 'Account', '0', ''),
('minpass', 'Account', '5', ''),
('seo', '', '0', ''),
('commentlimit', '', '400', ''),
('foot2', '', '<center>\r\n	<a href="http://parsnuke.com" title="Pars Nuke Copyright (c) 2012 by Iman Moodi"><img src="images/powered/powered.png" /></a></center>\r\n', ''),
('foot3', '', '', ''),
('register', 'Account', '1', ''),
('slogan', '', 'سيستم مديريت محتواي پارس نيوك.', ''),
('keywords', '', 'پارس نيوك,Pars,Pars Nuke', ''),
('startdate', '', 'بهمن 1390', ''),
('adminmail', '', 'iman@moodi.com', ''),
('anonpost', '', '0', ''),
('Default_Theme', '', 'ParsNuke', ''),
('overwrite_theme', '', '0', ''),
('foot1', '', '<p>\r\n	اين سايت از پارس نيوك قدرت گرفته است.</p>\r\n', ''),
('siteurl', '', 'http://127.0.0.1/phpnuke-org-8.2.4', ''),
('sitename', '', 'ايمان', ''),
('backend_limit', '', '20', ''),
('block_ip', '', '1', ''),
('firewall', '', '1', ''),
('firewall_count', '', '0', ''),
('firewall_bannedIP_count', '', '0', ''),
('site_protocol', '', 'http', ''),
('site_host', '', 'localhost', ''),
('site_path', '', '/phpnuke-org-8.2.4/', ''),
('limit_posts', '', '8', ''),
('limit_downloads', '', '10', ''),
('limit_members', '', '20', ''),
('limit_avantgo', '', '30', '');

--
-- Table structure for table `pn_smileys`
--

CREATE TABLE IF NOT EXISTS `pn_smileys` (
  `smiley_id` mediumint(8) unsigned NOT NULL auto_increment,
  `smiley_code` varchar(50) NOT NULL,
  `smiley_image` varchar(100) NOT NULL,
  `smiley_text` varchar(100) NOT NULL,
  PRIMARY KEY  (`smiley_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_smileys`
--

INSERT INTO `pn_smileys` (`smiley_id`, `smiley_code`, `smiley_image`, `smiley_text`) VALUES
(1, ':)', 'smile.gif', 'تبسم'),
(2, ';)', 'wink.gif', 'چشمک'),
(3, ':(', 'sad.gif', 'ناراحت'),
(4, ':|', 'frown.gif', 'اخمو'),
(5, ':o', 'shock.gif', 'فرياد'),
(6, ':P', 'pfft.gif', 'زبان'),
(7, 'B)', 'cool.gif', 'خونسرد'),
(8, ':D', 'grin.gif', 'خوشحال'),
(9, ':@', 'angry.gif', 'عصباني');

--
-- Table structure for table `pn_statistics`
--

CREATE TABLE IF NOT EXISTS `pn_statistics` (
  `stat_name` varchar(200) NOT NULL,
  `stat_value` varchar(400) NOT NULL,
  `stat_time` varchar(100) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_statistics`
--

INSERT INTO `pn_statistics` (`stat_name`, `stat_value`, `stat_time`) VALUES
('Total', '0', ''),
('Browser-unknown', '0', ''),
('Browser-Opera', '0', ''),
('Browser-Opera Mini', '0', ''),
('Browser-WebTV', '0', ''),
('Browser-Internet Explorer', '0', ''),
('Browser-Pocket Internet Explorer', '0', ''),
('Browser-Konqueror', '0', ''),
('Browser-iCab', '0', ''),
('Browser-OmniWeb', '0', ''),
('Browser-Firebird', '0', ''),
('Browser-Firefox', '0', ''),
('Browser-Shiretoko', '0', ''),
('Browser-Mozilla', '0', ''),
('Browser-Amaya', '0', ''),
('Browser-Lynx', '0', ''),
('Browser-Safari', '0', ''),
('Browser-iPhone', '0', ''),
('Browser-iPod', '0', ''),
('Browser-Chrome', '0', ''),
('Browser-Android', '0', ''),
('Browser-GoogleBot', '0', ''),
('Browser-Yahoo! Slurp', '0', ''),
('Browser-W3C Validator', '0', ''),
('Browser-BlackBerry', '0', ''),
('Browser-IceCat', '0', ''),
('Browser-Netscape Navigator', '0', ''),
('Browser-Galeon', '0', ''),
('Browser-NetPositive', '0', ''),
('Browser-Phoenix', '0', ''),
('OS-unknown', '0', ''),
('OS-Windows', '0', ''),
('OS-Windows CE', '0', ''),
('OS-Apple', '0', ''),
('OS-Linux', '0', ''),
('OS-OS/2', '0', ''),
('OS-BeOS', '0', ''),
('OS-iPhone', '0', ''),
('OS-iPod', '0', ''),
('OS-BlackBerry', '0', '');

--
-- Table structure for table `pn_web_links`
--

CREATE TABLE IF NOT EXISTS `pn_web_links` (
  `link_id` int(255) NOT NULL auto_increment,
  `link_title` varchar(100) NOT NULL,
  `link_description` varchar(400) NOT NULL,
  `link_href` varchar(600) NOT NULL,
  `link_target` varchar(10) NOT NULL,
  `link_direct_link` int(1) NOT NULL default '1',
  `link_color` varchar(10) NOT NULL default '',
  `link_bold` int(1) NOT NULL default '0',
  `link_strikethrough` int(1) NOT NULL default '0',
  `link_active` int(1) NOT NULL default '1',
  `link_language` varchar(100) NOT NULL default 'persian',
  PRIMARY KEY  (`link_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pn_web_links`
--

INSERT INTO `pn_web_links` (`link_id`, `link_title`, `link_description`, `link_href`, `link_target`, `link_direct_link`, `link_color`, `link_bold`, `link_strikethrough`, `link_active`, `link_language`) VALUES
(1, 'پارس نيوك', 'سيستم مديريت محتواي پارس نيوك', 'http://parsnuke.com', '_blank', 1, 'de3838', 1, 0, 1, 'persian'),
(2, 'ايران', '', 'http://iran.ir', '_blank', 1, '', 0, 0, 1, 'persian');
