<?php

function themeheader() {   global $pars;
?>
<!DOCTYPE html>
<html dir="rtl" lang="fa-IR">
<head>
<?php ParsNuke_Head() ?>
<link href='http://fonts.googleapis.com/css?family=Lobster' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Droid+Sans' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Arvo' rel='stylesheet' type='text/css'>
</head>
<body class="rtl home blog">
<div id="header">
	<div class="wrapper">
	<h1 id="branding"><a href="<?php echo $pars->settings['siteurl'] ?>/"><?php echo $pars->settings['sitename'] ?></a></h1>
		<form role="search" method="POST" id="searchform" action="modules.php?name=Search">
		<div>
        	<label class="screen-reader-text" for="s">جست‌وجو برای:</label>
			<input type="text" value="" name="text" id="s" />
			<input type="hidden" value="Content" name="section" />
			<input type="submit" id="searchsubmit" value="جست‌وجو" />
		</div>
		</form>
    </div><!--wrapper-->
</div><!--header-->

<div id="top">
	<div class="wrapper">
		<div class="navi clearfix">
		     <ul class="menu">
	         <li class="page_item"><a href="./" style="margin-right: 10px">صفحه نخست</a></li>
	         <li class="page_item"><a href="modules.php?name=AvantGo">نمايش ساده</a></li>
	         <li class="page_item"><a href="modules.php?name=Feedback">تماس با ما</a></li>
	         <li class="page_item"><a href="modules.php?name=Downloads">مركز دانلود</a></li>
	         <li class="page_item"><a href="modules.php?name=Account">سامانه كاربري</a></li>
	         <li class="page_item"><a href="<?= pn_link("name=Account&op=List") ?>">ليست كاربران</a></li>
	         </ul>
		</div><!--navi-->
	</div><!--wrapper-->
</div><!--top-->
<div id="content">
	<div class="wrapper">
		<div class="post-wrapper"<?php if(!defined('INDEX_FILE')): ?> style="width: 960px"<?php endif ?>>
        <!--start post loop-->

        <?php
        if ($ads = ads("top")) {
             openTable();
             echo $ads;
             closeTable();
        }
        ?>
<?php
}

function themefooter() {   global $pars, $start_time, $total_time, $db;
?>
        <?php
        if ($ads = ads("bottom")) {
             openTable();
             echo $ads;
             closeTable();
        }
        ?>

		</div><!--end post loop-->

        <?php if(defined('INDEX_FILE')): ?>
		<div id="sidebar">
			<?php blocks('left'); ?>
        </div>
        <?php endif ?>
	</div><!--wrapper-->
	<span class="clear"></span>
</div><!--content-->

	<div id="footer">
		<div class="wrapper">
			<div class="left">
				<a href="<?= $pars->settings['siteurl'] ?>/" title="<?= $pars->settings['sitename'] ?>" rel="home"><?= $pars->settings['sitename'] ?></a>
                قدرت گرفته از <a href="http://parsnuke.com" title="پارس نيوك">پارس نيوك</a>.
			</div>

			<div class="right" style="width: auto">
            <?php
	        $mtime = microtime();
	        $mtime = explode(" ",$mtime);
	        $mtime = $mtime[1] + $mtime[0];
	        $end_time = $mtime;
	        $total_time = ($end_time - $start_time);
	        $total_time = _PAGEGENERATION." ".substr($total_time,0,4)." "._SECONDS;
            echo $total_time."&nbsp;/&nbsp;";
            echo "زمان اجراي كوئري ها: ".substr($db->query_time,0,4)." "._SECONDS."&nbsp;/&nbsp;";
            echo "تعداد كوئري ها: ".$db->num_queries;
            ?>
			</div><!-- right -->
			<span class="span"></span>

		</div><!--wrapper-->
	</div><!--footer-->

	</body>
</html>
<?php
}

function OpenTable($title=null) {
?>
		 <div class="post"<?php if(!defined('INDEX_FILE')): ?> style="width: 960px"<?php endif ?>>
			<?php if(!empty($title)) echo "<h2>$title</h2>"; else echo "<div style='padding-bottom: 6px'></div>" ?>
			<div class="wrap entry" style="border-bottom: 5px solid #777777;">
<?php
}

function CloseTable() {
?>
	         <span class="clear"></span>
			</div><!--wrap-->
		</div><!--post-->

<?php
}

function themeSideBox($b) {
?>
			<div class="widget">
					<h2 class="widgettitle"><?= $b['title'] ?></h2>
					<?= $b['content'] ?>
					<div class="clear"></div>
			</div>

<?php
}

function themeCenterBox($b) {
?>
		 <div class="post"<?php if(!defined('INDEX_FILE')): ?> style="width: 960px"<?php endif ?>>
			<h2><?= $b['title'] ?></h2>
			<div class="wrap entry" style="border-bottom: 5px solid #777777;">
            <?= $b['content'] ?>
			</div><!--wrap-->
		</div><!--themeCenterBox-->

<?php
}

function themeContent($post) {
?>
			<div class="post" id="post-<?= $post['id'] ?>">
			<h2><a href="<?= $post['url'] ?>"><?= $post['title'] ?></a></h2>
			<div class="wrap entry">
			<div class="pn_entry">
			<?php if (!empty($post['image'])) echo "<img src=\"".$post['image']."\" align='left' style='margin-bottom:8px'>"; ?>
			<?= $post['text'] ?>
			</div>
			</div><!--wrap-->
			<div class="meta">
				<div class="bar-frame">
					<div class="date">

						<strong class="day"><?php echo jdate("j", strtotime($post['date'])); ?></strong>
						<div class="holder">
							<span class="month"><?php echo jdate("F", strtotime($post['date'])); ?></span>
							<span class="year"><?php echo jdate("Y", strtotime($post['date'])); ?></span>
						</div>
					</div><!--date-->
					<div class="author"><strong class="title">نویسنده</strong> <?= $post['author'] ?></div><!--author-->
					<div class="categories"><strong class="title">موضوع</strong><a href="<?= $post['category_url'] ?>"><?= $post['category'] ?></a></div><!--categories-->
					<div class="comments"><strong class="title">دیدگاه‌ها</strong><a  href="<?= $post['url'] ?>#comments">ارسال نظر</a></div><!--comments-->
					<div class="tags"><strong class="title">برچسب‌ها</strong><?= $post['tags'] ?></div><!--tags-->
				</div>
			</div><!--meta-->
		</div><!--post-->

<?php
}


function title($title) {
?>
		 <div class="post"<?php if(!defined('INDEX_FILE')): ?> style="width: 960px"<?php endif ?>>
			  <div class="wrap entry" style="border-bottom: 5px solid #777777;">
                  <h2 style="text-align: center;background: none;padding: 5px;margin: 0px"><?php echo $title ?></h2>
	              <span class="clear"></span>
			  </div><!--wrap-->
		</div><!--post-->

<?php
}


?>